Welcome!

Welcome to TextMaker! You have purchased a word processor that combines user-friendliness with powerful features at an affordable price. With TextMaker, you will be able to complete your writing tasks quickly and comfortably.

Note: In SoftMaker FreeOffice (the free version of SoftMaker Office), some features have been disabled. Features that are not available in the free version are tagged with a red box like this one.

Some features of TextMaker:

Practical document templates: pre-designed letterheads, fax forms, etc. for creating new documents in no time

Extensive paragraph formatting capabilities, including automatic numbering, bullets, borders, shadows, fill patterns

Paragraph and character styles that allow you to apply frequently needed formats to text with the press of a button

Desktop publishing (DTP) features like “master pages”, drop caps, small caps, automatic paragraph control, adjustable character spacing and pitch

Graphics support in numerous file formats, extensive drawing functions, TextArt module for fancy text effects

Powerful table functions, including arithmetic functions

File and document manager with search capabilities

Table of contents and indexes, footnotes, outline view

Reliable spell checking, hyphenation, and synonym dictionaries (not included in SoftMaker FreeOffice)

Integrated address book (database)

... and much more

Additional features in SoftMaker Office Professional:

SoftMaker Office Professional includes an extended version of TextMaker, offering the following additional features:

Integrated Berlitz translation dictionaries – enabling you to translate words between five languages (English, French, German, Italian, and Spanish) with the push of a button

TextMaker is always being improved. If, in the course of your work, you encounter a need for a feature that isn’t present, or you have other suggestions, write to us – we want TextMaker to measure up to the users’ wishes!


Technical support

If you have any questions, our technical support team will be glad to assist you. You can reach us as follows:

Website: www.softmaker.com

Our website provides program updates, free downloads, and much more. Visit us at: www.softmaker.com

Support forums: www.softmaker.com/forum

Feel free to communicate with our technical support team, as well as other users, by visiting our support forums at: www.softmaker.com/forum

E-mail

Please send your support related e-mails to: support@softmaker.com

Fax or snail mail

You can send us questions by mail or fax at the following address:

SoftMaker Software GmbH

Kronacher Str. 7

90427 Nuernberg

Germany

Fax: +49-911-303 796


About this manual

TextMaker has a wide variety of functions. In the beginning you might find this a bit intimidating – but don’t worry: You don’t have to master all the commands! While you’re getting started, just use those you need. Later, when you would like to make use of TextMaker’s extended functions, you can review the appropriate pages in the manual.

The manual for TextMaker is laid out as follows:

The chapter Installation and program startup covers the installation of TextMaker. You also learn how to start the program.

The chapter The application screen describes the individual components of TextMaker’s main window. Ideal for beginners!

The chapter Basics acquaints you with TextMaker’s most important commands. Ideal for beginners!

The chapter The TextMaker Tour treats the topic of text editing in tutorial form and introduces you to the operation of TextMaker with some practical examples.

The chapters Working with selections and following are the reference part of the manual. These chapters are organized by subject, like a reference book, and describe all the functions of the program in detail.


System requirements

This section lists the hardware and software requirements needed to run this software:

Windows version

Windows XP (with Service Pack 2) or higher

64 MB RAM (Vista, Windows 7, and Windows 8: 512 MB)

Linux version

Any glibc-based x86-Linux with glibc 2.2.5 or higher

X Window with a Window Manager of your choice


Installation and program startup

This chapter covers information on installing and starting TextMaker.

It is divided into the following sections:

Installing under Windows

Installing under Linux

Please go directly to the section that covers your operating system.


Installing under Windows

Download

If you obtained TextMaker by download from our website, you will find installation instructions in the e-mail that you received after purchasing the software.

CD-ROM

If you obtained TextMaker on CD-ROM, please launch the installation program provided in the root folder of the CD.

Then, follow the installation program’s instructions to install the software.

Starting

To start the installed programs, use the Start menu at the lower left corner of the screen. For example, to start TextMaker, click successively on Start > Programs > SoftMaker Office > TextMaker.

Note: When you start TextMaker for the first time, you will be asked to enter your name and address. This information is not for the purpose of registering the program. Rather, TextMaker needs it to automatically personalize the document templates for letters, faxes, etc. that come with the program. You can always change this information later (see the section Preferences, General property sheet).


Installing under Linux

You will find information about installing TextMaker in the e-mail that you received after purchasing the software.

Starting

In most Linux distributions, the installer automatically creates shortcut icons for all SoftMaker Office applications in the menu or on the desktop. To start any of the applications, (double) click on the corresponding icon.

Alternatively, the following shell scripts are available for launching the programs:

textmaker12 launches TextMaker

planmaker12 launches PlanMaker

presentations12 launches SoftMaker Presentations

To start an application, execute the corresponding script (e.g. in a shell).

Note: When you start TextMaker for the first time, you will be asked to enter your name and address. This information is not for the purpose of registering the program. Rather, TextMaker needs it to automatically personalize the document templates for letters, faxes, etc. that come with the program. You can always change this information later (see the section Preferences, General property sheet).


The application screen

On the following pages, the individual components of TextMaker’s user interface are described in detail.

TextMaker’s application window

Note: Most of the illustrations in this manual were prepared with the Windows version of TextMaker. On other operating systems, some of the controls have a slightly different appearance, but their modes of operation are identical.


Title bar

At the top of the application window, you will find the title bar.

The title bar indicates the name of the application. Once a document is opened, its name will be displayed after the program name.


Menu bar

The menu bar is found directly under the title bar.

It contains all of TextMaker’s commands in the form of clearly arranged menus. Click on a menu item to open a menu and invoke a command.


Standard toolbar

The Standard toolbar is shown underneath the menu bar. It contains icons for most commonly used commands.

Toolbars, such as the Standard toolbar, allow fast access to a program’s functions. Each icon represents a specific command. If you click on it, the corresponding command is invoked.

Tip: If you point the mouse cursor at an icon (without clicking) and hold it there, a text box called a “tooltip” is shown. The tooltip describes the icon’s function.

There are additional toolbars in TextMaker that you can turn on and off as you choose. To do this, either invoke the menu command View > Toolbars or click with the right mouse button on one of the displayed toolbars. A menu appears, from which you can select toolbars that you would like displayed.

Customizing toolbars: You can change the default toolbars at will and create your own toolbars. For more information, see the section Customizing toolbars.


Formatting toolbar

Beneath the Standard toolbar you find the Formatting toolbar. With it, you can both examine and modify the most often used formats (font, bold, italic, etc.) for the current text.

If you select a section of text beforehand, formatting changes affect only the selected text. Otherwise, the text that you subsequently type in is affected.

To choose, for example, a different font, click on the little arrow to the right of the font name to open a list, and then select a font.

Other icons in the Formatting toolbar are switches that you can turn and off by clicking – for example the B for bold.


Document window

The document window, used for editing documents, occupies the largest part of the screen.

Every document that you open or create is displayed in its own document window. This feature provides you with the capability to edit several documents at the same time and move data back and forth between them.

A document window consists of the following components:

Title bar

As long as a document window has not been maximized, it contains its own title bar, in which the name of the document within the window is displayed.

Horizontal ruler

The horizontal ruler is found at the top of the document window. The margins and tab stops for the active paragraph or for all the paragraphs that might be selected at a given moment are shown there. The unit of measure used is inch or centimeter, depending on your computer’s settings.

Indentations and tab stops are not just shown here, they can also be changed here using the mouse. You will learn how in the sections Indents and Tabs.

Document

The document itself takes up the largest area of the window.

To learn more about working with document windows, see chapter Document windows.

Sidebar

The pane displayed to the right of the document, called sidebar, is a very useful tool:

It can be used, for example, to display a list of all headings in a document. When you double-click on one of its entries, TextMaker immediately jumps to the corresponding heading in your document.

The icons in the small toolbar displayed on the top of the sidebar let you choose what to display in the sidebar (navigator, character styles, or paragraph styles)

The sidebar can be switched on and off anytime by choosing the View > Sidebar command. A submenu opens where you can change the position of the sidebar, or hide the sidebar.

FreeOffice: In SoftMaker FreeOffice, the sidebar is activated automatically each time the program is started, in order to display some interesting information on SoftMaker Office.

To learn more about the sidebar and its individual functions, see the following sections:

Navigating documents with the sidebar

Character styles and the sidebar

Paragraph styles and the sidebar


Status bar

The Status bar is found at the bottom of the program window.

Hint: When you move the mouse pointer over a toolbar icon or menu command, a short explanation of its function is displayed in the status bar.

Apart from that, the following information is displayed in the status bar (from left to right):

Example | Explanation
L 37 Col 8 | The text cursor is positioned at line 37 and column 8 on the current page.
Section 1 | The text cursor is positioned in section 1 of the document (see chapter Multi-column page layouts).
Chapter 1 | The text cursor is positioned in chapter 1 of the document (see section Dividing a document into chapters).
Page 1 of 2 | The text cursor is positioned on page 1 of a document with a total of 2 pages.
English | The text at the current position of the text cursor (or the currently selected text, respectively) is formatted in English language (see also section Setting the language).
Ins | Shows whether Insert Mode (Ins) or Overwrite Mode (Ovr) is active:
 | Ins: Insert mode is active – newly entered text will be inserted into existing text.
 | Ovr: Overwrite mode is active – newly entered text will be written over existing text.
 | The standard setting is Ins. You can switch between these two modes with the Ins key.


Basics

This chapter gives you a brief description of TextMaker’s most important basic functions. Users who have little or no experience in the use of word processors should read this chapter thoroughly.

After that, should also consider taking the TextMaker Tour in the next chapter, which guides you through the program step by step with practical examples.


Entering text

When you start TextMaker, an empty document window is opened automatically. Thus, you can begin entering text immediately. Don’t worry: If you can use a typewriter you will have no problem operating TextMaker.

Note: With a typewriter you press the Enter key ¿ at the end of every line. You should not do this with a word processor. If a word you type won’t fit on the current line, TextMaker will transfer it to the next line automatically. You should press the Enter key ¿ only in the following cases:

to end a paragraph

to enter blank lines

So, while inside a paragraph, simply let TextMaker take care of making correct line breaks.


Moving the text cursor

While editing text you always see a blinking line. This is the so-called text cursor. When you type something, the letters always appear where this text cursor is positioned.

You can move the text cursor anywhere between the beginning and the end of the document. The direction keys are provided for this purpose. The arrow keys ß and à, for example, move the text cursor one character to the left and right respectively.

Altogether the following direction keys are available for moving the text cursor:

Key | Function
ß | One character to the left
à | One character to the right
á | One line up
â | One line down
Home | To the beginning of the line
End | To the end of the line
Ctrl+á | To the beginning of the current paragraph or, when pressed again, the previous paragraph
Ctrl+â | To the next paragraph
Ctrl+Home | To the beginning of the document
Ctrl+End | To the end of the document

Mouse: Mouse users can click anywhere within the document to position the text cursor there.

Moving the visible part of the text

When you move the text cursor above the upper edge or below the lower edge of the screen, TextMaker scrolls the text down or up respectively on its own. It automatically shifts the visible part of the text of the document in the appropriate direction.

You can also move the visible part of the text yourself. Use the horizontal scrollbar (below the document) or the vertical scrollbar (at the right side of the document) to do this.

A horizontal scrollbar

Scrollbars can be operated as follows:

Click on one of the little arrows to shift the visible segment a little in the desired direction relative to the screen.

You will notice that a defined area between the little arrows, the so-called slider, moves with the text. This shows the position of the segment in view at any given time. You can also shift the visible segment by dragging this slider to the desired position.

If you click on the area between the slider and either of the little arrows, the visible segment moves by a greater increment (for example, by a whole screen at once).

Scrollbars and the text cursor: Note that the text cursor does not move relative to the text when you shift the viewable segment with the scrollbars, but remains at its original position. However, after scrolling you can click on any position in the text to place the text cursor at this position.

Using the keyboard: You can shift the viewable segment also by using the arrow keys in combination with the Alt key. Use, for example, Alt+â to shift the viewable segment down for one line.


Deleting text

Everyone makes typing mistakes now and then and would like to delete them. There are numerous ways to do this in TextMaker.

Deleting characters: To delete a character, use the Backspace key situated above the Enter key ¿. This key deletes the character to the left of the text cursor. The following text moves back automatically.

You can also delete in the opposite direction: The Del (“Delete”) key does this. It deletes the character not to the left, but to the right of the text cursor.

Deleting words: If you place the text cursor before the first letter of a word and then press Ctrl+Del the word is deleted. If the text cursor is positioned in the middle of the word, this key combination deletes only the letters following the cursor to the end of the word.

Deleting a carriage return: You can remove a carriage return inserted by mistake. Test it: Type a multi-line paragraph and then insert a carriage return in the middle of the paragraph by pressing the Enter key ¿. The following text leaps to the next line and the paragraph is divided. In certain cases, as when a paragraph is too long and must be divided into two paragraphs, this can be done intentionally. Here, however, it was a “mistake” – so press the Backspace key to remove the carriage return.

Deleting large sections of text: The above mentioned delete keys are well suited for removing short sections of text, but too time-consuming for removing larger parts of text. For this reason there is yet another method of deleting that involves first selecting text and then pressing the Del key to delete it all at once. There is more about this in chapter Working with selections.


Undoing changes

TextMaker is very forgiving, as it allows you to reverse the most recently completed changes with the Edit > Undo command. For example, if you delete some text and then realize you want the text back, all you need to do is invoke Edit > Undo to reverse the deletion.

This works not only with text deletions, but also with practically any type of change you make in a document. You can, for example, undo an insertion of an object.

The Undo command can be applied repeatedly. For example, you can invoke it five times to reverse the last five changes.

You can also invoke the undo command with the key combination Ctrl+Z.

Redoing undone actions

There is also an opposite to the Undo command: the command Edit > Redo. It restores the effect of your most recent undo action.

There is also a keyboard shortcut for this command: the key combination Ctrl+Y.


Insert or overwrite?

Text entry works very simply. You move the text cursor to the desired place and begin typing.

In TextMaker, Insert mode is on by default. If you type a character in this mode, it is entered in the existing text and shifts the following text forward.

Alternatively, you can switch to Overwrite mode. In this mode entered text overwrites the following text.

The status bar always shows which mode is presently active: If INS appears there, the insert mode is active. If OVR is shown, you are working in overwrite mode.

You can switch back and forth between the two modes with the Ins key.


Beginning a new document

To begin a new document, invoke the menu command File > New or press the key combination Ctrl+N.

The dialog box for File > New

A dialog window appears, in which you can select the document template for the new document.

If you simply want to begin a new document and don’t want to concern yourself further at the moment with document templates, just choose the standard template Normal.tmv.

As soon as you confirm with OK the new document will be set up.

Using document templates

Apart from the standard template Normal.tmv you will also see some folders that can be opened with a double click. These folders contain prepared document templates for letters, faxes, etc. All you have to do is fill them in.

Hint: In the right half of the dialog, a preview of the currently selected template is presented. If the preview is not displayed, click on the >> button in the bottom right corner of the dialog. (This feature is not included in SoftMaker FreeOffice.)

For detailed information on working with document templates, see the section Document templates.

“New window” option

The New window checkbox in this dialog has the following meaning: If it is turned on, the new document will appear in a new document window. If not, the document already in the active window will be closed and the new document will be opened in its stead.


Opening documents

To open an existing document, invoke the command File > Open, or press the keyboard shortcut for this command: Ctrl+O.

A dialog box appears that can look, for example, as follows:

The most recently accessed folder will display with all existing documents listed (based on the listed file types). To choose the file to be opened, type its name in manually or simply select a file from the list. Then, click the Open button.

New window: In order to open the document in a new window, check the New window checkbox. Otherwise, the current document will be closed and the new file will be opened in the same window.

Opening other file formats

In addition to opening files created in TextMaker’s default file format, you can also open files created within other software, such as Microsoft Word. To open a file from another application, choose the format of the file you want to open from the Files of type list. This will display all matches to that software’s file extensions in the dialog.

For information about the supported file formats, see chapter Working with other file formats.

Using Quick Paths

With the Quick Path button, you can create quick paths in order to quickly move to a specified folder when opening or saving files. This allows you to create a list of your most frequently used folders, permitting much faster navigation. You will find more information about this in section Quick paths.

Using the File Manager

The File Manager button opens the integrated file manager. This shows a list of your documents, and allows you to open, print, view, or delete them, as well as perform searches. See section The file manager.

Previewing a document

If you select a document in the Open dialog and are not certain if it is the document you want to open, click Preview. A window opens, and the file is displayed in that window.

Using the list of recently opened files

Tip: At the bottom of the File menu you will find a list of recently opened files. Simply click on one of these files to open it again.


Printing documents

To print the active document, choose the File > Print command or use the keyboard shortcut for this command: Ctrl+P.

A dialog box appears, in which you can specify the pages and the number of copies to be printed. By default, one copy of the entire document is printed.

For more information on outputting documents (printing, e-mailing, etc.), see the chapter Outputting documents.


Saving documents

When you are working on a document, it is good practice to save it frequently.

You can use the Save command in the File menu to save the file, or you can use the key combination Ctrl+S. Using either method saves the document in the active window under the current filename.

If the document does not yet have a name, TextMaker automatically asks you to supply a name by opening the Save as dialog box.

Saving under a different name or in a different place

To save a document under a new name or location on your computer, use the command File > Save as. This saves your document too, but you can first give it another name or select another folder in which to save it.

Saving in a different file format

With File > Save as you can also save a document in another file format. To do so, simply choose the desired format from the Save as type list before clicking the Save button. See also chapter Working with other file formats.

Saving all open documents

If you have several document windows open at the same time, you can use the command File > Save all to save all documents open in all the windows. TextMaker checks which of the documents have been altered since the last save and saves only those that have been changed.


Exiting the application

To exit TextMaker, use the File > Exit command.

If any of the open documents have been altered since they were last saved, TextMaker automatically asks whether you would like to save them first.


The TextMaker Tour

Welcome to the TextMaker Tour!

On the next few pages, we will introduce you to TextMaker’s most important functions using some practical examples.

Note: When working through the exercises, don’t be afraid to experiment with new commands as you get acquainted with them! There is no harm done if something goes completely amiss. We have provided example documents for every lesson; this way, at the beginning of each new lesson, you can open the appropriate example document and use it to get started.

Note: Most of the illustrations in this manual were prepared with the Windows version of TextMaker. On other operating systems, some of the controls have a slightly different appearance, but their modes of operation are identical.


A practice letter

Ready for the first exercise? Then start TextMaker now.

Note: When you start TextMaker for the first time, you will be asked to enter your name and address. TextMaker needs this information to automatically personalize the document templates for letters, faxes, etc. that come with the program. You can always change this information later with the command Tools > Options (see the section Preferences, General property sheet).

After the program starts, it always displays an empty document window in which you can immediately start typing. The text cursor blinks at the beginning of the document. When you type something, it always appears just behind the text cursor, which moves forward to accommodate it.

To start, we would like to begin a simple letter from “Escher & Sons, Architects.” Simple, but by no means less than professional quality. At the end of this tour you will have composed a full-fledged business letter, complete with all the bells and whistles.

At this point you might say: “This will be a lot easier if I invoke the command File > New and select one of the prepared letter templates.” Naturally – but you won’t learn anything that way. If you are going to participate in this tour, you have to invest a little time – but afterwards you will be in command of the program’s most important functions and can immediately start adapting the templates to your needs!

So let’s get started. First, type something resembling the example text that follows. You don’t have to copy it exactly; you can enter whatever text you please – the content doesn’t matter.

Important: Press the Enter key ¿ only at the indicated places. When using a word processor, you don’t press this key at the end of every line as you would on a typewriter. Rather, you press it only at the end of a paragraph, or to insert blank lines.

Dear Clients,¿

¿

This year we have been building more than usual, not just for you, but also for ourselves. The new Escher Complex, one of the most daring building projects in town, will become our new home. We cordially invite you to the opening ceremony.¿

¿

The celebration will take place next Saturday at 38-42 Linden Street. We have taken every care for your personal comfort, and the program we have organized for this event will make for an unforgettable afternoon.¿

¿

Bring your family along for a day of fun and entertainment.¿

¿

Typing mistakes: When you make a typing mistake, you can immediately delete it by pressing the Backspace key. This key is situated above the Enter key ¿.

If you have followed the example, your document should look something like this:

The finished text

Next, we need to insert an address above the text of our letter. To get to the beginning of the document, press the key combination Ctrl+Home.

Press the Enter key ¿ seven times to insert some blank lines. This makes room for our own address, which is to be entered later on. By the way, you can remove blank lines you might have inserted inadvertently with the Backspace key.

Next, press the á key once to position the text cursor in the blank line above the text of the letter.

Now type the name and address of the person to whom the letter is to be sent:

Fred Backfish¿

7 Shepard’s Way¿

Salmon River, Oregon 77123¿

Next, insert additional blank lines by pressing the Enter key ¿ eleven times to create a space between the address and the text of the letter.

We have now created the most important elements of a simple letter and at this point would like to save them.


Saving the practice letter

Note: You will find detailed information about this topic in the section Saving documents.

To save the current document, use the Save command in the File menu. (From now on we will use the notation File > Save to represent this.) Invoke this command as follows:

Mouse: Click on File in the menu bar. The File menu opens, and you can invoke the Save command with a mouse click.

Keyboard: PC users can alternatively use the underlined letters in the menus to invoke the corresponding commands. Type them while holding down the Alt key. To save the file, press Alt+F for File and then S for Save.

Perhaps, while using the menu, you may have noticed that “Ctrl+S” is displayed to the right of the Save command. This is the keyboard shortcut for this command. This means you can also press Ctrl+S to invoke this command and save your document.

There is also a shortcut for mouse users: In the Standard toolbar you will find icons for the most frequently needed commands.

To save your document, click on the diskette icon in the Standard toolbar (the third icon from the left).

Tip: If you point the mouse cursor at a toolbar icon (without clicking) a text box appears, giving the icon’s function.

If the Standard toolbar is not displayed, it is probably deactivated. To reactivate it, invoke the command View > Toolbars and click on the checkbox in front of Standard.

The Save dialog box

If the letter has no name, the program automatically displays a dialog box that asks you to specify the filename when you invoke the File > Save command. There, type a name for the document in the Filename box or, if you would like to overwrite an existing file, choose a name from the list of files.

We are going to name the document Letter. So enter “Letter” in the Filename box and click on OK or press the Enter key ¿ to confirm your entry. TextMaker saves the file under the specified name and automatically appends the extension .tmd (for “TextMaker document”). Thus, the full filename reads Letter.tmd.

The next time you invoke File > Save this dialog box will not appear, since the document now has a name. Hereafter, it will be saved immediately under its name.

By the way, you could have exited the dialog box without executing the Save command. You could have done that by clicking Cancel instead of OK on the control panel, or by pressing Esc. This “escape route” is available to you in all dialog boxes.


Simple formatting

Now we come to the more interesting functions – for example, to text formatting, and thus to the application of fonts, text emphasis (bold, italic, etc.), indentation, etc.

First, we will insert a line with our return address above the address, as is customary for letters that are to be sent in windowed envelopes.

So let’s position the text cursor two lines above the address (line 5) and type the address of our firm:

Escher & Sons, Architects – 78 Baker Street - Atlanta, GA 30009

Of course this line is much too wide for a windowed envelope’s view window, and so we would like to decrease the font size a bit. In this way, we come to an important topic: selecting.

First select, then format

Note: You will find detailed information about selecting in chapter Working with selections.

To format a section of text after it has been entered, you must first select it, so that TextMaker knows what area should be modified.

To select the lines containing the address, proceed as follows:

Mouse: While pressing the mouse button, drag the mouse cursor from the beginning to the end of the text you want to select. By the way, there is an easy way to select complete lines: click in the margin to the left of the line. The complete line will be immediately selected.

Keyboard: If you prefer to work with the keyboard, you can make selections by moving the text cursor while holding down the Shift key. In this case, select the address line by positioning the text cursor in front of the first character with the Home key and then pressing the key combination Shift+â.

Once you have selected the address line, you can modify the font size. To do this, use the Formatting toolbar, which presents all the most frequently needed formatting commands. If the Formatting toolbar is not visible, invoke View > Toolbars and click on the little box in front of Formatting to activate it.

The Formatting toolbar

Note: You will find detailed information about the Formatting toolbar in the chapters Character formatting and Paragraph formatting.

The font size of the selected text is displayed to the right of the font type – at present, 10 point is set. Click with the mouse on the little arrow to the right of the “10” to open a list of the most commonly used font sizes. Choose “8” from the list.

Now choose also a different font type. To do this, click on the arrow to the right of the font and choose the MicroSquare font from the list. If you have not installed this font, you can choose any other font you like.

After these modifications, the Formatting toolbar will look like this:

The MicroSquare font in 8 point size was set.

Next, we would like to emphasize addressee’s city and zip code with bold type. Select the line with the city and zip code in the receiver’s address and then click on the B in the Formatting toolbar – or press the keyboard shortcut for bold: Ctrl+B. The line will immediately be formatted bold.

By the way, you can apply an italic format to text just as easily with the I icon or by pressing Ctrl+I; likewise, you can underline with the U icon or with Ctrl+U. And to reverse this sort of formatting, simply apply it once more to the same text.

In the end, the sender’s and receiver’s addresses should look something like this:

Now it is time once again to save the document with File > Save.


When something goes wrong ...

Note: You will find more information about this topic in section Undoing changes.

As you saw in the last lesson segment, you can switch off bold, for example, by re-applying the bold attribute to text that is already formatted bold.

TextMaker has an additional feature that is very practical. You can reverse the most recently completed changes with the Edit > Undo command. For example, if you format some text with a different font, all you need to do is invoke Edit > Undo to make it undone.

This works not only with formatting, but also with practically all kinds of changes – so you can also, for example, undo the entry or deletion of text.

The command Undo can be applied repeatedly as needed. For example, invoke it five times to cancel the last five changes.

By the way, you can invoke this frequently needed command with the key combination Ctrl+Z.

There is also an opposite to the Undo command: the command Edit > Redo (key combination Ctrl+Y). It restores the effect of your most recently canceled action. So you can undo the cancellation of a change.


Opening files

Note: You will find detailed information about this topic in section Opening documents.

Now we will open the example file Tour1.tmd that is provided with the program. It contains our practice document as it should look at this stage of our work.

To open a document, invoke the command File > Open from the menu or by using the keyboard shortcut Ctrl+O.

First, change to the folder containing the example documents. To locate this folder, proceed as follows:

Under Windows XP, navigate to the folder My Documents\SoftMaker\Samples.

Under Windows Vista, navigate to your user folder. There, go to the folder Documents\SoftMaker\Samples.

Under Windows 7, navigate to your user folder. There, go to the folder My Documents\SoftMaker\Samples.

Under Linux, navigate to your home folder. There, go to the folder SoftMaker/Samples.

There, locate the file Tour1.tmd, and double click on this file to open it.


Setting up a letterhead

Naturally, our letter needs a distinguished-looking letterhead, with the company name in a larger font and perhaps a line that explains what our company has to offer.

Let’s get to work! With Ctrl+Home move the text cursor to the beginning of the document Tour1.tmd you just opened. Now type:

Escher & Sons, Architects¿

Design and Planning of Construction Projects of all Sizes

The company name might safely be somewhat larger: Select the first line and, with aid of the Formatting toolbar, format it in the MicroSquare font, choose a font size of 32 points and turn on bold.

32 is not present in the list of font sizes? It doesn’t matter – because the list offers only the most commonly needed sizes, and you can always enter values manually. Simply click on the font size shown in the Formatting toolbar, enter “32” there, and confirm with the Enter key ¿.

By the way, you can even specify non-integer font sizes by using a decimal point (e.g. 11.6 points), for example, when the area at your disposal is fixed and you want the text to fit precisely.

In the end, the Formatting toolbar should look like this:

Font is now set to MicroSquare 32 point bold

Next we want to format the second line in MicroSquare 12 point italic. To do that, we must first select it as before. This time, however, don’t use the Formatting toolbar to change the font size. Instead, invoke Format > Character, so that you can get acquainted with this frequently needed command as well.

A dialog box opens, revealing at a glance all the possibilities for formatting characters.

The dialog box for Format > Character

Note: You will find detailed information about this dialog box in chapter Character formatting.

The settings in this dialog box are organized on several property sheets. You can switch from one sheet to another by clicking on the tab at the top of the sheet you want to view. As you can see, this dialog has property sheets for Font, Spacing, and Hyperlink. Since we only want to modify the font, we can stay on the Font property sheet.

Open the dropdown list Typeface by clicking on the little arrow to its right, and choose the MicroSquare font. Then choose the 12 point font size from the Size list to the right of the Typeface list. Turn on italic by opening the dropdown list Style and selecting the entry Italic.

Confirm the settings by clicking the OK button. Then save your document.


Paragraph alignment

The way TextMaker arranges text between the margins is called paragraph alignment.

You change the paragraph alignment with the command Format > Paragraph. When you invoke this command, a dialog box appears. Open the dialog’s Alignment list on the Paragraph tab. Then, choose the desired paragraph alignment from the list.

By the way, this can be done faster with the Formatting toolbar, which contains four icons that you can click on with the mouse to change the alignment:

Flush left

Flush right

Centered

Justified

We’ll now center the company name. To do this, move the text cursor to the front of any character within the company name “Escher & Sons, Architects” and click on the icon for “Centered” in the Formatting toolbar.

Note: Paragraph format actions – in other words, all format actions that you can carry out with the command Format > Paragraph – always affect complete paragraphs. So, if you want to modify the paragraph format of a single paragraph, you don’t need to select it first. Simply move the text cursor to any position within the paragraph.

On the other hand, if you want to modify the formatting of several successive paragraphs, you must select them beforehand. The selection can begin at any position within the first paragraph and end anywhere in the last paragraph.

Let’s try this out. Invoke the command Edit > Undo and the company name will again be formatted flush left. Starting from any letter in the company name, hold the mouse button down and drag the selection into the next line. Then click on the icon for “Centered” in the Formatting toolbar. Both paragraphs will now be centered.

After you have done this, your application screen should look something like this:

We could now put our “With best regards” at the bottom of the letter and send it off without further ado. But there are no doubt still a few things in this letterhead that could be made more attractive.

So let’s begin with some refinements.


Tabs

Before going further, you can open the document Tour2.tmd and compare it with your results so far. This document contains our example document as it should look at this stage of our work.

Many business letters include a line with information like “Your reference,” “Your letter of,” etc. We want to insert such a line now, and, in the course of doing so, get acquainted with the application of tabs.

Note: You insert tabs by pressing the Tab key. Although this key is labeled with two arrows on most keyboards, the designator Tab is used in this manual to better distinguish this key from the arrow keys.

Now move the text cursor to the beginning of the 17th line and type the following line:

Your reference:TabYour letter of:TabOur reference:TabOur letter of:TabDate:

Next, format this line in the MicroSquare font, 8 point.

You have now inserted tabs into the text, but you have not yet determined their exact positions. To do this, set the tab stops. By default, TextMaker automatically puts a tab stop every 0.5 inch, but in general you should not adopt this convention, which originated with the typewriter.

Tab stops can be set with the command Format > Tabs or with the help of the Formatting toolbar and the horizontal ruler.

The horizontal ruler

If the horizontal ruler is not visible at the top of the document window, you must turn it on first with the command View > Horizontal Ruler.

You set tab stops as follows:

1. Select the paragraph in which the tab stops are to be set:

If you want to adjust the tab stops of several paragraphs, you must first select these paragraphs as previously described.

Please select the line you just entered and the line below it, because we want the tab stops for the next line, which is to be filled out later, to be set the same way.

2. Choose the desired tab type in the Formatting toolbar:

At the very right of the Formatting toolbar four different tab icons are presented:

Flush left tab

Flush right tab (the text ends at the tab position)

Centered tab (the text is centered on the tab position)

Decimal tab (numbers are aligned on the decimal separator)

Now click on the icon for flush left tabs.

3. Click on the desired tab position(s) in the ruler:

With the mouse, click on the (approximate) positions 1 inch, 3 inches, 4 inches and 5.5 inches to set tab stops at those positions. Notice how the text is adjusted according to your settings.

By the way, you could have proceeded in the opposite way: You could have defined the tab stops before you typed the line “Your reference,” etc., and then typed the text along with the tabs.

The ruler and text should now look something like this:

The tab stops are now set and are displayed in the ruler.

If the position of a tab stop doesn’t suit you, you can shift it right there in the ruler: First, select the paragraphs to be modified as necessary; then, with your mouse, point at the tab stop and drag it to a new position in the ruler. Note also that when you drag a tab stop downward out of the ruler, it is deleted.

There is yet another way to proceed when setting tab stops. With both paragraphs selected, invoke Format > Tabs. A dialog box opens and shows you the exact positions of the tab stops that are currently set. This dialog works as follows:

To ... | Do this ...
Set new tab stops | Enter the desired position in the Tabs field and click on Set.
Delete tab stops | Select one of the existing tab stops in the list and click on Clear. To remove all tab stops at once, click on Clear all.
Shift tab stops | Delete the tab stop and set a new one.
Change the alignment | Click on one of the tab stops given in the list, choose a new alignment with Alignment and click on Set.

To confirm your changes, click OK.

Units of measure: You can enter values in TextMaker’s dialog boxes not only in inches*, but also in other units of measure. To enter a value in specific units, simply add one of the following units of measure after the number:

Unit | Explanation
cm | centimeter
in | inch – 1 in equals 2.54 cm.
pt | point – 72 pt equals 1 in.
pi | pica – 1 pi equals 12 pt.

* The default unit of measure depends on your computer’s region settings.

For example, if you type “7.62 cm” as the position for a tab stop, TextMaker puts it at 3 in (= 7.62 cm).

Back to our practice letter:

Now that the tab stops for the line “Your reference,” etc., and the line under it have been set, we want to put something in the second line.

Move the text cursor to the beginning of this line (line 18) and type:

MBTab10/29/07TabHGTab10/25/07

You see, since this line was selected along with the line above it when the tab stops were set, those same tab stops are used here too.

Of course, what is still missing is today’s date. In the next lesson segment, we will let TextMaker insert it automatically and in this way we will get acquainted with fields.


Inserting dates and other fields

Today’s date should be inserted in the area below “Date:” which has remained empty up until now. Of course we don’t want to type it manually; rather, we leave this task to TextMaker.

Insert a tab following the text you just entered with the Tab key and invoke the command Insert > Field.

The dialog box for Insert > Field

From the Field type list, select the field “Print date”. On the right, in the Date Formats list, you can select the format in which the date is to be inserted. Choose the desired format and click on Insert.

TextMaker now inserts the current date in the text and our letterhead looks something like this:

Fields are very practical aids. First, you have already been spared the trouble of typing the current date manually, and beyond that, the “Print date” field is not merely a fixed value, but a symbolic value that stands for the current date. It is automatically updated when you print the document. So, if you print the practice letter tomorrow, tomorrow’s date will appear in the same place.

With the help of fields you can not only insert the date, but also output the current page number of your text, its filename and many other kinds of information.

Furthermore, fields can be used to put in database fields from a database, as is required for form letters.


Page footers

Before you continue, you can open the file Tour3.tmd. It contains the example document as it should look at this stage of the exercise.

You can set up page headers and footers for every document – headers will be printed at the top, and footers at the bottom, of every page.

For page footers you invoke the command Insert > Footer. Nothing much really happens: the text cursor is just positioned in the bottom margin. This is the area in which you can enter footers.

This time we will select the MicroSquare font in 8 point before typing. So, select this font with the aid of the Formatting toolbar. Now, when text is entered it appears immediately in the chosen font.

For the footer, type, for example, the address of our architecture firm and some other information like our firm’s bank details. Of course, you don’t have to follow the example exactly, if that is too much typing for you:

Escher & Sons, Architects – 78 Baker Street – Atlanta, GA 30009 - Telephone: 555-555-4242 - Fax: 555-555-4243¿

SunTrump Bank Atlanta – Account No. 123 456 78 – Routing Code STB6 543

Next, center both footer lines (select them first!) with the icon [image] in the Formatting toolbar, so that the footer lines appear on the screen something like this:

To get back to the normal text after setting up the footer lines, simply click on any position in the text with the mouse. Later, if you want to edit the footer lines again, all you have to do is click again with the mouse on one of the footer lines.

Give it a try: click on the line under “Bring your family along ...” in the text – and you are back in the text.

This gives us an opportunity to place the complementary close under the last line of the text. Enter a blank line there with ¿ and type:

With best regards,¿

¿

¿

¿

M.C. Escher¿

Escher & Sons, Architects¿

With this, our letter is essentially finished. In this next and last lesson segment, all we want to do is place a line above the footer to emphasize it better.


Lines and borders

Note: You will find detailed information about this topic in section Borders and lines.

In a letter, a line is often drawn between the footer and the body text. This is very easily accomplished in TextMaker with the command Format > Borders. Its purpose is to put a border around a paragraph, or to put single lines along the left, right, top and/or bottom edges.

To place a line above the footer, click in the first line of the footer and invoke the command Format > Borders. A dialog box appears.

The dialog box for Format > Borders

The Sample field not only shows you how the bordered paragraph will look; it also allows you to choose, with mouse clicks, which lines are to be changed.

At the left, you can set the Line style (none, single, double) and the line width.

Let’s proceed as follows to place a line above the paragraph:

1. Go to the Sample field, where border lines are selected. By default, all the lines (top, bottom, left and right) are pre-selected. This is indicated by the little arrows that appear at the ends of the lines.

Since we only want to change the top line, all the other lines must be deselected. To deselect the unwanted left, bottom and right lines, click on each of them in turn. In the end, only the top line should remain selected, and little arrows should appear only to the left and right of this line.

2. At present None is the selected Line style – and up until now, no line has been drawn. Select Single for a single line.

3. The line width is normally set at 1 point. If you want a thicker or thinner line, select the desired width from Thickness 1.

It’s as easy as that – first select the lines to be changed in the Sample field, then specify whether you want a single or double line under Line style, and finally change the Thickness.

To remove lines that have already been applied, invoke the command once more, select the lines to be removed, and then click on the line style None.

Normal text paragraphs can be furnished with lines using the same method as for footers.


Printing the practice letter

If you want, you can now print your first composition for proofing. To do this, invoke the command File > Print or press the keyboard shortcut Ctrl+P.

The dialog box for File > Print

In the “Print” dialog box you can determine how many copies and which pages are to be printed. By default, one copy of all pages is printed. So confirm with OK.

Hint: Before actually printing a document, you can preview the printout using the File > Print Preview command.


Finished!

Our TextMaker Tour ends here. You will find the final example document (for the completed TextMaker Tour) in the file Tour4.tmd.

You now know many of the program’s basic functions and you ought to take some time at this point to investigate them further. It would be a good exercise, for example, to format the letter differently, to give it a more attractive font, etc.

Next, you can delve into the rest of the manual. It has been intentionally put together in such a way that you can read a single chapter at a time as it becomes necessary in the course of your work. So step by step you can familiarize yourself with the functions as you want to use them.

Have fun with TextMaker!


Working with selections

This chapter marks the beginning of the reference section of the manual. This part of the manual provides detailed descriptions of all TextMaker’s functions organized into chapters by subject matter, as is customary in a reference book.

The first chapter in the reference section is about working with selections. When you want to delete, copy, or move a part of a document, you must first select it. This is the case for objects (pictures, drawings, etc.) as well as for text.

In addition, you must select a text segment before you can apply certain commands that modify its formatting. For example, if you want to format a single word in a specific font, you must select the word before you specify the font.

The following pages will teach you everything there is to know about working with selections. Topics covered:

Selecting text

Moving, deleting and copying

Pasting with special formatting

Inserting a document


Selecting text

Before you execute a TextMaker command you can, in many cases, select a segment of text (or an object) to which you want the command to apply. The command is then performed only on the selected text or object.

You can make a selection with your mouse or the keyboard.

Using the mouse for selection

You make selections with the mouse as follows:

Selecting text segments

To select a text segment of any length, position the mouse cursor at the beginning of the segment, press and hold down the left mouse button, and drag the cursor to the end of the segment.

To select a word, double click on the word.

To select an entire line, click in the left margin beside the line. You can select multiple lines by dragging the mouse pointer beside them in the left margin.

To select a whole paragraph, double click in the left margin beside the paragraph.

Canceling a selection

When you want to cancel a selection, simply click anywhere in the document outside the selection.

Selecting objects

To select an object (e.g. a picture, a drawing, etc.), simply click on it with the mouse. A red frame appears around the object to indicate that it is selected.

Using the keyboard for selection

You make selections with the keyboard as follows:

Selecting text segments

Move the text cursor (caret) to the beginning of the text segment you want to mark. Press the Shift key, hold it down, and move the cursor in any direction with the arrow keys.

You can select as little as a single character with Shift+ß or Shift+à, and as much as whole pages with Shift+PgUp or Shift+PgDn.

To select the entire document, press the key combination Ctrl+Home, followed by the key combination Ctrl+Shift+End – or invoke the command Edit > Select All.

Canceling the selection

When you want to cancel a selection, simply press any arrow key.

Selecting objects

Objects can be selected only with the mouse (see above).


Moving, deleting and copying

All the operating systems that TextMaker supports have an extremely useful feature: the clipboard.

The clipboard works like this: when you select something in the document and then cut or copy it, your selection goes into the clipboard. The clipboard holds the selection temporarily, so that it is available for reinsertion anywhere in the document. In this way, the clipboard facilitates the deletion, copying and moving of text segments (as well as objects).

All the required commands are found in the Edit menu:

Command | Explanation
Delete | If you select a text segment (or object) and invoke Edit > Delete, the segment or object will be deleted – without being moved into the clipboard. There is a keyboard shortcut for this command to invoke it faster: the Del key.
Cut | The command Edit > Cut likewise deletes the content of a selection – but not permanently. Instead, it places this content in the clipboard, so that it remains available for insertion later anywhere in the document. There is also a keyboard shortcut for cutting: Ctrl+X.
Copy | The Edit > Copy (shortcut: Ctrl+C) copies the content of the selection into the clipboard.
Paste | You use the Edit > Paste command to insert the content of the clipboard into the text. Move the text cursor to the place in the text where you want to make the insertion and then invoke the command or press Ctrl+V. You can insert the content of the clipboard multiple times in this manner.

In case it still isn’t completely clear how the clipboard helps you delete, copy or move something, you can consider the whole subject once again from a different point of view:

How do I delete text?

Select the text segment and either cut it with Ctrl+X to place it in the clipboard, or delete it permanently with Del.

How do I move text?

Select the text segment and cut it with Ctrl+X. Then move the text cursor to the place in the text where you want it to appear and reinsert it with Ctrl+V.

How do I copy text?

Select the text segment and copy it into the clipboard with Ctrl+C. Then move the text cursor to the place where you want to insert the copy and press Ctrl+V.

If you want to insert the text again, all you have to do is move the text cursor to the next place where you want to insert it and press Ctrl+V again.

Everything works the same way for objects like pictures and drawings, as it does for text.

Moving and copying text with the mouse (“drag and drop”)

You can select a text segment with the mouse, drag it to another position and drop it there. With this technique, known as “drag and drop”, you can move or copy text very quickly.

Proceed as follows:

1. Select the text segment.

2. Position the mouse cursor on the selection.

3. Press the left mouse button and hold it down.

4. With the mouse button held down, drag the selection to the desired position.

5. When you release the mouse button, the content of the selection is moved to the new position. When you release the mouse button while pressing the Ctrl key, the selection is instead copied to the new position.


Pasting with special formatting

In addition to common clipboard operations like Cut, Copy, and Paste, TextMaker offers the Edit > Paste Special command which gives you more control over how text or objects are pasted into TextMaker.

When you place information in the clipboard using Edit > Cut or Edit > Copy, this information is saved there in several formats. For example, if you cut or copy text, the text is saved both in formatted form and in unformatted form.

Normally, you don’t need to be concerned about this, because TextMaker automatically selects the most appropriate format when it inserts the content of the clipboard into your document in response to an Edit > Paste command. However, if you need to, you can select the format in which the content is to be inserted yourself. You use the Edit > Paste Special command to do this.

When you invoke this command, a dialog box appears and presents you with a list of all the formats in which the information currently residing in the clipboard is saved. When you select a format and then confirm with OK, the content of the clipboard is inserted in the selected format.


Inserting a document

With the Insert > Document command, you can insert a complete TextMaker document into the current document.

To do this, proceed as follows:

1. Move the text cursor to the position in the current document at which the other document is to be inserted.

2. Invoke the command Insert > Document.

3. A dialog box opens and allows you to select the document to be inserted.

4. After making your selection, confirm with OK.

The selected document is inserted.


Character formatting

Using the Format > Character command, you can change the appearance of one or more characters in the text.

The Format > Character dialog box provides several property sheets. You can switch between them by clicking on one of the property sheet tabs along the top of the dialog:

Font property sheet

For selecting the typeface and font size, font styles like bold, italic and underlined, colors and language

Spacing property sheet

For changing properties like super- and subscript, character spacing and pitch, and kerning

Hyperlink property sheet

For inserting and editing hyperlinks (e.g., to web pages). You will find information about this topic in section Creating links.

Modifying character formatting

There are two ways to modify character formatting:

After text has been entered, you can modify character formatting by selecting the desired text, invoking the Format > Character command and making the desired changes.

As you type new text, you can modify character formatting by pausing to select the format for the text to follow with the Format > Character dialog, and then continuing to type. For example, you can select a new font. From that point on, all text that you enter will appear in the new font – until you again make a font selection.

Note also that once character formatting has been applied, it can be removed at any time using the Format > Standard command or the Reset button in the Format > Character dialog box. The text will then appear in the default font, without any special character formatting.

Additional information on the topic of character formatting is presented on the following pages.


Typeface and font size

To change the typeface and/or the font size, do the following:

1. Select the text to be modified.

2. Invoke the command Format > Character.

3. Switch to the Font property sheet.

Now you can set the desired typeface and font size:

To change the typeface, open the Typeface dropdown list box by clicking on the small arrow to its right and select the desired typeface.

The most useful font sizes are presented in the Size dropdown list box. You can select one of these sizes or enter a different size manually. Type sizes can be given with a precision of a tenth of a point – thus a size such as 12.7 is allowed.

Font sizes are customarily given in points (abbreviated “pt”). As a rule, you should use font sizes between 10 and 12 points for normal text, and a somewhat larger size, say 14 to 18 pt, for headings. Major headings may be even larger (24 pt, for example).

Using the Formatting toolbar

You can also change the typeface and font size with the Formatting toolbar.

The Formatting toolbar

This is done by selecting the text you want to format, opening the dropdown list box containing typefaces or the one containing type sizes and selecting the desired format from the list with a mouse click.


Text styles

Text styles are formatting options like bold, italic, underline, etc. that give emphasis to text.

TextMaker provides the following text styles:

Italic: A slanted variant of the typeface.

Bold: A heavier (“thicker”) variant of the typeface.

SMALL CAPS: Lowercase letters are replaced with small uppercase letters.

ALL CAPS: All letters are rendered in uppercase.

Strike out: The text is struck through.

Blinking: The text blinks (for HTML pages; visible in certain web browsers only).

Hidden: The text does not appear on the screen, or on the printed page, or both (see the section Hiding text).

Protected: The text cannot be modified (see the section Protecting text).

Underline: You can give text a single or double underline. The underline can be continuous or by words only.

Superscript and subscript: These text styles are found on the next property sheet (see Superscripts and subscripts).

Text color and Background color: see the next section

Language: If necessary, you can also specify the language of a section of text (only required when you use more than one language in a document – see section Setting the language).

Applying text styles

To apply text styles, invoke the command Format > Character and switch to the dialog’s Font property sheet.

To turn on bold or italic, open the Style list (to the right of font size option) and select the desired style from the list: Regular, Italic, Bold or Bold-Italic.

To apply other text styles, turn them on or off by clicking on the corresponding in the Styles section of the dialog.

You are not limited to just one style; rather, you can apply combinations of the styles to text (although not all combinations are possible).

Using the Formatting toolbar

The most commonly used text styles can also be applied using the Formatting toolbar.

Click on the icon for the text style you want to apply or remove: The B stands for bold, the I for italic, and the U for single underline.

Tip: There are also keyboard shortcuts for the application of these text styles: Ctrl+B for bold, Ctrl+I for italic, and Ctrl+U for single underline.


Text color

You can specify the color for both the text itself and for its background.

To do this:

1. Select the desired text.

2. Invoke the command Format > Character.

3. Switch to the Font property sheet.

You can now select the desired color for the text from the Text color list box.

Tip: The text color can also be changed using the color list [image] in the Formatting toolbar. Click on this list, which is situated to the right of the size list, and select the desired color.

You can also specify a background color for the text using the Background color list box. By default, text has a transparent background. If you select a color for the background, the text will appear against this color – similar to being marked with a highlighter.

If none of the existing colors suits you, you can always compose your own colors. To do this, click on “Define color...”, the last item in the color list (see section Document properties, Colors property sheet).


Superscripts and subscripts

You can position text above or below the baseline and in this way create a superscript or subscript.

Simply select the text, invoke the command Format > Character, switch to the Spacing property sheet and check the Superscript or Subscript check box.

If you wish, you can specify the amount of offset above or below the baseline by entering a percentage in the Position edit box. In addition, you can specify the size reduction to be applied to the superscripted or subscripted text by entering a percentage in the Size edit box. For example, if you want a subscript to be the same size as adjoining normal text, you can specify 100 percent.

Tip: Keyboard shortcuts are available for super- and subscripts as follows: Ctrl+Shift+(Num+) (the plus key located on the numeric pad) for superscript, Ctrl+Shift+(Num-) for subscript and Ctrl+Shift+(Num*) to remove a super- or subscript.


Letter spacing and character pitch

TextMaker also allows you to change the spacing and pitch of text.

Spacing is the horizontal distance between characters. Giving a value smaller than 100% causes the characters to appear closer together than normal; giving a value larger than 100% causes the characters to appear farther apart.

If you change the character pitch, the width of the characters themselves, rather than the spacing between them, is affected.

To change these settings, invoke Format > Character, switch to the Spacing property sheet and enter the desired value at Spacing between characters or Character pitch.

Note: For some printers, changing the pitch of characters formatted in one of the printer’s internal fonts is ignored in the printout.


Kerning

Certain pairs of letters look better when the spacing between these letters is reduced or increased a bit. Such adjustments, called Kerning, can be made automatically by TextMaker.

A picture illustrates best what kerning is about:

Top: without kerning, bottom: with kerning

The upper half of the picture (without kerning) shows that the letters “V” and “A” are too far apart when no kerning is applied. In the lower half (with kerning), this has been corrected.

To activate kerning, select the text of interest, choose the Format > Character command, switch to the Spacing property sheet and activate the option Use kerning.

TextMaker now automatically adjusts the spacing between all letters where this would improve the text appearance.

Note: Not all typefaces provide kerning information in their font data, which is required to determine which letter pairs to adjust and how. Almost all font collections published by SoftMaker include extensive kerning information.


Transferring formatting

With the command Format > Transfer Formatting you can quickly apply a character’s format (typeface, size, styles etc.) to other characters.

To do so, proceed as follows:

1. Select the character whose format you want to transfer. You can also select multiple characters; they should however have the same character format.

2. Invoke the command Format > Transfer Formatting.

The mouse pointer now becomes a little brush:

3. Drag the mouse (with the mouse button held down) over the characters to which the format is to be transferred.

Hint: If you press and hold the Ctrl key while you do this, not only the character format is transferred but also the paragraph format.

4. If you want to apply the format to additional characters, repeat step 3 as often as required.

5. When finished, invoke Format > Transfer Formatting again or simply press the Esc key.


Hiding text

You can hide sections of text. Normally, hidden text is displayed on the screen but not printed.

Hidden text is ideal for comments or notes that you want to incorporate into a document so that, for example, they will be viewable on the screen, but not appear on the printed page.

Hiding text

To hide text, do the following:

1. Select the text you want to hide.

2. Invoke the command Format > Character.

3. Switch to the Font property sheet.

4. Check the Hidden option.

The text is now hidden. By default, it will still be displayed on the screen, but will not appear on the printed page.

Displaying/printing hidden text

By default, hidden text is visible on the screen but does not appear on the printed page. However, you can specify in the document’s properties whether hidden text is to be visible on the screen and whether it is to be printed.

To do this, invoke the command File > Properties and switch to the View property sheet. In the Hidden text group box, you will find the following options:

Show hidden text

This option controls the visibility of hidden text on the screen.

By default, this option is checked, so that hidden text is visible. Hidden text is displayed with a dotted underline to distinguish it from normal text.

If you disable this option, hidden text is not visible on the screen.

Print hidden text

The Print hidden text option controls the printing of hidden text along with the document’s normal text.

By default, this option is not checked and hidden text is not included on the printed page.

If you want all hidden text segments to be printed you must enable this option.

Removing the “Hidden” property

If you want to remove the Hidden formatting, do the following:

1. Make sure that the Show hidden text option in the document properties is enabled (see above), so that you can see the text.

2. Select the hidden text, invoke Format > Character and uncheck the Hidden option on the Font property sheet.

The text is now without the Hidden property.


Protecting text

You can protect a segment of text to prevent it from being changed or deleted.

Protecting text

To protect text, do the following:

1. Select the text you want to protect.

2. Invoke the command Format > Character.

3. Switch to the Font property sheet.

4. Check the Protected option.

Text that is protected in this manner cannot be edited. If you position the text cursor in such text and attempt to insert or delete something, your attempts will have no effect.

Important note: If you select a range of text that includes some protected text and delete the entire range, the protected text included in the range will be deleted along with the other text! Protection only prevents editing or deleting within the protected segment itself.

Removing the “Protected” property

To remove the “Protected” property, select the segment of protected text, invoke the command Format > Character and uncheck the Protected option on the Font property sheet.

The text segment is no longer protected and can be edited as normal.


Removing character formatting

In case you need to remove character formatting, TextMaker lets you do this easily.

Proceed as follows:

1. Select the text segment of interest.

2. Invoke Format > Standard or press the corresponding shortcut keys: Ctrl+Space.

TextMaker now removes any character formatting that you have applied using Format > Character or the Formatting toolbar.

Paragraph formatting and character formatting that is part of a paragraph style remains in place.

Note: This process also removes the Hidden and Protected property of characters. Accordingly, text that was previously hidden becomes visible, and text that was previously protected can again be edited.


Paragraph formatting

To specify the formats for paragraphs, use the Format > Paragraph command.

Some of the most common paragraph formats include:

Indents

Line spacing

Spacing above/below a paragraph

Paragraph alignment

Hyphenation settings

Character format (of the entire paragraph)

Tab stops

The following additional paragraph formats are available:

Bulleted and numbered lists

Drop caps

Shading

Borders

Outline level

Forced breaks before paragraphs (page breaks, column breaks)

Paragraph control (keeping specified paragraphs together, etc.)

Additionally, you can use non-breaking spaces for keeping two words on the same line

Paragraph formats always apply to complete paragraphs. Changes to paragraph formatting affect the entire paragraph in which the text cursor is positioned. If you select multiple paragraphs, all the selected paragraphs are affected.

Changing the paragraph formatting

You can modify the paragraph formatting in either of the following ways:

To change the formatting of paragraphs after they have been typed, select the paragraphs of interest, invoke Format > Paragraph and make the desired changes.

To change the paragraph formatting while typing new text, set the desired formatting with Format > Paragraph without anything selected. The current paragraph is re-formatted according to your settings. Moreover, from this point on, every new paragraph that you begin by pressing the Enter key ¿ takes on the same new format – until you change the paragraph formatting again.

Paragraph styles (for the advanced user): You will find that paragraph styles can relieve you of a considerable amount of the work involved in formatting paragraphs. With their help you can apply pre-defined formats to paragraphs very quickly. You will find information about this topic in the chapter Styles.

Units of measure: You can enter values in TextMaker’s dialog boxes not only in inches*, but also in other units of measure. To enter a value in specific units, simply add one of the following units of measure after the number:

Unit | Explanation
cm | centimeter
in | inch – 1 in equals 2.54 cm.
pt | point – 72 pt equal 1 in.
pi | pica (character) – 1 pi equals 12 pt.

* The default unit of measure depends on your computer’s region settings.

For example, if you type 7.62 cm as the position for a tab stop, TextMaker puts it at 3 in (= 7.62 cm).


Indents

With the help of indents, you can change the left and right margins of paragraphs to inset or widen text. The indent for the first line of a paragraph can be specified separately.

Indents are always given relative to the page margins. For example, if the left page margin is set at 1 in and you set the Left indent to 1.5 in, the text begins at 2.5 in.

Note: You set the page margins themselves with the help of the File > Page Setup command, not with indents.

To use indents, place the text cursor in the desired paragraph or select multiple paragraphs to be modified. Then, invoke the Format > Paragraph command and switch to the Paragraph property sheet.

In the Indents group box, you can set the Left indent, the Right indent, and the First line indent. Enter the desired values in the respective edit boxes.

You can also enter negative values when, for example, you want to widen the text.

Using the Horizontal ruler

When the horizontal ruler is enabled (View > Horizontal Ruler checked), it provides a convenient alternative for changing indents.

Indents are shown in the ruler as follows:

To change the indents, first select the paragraph(s) you want to modify; then click with the mouse on one of the triangles in the ruler (see illustration above), hold the mouse button down and drag it to the desired position.

When changing the Left indent, be careful to catch hold of the correct triangle: the lower triangle is the one that will affect this indent. Likewise, the upper triangle is only for the First line indent. The rectangular slider under both triangles changes both the Left and First indents together.

Using the keyboard

Indents can also be changed using the following keyboard shortcuts:

Increase Left indent: | Ctrl+M
Decrease Left indent: | Ctrl+Shift+M
Increase hanging indent*: | Ctrl+T
Decrease hanging indent*: | Ctrl+Shift+T

* Increases the Left indent while at the same times decreasing the First line indent. As a result, the first line of the paragraph keeps its position and only the other lines are indented.


Line spacing

Line spacing is the distance between the lines of a paragraph.

To change the line spacing, do the following:

1. Place the text cursor in the paragraph of interest (or select multiple paragraphs to be modified).

2. Invoke the Format > Paragraph command.

3. Switch to the Paragraph property sheet.

You will find the options for line spacing in the Line spacing group box:

4. First, select the method you want to use to specify the line spacing (see below) from the dropdown list box.

5. Then enter the spacing in the edit box to its right.

When you confirm with OK, the line spacing will be changed according to your settings.

Methods of specifying the line spacing

You can specify the line spacing in different ways. The Line spacing dropdown list allows you to choose from the following methods:

Single

Automatic single line spacing.

Determines the optimum line spacing automatically:

If you increase the font size in the paragraph, the line spacing will be increased accordingly.

If you decrease the font size, the line spacing is reduced accordingly.

Multiple

Multiple of automatic single line spacing.

Just like the Single option, this option determines the optimum line spacing automatically. However, whenever required, you can increase or decrease the line spacing easily: Simply enter the desired number of lines into the edit box right of this option.

Some examples:

When you enter “1.5” in the Lines edit box, the automatically determined spacing is multiplied by 1.5 (giving you automatic one and a half line spacing).

When you enter “2”, the automatically determined spacing is multiplied by 2 (giving you automatic double line spacing).

Entering “1” corresponds to choosing the option Single (giving you automatic single line spacing).

Exactly

Fixed line spacing.

If you choose this option, you can enter the exact line spacing manually in points. Here, the line spacing will not be adapted to the font size.

Tip: A rule of thumb for correct line spacing is:

Line spacing = Font size * 1.2

So, for a 10 point font a line spacing of about 12 points is suggested.

At least

Automatic line spacing with a given minimum.

Just like the Single option, this option also provides automatic single line spacing – but prevents any reduction below the specified minimum value.

So, if you enter e.g. 12 points as a minimum value, normally automatic single line spacing is applied. However, if the automatic line spacing becomes smaller than 12 points (for example, because you used a very small font size), a fixed line spacing of 12 points is applied instead.

By default, the line spacing is set to Single.

There are also keyboard shortcuts for the most common settings:

Ctrl+1 Automatic single line spacing (1 line)

Ctrl+5 Automatic one and a half line spacing (1.5 lines)

Ctrl+2 Automatic double line spacing (2 lines)


Spacing above/below a paragraph

Besides the line spacing, you can specify the amount of empty space to be added above the first line and below the last line of a paragraph.

To change these settings, invoke the Format > Paragraph command and switch to the Paragraph property sheet.

In the Paragraph Spacing group box, the following options are available:

Before

Here you can set the amount of spacing to be added between the end of the previous paragraph and the beginning of the current paragraph.

After

Here you can set the amount of spacing that TextMaker should reserve between the end of the current paragraph and the beginning of the next paragraph.

Suppress for paragraphs with the same paragraph style

This option was introduced mainly for compatibility reason with Microsoft Word. Enabling it has the following effects:

If the current paragraph and the previous paragraph utilize the same paragraph style, the spacing Before will not be applied.

If the current paragraph and the next paragraph utilize the same paragraph style, the spacing After will not be applied.

By default, the option is disabled.


Paragraph alignment

The way TextMaker arranges text paragraphs is called paragraph alignment. In TextMaker there are four kinds of paragraph alignment, listed as follows, with their corresponding keyboard shortcuts:

Flush left Ctrl+L

Flush right Ctrl+R

Centered Ctrl+E

Justified Ctrl+J

To modify the paragraph alignment, select the paragraph(s) you want to change and press one of the keyboard shortcuts listed above.

Alternatively, you can invoke the command Format > Paragraph, switch to the Paragraph property sheet, and select the desired paragraph alignment from the Alignment dropdown list.

Using the Formatting toolbar

You can also use the Formatting toolbar to change the alignment. To do so, click on one of the following buttons:

Flush left

Flush right

Centered

Justified

The alignment changes accordingly.

Changing the text direction (for Arabic text)

For text in Arabic script, there’s an additional option named Text direction where you can set the writing direction of the paragraph to right-to-left. See also chapter Working with Arabic text.


Hyphenation

The purpose of hyphenation is to regularize the right margin of text by breaking up long words that occur at the ends of lines.

In TextMaker, hyphenation is completely automatic and takes effect as you type (unless you have turned it off). So, ordinarily you do not need to concern yourself with it at all.

However, you do need to make sure that you have set the language correctly. Naturally, the hyphenator will not produce correct results if you let it separate, for example, Spanish words according to English hyphenation rules.

Setting the default language

Important: For the hyphenator, spell checker, and thesaurus to function correctly, you must set the default language to your language of choice (typically, this will be your native language, unless you have any reason to use a different language).

To set the default language, proceed as follows:

1. Invoke the Tools > Options command.

2. Switch to the Language property sheet.

3. Select the desired language from the Default Language list.

Once you have let TextMaker know which language you use to write your documents, you can safely “forget” hyphenation. It will work automatically in the background.

Formatting text segments in another language

If you ever compose a document wholly or partly in a foreign language, the Format > Character command will be useful to you. You can use it to format segments of text in another language.

When you format a segment of text in another language, hyphenator, spell checker, and thesaurus operate there according to the specified language.

Normally, the whole document is formatted in the Default language; so the default language specified in the Tools > Options dialog is applied to it (see above). If the document contains a segment of foreign language text – for example a citation in Spanish – that segment can be formatted in the appropriate language as follows:

1. Select the text segment that contains foreign language text.

2. Invoke the command Format > Character.

3. Switch to the Font property sheet.

4. Choose the desired language from the Language list.

5. Confirm with OK.

Now, when it comes to this segment of text, the hyphenator will follow Spanish language rules; likewise, the spell checker will refer to the Spanish dictionary.

You can change the language within a document as often as you like; and of course you can format a whole document in a foreign language.

Resetting text to the default language: To reformat a segment of text in the default language, select it and assign the Default language to it with the Format > Character command as described above.

Choosing “no” language: If you format a segment of text as No language, no hyphenation will be performed on it at all. In addition, the spell checker will skip this segment.

You will find additional information about this topic in section Setting the language.

Setting the hyphenation frequency

If desired, you can specify how often the hyphenator should break words – or you can turn hyphenation off. You can do this separately for each paragraph as follows:

First select the paragraphs of interest, then invoke the command Format > Paragraph, switch to the Text flow property sheet, and select the desired setting in the Hyphenation dropdown list.

The following options are available:

Setting | Effect
None | No hyphenation is performed.
Always | Hyphenation is attempted in successive lines without limit. This is the default setting.
Every 2 Lines | Hyphenation is attempted only in every second line.
Every 3 Lines | Hyphenation is attempted only in every third line.

Thus, with None you turn hyphenation completely off for the selected paragraph. With Always, on the other hand, you allow hyphenation to be performed whenever possible on any line of the paragraph.

In some cases, it is not always a good idea to hyphenate at every point possible, and this is where the other two options come in handy. For example, text that is in narrow columns could lead to a broken word at the end of almost every line and consequently, to a reduction of the document’s legibility. Therefore, instead, you may want to use the Every 2 Lines or Every 3 Lines option to direct TextMaker to attempt hyphenation only in every second or third line.

Deactivating hyphenation for a document completely

Apart from the options mentioned above, you can always activate or deactivate hyphenation for the current document completely.

This can be achieved using the Tools > Automatic Hyphenation command.

By default, automatic hyphenation is enabled. This is indicated by a checkmark displayed in front of the Automatic Hyphenation command in the Tools menu. If you invoke this command, the hyphenator will be turned off, and the checkmark disappears. Automatic hyphenation is now completely disabled (for the current document). Hyphens will no longer be inserted automatically, and the existing ones are removed.

If you invoke this command once more, automatic hyphenation will be enabled again.

Note: This setting is a document option. This means that it affects only the current document and its state is saved with the document. Thus, you can decide separately for each document if automatic hyphenations should be performed in it or not.

By the way, the same option is also available in the Tools > Options dialog, on the Language property sheet. Activating or deactivating the Use automatic hyphenation option there is identical to invoking the Tools > Automatic Hyphenation menu command.

Deactivating hyphenation for a word or any other text segment

Besides, you can deactivate hyphenation for a specific text segment (for example, a certain word). To do so, select the desired text segment, invoke the Format > Character command, switch to the Font property sheet, and set the Language option to No language.

Hint: Please note that this will also deactivate the spell-checker in the selected text segment.

Inserting “soft hyphens”

TextMaker’s hyphenation module performs incorrect hyphenations only in very rare cases. If the hyphenator should actually fail to hyphenate a word at the desired position, you can always correct it by inserting a soft hyphen.

To do this, place the text cursor at the position where you want the word to be hyphenated and press the key combination Ctrl+Minus. From now on, TextMaker will hyphenate the word only at this position.

Note: If a word contains multiple syllables, you can insert more than just one soft hyphen (for example, one after each syllable), whenever needed.

Tip: By default, soft hyphens are not displayed in the document. If you want them to become visible, choose Tools > Options, switch to the View property sheet, and enable the option Soft hyphens. This will display all soft hyphens as hyphens with a gray background.

Inserting “non-breaking hyphens”

When a word (or a number) that contains a hyphen is located at the end of a line, TextMaker might use this hyphen to hyphenate the word. In certain cases, this is not desirable.

For example, for the phone number 936386-0, it is not advisable to separate the zero from the rest of the number through hyphenation. The phone number would be more legible if it was not distributed over two lines, but instead moved to the next line as a whole.

If you want to prevent TextMaker from performing hyphenation at a hyphen that a word contains, insert a non-breaking hyphen instead of a regular hyphen. You can do this by pressing the key combination Ctrl+Shift+Minus (minus key).

Non-breaking hyphens look exactly like regular hyphens; however, the hyphenator will never break a word at a non-breaking hyphen.


Character format for entire paragraphs

In the dialog box for the Format > Paragraph command, you will also find a button called Character on the Paragraph property sheet. With the help of this button, you can modify the character formatting (font, text style, etc,) for entire paragraphs. This is especially useful in paragraph styles (see section Paragraph styles).

To change the character formatting of complete paragraphs, select the paragraphs you want to change, invoke Format > Paragraph and click on this button. A dialog box like the one for Format > Character will appear and let you set up the desired character format (see chapter Character formatting).


Tabs

A tab stop is a kind of “jump target” that you can use to position the text cursor at a specific point within a line by inserting a tab. Tabs help you to compose, for example, tabular reports.

To work with tabs, two steps are required:

1. Define the tab stops with the Format > Tabs command. This command is used to specify the positions for which tabs will move the cursor.

2. Now you can use the Tab key to make the text cursor jump from one tab stop to the next – this is called inserting tabs.

Note: Although the tab key on most keyboards is marked with two arrows, the legend Tab is used for representing tabs in this manual to distinguish tabs from the direction keys.

For detailed information on using tabs, see the pages that follow.


Using tabs

By default, tab stops are preset at 0.5 inch intervals. However, these preset tab stops are merely relics from the era of the typewriter, and you are by no means limited to them.

You can define different tab stops for every paragraph of the document.

To set tab stops, proceed as follows:

1. Place the text cursor in the paragraph of interest (or select multiple paragraphs to be modified).

2. Invoke the command Format > Tabs.

3. In the Tabs edit box, enter the desired position relative to the left page margin – thus, “0” corresponds to the left page margin.

4. If desired, select another Alignment and another Tab leader for the tab stop (see the next pages).

5. Don’t forget: Click on the Set button.

6. Set up any additional tab stops you need in the same way before you exit the dialog box with OK.

Once tab stops have been set, you can use the Tab key to insert tabs in the text to move from one tab stop to the next.

Note: You can also use this dialog to enter the Default width for the predefined tab stops mentioned earlier (normally 0.5 inch). However, once you have defined your own tab stops for a given paragraph, the predefined tab stops are ignored.


Tab alignment

Using Format > Tabs, you can specify not only the position for a new tab stop, but also its alignment:

Alignment | Function
Left | A normal tab stop similar to one on a typewriter. The tab stop determines where the following text begins.
Right | Here the text following the tab is aligned flush right. Thus, the tab stop determines where the text ends.
Centered | The text after the tab is centered on the tab position. Thus, the tab stop determines where the middle of the text falls.
Decimal | For formatting columns of numbers. The numbers are positioned in such a way that their decimal separators are vertically aligned.

To change the alignment of an existing tab stop, invoke Format > Tabs. Select one of the tab stops that have been set, change its alignment by selecting a new alignment from the Alignment list and click on Set.


Tab leaders

The space that a tab skips over can be filled with a leader character, if desired, as follows:

None | A tab without a leader
Solid__________ | A tab with underscores as leaders
Dashed---------- | A tab with dashes as leaders
Dots................... | A tab with dots as leaders (used frequently in tables of contents and indices)
Middle dots········· | A tab with middle dots as leaders

To provide an existing tab stop with a leader, invoke Format > Tabs. Select one of the tab stops that have been set, choose the desired leader from the Tab leader list and click on Set.


Deleting and moving tab stops

Tab stops can be modified at any time after they have been defined. For this purpose, select the paragraphs whose tab stops are to be edited, and invoke Format > Tabs.

To remove one of the tab stops, select it from the Tabs list and click the Clear button. To remove all tab stops, use the Clear all button.

It is not possible to move a tab stop to a new position with the Format > Tabs command. You can only can clear the tab stop and then set a new one at the desired position. However, moving tabs is easier with the horizontal ruler, as described in the next section.


Using the horizontal ruler

All the tab stops set for the current paragraph are shown in the horizontal ruler as in the following example:

The horizontal ruler with some flush left tabs set at various positions

With the ruler, tab stops can be set, moved and deleted.

To set tab stops, proceed as follows:

1. Place the text cursor in the paragraph of interest (or select multiple paragraphs to be modified).

2. To choose the desired tab type, click on one of the following icons in the Formatting toolbar:

Flush left tab

Flush right tab (the text ends at the tab position)

Centered tab (the text is centered on the tab position)

Decimal tab (numbers are aligned on the decimal separator)

Alternatively, you can click the icon directly left of the ruler to change the tab type. Each mouse click rotates through the available tab types.

3. Finally, simply click on the ruler on the desired positions to set the tab stops.

If the position of a tab stop does not suit you, you can move it very easily by clicking on it with the mouse and, while holding the mouse button down, dragging it to another position.

To clear a tab stop, drag it downward outside the ruler.


Bulleted lists

Lists in which each item is placed in its own paragraph and set off with a marker, are much easier to read than comma separated lists. The markers used for such lists (typically little boxes, circles, etc.) are called bullets.

Creating bulleted lists is an easy task for TextMaker users: TextMaker can add bullets to paragraphs and automatically inset them with the press of a key.

Alternatively, you can create lists whose elements are numbered rather than bulleted. In this case, the paragraphs are automatically numbered with 1., 2., 3., etc. You will find information about this in chapter Automatic numbering.

Adding bullets

To begin a bulleted list, do the following:

1. Invoke the command Format > Bullets and Numbering.

2. Switch to the Bullets & Simple numbering property sheet.

3. Select the Bullet option in the Type group box.

4. Select the kind of bullet you want by clicking on one of the bullets in the Bullet group box.

5. Confirm with OK.

6. Now type your text. At the end of the paragraph press the Enter key ¿ to start a new paragraph. TextMaker automatically indents the paragraph and adds a bullet.

Naturally, you can also add bullets to paragraphs after they have been typed. To do this, select the text, invoke the command introduced above, and select a bullet.

Removing bullets

To end a list or remove existing bullets, proceed as follows:

1. At the end of the last bulleted paragraph, press the Enter key ¿ to start a new paragraph.

Alternatively: Select the bulleted paragraphs where you want the bullets to be removed.

2. Invoke Format > Bullets and Numbering.

3. Switch to the Bullets & Simple numbering property sheet.

4. Turn bulleting off by selecting the option None in the Type group box.

5. Confirm with OK.

Options

The Bullets & Simple numbering property sheet in the Format > Bullets and Numbering dialog box allows you to make the following settings for bullets:

Type

Here you can specify either a Bullet or Numbering for the paragraph. So, for bullets you select the Bullet option. (For more information about numberings, see the section Simple enumerations.)

If you set the Type to None, any existing bulleting or numbering is removed.

You can transform a bulleted list into a numbered list any time you like by changing the Type to Numbering. Naturally, you can also do the opposite.

Default and Custom

Here you can select the bullet to be used. Predefined bullets are presented in the Default row. The bullets presented in the Custom row can be edited to create user-defined bullets (see below).

Color (default bullets only)

You can select a different color for the bullet from the Color dropdown list. The default colors presented in this list can always be supplemented with colors you compose yourself (see section Document properties, Colors property sheet).

Tip: If you set the color to “Auto”, TextMaker will automatically set the color of the bullet to the color assigned to the paragraph at its right.

Size (default bullets only)

Here you can change the size (in points) of the bullet as required.

Tip: If you select the option “Auto”, TextMaker will automatically set the size of the bullet to the font size specified for the paragraph at its right.

Character button (custom bullets only)

If you have selected a bullet from the Custom row, the two options mentioned above are replaced by a Character button. Click on this button if you want to change the character formatting (font size, color, emphasis, etc.) of the bullet.

Tip: If you do not make any changes to the character format, the bullet will automatically use the character format of the paragraph at its right (except for the font face).

Horizontal position

Specifies how far the text is to be inset to the right to make room for the bullet.

Vertical position

Specifies the vertical position of the bullet on the line. A negative value makes the bullet lower; a positive value makes it higher.

Numbered lists property sheet

This property sheet gives access to an additional option for creating bulleted or numbered paragraphs: numbered lists. Numbered lists can be saved and re-used whenever you need them. In addition, numbered lists can have hierarchical numbering (1., 1.1., 1.1.1. etc.).

You will find information about numbered lists in section Numbered lists.

Using user-defined bullets

If the bullets presented in the dialog described above are not sufficient, you can select from many custom symbols to choose a bullet.

Recall that the dialog box for this command presents two rows of bullet icons: The bullets in the Default row cannot be modified. The bullets in the Custom row, on the contrary, can be swapped at will.

Proceed as follows:

1. In the Custom row, click on the icon that you want to change.

2. Click on the Change button to the right of the row.

3. A character table appears. First, set the Font that you want to use.

Tip for Windows users: The Symbol and Wingdings fonts contain numerous characters that are suitable for bullets.

4. Double click on the character you want to select.

5. The selected character now appears in the row of available Custom bullets. Click on OK to apply it.

Note: Although only six user defined bullets are shown in the dialog box, you are not limited to using only six different bullets. The custom bullets can be redefined as often as you like – even within the same document.


Drop caps

A “drop cap” refers to a large ornamental letter at the beginning of a paragraph.

TextMaker is capable of creating such an ornamental letter automatically from the first letter of a paragraph, and of automatically adjusting the following paragraph text so that it flows smoothly around this first letter.

Note: Drop caps can be used only in paragraphs that have been aligned flush left or justified.

To create a drop cap, do the following:

1. Position the text cursor in the paragraph that is to be ornamented with a drop cap.

2. Invoke the command Format > Drop Caps.

3. From the Drop Caps options, select the type of drop cap you want.

4. Select the desired Font size. If you want the drop cap to be rendered in a font different from the paragraph font, click on the Character button and set the desired character formatting.

5. Change the Margins for the drop cap as required.

As soon as you have confirmed with OK, TextMaker renders the drop cap of the paragraph as you have specified. The content of the paragraph can still be edited as usual.

Removing drop caps

To remove drop caps, again invoke the command Format > Drop Caps and set the Drop Caps option to None.


Shading

With the Format > Shading command you can add a colored and/or patterned background to designated paragraphs in the text.

To do this, select the paragraphs of interest, invoke Format > Shading and then continue as follows:

Adding a shade

To add a shade, click on one of the shades presented in the Shades group box – or enter the desired saturation for the shade in percent in the Shading edit box. Values between 0 (invisible) and 100 (fully saturated) are allowed.

If desired, you can set the color for the shade with the Foreground option.

If you also set the Background to some color other than white, the shade will be a mixture of the foreground and background colors.

Adding a pattern

To add a pattern, click on one of the patterns in the Pattern group box.

You can also select Foreground and Background colors for the pattern.

Removing a shade or pattern

If you want to remove an existing shade or pattern, select None as the Type.

Then confirm with OK.


Borders and lines

With the command Format > Borders you can add border lines at the left, right, top or bottom of paragraphs, and you can create borders that completely surround paragraphs.

To add borders to paragraphs, you do the following:

1. Select the paragraphs to be bordered. If you want to add a border to only a single paragraph, it is only necessary to position the text cursor within it.

2. Invoke the command Format > Borders.

3. Select a Line Style (single or double lines).

4. As required, change the line width at Thickness 1.

With double lines, you can change the width of the inner line with Thickness 1, and the width of the outer line with Thickness 2.

5. If you wish, you can also change the Color for the lines, and additional options (details are given below).

6. Confirm with OK.

This is the way complete borders are added to paragraphs. Read on to learn how to add individual border lines, how to edit existing borders and how to use the other options in this dialog.

Adding individual border lines

As was noted in the introduction, paragraphs can have individual left, right, top or bottom border lines as well as surrounding borders.

To add individual border lines to a paragraph, simply select the lines you want to be applied in the dialog’s Sample field before you set the line style. By default, all lines in the Sample field are selected when you open the dialog. To deselect a line, click on it in the Sample field. When you click it once more, it gets selected again.

Hint: You can deselect all lines at once by clicking into the rectangle between the lines in the Sample field. If you click there once more, all lines get selected again.

After you have selected the lines of interest, choose the desired line style, thickness, etc. Your change will be applied only to the lines that are currently selected in the Sample field.

Changing or removing existing border lines

To change the thickness, style or color of an existing border line, invoke the Format > Borders dialog again. First, select in the Sample field the line or lines you want to modify (as described above). Then, make the desired changes.

To remove lines, choose the option None from the Line style list.

Options

The dialog box for the Format > Borders command presents a number of options that you can set:

Line style

Determines the kind of line to be drawn: None, Single or Double.

Thickness

Determines the width of the line. For double lines, you can change the width of the inner line with Thickness 1 and the width of the outer line with Thickness 2.

Separation

Only for double lines: determines the spacing between the inner and outer lines.

Clearance

Determines the distance from the lines to the text.

Bounds

Determines where the lines should begin and end.

Options available:

Page margins: Lines extend from the left page margin to the right page margin.

Paragraph indents: Lines extend from the paragraph’s left indent to its right indent. This is the default setting.

Text: Lines are the same width as the text they surround.

Color

Here you can change the colors of the lines.

You can use the colors presented, or colors that you compose yourself (see section Document properties, Colors property sheet).

Sample field

Here you can select the individual lines you want to add or change. You select or deselect lines by clicking on them with the mouse.


Outline level

Long documents (manuals, for example) are usually organized and composed on the basis of outlines.

TextMaker provides an Outline view for setting up and editing a document’s outline. Here, you can assign normal text to headers and promote or demote existing headers to different levels in the outline.

Note: Normally, you should not change a header’s outline level manually with the Format > Paragraph command; it is preferable to perform this action using the buttons in the Outline view.

In the rare occasion that you need to change the outline level manually, invoke the Format > Paragraph command, switch to the Paragraph property sheet, and enter the desired level in the Outline level edit box.

You will find detailed information about working with outlines in section Outlines.


Forcing breaks before paragraphs

You can direct TextMaker to always insert a page or column break before the current paragraph. To do this, invoke Format > Paragraph, switch to the Text flow property sheet, and enable the Page break or Column break option.

From this point on, TextMaker will always break the page or column before this paragraph – even if the paragraph is moved to another position in the text.


Paragraph control

The Text flow property sheet in the dialog box for Format > Paragraph also provides options for limiting the way that automatic pagination is handled in order to ensure that pages have the desired appearance.

In the Spacing group box, the following options are available for this:

Keep with next

If this option is enabled, TextMaker is prevented from inserting an automatic page break that would separate the current paragraph from the paragraph following. Instead, TextMaker inserts the break before the current paragraph.

If several paragraphs are selected, these paragraphs and the paragraph that follows next after them are kept together.

Application example: If you enable Keep with next for a header, you can avoid the situation in which a heading would fall at the end of a page, and the text belonging to it would begin on the following page.

Keep together

Enabling this option prevents TextMaker from inserting a page break in the middle of the paragraph. Instead, TextMaker puts the automatic page break before the paragraph, so that all of it falls on the next page.

Avoid widows/orphans

This option prevents paragraphs from being broken in such a way that so-called widows or orphans would result. A widow or orphan is a single line of a paragraph that has been separated by a page break from all the other lines of the paragraph. Widows and orphans are not especially pleasant to the eye and interfere with the reading of a longer document.

If you enable this option, pagination is performed in such a way that a paragraph is not broken where the break would leave fewer than two of its lines on a given page. If a paragraph cannot be broken in this way – for example because it has only two lines – the entire paragraph is placed on the next page.


Non-breaking spaces

In certain cases, it is necessary to keep two words that are separated by a white space character on the same line. TextMaker knows nothing about this, and possibly puts the words on separate lines when it automatically inserts line breaks.

An example: You want all the parts of the expression “USD 29.80” to remain together and unbroken whenever it is printed. You can ensure this by inserting a so-called non-breaking space or protected space between “USD” and “29.80”. To insert such a space, press the key combination Ctrl+Shift+Space instead of the space bar alone.

When printed, the non-breaking space looks exactly like a normal space. It differs only in directing TextMaker to ensure that the designated words are not separated on two lines.


Page formatting

This chapter covers everything related to the formatting of pages in TextMaker. It includes the following sections:

Inserting manual page breaks

If you want to begin a new page before the text has reached the end of the current page, you can always insert a manual page break. Read this section for more details.

Page setup

You can specify the page format of a document with the File > Page Setup command. Here you can set such things as paper size, page orientation (portrait or landscape), and page margins.

Headers and footers

Headers and footers are lines of text that are always printed the same way at the top and bottom respectively on every page of the document. This section describes how to create and edit them.

Master pages

Headers and footers are parts of the so-called master page. On the master page, you can insert all types of object frames – for example an image frame containing a watermark. Objects added on the master page appear on every page of the document.

Dividing a document into chapters

Changes to any of the above options always affect the entire document – unless you divide the document into chapters. Each chapter can have its own page formatting. You should divide the document into chapters when, for example, you need to change the headers and footers or the paper format in the middle of the document. Read this section to learn more about it.


Inserting manual page breaks

Normally, TextMaker fills the pages of a document automatically – from top to bottom. When the text reaches the end of a page, an automatic page break is performed, and the text is continued on the following page. If you want to start a new page before the text has reached the end of the current page, you can always insert a manual page break.

Whenever you want to do this, position the text cursor at the point in the text where the new page is to begin and invoke Insert > Break > Page break. Alternatively, you can use the keyboard shortcut Ctrl+¿.

TextMaker now inserts a forced page break.

When you need to remove a manual page break that you have forced in this manner you can do so by positioning the text cursor at the beginning of the first line following the break and pressing the Backspace key.

Specifying a page break at the beginning of a specific paragraph

You can force an early page break not only with the Insert > Break > Page break command, but also by giving a paragraph the attribute “always begins on a new page here.”

To do the latter, position the text cursor within the paragraph of interest, invoke Format > Paragraph, switch to the Text flow property sheet, and check the Page break option. TextMaker will then always insert a page break before this paragraph – even when you move the paragraph to a different place in the text.


Page setup

You can specify the page format of a document with the File > Page Setup command. Here you can set such things as paper size, page orientation (portrait or landscape), and page margins.

The dialog box for the File > Page Setup command

The settings that can be made are as follows:

Orientation

Here you can specify the Orientation of the document on the printed page: Portrait or Landscape.

Paper

Here you can specify the size of the paper for which the document is to be formatted. The Size dropdown list contains all paper sizes that are supported by the current printer. If you want to specify a size that is not listed, you can do so by manually entering values in the Width and Height fields.

Margins

Lets you enter values for the page margins.

Gutter

A gutter can be added in addition to the page margins. To do so, select the position of the gutter and enter its size.

Paper bins

Available only under Windows: If your printer has multiple paper trays, you can select which one(s) the printer should use. If you don’t want TextMaker to influence tray selection, you should retain the default setting Use printer setting. On the other hand, if you want the first page of your document to be printed on paper from tray 1 and the remaining pages on page from tray 2, for example, you should change the settings accordingly.

Chapter property sheet

This property sheet contains settings related to the chapter format, which is discussed in section Dividing a document into chapters).

Note: Changes of these settings affect the whole document unless you divide the document into chapters. Each chapter can have its own page formatting. You should divide the document into chapters when, for example, you want to change the paper format in the middle of the document (see section Dividing a document into chapters).


Headers and footers

Headers and footers are lines of text that are always printed the same way at the top and bottom respectively on every page of the document.

TextMaker places headers in the top and footers in the bottom page margins. When you change the margins of your document, the positions and sizes of the headers and footers are adjusted automatically.

The following pages present everything you will ever need to know about headers and footers.


Creating and editing headers and footers

To enter a header invoke the Insert > Header command. TextMaker then positions the text cursor in the header frame in the top page margin. Here you can enter and format text as usual.

The header frame is initially only one line high; however, it grows automatically as you type text that extends beyond this single line, or when you begin a new line with the Enter key ¿.

To get back to the normal text from the header frame, simply click anywhere in the normal text with the mouse. If you should later want to edit the header again, you can invoke Insert > Go to Header or click in the header frame with the mouse to return to the header and perform your editing.

The insertion and editing of footers is accomplished in a similar way. A footer is inserted in the bottom page margin with the Insert > Footer command and edited with the Insert > Go to Footer command.

Note: By default, the header and footer apply to the whole document. If you want to use different headers and footers within the same document you must divide the document into chapters. Then headers and footers can be set up for each separate chapter (see section Dividing a document into chapters).

Tip: Using the header and footer toolbar

TextMaker provides a useful aid for editing headers and footers: the Header and Footer toolbar.

The Header and Footer toolbar

This toolbar appears automatically when you position the text cursor in a header or footer, unless it has been disabled. If it is not displayed, invoke the View > Toolbars command and click in the check box for Header and Footer to re-enable it.

The icons in this toolbar represent the following functions (from left to right):

Change the properties of the current header or footer (see section Changing the properties of headers and footers)

Change the page format (invokes the File > Page Setup command)

Insert a header (or go to the existing header)

Insert a footer (or go to the existing footer)

Delete the current header or footer

Insert the page number (as a field)

Insert the page count (as a field)

Insert the date the document was last printed (as a field)

Insert the time the document was last printed (as a field)

Insert other fields (invokes the Insert > Field command)

Go to the previous header or footer

Go to the next header or footer

Switch between header and footer

Exit header or footer (position the text cursor back in the text)

Tip: If you point with the mouse to one of the icons (without clicking), a text box appears, giving the icon’s function.


Inserting the page number, date, etc.

Headers and footers often contain the page number, date, etc. With TextMaker, you can insert this sort of information using what are called fields.

To do this, move the text cursor to the desired position in the header or footer, invoke the Insert > Field command and select the desired field – for example “Page number” or “Print date”. You will find information about the various kinds of fields in chapter Fields.

Tip: There are some buttons in the Header and Footer toolbar for inserting the most frequently used fields (page number, date, etc.). See the previous section.

Example: inserting the page number in a footer

For example, to insert the page number in a footer, proceed as follows:

1. Click in the footer to position the text cursor there.

2. Invoke the Insert > Field command.

3. Select “Page number” from the Field type list.

4. Choose the desired representation of the number from the Format list – e.g. Arabic (1, 2, 3, ...) or Roman (I, II, III, ...).

5. Confirm with OK.

TextMaker now inserts a page number field in the footer.

Controlling page numbering

By default, the first page of every document is assigned the number “1”. However, if necessary you can instruct TextMaker to begin with a different number.

To do this, invoke the Format > Chapter command, change the Page number setting from Increment to Value and enter the desired starting number in the edit box. For example, type “42” to assign the number 42 to the first page.


Changing the properties of headers and footers

By default, TextMaker adjusts the position and size of the frame that contains a header or footer automatically.

Accordingly, when you increase the left or right page margin, TextMaker automatically decreases the width of the header and footer frames to match.

You can modify the properties of the header and footer frames as required, and in this way change their widths or set their distances from the text and page edges.

To do this, proceed as follows:

1. Click with the mouse in the header or footer frame – depending on whether you want to edit the header or the footer.

Alternatively, you can invoke Insert > Go to Header or Insert > Go to Footer, which accomplish the same thing.

2. Invoke the Object > Properties command to bring up the associated dialog.

Tip: This dialog can also be invoked by clicking on the [image] icon in the Header and Footer toolbar.

The following settings can be made in this dialog:

Properties property sheet

The Properties property sheet allows you to edit the following properties of a header or footer frame:

Width

Here you can change the width of the header or footer frame:

Page width: This is the default setting. The frame extends from the left page margin to the right page margin.

Whole page: If you choose this option, the frame will extend over the entire width of the page – from the left edge of the page to the right edge.

Height

Here you can change the height of the frame:

At least: This is the default setting. The height of the frame is adjusted automatically. The more text you enter, the larger the frame becomes. The edit box to the right allows you to enter a minimum height, if desired.

Fixed: If you select this option, you can specify the exact height of the frame yourself. Note: With this setting, TextMaker will display a red bar at the bottom edge of the frame whenever the header or footer text grows too large to be fitted completely in the frame. If this bar appears, you should enter a greater value for the fixed height, select the Growing option, or reduce the amount of text in the frame.

Distance to edge

Here you can specify the amount of space TextMaker should leave between the frame and the (top or bottom) edge of the page.

Distance to text

Here you can specify the amount of space TextMaker should leave between the frame and the normal body text.

Margins

Here you can change the margins inside the frame.

For example, if you set the left inside margin to 0.5 in, all text within the frame will be indented by half an inch with respect to the frame edge.

Borders property sheet

Here you can specify border lines for the frame.

The options on this property sheet correspond to those for the Format > Borders command (see section Borders and lines).

Shades property sheet

Here you can specify a shaded or patterned background for the frame.

The options on this property sheet correspond to those for the Format > Shading command (see section Shading).


Different headers/footers on the first page

The header and footer are parts of the so-called master page (see also section Master pages). By default, the content of the master page is repeated on every page of the document.

If required, you can specify that a different master page should be used for the first page of the document (including a different header and footer). This is useful when, for example, you plan to print the first page of a letter to a pre-printed letterhead and the pages 2 and following to plain white paper.

To achieve this, invoke the Format > Chapter command and activate the option Different first page. From now on, headers and footers on the first page can be edited independently from the rest of the document.


Different headers/footers on left and right pages

In books, different headers and footers are often used on left and right facing pages. For example, on left pages of manuals, the page number is usually flush left in the footer and on right pages it is flush right.

To enable different headers and footers for left and right facing pages, proceed as follows:

1. Invoke the Format > Chapter command.

2. Check the Different left and right pages option.

You will now be able to set up different headers and footers for left and right facing pages.

More precisely: When you set up or edit a header on any left page of the document, the header for the right pages will remain untouched. Likewise, changes to the header on any right page will affect only the right pages.

The same goes, of course, for footers.


Deleting headers and footers

You can remove the text from a header any time you like by clicking in the header frame, selecting all the text and then simply deleting it.

As required, you can also completely remove the header frame itself from the document, even though this is normally not necessary. To do this, proceed as follows:

1. Position the text cursor within the header frame.

2. Click on the [image] icon in the Header and Footer toolbar.

Alternatively, you can right-click on any empty area in the header frame and choose the Delete Header/Footer command from the context menu.

The header frame, together with all its content, is now removed. You can set up a new header frame any time you like with Insert > Header.

The procedure for removing footers is similar.


Master pages

This chapter has already introduced you to headers and footers, which have to be entered only once and then appear on every page. This is a very useful thing; but TextMaker has yet another trick up its sleeve:

The master page likewise appears on every page of the document. However, as its name implies, it is not limited to a few lines at the top and bottom margins, but can cover an entire page.

Please note that only frames are permitted on a master page (thus, for example, text frames, picture frames etc.).

For example, if you wanted to enhance a letter with a “watermark”, you would simply insert a picture frame containing an appropriate picture on the master page and set the Text wrapping property of the picture to “Behind text”. The watermark would then appear on every page of the document, and the text would flow right over it.


Editing the master page

If you want objects to appear on every page of a document or chapter, simply put them on the master page. To do this, switch to the master page view and insert the objects there.

Note: Only frames (text frames, picture frames, etc.) and drawings can be inserted on master pages. You can find information about working with these objects in chapter Frames and drawings.

You edit the master page as follows:

1. Switch to the master page view with View > Master Pages.

2. Make the desired changes. For example, to insert a picture, invoke the Object > New Picture Frame command; to be able to insert text, first insert a text frame with Object > New Text Frame, etc.

3. When you are finished, invoke View > Standard to exit the master page view.

Any object that you have inserted on the master page will now appear on all pages of the document.

By the way: Both the header and the footer are also parts of the master page. Apart from the fact that they are automatically positioned in the top and bottom margins, they behave in principle like a text frame inserted on a master page.

Different master pages in the same document

By default, the master page applies to the whole document. If you want to use different master pages within a single document, the document must be divided into chapters, for each chapter has its own master page. You can read more about this in section Dividing a document into chapters.

There, you will also learn how to set up a master page that applies only to the first page of the document, and how to create different master pages for the left and the right pages of the document.

Hint: In master page view, the type of master page is displayed in the top area of each master page. For example, if TextMaker displays “Chapter 7, right master page” there, the corresponding page is the master page for all right pages in chapter 7.

Locking master page objects in normal view

Optionally, objects that have been inserted on a master page can be “locked” to prevent them from being moved accidentally with the mouse when the document is being edited in normal view.

To lock such objects, invoke the File > Properties command and switch to the View property sheet. Check the Lock objects on master page option in the Locking group box.

Once locked, master page objects can be neither moved nor resized when the document is edited in normal view. They can be modified only in Master Page view.

Note: This setting affects only the current document.


Dividing a document into chapters

By default, the page formatting options described in this chapter always apply to the whole document. Thus, all pages will have the same header and footer, the paper format will remain constant throughout the document, etc.

Chapters provide a way around this limitation. With the Insert > Break > Chapter break command, you can divide a document into as many chapters as you wish.

This has the following effects on the page formatting of the document:

Paper format, orientation and margins can be set separately for each chapter.

Each chapter can have its own master page, and thus its own headers and footers.

The page numbering can be reset (as needed) to any beginning value whatever in each individual chapter.

If you check the Different left and right pages option in the chapter formatting dialog, you can set up different headers, footers and master pages for the chapter’s left and right facing pages.

You can specify that a chapter should always begin on a left or right page. If you specify, for example, a right page, TextMaker will automatically insert an empty page into the document as required to prevent the first page of the chapter from falling on a left page.

To the extent that it provides these possibilities, the division of a document into chapters makes sense in a variety of situations, not only when you are writing a long work that contains “chapters” in the ordinary sense. For example, it could be that you would want to change from portrait to landscape orientation in the middle of a document in order to better accommodate a wide table.

To do that, you could insert a chapter break, set the paper orientation in the new chapter to Landscape and then lay out the table. Following the table, insert another chapter break and set the paper orientation back to Portrait, so that you can continue the writing the main text in portrait format.

You will find details about working with chapters on the following pages.


Inserting and removing chapters

To start a new chapter, simply insert a chapter break in the text:

1. Move the text cursor to the position at which the new chapter should begin.

2. Invoke the Insert > Break > Chapter break command.

TextMaker now inserts a chapter break.

Note: TextMaker always performs a page break at the beginning of a new chapter.

Tip: The chapter in which the text cursor is currently positioned is displayed in the “Chapter” field in the status bar at the bottom of the TextMaker window.

Removing a chapter break

You can remove a chapter break by positioning the text cursor at the beginning of the first paragraph following the break and then pressing the Backspace key. The chapter lying before the break is then integrated into the chapter after the break and takes on the latter’s formatting.


Chapters and page formatting

Note: A different page format can be applied to each chapter of a document.

To recapitulate – a page format includes:

Paper format, orientation and margins

Headers, footers and master pages

Page numbering

When you begin a new document, the document consists initially of a single chapter. Accordingly, if you change something related to page formatting, your change affects the whole document.

If you divide the document into chapters with Insert > Break > Chapter break, each new chapter assumes at first the page formatting of the original document. In general, the following holds:

Important: When you insert a chapter break, the new chapter that is created takes on the page formatting and the master page layout of the current chapter. However, when you subsequently modify the page formatting and master page layout of the new chapter, your changes affect only that chapter.

However, when you have divided a document into chapters, you can set up different headers and footers for each chapter, set a different paper format for each chapter, etc.


Chapter formatting

Chapter formatting goes beyond the page formatting that can be applied to chapters on a chapter-by-chapter basis, and involves formats that are specific to chapters as such.

To modify a chapter’s page formatting, use the commands described in chapter Page formatting.

To modify a chapter’s chapter formatting, proceed as follows:

1. Position the text cursor anywhere within the chapter of interest – or select several chapters to change the format for all of them at the same time. A selection can begin in any paragraph of the first chapter of interest and end in any paragraph in the last chapter.

2. Invoke the Format > Chapter command.

3. Make the desired changes and confirm with OK.

The dialog box for this command allows you to make the following settings:

Master pages

This section provides options related to the master page(s) of a chapter (see also section Master pages).

Different first page: When you check this option, the first page of the chapter will use a different master page. This is useful when you would like to have, for example, a different footer on the first page of the document (or chapter).

Different left and right pages: This option is useful when your document is to be printed double-sided (like a book, for example). When it is checked, different master pages (and thus also different headers and footers) can be set up for left and right facing pages.

Hint: In master page view, the type of master page is displayed in the top area of each master page. For example, if TextMaker displays “Chapter 7, right master page” there, the corresponding page is the master page for all right pages in chapter 7.

Borders and shading of master pages: Here you can change the border and shading of a master page (and thus of all document pages in the chapter). If you click the Change button, a popup menu appears where you can select which type of master page to change. After that, a dialog with options to modify border and shading is displayed.

Chapter starts on

Whenever you insert a chapter break, TextMaker adds a page break. Accordingly, new chapters always begin on new pages.

Now, when you change the setting of Chapter starts on from Either page (the default) to Right page, for example, TextMaker makes sure that the chapter always begins on a right page by automatically adding a blank page as necessary at the end of the previous chapter.

For example, it is customary for every chapter in a printed book to begin on a right page. This allows the reader to page through the book quickly to find the beginning of any chapter of interest.

Chapter number

TextMaker automatically numbers chapters incrementally. You can always see the number of the current chapter in the status bar.

When you change the Chapter number setting from Increment (the default) to Value, you can set the chapter number yourself by entering it in the value field. For example, if you enter “5” as the number for the third chapter, the chapters will have the numerical sequence 1, 2, 5, 6, 7 etc.

Tip: The chapter number can be inserted into the text (for example, in a header or footer) at any time with the Insert > Field command.

Vertical Alignment

Here you can change the vertical alignment of the body text on the page.

For example, when you choose Centered, the text is vertically centered on the page. When you choose Justified, the paragraphs are spaced equally in such a way that the text begins right below the top page margin and ends right above the bottom page margin.

Page number

Automatic page numbering can be modified as well. To modify the page numbering, change the Page number setting from Increment to Value and enter the desired number for the first page of the chapter in the adjacent field.

For example, if you type “42”, the first page of the chapter will be page 42, the second page 43, etc.

You will find additional information about the use of page numbers in section Inserting the page number, date, etc..

Page Setup property sheet

The other property sheet in this dialog can be used to change the page format (paper size, orientation, margins, etc.). More information on each option is available in the section Page setup.

Don’t forget that you can specify a different page format for each separate chapter. So, if you have divided a document into several chapters and you want to change the page formatting for the whole document, you must first select the entire document.


Navigating among chapters

You can page to a specific chapter with the Edit > Go to command. To do this, invoke the command, choose the Chapter option in the Go to list and then select the desired chapter.


Styles

Styles are very useful aides for advanced word processing users.

When you need a specific character or paragraph format frequently, it pays to create a style for it. You can then apply the style to any segment of text you like, and this text will be formatted as you have specified in the style definition.

And: Using styles not only saves you time when you have to apply the same formatting repeatedly, but also ensures that your document will be formatted consistently. The reason: if you change the definition of a style, the formats of all text segments to which this style has been applied are changed accordingly!

In practical terms, styles work like this: You set up a paragraph style named “Headings”, choosing for it a larger, bold type, a centered alignment, etc. Now, whenever you want to make a paragraph into a heading, all you have to do is select this style for it and it will be formatted accordingly.

You can define different styles for each document – they are saved in the document.

In this chapter, you will find detailed information on using styles. The following topics are covered:

Character styles

In a character style, you can save a frequently needed character format (typeface, size, emphasis, etc.) and apply it repeatedly to any characters you like.

Use the Format > Character Style command for this.

Paragraph styles

In a paragraph style, you can save a frequently needed paragraph format (indentation, tab stops, alignment, etc.) and apply it repeatedly to any paragraph you like.

Use the Format > Paragraph Style command for this.

Managing styles

FreeOffice: This feature is not included in SoftMaker FreeOffice.

TextMaker’s integrated style manager allows you to manage the styles of documents. For example, you can copy styles from one document to another.

Use the Format > Manage Styles command for this.

Document templates

Styles that you want to use frequently can be stored in a document template.

Whenever you create a new document, TextMaker lets you select the document template to be used as the basis for the document. All styles stored in the document will also be available in your new document.

For details, read the pages that follow.


Character styles

You can save a frequently needed character format (typeface, size, emphasis, etc.) in a character style and apply it repeatedly to any characters you like.

For example, if you want some sections of a contract to be formatted in a special typeface and in a smaller size, simply create an appropriate character style – let’s call it “Fine print” – and apply the style to those sections.

Note: The difference between character styles and paragraph styles (see section Paragraph styles) is that character styles contain only saved character formats, while paragraph styles contain both saved character formats and saved paragraph formats (indentation, tab stops, alignment, etc.).

Accordingly, character styles are applicable to individual characters, while paragraph styles are applicable only to complete paragraphs.

On the next pages, you will find detailed information on working with character styles. The following topics are covered:

Creating character styles

Applying character styles

Modifying character styles

The scope of character styles

The character style Normal

Creating linked character styles

Character styles and the sidebar


Creating character styles

To create a new character style, do the following:

1. Invoke Format > Character Style.

2. Click on the New button.

3. Give the character style any name you like, and click on OK.

4. A dialog box, very much like the dialog for Format > Character, appears. Here, you can specify the desired character formatting (see section Character formatting).

5. If you will need this style frequently, you can assign a keyboard shortcut to it (see below).

6. When all the desired settings have been made, click on OK to define the style.

7. Exit the dialog with Close.

The style is now defined and ready for use. You will learn how to use it in a moment (section Applying character styles).

Creating character styles from existing text

Alternatively, you can format some text first and then create a character style that uses exactly the same formatting options. For this purpose, use the New from text button instead of the New button.

This method is useful when you have formatted text “by hand” and want to have a character style that has exactly the same formattings.

Proceed as follows:

1. Set up the character format (font face, font size, etc.) of any text segment to your liking.

2. Place the caret inside that text (or select it; either will do).

3. As described above, use the Format > Character Style command to create a new character style. However, in this case use the New from text button rather than the New button.

A character style created this way will behave like any other character style. The only difference is that its original character format is based on the selected text. (Of course you can still change the style’s formatting options whenever you like, independently from the text.)

Using keyboard shortcuts

If you need a format style very frequently, you can give it a keyboard shortcut. The advantage of doing that is that you can then apply the style very quickly, using a single key press.

To assign a keyboard shortcut to a style, switch to the Style property sheet in the dialog for editing the style. There, position the text cursor in the Shortcut key edit box and press the desired key combination.

Note: If you press a key combination that is already assigned, the current assignment is displayed below the Shortcut key edit box. In that case, you should press the Backspace key to delete this key combination and then enter another one. Otherwise, you will overwrite the assignment for another style, or even for one of TextMaker’s commands.

We recommend using key combinations that include the keys Ctrl and Shift, since these are normally not assigned.


Applying character styles

To apply a character style, do the following:

1. Select the segment of text to which you want to apply the style.

2. Invoke Format > Character Style.

3. Choose the desired style.

Hint: In the right half of the dialog, a preview of the currently selected style is presented. If the preview is not displayed, click on the >> button in the bottom right corner of the dialog. (This feature is not included in SoftMaker FreeOffice.)

4. Click on Apply.

The formatting of the selected text changes to correspond to the specifications for the character style.

Tip 1: You can also select character styles from the font list in the Formatting toolbar.

Tip 2: If you have assigned a keyboard shortcut to the format style you can apply the style even more quickly: Select the text to which you want to apply it and press the assigned key combination.

Tip 3: Additionally, you can use the sidebar to apply styles – and even modify them (see section Character styles and the sidebar).

To remove a style, apply the “Normal” character style to the text. Keep in mind that text to which a character style has been applied can always be given additional formatting with Format > Character.


Modifying character styles

It goes without saying that you can modify character styles whenever you want.

Important: When a character style is changed, the formatting of all text segments to which this style has been applied is automatically changed accordingly! However, this automatic reformatting is limited for any such text segments to which manual character formatting has also been applied (see next section).

To edit a character style, proceed as follows:

1. Invoke Format > Character Style.

2. Select the style to be changed from the list.

3. Click on Edit.

4. Make the desired changes in the style.

5. Click on OK.

6. Exit the dialog box with Close.

Your modifications to the style are now effective.

Choosing which styles to show in the list

By default, the dialog mentioned above lists only styles that are in use or have been modified by the user. If you want it to display all styles available, choose All styles in the Show option. This will display all predefined styles as well.

Updating a style to match existing text

The Update from text button in the dialog can be used to update a style to match the currently selected text. As a result, the chosen style will be changed in a way that it uses exactly the same formatting options as that text.

Proceed as follows:

1. Set up the character format (font face, font size, etc.) of any text segment to your liking.

2. Place the caret inside that text (or select it; either will do).

3. Invoke Format > Character Style.

4. Select the style to be changed from the list.

5. Click on Update from text.

The style will “forget” its previous settings and adopt the formatting options of the specified text. (Of course you can still change the style’s formatting options whenever you like, independently from the text.)

Deleting or renaming styles

To delete a style in the current document, select it in the dialog and then click on the Delete button. To give a style a new name, click on Rename and type the new name.

Note: The Delete button is not available for predefined styles.

To delete or rename styles in a document template, open the document template, make the changes there and save the template.

Resetting styles

If you select a predefined style that has been modified, the Delete button in the dialog is replaced by a Reset button. Click this button when you want to reset the style to its default settings.


The scope of character styles

You changed a character style, but the formatting of some of the text segments to which this style had been applied didn’t change accordingly? This happens when those segments had been reformatted manually. An example:

Let’s assume that you define a style with the Arial font and apply it. If you subsequently change the style’s font to Times New Roman, all the text segments that are formatted in this style are reformatted accordingly.

But: If you had selected a completely different font for one of these text segments with Format > Character or the Formatting toolbar, any changes you make to the character style thereafter will no longer be applicable to this text segment. That is to say, manually applied character formats take precedence over styles.

If you want to “free” such a text segment of its manual formatting, invoke Format > Standard. The formatting specified for the applied character style will then be restored to the segment.


The character style Normal

A character style named “Normal” is present by default in every document and has a special significance. It is the standard style for the text. When you start typing text in a new document, the text is automatically assigned the “Normal” style, unless and until you select another style, which becomes effective from the current position.

If you change the “Normal” style, for example by specifying a new typeface for it, the new typeface is applied to the entire existing text (to the extent that no special typeface has been assigned to it with Format > Character). Moreover, it is applied to any text you enter subsequently, for by changing the “Normal” style in this way you are changing the standard typeface.


Creating linked character styles

When you create new character styles, as described at the beginning of this section, they are always based on the character style called “Normal”. Accordingly, if you change the “Normal” style, for example by selecting a different typeface for it, all the character styles based on it are changed as well (except for those styles where you have explicitly specified a different typeface).

So: By default, all character styles are linked to the “Normal” style. However, when you create a new style, you can specify another character style as the basis for it in Based on.

To create a character style and base it on a specific style other than “Normal”, do the following:

1. Invoke Format > Character Style.

2. Click on the New button.

3. Give the style a name.

4. Switch to the Style property sheet.

5. Now comes the distinctive step: In Based on, select the style to which the new style is to be linked.

6. Now you can enter the desired formatting, etc.

An application example:

Let’s assume that you want to use a bolded strong-featured font for the headings in your doctoral thesis. But you also want the headings to be in different sizes to reflect their hierarchical relationships.

To accomplish this, you would proceed as follows:

1. First, create a character style called “Headings1” for the highest level headings. At this point, select the special typeface you want, specify 24 points for the size, and enable bold.

2. Next, add a style called “Headings2”, select the “Headings1” style in Based on and specify 18 points for the size.

3. A character style called “Headings3”, based on “Headings2” and with 14 point type, can follow for the next lower level, etc.

Benefit: If it should occur to you later that a different font is better suited for the headings, you can reformat all the headings with the styles “Headings1” through “Headings3” in this font merely by changing the font specification for the “Headings1” character style. If you had based the heading styles on “normal”, you would have had to change the font specification for each style separately.

Relative font sizes

When you base one style on another, you can, if you wish, specify the font size in a relative manner. For example, you can specify that the font size for style X should always be 80% of the font size for style Y.

You can do this as follows:

1. Invoke Format > Character Style.

2. Select a style and click on Edit.

3. Switch to the Style property sheet.

4. Enable the Scale option.

5. Enter the desired factor as a percentage – for example 80.

6. Confirm with OK.

The font size for a style edited in this manner will always be 80% of the size specified for the style on which it is based.


Character styles and the sidebar

On the previous pages, you have learned how to create, apply, and modify character styles. Alternatively, you can perform these tasks with the help of another very useful tool in TextMaker: the sidebar.

The sidebar can, amongst other things, display a list of all character styles available. To format text in a specific style, simply select the text and then double-click on the character style in the sidebar.

Apart from that, you can also use the sidebar for editing and managing character styles. All you have to do is enable the sidebar and activate its character styles function. This can be achieved as follows:

1. If the sidebar is not displayed, enable it (e.g. by invoking the command View > Sidebar > Show at Right).

2. In the little toolbar displayed at the top of the sidebar, click on the [image] icon. This will switch to the character styles function of the sidebar.

The sidebar now displays all character styles available in the document, allowing you to perform the following actions:

Applying a character style

First, select the characters to be formatted in your document. Then, double-click on the desired style in the sidebar.

(Alternatively, select the style with a single click and then click on the Apply button at the bottom of the sidebar.)

Editing a character style

In the sidebar, select the style of interest with a single mouse-click. Then, click on the Edit button at the bottom of the sidebar.

Managing character styles

In the sidebar, select the style of interest with a single mouse-click. Then, click on the Organize button at the bottom of the sidebar.

A little menu with commands for managing styles pops up, allowing you to create styles, delete styles, rename styles, etc. Detailed information on each of these commands can be found in the section Character styles.

Hint: You can open this menu faster by right-clicking on a style in the sidebar.

Creating a new character style

In the sidebar, right-click on the style on which the new style should be based on. The menu mentioned above pops up. There, choose the New... command.


Paragraph styles

You can save a frequently needed paragraph format (indentation, tab stops, alignment, etc.) in a paragraph style and apply it repeatedly to any paragraph you like.

For example, if you want the headings in your document to be in large bold type and centered, simply create a paragraph style called “Heading” and apply it to the desired paragraphs.

Note: The difference between character styles (see section Character styles) and paragraph styles is that character styles contain only saved character formatting (typeface, text styling, etc.), while paragraph styles contain both character formatting and paragraph formatting.

Moreover, character styles are applicable to individual characters, while paragraph styles are applicable only to complete paragraphs.

On the next pages, you will find detailed information on working with paragraph styles. The following topics are covered:

Creating paragraph styles

Applying paragraph styles

Modifying paragraph styles

The scope of paragraph styles

The paragraph style Normal

Creating linked paragraph styles

Paragraph styles and the sidebar


Creating paragraph styles

To create a new paragraph style, do as follows:

1. Invoke Format > Paragraph Style.

2. Click on the New button.

3. Give the paragraph style whatever name you like.

4. A dialog box much like the Format > Paragraph dialog appears. Here, you can specify the desired paragraph formatting (see section Paragraph formatting).

5. Tip: If you will need the paragraph style frequently, you can assign a keyboard shortcut to it (see below).

6. When you have made all desired settings, click on OK to define the style.

7. Exit the dialog box with Close.

The style is now defined and ready for use. You will learn in a moment how to use it (section Applying paragraph styles).

Creating a new paragraph style from selected text

Alternatively, you can format some text first and then create a paragraph style that uses exactly the same formatting options. For this purpose, use the New from text button instead of the New button.

This method is useful when you have formatted paragraphs “by hand” and want to have a paragraph style that has exactly the same formattings.

Proceed as follows:

1. Set up the paragraph format (indents, line spacing, alignment, etc.) of one or more paragraphs to your liking.

2. Place the caret inside one of these paragraphs (or select the paragraphs; either will do).

3. As described above, use the Format > Paragraph Style command to create a new paragraph style. However, in this case use the New from text button rather than the New button.

A paragraph style created this way will behave like any other paragraph style. The only difference is that its original paragraph format is based on the selected text. Of course you can change its formatting options anytime.

The “Next Style” option – or: Which style should be applied to the next paragraph?

Whenever you close a paragraph by pressing the Enter key ¿, that paragraph’s style is automatically carried over to the next paragraph.

This is the normal case; however, it is sometimes inconvenient. For example, headings usually consist of just a single line followed by normal text, and when you have typed a heading, you usually want to revert to the “Normal” style.

Therefore, for every paragraph style you can specify the style to be applied to the next paragraph once the current paragraph is closed by pressing ¿. To do this, switch to the Style property sheet in the dialog for editing the style. There, select the desired following style in the Next Style option – according to our example it would be the “Normal” style.

Using keyboard shortcuts

If you need a format style very frequently, you can give it a keyboard shortcut. The advantage of doing that is that you can then apply the style very quickly, using a single key press.

To assign a keyboard shortcut to a style, switch to the Style property sheet in the dialog for editing the style. There, position the text cursor in the Shortcut key edit box and press the desired key combination.

Note: If you press a key combination that is already assigned, the current assignment is displayed below the Shortcut key edit box. In that case, you should press the Backspace key to delete this key combination and then enter another one. Otherwise, you will overwrite the assignment for another style, or even for one of TextMaker’s commands.

We recommend using key combinations that include the keys Ctrl and Shift, since these are normally not assigned.


Applying paragraph styles

To apply a paragraph style, do the following:

1. Place the text cursor in the paragraph of interest (or select multiple paragraphs to be modified).

2. Invoke Format > Paragraph Style.

3. Select the desired style.

Hint: In the right half of the dialog, a preview of the currently selected style is presented. If the preview is not displayed, click on the >> button in the bottom right corner of the dialog. (This feature is not included in SoftMaker FreeOffice.)

4. Click on Apply.

The formatting of the selected paragraphs changes to the formatting specified for the paragraph style.

Tip 1: You can also select paragraph styles from the list box displayed at the far left in the Formatting toolbar.

Tip 2: If you assigned a keyboard shortcut to the format style, you can apply styles even faster: simply press the assigned key combination.

Tip 3: Additionally, you can use the sidebar to apply styles – and even modify them (see section Paragraph styles and the sidebar).


Modifying paragraph styles

Naturally, you can modify paragraph styles whenever you like.

Important: Changing a paragraph style automatically changes the formatting of all paragraphs to which that style is applied! However, this automatic reformatting is limited for any paragraphs to which manual paragraph formatting has also been applied (see the next section).

To edit a paragraph style, proceed as follows:

1. Invoke Format > Paragraph Style.

2. Select the style to be modified from the list.

3. Click on Edit.

4. Make the desired changes in the style.

5. Click on OK.

6. Exit the dialog box with Close.

The style is modified according to your edits.

Choosing which styles to show in the list

By default, the dialog mentioned above lists only styles that are in use or have been modified by the user. If you want it to display all styles available, choose All styles in the Show option. This will display all predefined styles as well.

Updating a style to match existing text

The Update from text button in the dialog can be used to update a style to match the currently selected text. As a result, the chosen style will be changed in a way that it uses exactly the same formatting options as that text.

Proceed as follows:

1. Set up the paragraph format (indents, line spacing, alignment, etc.) of one or more paragraphs to your liking.

2. Place the caret inside one of these paragraphs (or select the paragraphs; either will do).

3. Invoke Format > Paragraph Style.

4. Select the style to be changed from the list.

5. Click on Update from text.

The style will “forget” its previous settings and adopt the formatting options of the specified text. (Of course you can still change the style’s formatting options whenever you like, independently from the text.)

Deleting or renaming styles

To delete a style in the current document, select it in the dialog and then click on the Delete button. To give a style a new name, click on Rename and type the new name.

Note: The Delete button is not available for predefined styles.

To delete or rename styles in a document template, open the document template, make the changes there and save the template.

Resetting styles

If you select a predefined style that has been modified, the Delete button in the dialog is replaced by a Reset button. Click this button when you want to reset the style to its default settings.


The scope of paragraph styles

You changed a paragraph style, but the formatting of some of the paragraphs to which this style had been applied didn’t change accordingly? This happens when those paragraphs had been reformatted manually. An example:

Let’s assume that you define a style specifying the paragraph alignment to be centered. If you subsequently change the style’s alignment to flush right, all the paragraphs to which this style is applied are reformatted accordingly.

But: If you had selected a different alignment for one of these paragraphs with Format > Paragraph or the Formatting toolbar, any changes you make to the paragraph style thereafter will no longer be applicable to this paragraph. That is to say, manually applied paragraph formats take precedence over styles.

If you want to “free” such a paragraph of its manual formatting, simply select it and reapply the original paragraph style using Format > Paragraph Style. The format of the paragraph will revert to that specified in the style, and subsequent changes to the style will be effective on the paragraph.


The paragraph style Normal

A paragraph style called “Normal” is present by default in every document. It has a special significance: it is the standard style of paragraph formatting for the document. When you start typing text in a new document, the “Normal” style is automatically assigned to the text, unless and until you select a different style, which becomes effective from the current position.

If you change the “Normal” style, for example by specifying a new line spacing for it, every paragraph in the document is reformatted accordingly (excepting those paragraphs formatted with a different line spacing using Format > Paragraph). Moreover, paragraphs you enter subsequently will have this new line spacing.


Creating linked paragraph styles

When you create new paragraph styles, as described at the beginning of this section, they are always based on the paragraph style called “Normal”. Accordingly, if you change the “Normal” style, for example by selecting a different line spacing for it, all the paragraph styles based on it are changed as well (except for those styles where you have explicitly specified a different line spacing).

So: By default, all paragraph styles are linked to the “Normal” style. However, when you create a new style, you can specify another paragraph style as the basis for it in Based on.

To create a paragraph style and base it on a specific style other than “Normal”, do the following:

1. Invoke Format > Paragraph Style.

2. Click on the New button.

3. Give the style a name.

4. Switch to the Style property sheet.

5. Now comes the distinctive step: In Based on, select the style to which the new style is to be linked.

6. Now you can enter the desired formatting, etc.

The print version of this manual serves as example of the use of linked paragraph styles. Here, the paragraph styles for all heading levels are based on a single paragraph style that specifies, among other things, an increased spacing from the preceding paragraph.

When we reviewed the printed proofs, we determined that the spacing we had chosen was too small. To correct the problem, all we had to do was increase it in that one underlying style; immediately, the spacing of all the headings grew. Had we based the header styles on “Normal”, we would have had to change each of these styles separately.


Paragraph styles and the sidebar

On the previous pages, you have learned how to create, apply, and modify paragraph styles. Alternatively, you can perform these tasks with the help of another very useful tool in TextMaker: the sidebar.

The sidebar can, amongst other things, display a list of all paragraph styles available. To format a paragraph in a specific style, simply place the cursor inside it and then double-click on the paragraph style in the sidebar.

Apart from that, you can also use the sidebar for editing and managing paragraph styles. All you have to do is enable the sidebar and activate its paragraph styles function. This can be achieved as follows:

1. If the sidebar is not displayed, enable it (e.g. by invoking the command View > Sidebar > Show at Right).

2. In the little toolbar displayed at the top of the sidebar, click on the [image] icon. This will switch to the paragraph styles function of the sidebar.

The sidebar now displays all paragraph styles available in the document, allowing you to perform the following actions:

Applying a paragraph style

First, place the cursor in the paragraph of interest (or select multiple paragraphs). Then, double-click on the desired style in the sidebar.

(Alternatively, select the style with a single click and then click on the Apply button at the bottom of the sidebar.)

Editing a paragraph style

In the sidebar, select the style of interest with a single mouse-click. Then, click on the Edit button at the bottom of the sidebar.

Managing paragraph styles

In the sidebar, select the style of interest with a single mouse-click. Then, click on the Organize button at the bottom of the sidebar.

A little menu with commands for managing styles pops up, allowing you to create styles, delete styles, rename styles, etc. Detailed information on each of these commands can be found in the section Paragraph styles.

Hint: You can open this menu faster by right-clicking on a style in the sidebar.

Creating a new paragraph style

In the sidebar, right-click on the style on which the new style should be based on. The menu mentioned above pops up. There, choose the New... command.


Managing styles

FreeOffice: This feature is not included in SoftMaker FreeOffice.

TextMaker’s integrated style manager allows you to manage the character styles and paragraph styles of documents. Its main purpose is to copy styles from one document to another.

To open the style manager, choose the Format > Manage Styles command.

By default, the left list displays the styles of the current document, while the right list is empty.

To operate the style manager, use the provided controls as follows:

Left list

In the left list, all paragraph styles and character styles of the current document are displayed. Select one or more styles in the list and click on one of the buttons described below to perform the desired action. To select multiple styles, press and hold the Ctrl key and click each entry that you want to select.

If you would like to open a different document in the list, click the Open button and select the desired file.

Right list

The right list can be used to open a second document, allowing you to copy styles between two documents. To open a second document, use the Open button located below the right list.

>> and << buttons

The two buttons labeled with >> and << can be used to copy styles between the two documents opened in the dialog.

First select one or more styles in either list. Then, click on the >> button to copy styles from the left list to the right list, or click the << button to copy from the right list to the left.

If you try to copy a style that already exists in the target document, TextMaker first asks you for permission to overwrite it.

Rename button

To rename a style, select it, click the Rename button and enter the new name.

Note: The default style named “Normal” cannot be renamed.

Delete button

To delete styles, select them and click the Delete button.

Note: The default style named “Normal” cannot be deleted.

Close button

Use this button to close the style manager.


Document templates

As you learned from the previous sections, character and paragraph styles are saved in the document in which they were created. If you want to use certain styles in future documents as well, you should save them in a document template.

Each time you invoke File > New, TextMaker allows you to select a document template as the basis for the new document. If, at this point, you select a document template that you have created, all character and paragraph styles that you stored in the template will become available to you in the new document.

Document templates can also include text – for example a letterhead. So, you can kill two birds with one stone: set up a document template with your letterhead and your favorite styles for letters, create another template for faxes, another for business reports, and so forth.

Templates linked to a database

It gets even better: You can attach a database to a document template and then insert database fields into it. Then, when you create a new document on the basis of this template, the TextMaker database appears automatically, allowing you to select a record and insert its fields into your letterhead, your fax form, etc.

Creating a letter becomes child’s play: invoke File > New, choose the letter template, select the addressee – and the letterhead is completely filled out and ready.

Tip: TextMaker comes with numerous prepared document templates for letters, faxes, etc. Try them out sometime – simply invoke File > New and select a template from one of the sub-folders.

You will find more information about this topic in section Importing individual addresses.

For general information on working with document templates, see the next pages.


Creating document templates

To create a new document template, proceed as follows:

1. Start a new document or open a document or document template that you want to use as a basis for the new template.

2. If the document template is to contain text, enter the desired text.

3. Make any desired changes to the character and paragraph styles.

4. If you like, you can even make changes to options in the File > Page Setup and the File > Properties dialog. All of these settings will also be stored in the document template.

5. Invoke File > Save as.

6. Select the entry Template from the Save as Type list box.

7. At this point, TextMaker switches automatically to the folder where document templates are kept.

8. Type a name for the template in the File name edit box.

9. Confirm with OK.

Organizing templates in several folders: You can use the New Folder button at any time to set up a new folder under the Templates folder, then switch to the new folder and save the template there. In this way, templates can be stored in separate folders according to application. For example, the document templates supplied with TextMaker are organized under folders named Fax, Letter, etc.


Applying document templates

To make use of a document template, simply begin a new document with File > New. TextMaker automatically asks you what template you want to use as a basis for the new document.

So, you do the following:

1. Invoke File > New.

2. A dialog appears, allowing you to select the desired document template from a list.

You will see both templates and folders in the list. The folders can be opened by double clicking on them. They contain prepared document templates for writing letters, faxes, etc.

3. Select a document template.

Hint: In the right half of the dialog, a preview of the currently selected template is presented. If the preview is not displayed, click on the >> button in the bottom right corner of the dialog. (This feature is not included in SoftMaker FreeOffice.)

4. Confirm by clicking on OK.

A new document is now set up from this template and all the character and paragraph styles saved in the template become available to you. Additionally, all settings made in the File > Page Setup and the File > Properties dialogs are also inherited from the document template.

And: If the template also contains text, this text is displayed in the new document and can be edited just like normal text.

Tip: TextMaker is distributed with various prepared document templates. These contain complete letterheads, fax forms, etc. and are linked with the address database tmw.dbf. They can lighten your daily writing load considerably – read about this in section Importing individual addresses!


Modifying document templates

Modifying a document template is no different from editing a normal document. You open the template, make your changes and save the template.

Important: Naturally, when you modify a document template, your modifications will affect all documents that are subsequently created on the basis of this template.

To modify a document template, proceed as follows:

1. Invoke File > Open.

2. Select the entry Template from the Files of type list box.

3. Find the template to be modified and confirm with OK.

4. Make the desired changes in the text or in the character and paragraph styles.

5. Invoke File > Save to save the modified template.

Of course, you could also save the template under another name, using File > Save as, if you did not want to overwrite the original.


The document template Normal.tmv

The document template normal.tmv has a special significance: it is the default template for new documents. It contains no text, and only the default “Normal” character and paragraph styles, along with some styles for headings.

Accordingly, the Normal.tmv template is a suitable basis for creating a completely new template, starting from scratch.

Important: As a rule, you should not modify the default template Normal.tmv. Nevertheless, if you want to do this, you ought to be aware that it contains the default values for page, paragraph and character formatting, as well as many additional defaults. Any modification will affect all documents that you subsequently create new on the basis of the default template Normal.tmv.

If you want to change a default format (for example, the typeface) so that the format will be applied by default to all documents that you create in the future on the basis of the Normal.tmv template, open the template, make the change – in this case to the character formatting for the “Normal” paragraph style – and save the template.

You can also choose a template other than Normal.tmv to be the default for new files. To do this, invoke File > New, select the desired template, and click on Set Default. From now on, TextMaker will always offer this template as the default when you create a new document.


Multi-column page layouts

In TextMaker it is possible to lay out text in multiple columns. Within a document, you can change the number of columns as often as you like.

Entering text in a section of the document that has multiple columns is not much different than entering text in a single column section. The one difference: when you reach the end of the first column, your text is not continued on a new page; instead, it is continued in the next column on the same page. In other words: a column break is automatically inserted. A page break is inserted only when you continue typing past the end of the last column.

Manual column break: You can direct TextMaker to break a column above the point at which it would insert a break automatically by manually invoking the Insert > Break > Column break command at the desired place. TextMaker then breaks the column immediately.

Detailed information about setting up multi-column text is given on the following pages.


Changing the number of columns

To reformat a section of single column text in e.g. three columns, all you have to do is select the text and change the number of columns with the Format > Section command.

To do this, proceed as follows:

1. Select the text you want to reformat.

2. Invoke Format > Section.

3. Important: Make sure Selected text is selected in the Apply to list box.

4. Enter the desired number of columns in the Number field.

5. TextMaker determines the optimum column widths automatically. However, you can specify manually both the column width and the spacing between columns in the Columns group box if you need to do so (see below).

6. Confirm with OK.

The selected text is now formatted in the specified number of columns.

If you want to convert multi-columned text back to single-columned text, follow the procedure described above, but enter “1” for the number of columns.

The dialog box for the Format > Section command also contains the following options:

Columns property sheet

You specify the number of columns and their format on the Columns property sheet:

Presets group box

Here you can select one of several pre-defined column layouts by clicking on it with the mouse.

Columns group box

Lets you specify the number, width and spacing of columns.

Enter the desired number of columns at Number.

Specify the width and spacing of the columns at Width and Spacing respectively. If Equal column width is checked, all columns will have the same width and spacing. If this option is unchecked, you can specify a different width and spacing for each column.

Height

Let you specify the height of the columns:

Auto: When you select this setting, TextMaker automatically adjusts the height of the columns based on the length of the text, so the text is fitted into columns of equal height.

Page height: With this setting, the column height is set equal to the page height – independently of text length.

Fixed height: When you select this setting, you can specify a fixed column height.

Page break

If this option is checked, TextMaker inserts a page break at the beginning of the multi-column section.

Restart auto numbers

This option is does not affect the column layout but auto numbers. If it is checked, the “Auto number” field is reset to one in the current section. You will find information about the use of auto numbers in section Numbering with Auto numbers.

Text direction

For text in Arabic script, you can change the writing direction of a multi-column text section with this option. When you set the direction to right-to-left, the column on the very right becomes the first column (instead of the column at the very left). See also chapter Working with Arabic text.

Margins button

Here you can specify the margins of the section, allowing you to change, for example, the amount of blank space TextMaker should insert above and below the section.

Gutter line button

With the help of the Gutter line button, you can direct TextMaker to display vertical lines between the columns of multi-column text.

When you click it, a dialog appears, allowing you to select the desired line style, thickness, etc.

If you want to remove gutter lines, simply select None as the Line style.

Apply to:

Determines what parts of the document will be affected by the settings you make in this dialog:

Whole document: the entire document.

This point forward: that part of the document beginning at the current position of the text cursor and ending at the end of the document.

Selected text: the text segment currently selected in the document.

Current section: the current section. A section is a segment of text with a uniform number of columns (see also the next section).

Selected sections: all sections included in the current selection.

To end of section: the segment of text beginning at the current position of the text cursor and ending at the end of the current section.

Line numbers property sheet

The options on the Line numbers property sheet do not affect the column layout. Rather, they allow you to direct TextMaker to number the lines of your text and add the line numbers in the left margin. You will find additional information about this in section Adding line numbers.


What are sections?

The term “section” has been used several times in this chapter. But what are sections? Simply put, a section is a segment of text that has a uniform columnar layout.

An example: You have selected a segment of text in the middle of a single-column document and formatted it as double-column text.

By doing this, you have created three sections: a single-column section at the beginning of the document, a double-column section in the middle, and another single-column section at the end.

If you decide you want the middle section to be formatted in three columns instead of two, you can reformat it simply by moving the text cursor to a position anywhere within the middle section and then invoking Format > Section. Under Apply to, select Current section; then change the number of columns to 3. The double-column section is then reformatted in three columns.

Entering a section break: You can use the Insert > Break > Section break command to divide a section into two sections. In this way, a document can be divided into additional sections, and each section can be formatted with a different number of columns.

Page breaks before sections: By default, TextMaker does not insert a page break between two sections, and it allows the text to flow without interruption from one section to the next. However, if you want to ensure that a given section will always start on a new page, you can position the text cursor within this section, invoke the Format > Section command and check the Page break option in the dialog box.


Searching and replacing

In this chapter you will get acquainted with all the functions that have to do with searching and replacing text and formatting.

Searching and Replacing

You can search for terms in the text and, if required, replace them with other terms.

For example, if a text contained several occurrences of the name “Smith”, misspelled “Smithe”, you could direct TextMaker to replace all occurrences of “Smithe” with “Smith”.

In addition, it is possible to search and replace formatting such as the formatting for characters and paragraphs.

Bookmarks

Bookmarks provide another way to get quickly to specific points in the document. You can set a bookmark at any position in the document you wish. After giving the bookmark a name, you can use the Edit > Go to command to return to the bookmarked position any time you wish. You can insert as many bookmarks as you like in a document.

The Go to ... Command

The Edit > Go to command also allows you to move to specific positions in the document according to other criteria – for example, you can move to a specific page, a specific chapter, a specific object, etc.

Navigating documents with the sidebar

FreeOffice: This feature is not included in SoftMaker FreeOffice.

The sidebar provides an even faster way to navigate your documents. It presents a list of all headings, bookmarks, objects, etc. at the right of the document window. When you click on a list entry, TextMaker jumps to the corresponding place instantaneously.

For detailed information, see the pages that follow.


Searching

You can search a document for a specific term using the Edit > Search command (keyboard shortcut Ctrl+F).

It is even possible to search for formatting – for example for all passages in bold characters (see section Searching/replacing formatting).

You perform a text search as follows:

1. Invoke the Edit > Search command.

2. Under Search for, enter the text for which you want to search.

3. As necessary, check the options for the search (see section Expanded search options).

4. Click on the Search button to begin the search.

When TextMaker finds the search text, it scrolls to its position in the document and selects it.

You can then do either of the following:

A) You can click on Search again, to proceed to the next occurrence of the search text.

B) You can click on Close to end the search and close the search dialog.

You can not only search for a specific text, but also replace it with something else. You will read about this in the next section.


Replacing

Sometimes you want to do more than just find a term in the text. You want an easy way of exchanging it for another term. The command Edit > Replace (keyboard shortcut Ctrl+H) is provided to meet this requirement.

Proceed as follows:

1. Invoke the Edit > Replace command.

2. Under Search for, enter the text for which you want to search.

3. Under Replace with, enter the text that is to replace the search text.

4. As necessary, check the options for the search (see section Expanded search options).

5. Click on the Search button to begin the search.

When TextMaker finds the search text, it scrolls to its position in the document and selects it.

You can then do any of the following:

A) You can click on Replace to have TextMaker replace the selected occurrence of the search term with the replacement term and jump to the next occurrence of the search term.

B) You can click on Search again to have TextMaker jump to the next occurrence of the search term – without replacing the selected occurrence.

C) You can click on Replace all to have TextMaker replace the selected occurrence of the search term and all subsequent occurrences it finds in the text.

D) You can click on Close to end the search and close the search dialog.


Repeating a search/replace

To repeat a search or replace operation, or to continue a search or replace operation that was interrupted, you can use the command Edit > Search again or Edit > Replace again, or press the F3 key.

TextMaker continues the last search it was conducting. When it finds another occurrence of the search term, it displays that occurrence.

Hint: A search operation can also be continued using the following keys: Ctrl+PgDn to jump to the next occurrence, Ctrl+PgUp to jump to the previous occurrence.


Expanded search options

When you click on the Enlarge button in the Edit > Search or Edit > Replace dialog, the dialog expands to offer additional options.

When you click on Reduce the dialog contracts and the additional options are hidden. Thus you can specify the appearance of the dialog according to your preference for having the most options at your disposal or for having as much of the text as possible visible while you are searching.

The expanded search/replace dialog offers the following additional options:

“Options” group box

Here you can make settings for controlling the search operation as follows:

Case sensitive

By default, the case of letters in the search term is ignored. Thus, if you search for “house”, not only “house”, but also “House”, “HOUSE”, “HouSe”, etc. will be found.

However, if you check this option, only those occurrences of the search term will be found in which the cases of the letters correspond exactly to the cases of the letters in the search term. Thus, if you search for “house”, only “house” will be found.

Whole words only

If you check this option, only those occurrences of the search term that are separate words will be found.

Thus, if you search for “test”, it will be found only when it stands alone (as a separate word) and not when part of another word like “testament” or “protest”.

Search from top

By default, TextMaker begins a search at the current position of the text cursor. However, if you check the Search from top option, TextMaker begins at the beginning of the document.

When the Search backwards option is checked, Search from top is replaced by Search from end, which works in a corresponding way.

Search backwards

If you check this option, the search proceeds in the reverse direction, that is, from the current position of the text cursor towards the beginning of the text.

Search all frames

By default, TextMaker searches only in the text frame in which the text cursor is presently positioned. If the text cursor is in the body text, only the body text is searched. However, if you check this option, TextMaker searches the body text as well as all text frames present in the document (including headers and footers).

“Reset” button

The Reset button clears the contents of the Search for field or the Replace with field (including formatting) – depending on which of these fields contains the text cursor.

“Format” button

The Format button enables you to search a document for specific formatting – for example, for all segments of text in bold characters, or for all centered paragraphs.

Click on this button and set the formatting for which you want to search.

You will find more information about this function in the next section (Searching/replacing formatting).

“Special” button

The Special button enables you to search a document for special characters and to use wildcards for such things as “any character”:

Any number (^#) – if you specify, for example, a search for “200^#”, TextMaker will find occurrences of “2000” through “2009”.

Any letter (^$) – if you specify, for example, a search for “^$”, TextMaker will find occurrences of “a” through “z” and “A” through “Z” (including letters with accents).

Any character (^?) – searches for any character whatsoever (letter, number or punctuation sign).

Any Smart quote (^q) – searches for any kind of Smart quote. (Neutral quotes like " or ' will not be searched for.)

Caret (^^) – searches for “^” (caret).

Non-breaking space (^n) – searches for non-breaking spaces.

Tab (^t) – searches for tabs.

Line break (^z) – searches for manual line breaks (inserted with Shift+¿).

Paragraph break (^a) – searches for the paragraph mark that is found at the end of every paragraph.

Page break (^p) – searches for manual page breaks (inserted with Insert > Break > Page Break).

Section break (^s) – searches for section breaks (inserted with Insert > Break > Section Break).

Chapter break (^c) – searches for chapter breaks (inserted with Insert > Break > Chapter Break).

To include one of these symbols in the search term, click on the Special button and select the desired symbol with a mouse click.

You can repeat and combine these symbols at will within the same search term. Moreover, you can use them together with normal text. A search for “^#^# gallons of ^$^$^$” would yield all occurrences of this form – for example “10 gallons of oil”, “42 gallons of gas”, etc.


Searching/replacing formatting

The Edit > Search and Edit > Replace allows you to search not only for text, but also for formatting, and to replace the specified formatting with other formatting as required.

With this command you can, for example, replace a specific font with another font at all the points in the text where the former occurs.

To search for formatting, proceed as follows:

1. Invoke Edit > Search.

2. If the Format button is not displayed in the dialog, click on the Enlarge button to expand the search dialog.

3. Clear any old search term in the Search for field by clicking on the Reset button.

4. Click on the Format button.

5. Select the kind of formatting for which you want to search: character formatting, paragraph formatting, character style or paragraph style.

6. In the new dialog box that appears, specify the format(s) for which you want to search. Then confirm with OK.

7. Now you can start the search with the Search button.

To search for formatting and replace it with other formatting, proceed as follows:

1. Invoke Edit > Replace.

2. Using the Format button, specify the formatting for which you want to search (see above) and confirm with OK.

3. Click in the Replace with field.

4. Again use the Format button to specify the formatting that is to replace the formatting specified above as the search term. Again confirm with OK.

5. Now you can start the search with the Search button.

When TextMaker finds an occurrence of the search term, it displays the occurrence in the document window.

To continue searching, click on the Search again button. Alternatively, if you want to replace the present occurrence of the formatting, click on the Replace button. If you click on Replace all, TextMaker replaces the occurrence of the formatting it has just found and all subsequent occurrences that it finds in the text, with the new formatting.

Tip: You can use this function to replace, for example, one font with another, wherever the former occurs in the document. However, experts would use styles to do this (see chapter Styles), since they provide a much more elegant means of accomplishing this task. If you change the font in a style, all text segments that are formatted with this style are automatically modified accordingly.

By the way, text and formatting can be searched in combination. Thus, you can search for a specific term in a specific format. For example, if you enter “TextMaker” as the search term and also specify “bold” character formatting for the search, the search will find every occurrence of “TextMaker” in bold characters in the document.


Bookmarks

You can place text markers in TextMaker documents just as you do in books when, for example, you want to be able to return quickly to important passages. These text markers are called bookmarks.

To insert a bookmark, invoke the Insert > Bookmark command at the desired position in the text and give the bookmark a name. Once you have marked a position in the text in this way, you can jump to it at any time with the Edit > Go to command.

Setting bookmarks

To mark a position in the text, set a bookmark there using the following procedure:

1. Move the text cursor to the position in the text that you want to mark.

2. Invoke the Insert > Bookmark command.

3. Enter whatever name you like for the bookmark.

Note: Bookmark names may contain only letters, numbers and underscores. Special characters are not allowed. The name must always begin with a letter.

4. Click on OK to set the bookmark.

You can set as many bookmarks as you wish in each document.

Using bookmarks

To return to a bookmarked position in the text, do the following:

1. Invoke the Edit > Go to command or press F5.

2. Select Bookmark from the Go to list.

3. A list of all bookmarks in the document is displayed. Select the desired bookmark from the list, or enter its name manually.

4. Confirm with OK.

TextMaker immediately moves the text cursor to the position at which the bookmark was set.

Deleting bookmarks

When a bookmark is no longer needed, you can delete it using the following procedure:

1. Invoke the Insert > Bookmark command.

2. Select the bookmark you want to delete from the list, or enter its name manually.

3. Click on Delete.

Note: When you delete a passage of text containing a bookmark, the bookmark is deleted automatically.


The Go to ... Command

The command Edit > Go to ... (keyboard shortcut: F5 or Ctrl+G) is used to jump to a specific position in a document – to a specific page or bookmark, for example.

To jump to a specific page, do the following:

1. Invoke the Edit > Go to ... command.

2. Select Page from the list of Go to options.

3. Enter the desired page number. The page is then immediately brought into view.

4. Click Close to close the dialog.

You can perform a number of similar operations with this command by selecting other options from the Go to list, including those described in the following table:

Option | Function
Page | Jump to a given page (as described above)
Chapter | Jump to a given chapter
Bookmark | Jump to a given bookmark
Footnote | Jump to a given footnote
Footnote text | Jump to the footnote text for the given footnote
Object | Jump to the selected object (picture, table etc.)
Table of contents | Jump to the document’s table of contents
Index | Jump to the document’s index
etc. |

Tip: Using the buttons at the bottom of the vertical scrollbar

You can also perform Go to operations with the three buttons in the lower right corner of the document window.

You use these buttons as follows:

Click on the button with the red dot to bring up a small menu. Then select the type of Go to operation you want to perform from the menu.

Click on the button with the up arrow to jump to the target prior to the current position. For example, if “Page” was selected as the target type, clicking on this button will result in a jump to the previous page.

Click on the button with the down arrow to jump to the target following the current position – to the next page, for example.


Navigating documents with the sidebar

FreeOffice: This feature is not included in SoftMaker FreeOffice.

Apart from the Edit > Go to ... command (introduced in the previous section), there’s another useful tool for navigating your documents: the sidebar.

The sidebar can, amongst other things, display a list of all headings that exist in a document. To jump to a specific heading, simply click on the corresponding entry in the list.

You can also let the sidebar list the bookmarks, objects, footnotes and other components of a document for easy navigation.

All you have to do is enable the sidebar and activate its navigation function. This can be achieved as follows:

1. If the sidebar is not displayed, enable it (e.g. by invoking the command View > Sidebar > Show at Right).

2. In the little toolbar displayed at the top of the sidebar, click on the [image] icon. This will switch to the navigation function of the sidebar.

The sidebar now displays all headings of the document (unless you haven’t created any headings, naturally). To jump to a certain heading, simply click on the corresponding list entry.

You can not only navigate the headings but also several other components of your document. For this purpose, open the dropdown list Document content at the top of the sidebar and choose what you would like the sidebar to display. Options available:

Option | Result
Headings | Sidebar displays all headings in the document
Bookmarks | Displays all bookmarks
Tables | Displays all tables
Pictures | Displays all pictures
Objects | Displays all objects (pictures, drawings, tables, etc.)
Footnotes | Displays all footnotes
Footnote references | Displays all footnote references (the footnote numbers in the text)
Comments | Displays all comments
Captions | Displays all captions (for images etc.)

The list displayed in the sidebar changes its contents accordingly. If you click on any list entry, TextMaker jumps right to the corresponding place in the document.


Fields

You can insert various kinds of “fields” in the text using the Insert > Field command.

Fields are symbolic representations for the specific values or contents that are assigned to them depending on their types and placement in the text. The “Print date” field, for example, stands for the current date; the “Page number” field stands for the current page number, etc. The available fields even encompass fields from a database that are needed for form letters.

Whenever a document is opened or printed, the contents of all its fields are updated automatically. Thus, if a document containing the “Print date” field were reprinted tomorrow, tomorrow’s date would appear automatically in the document wherever the “Print date” field had been inserted. If required, field contents can be updated manually at any time with the Tools > Update Fields command (keyboard shortcut: F9).

Fields can be formatted, deleted, copied and moved like normal text; however, their contents cannot be edited directly.

For detailed information on fields, see the pages that follow.


Inserting a field

To insert a field in the text, move the text cursor to the desired position and invoke the Insert > Field command.

Select the type of field to be inserted from the Field type list.

If you wish, you can also specify the field’s subtype or form of representation in the right half of the dialog. For example, you can specify whether a page number should be rendered in Arabic (1, 2, 3, ...) or Roman (I, II, III, ...) numerals.

When you have made your selection, click on Insert.

The field is inserted into the text and its content is displayed there. By default, what is displayed is the result of replacing the field symbol with the data for which it stands. Thus, if you insert, for example, the “Print date” field, the current date will be shown in the text.

List of all field types

The following field types are available:

Creation date

The date on which the current document was created

Creation time

The time at which the current document was created

Print date

The current date. This field – like all field types – is updated automatically when you print the document.

Print time

The current time. Automatically updated when the document is printed.

Date last changed

The date on which the current document was last modified (that is, saved)

Time last changed

The time at which the current document was last modified (that is, saved)

Database field

The content of a field from a database that has been attached to the document. The specific database field to be inserted is selected from the Field name list. See also chapter Database.

Database info

Any of the following items of information about a database attached to the document: Database name only (file name of the database), Full database name (the same with the addition of the path name), Database record number (the record number of the current database record) and Record count (number of records in the database).

Page number

The page number of the current page.

Page count

The total number of pages in the document

Chapter number

The number of the current chapter. See also section Dividing a document into chapters.

Sequence number

A sequential number, inserted automatically in captions. See section Captions and tables of figures.

Style reference

Searches the document backwards for text that is formatted in the specified paragraph style and displays the first text found. This allows you, for example, to display the current main heading (which is usually formatted in the paragraph style “Heading 1”) in the text. See also section Style references.

File name

The file name of the current document, optionally including the complete path (e.g. c:\documents\test.tmd) or without the path (e.g. test.tmd)

Summary

Any of several items of information about the current document (Subject, Author, Keywords etc.). You can edit the contents of these fields by clicking on Settings. See also section Document summary.

Last edited by

The first name, last name or initials of the user who last modified (that is, saved) the document. These fields work only when the user has invoked Tools > Options, switched to the General property sheet, clicked on the User (Home) button and entered their name.

User (Home)

Any of several items of personal information that can be edited with the Settings button. You can insert one of these fields in the text if you want your name, address, telephone number, etc. to appear in the document. These fields are used, for example, in the document templates supplied with the program.

User (Business)

You can use these fields in the same way you use the home address fields (see above) when you want contents of your business address to appear in the document. These fields can be edited with the Settings button.

Auto number

Generates a serial number. There is more about this in chapter Automatic numbering.

Editing fields

If you want to edit an existing field, e.g. to change the date format it displays, simply select it in the text and invoke the Insert > Field command once again.

The dialog for inserting fields will appear. Make the desired changes, confirm with OK, and the field in the text will be replaced accordingly.

Updating fields

Whenever a document is opened or printed, all the fields it contains are updated automatically. Accordingly, if you print a document containing the “Print date” field tomorrow, tomorrow’s date will appear in the field.

You can update the fields manually at any time using the Tools > Update Fields or the F9 key. All the fields and calculations in the document will then be brought up to date.

Showing field names and shading fields

When you want control over the fields contained in a document, you can check the Display field names option. Then, TextMaker displays the fields’ names in curly braces instead of their results – for example, {Print time} for the “Print time” field.

To get to this option, invoke the File > Properties command and switch to the View property sheet. There check the Display field names option.

This dialog box also contains an option called Shade fields. If you check this option, all fields are displayed with a light gray background so that they can be more easily distinguished from normal text.

Note: These settings are effective only for the current document.

Specifying your own date and time formats

If none of the predefined formats in which the contents of date and time fields can be rendered suits you, you can specify your own formats in the dialog box for Insert > Field. First, select the date or time field you want to use; then, click on the New format button.

You can specify precisely the format in which the date or time is to be represented by entering abbreviations in the dialog box that appears. As you enter these abbreviations, TextMaker shows an example of the result.

Any combination of the following abbreviations can be used in your format specification (pay attention to case!):

Abbreviation | Meaning | Example
d | day | 2
dd | day with two places | 02
ddd | weekday abbreviated to three letters | Mon
dddd | weekday spelled out | Monday
m | month | 4
mm | month with two places | 04
mmm | name of the month abbreviated to three letters | Apr
mmmm | name of the month spelled out | April
yy | year with two places | 12
yyyy | year with four places | 2012
h | hour (12-hour format) | 8
hh | hour with two places (12-hour format) | 08
H | hour (24-hour format) | 8
HH | hour with two places (24-hour format) | 08
M | minute | 5
MM | minute with two places | 05
S | second | 0
SS | second with two places | 00
am | show am/pm following the hour | am
AM | show AM/PM following the hour | AM

In addition to these abbreviations, you can use any punctuation characters (period, slash, etc.) you like in your entry.

Example: If you enter “dddd, d mmmm yyyy” as the format in the Format field, the date 4/26/2012 will be represented as “Wednesday, 26 April 2012”.

Changing the language: You can change the Language of a text segment in the dialog for the Format > Character command. When use this command to format text in a given language, the names of months and days of the week that result from date fields are automatically changed accordingly (see also section Setting the language).


Inserting the date and time as text

With the Insert > Date/Time command, you can insert the current date or time into the document as fixed text.

Unlike the command described on the preceding pages for inserting date and time fields, this command uses the current date or time to create a fixed text that will not be updated automatically.

When you invoke Insert > Date/Time, a dialog box appears. Here you can select either the date or the time as the basis for the creation of the text, and specify the format.

If none of the predefined formats suits you, you can click on the New format button and type in your own format, using the abbreviations described in the previous section.

If you want the date or time to be inserted as a field, rather than as fixed text, check the Insert as field option. TextMaker then creates a field (Print date or Print time). You will find details about the use of fields in the section above.


Inserting special characters

Some characters, such as the copyright sign, the degree sign, and the accented characters used in some languages, cannot be entered into text directly with the keyboard. Instead, TextMaker’s built-in character table provides a convenient means for inserting symbols and other special characters.

You insert special characters as follows:

1. Invoke the command Insert > Symbol.

2. A dialog box appears, giving you access to every character that is available in the selected font. If you need a character from a different font, select it from the Font list at the top of the dialog.

3. A font’s characters are organized into sets. If the character you want to use is not in the set immediately in view when you can jump to the set in which it is likely to be found by selecting it from the Set list. For example, you can select Cyrillic to view the font’s Cyrillic characters (provided the font contains such characters).

Note: Many fonts contain only a few of the character sets that are available. However, the fonts that are supplied with your operating system usually constitute a huge reservoir of characters. These include, for example, the Arial, Tahoma and Times New Roman fonts supplied with Windows.

4. Select the desired character by clicking on it. Then press the Enter key ¿ or click on the Insert button to insert the character into the text. Alternatively, you can double click on a character to select and immediately insert it.

5. You can repeat the above described procedure to insert additional characters, as required. When you are finished, exit the dialog with the Close button.

Tip for Windows users: Most Windows versions include two symbol fonts named Symbol and Wingdings. These fonts contain many symbols that could be useful (as bullets, for example).

Using keyboard shortcuts

If you need to insert a special character frequently, you can always give it a keyboard shortcut. The advantage of doing that is that you can then apply the character very quickly, using a single key press.

To assign a keyboard shortcut to a special character, proceed as follows:

1. Invoke the command Insert > Symbol.

2. Select the character that you want to assign a keyboard shortcut to.

3. Click on the Change button next to the Shortcut key option.

4. Another dialog opens. There, press the desired keyboard shortcut in the Please press accelerator input box.

We recommend using key combinations that include the keys Ctrl and Shift, since these are normally not assigned.

Hint: If you make a typing mistake, you can always press the backspace key to remove the keyboard shortcut you entered.

5. Don’t forget: Click on Add to assign this shortcut to the character.

6. Confirm with OK and exit the main dialog box with Close.

From now on, you can insert this special character into the text by pressing the selected key combination.

Note: The keyboard shortcut remembers only the selected character; the selected font is not remembered.

For more information on changing the keyboard layout, see the section Customizing keyboard shortcuts. Hint: The keyboard shortcuts for special character can be edited by opening the dialog for editing the keyboard mapping and choosing the entry Characters in the left list.


Automatic numbering

TextMaker has several functions that generate enumerations automatically. This chapter will teach you everything you need to know about them. The following topics are covered:

Simple enumerations

The first section describes the Format > Bullets and Numbering command. This command is helpful for numbering paragraphs. A number is inserted to the left of each successive paragraph, and each paragraph is indented to accommodate the number.

Numbered lists

You can also create numbered lists with this command. The numbering scheme for a numbered list can be saved and reused. In addition, a numbered list can be organized hierarchically (1., 1.1, 1.1.1, etc.).

Numbered headings

You can also use numbered lists to apply numbering to the headings in a document automatically. You will find information about this in section Numbering headings.

Numbering with Auto numbers

Besides the above mentioned methods for numbering paragraphs, TextMaker provides a general-purpose method for automatic numbering: you can insert instances of an Auto number field anywhere in the text. Successive instances of this field are automatically numbered incrementally.

Adding line numbers

In addition, you can have TextMaker show line numbers alongside the document text. The line numbers are inserted in the left page margin, both for display and for printing.

These topics are treated in detail on the following pages in the order listed.


Simple enumerations

The section Bulleted lists describes how you can add bullets to paragraphs with the Format > Bullets and Numbering command.

This command is also suitable for enumerating paragraphs. TextMaker automatically indents the paragraphs at the left to make room for the numbers and then numbers the paragraphs incrementally.

Paragraphs with numbering

You can use enumeration as many times as you wish within a single document. The numbering is automatically reset to one at the beginning of each new enumeration.

Adding numbering

To add numbering to a group of paragraphs, proceed as follows:

1. Select the paragraphs of interest.

2. Invoke Format > Bullets and Numbering.

3. Switch to the Bullets & Simple numbering property sheet.

4. In the Type group box, select Numbering.

5. As required, set the desired options in the Numbering group box (see the “Options” section below).

6. Confirm with OK.

The selected paragraphs are now enumerated.

Note: You can start as many enumerations as you wish within a document. The numbering is automatically reset at the beginning of every new group of numbered paragraphs. More precisely: whenever a numbered paragraph is preceded by a paragraph that is not numbered, the numbered paragraph’s number is automatically set to “1”.

Skipping paragraphs in an enumeration

You can interrupt an enumeration at a given paragraph and then continue the enumeration at a following paragraph.

To do this, position the text cursor in the numbered paragraph that you want to exclude from the enumeration, invoke Format > Bullets and Numbering, switch to the Bullets & Simple numbering property sheet and check the Skip numbering option.

The selected paragraph’s number is removed, and only its indentation is retained. The enumeration is continued at the immediately following numbered paragraph.

Ending or removing an enumeration

To end an enumeration of paragraphs or to remove a previously applied enumeration, proceed as follows:

1. Position the text cursor at the end of the last numbered paragraph and press the Enter key ¿ to begin a new paragraph.

Or: If you want to remove all numbers from a given group of numbered paragraphs, select them.

2. Invoke the Format > Bullets and Numbering command.

3. Switch to the Bullets & Simple numbering property sheet.

4. Disable numbering by selecting None in the Type group box.

5. Confirm with OK.

Options

The Bullets & Simple numbering property sheet in the dialog box for the Format > Bullets and Numbering command gives you access to the following options:

Type

Here you can specify either Numbering or a Bullet for the selected paragraph(s). Select the Numbering option for numbering. (You can find information relating to the Bullet option in section Bulleted lists.)

When you set the Type to None, existing bullets or numbers are removed.

You can always transform a numbered list into a bulleted list simply by changing the Type to Bullet. Naturally, you can proceed in the opposite direction as well.

Before and After

As required, you can specify text to be added before and/or after the number that TextMaker will assign to the paragraph. For example, if you want the numbers surrounded by dashes (-1-, -2-, -3- etc.), you should select the Format 1, 2, 3 and enter “-“ in each of the Before and After fields.

Format

Here you specify the format for the numbering. Besides the usual “1., 2., 3., ...” you can select, for example, letters (A, B, C, ...) or Roman numerals (I, II, III, ...).

Numbering starts with ...

By default, TextMaker starts every enumeration with “1”. If you want to use a different starting value, enter it here.

Skip numbering

It is often the case that a numbered list includes an individual item that needs to span more than a single paragraph. In such a case, only the item’s first paragraph should be numbered; numbering should skip succeeding paragraphs that belong to that item and resume only with the paragraph that constitutes the following item.

TextMaker provides the Skip numbering option for such a situation. When numbered paragraphs that are to be grouped as one item with a preceding numbered paragraph have been selected, you can check this option to cause TextMaker to skip these paragraphs when assigning numbers.

Character button

You can click on this button to change the character formatting (font, size, emphasis, etc.) for the numbers.

Horizontal position

Allows you to specify how far the text should be indented to the right to make room for the numbers.

Vertical position

Allows you to specify the vertical position of the numbers. Negative values cause the numbers to be lowered; positive values cause them to be raised.

Numbered lists property sheet

This property sheet provides control over the creation of numbered lists. A numbered list has special features that distinguish it from a simple enumeration: the layout of a numbered list can be saved and reused. In addition, a numbered list can have a hierarchical organization (1., 1.1., 1.1.1, etc.).

Information about numbered lists is presented in the next section.


Numbered lists

Advanced TextMaker users will already appreciate the advantages of paragraph styles, which are described in chapter Styles. You can save a frequently needed paragraph format in a paragraph style and then apply it over and over again to any paragraphs you wish.

Something similar is available for enumerations: numbered lists.

These work somewhat like paragraph styles: When you want to apply a certain kind of enumeration frequently in a document, set up a numbered list. When you do so, a dialog like the one for simple enumerated and bulleted lists will appear. It will allow you to specify precisely the kind of numbering and the number format you want.

Afterwards, you can apply the layout of your numbered list to any paragraphs you like. The paragraphs will then be given a numbering exactly as you specified in your numbered list.

A further advantage: If you subsequently change the formatting of the numbered list, the paragraphs formatted with this list will change accordingly.

Using hierarchical lists

Numbered lists have the additional advantage that they allow the creation of hierarchical enumerations.

While simple lists (like 1., 2., 3. etc.) have only one level, hierarchical lists can have several levels. For example, a hierarchical list might look like this:

1.

1.1.

1.2.

2.

3.

etc.

In the above example, the two paragraphs under 1. have second level numbering: 1.1 and 1.2

For details on creating numbered lists, see the next pages.


Creating numbered lists

To create a new numbered list, proceed as follows:

1. If you want to apply the new numbered list immediately after creating it, first select the paragraphs to which you want to apply it.

2. Invoke the Format > Bullets and Numbering command.

3. Switch to the Numbered Lists property sheet.

4. Click on the New button.

5. Give the new numbered list whatever name you like and then confirm with OK.

6. Select either Simple list (1., 2., 3. etc.) or Hierarchical list (1., 1.1, 1.1.1. etc.), depending on the type of list you want to create (see the introduction).

7. Make any additional required settings for the numbering (see below).

8. Confirm with OK.

The new numbered list is now set up. If you want to apply it to the paragraphs currently selected in the text, click on Apply. Otherwise, click on Close.

You will find additional information about the application of numbered lists in section Applying numbered lists.

In the dialog box for setting up and editing numbered lists you can make the following settings:

General options

Simple list or Hierarchical list

The option you select here determines the overall layout of the numbered list, for it controls the type of the list:

Select Simple list for a simple enumeration with only one level (thus 1., 2., 3. etc.)

Select Hierarchical list for a hierarchical enumeration with multiple levels (for example 1., 1.1., 1.1.1. etc.)

Use paragraph’s outline level as list level

Available only when the type of the numbered list has been set to Hierarchical list.

When this option is checked the outline levels of the paragraphs to which the numbered list is applied are used as the levels in the automatic numbering of the list. For example, if a paragraph has an outline level of 3 (is thus a third order heading) it becomes a level 3 list item when the list is applied (thus “1.1.1”, for example).

Note: When this option is checked, numbering is applied only to headings. Normal text (paragraphs with outline level zero) is not numbered.

You will find information about document outline levels in section Outlines.

If the Use paragraph’s outline level as list level option is not checked, you can set the list level manually with the List level option in the main dialog (see also section Applying numbered lists).

Level

Available only when the type of the numbered list has been set to Hierarchical list.

Here you can select with a mouse click the level of the list you want to modify. For example, if you click on “3”, you can change the settings for the third level.

Each level of a hierarchical list can have its own settings. For example, you can set the color for the numbers at level 1 to blue, and the colors of the numbers at all the other levels to black.

Preview

The Preview field shows how the numbering will look with the current settings.

In addition, it provides an alternative means of selecting the level you want to edit. You can make a selection in the Preview field in exactly the same way you make a selection in the Level field, by clicking on the desired level.

Display higher levels

Available only for list levels of 2 and above in hierarchical lists.

When this option is checked, the numbering applied to a list item at the selected level will fully represent the item’s hierarchical position. This numbering will include the item’s number in the sequence of items with which it is coordinate and the numbers of all the items to which it is subordinate. Thus, an item at list level 3, for example, will have a numbering in the form “1.5.9”.

When the option is not checked, the numbering will not include the numbers of any higher level items. Thus, the above example will not be numbered with “1.5.9” but just with “9”.

Don’t restart the level

Available only for list levels of 2 and above in hierarchical lists.

When this option is checked, the numbering of list items at the selected list level is not reset to 1 whenever a list item at this level follows an item at a higher level item.

For example, if you check this option for level 2, the result will be as illustrated below:

Option unchecked: | Option checked:
1. | 1.
1.1 | 1.1
1.2 | 1.2
2. | 2.
2.1 | 2.3

As you can see in the last item of the above example, the 2nd level is continued with 2.3 instead of being reset to 2.1 when this option is checked.

Reset button

If you should ever make a big mistake or completely change your mind while editing a numbered list, you can press the Reset button to make a fresh start. The Reset function returns all the options (for all list levels) to their original settings.

The remaining options in this dialog allow you the change the way the numbered list will look, as described on the next pages.

Note: As mentioned above, each level of a hierarchical list can have its own settings. So, before setting any of these options, be sure to first select the level that you want to modify in the Level field.

Options for bullets

If you have selected the Bullet option in the Type group box, the following options appear in the dialog:

Bullet group box

Here you can select the bullet you want to use.

The Default row contains pre-defined bullets from which you can choose, while the Custom row contains user-defined bullets. If you click on one of the bullets in the Custom row and then click on the Change button at the end of that row, you can select any symbol to be used as a bullet.

Color (default bullets only)

You can select a color for the bullet from the dropdown Color list. If the pre-defined colors presented in the list don’t suit you, you can always define new colors (see section Document properties, Colors property sheet).

Tip: If you set the color to “Auto” TextMaker automatically uses the font color assigned to the paragraph at the right of the bullet.

Size (default bullets only)

Here you can change the size (in points) of the bullet.

Tip: When you select the “Auto” option TextMaker automatically uses the font size assigned to the paragraph at the right of the bullet.

Character button (custom bullets only)

If you have selected a bullet from the Custom row, the two options mentioned above are replaced by a Character button. Click on this button if you want to change the character formatting (size, color, emphasis, etc.) of the bullet.

Tip: If you do not make any changes to the character format, the bullet will automatically use the character format of the paragraph at its right.

Horizontal position

Allows you to specify how far the text should be indented to the right to make room for the bullet.

Vertical position

Allows you to specify the vertical position of the bullet. Negative values cause the bullet to be lowered; positive values cause it to be raised.

Additional indent

You can use this option to indent the entire list item (including the bullet) to the right.

Options for numbering

If you have selected the Numbering option in the Type group box, the following options appear in the dialog:

Numbering text

With this and the following options, you can change the format of the numbering as required.

The Numbering text edit box is filled in automatically by the program. However, you can always make changes. {1}, for example, represents the list level 1 component of the number, in the specified format (see the next option). If, for example, {1} is entered in this box, and the “1, 2, 3, ...” format is selected, level 1 list items will have numbering in the form 1, 2, 3 etc. However, if -{1}- is entered (dashes added before and after the placeholder), the level 1 list items will have numbering in the form -1-, -2-, -3- etc.

If the number has several level components, the edit box will contain a placeholder for each of the components, for example {1}, {2}, {3} (for level 1, 2, 3) etc..

Format

This option allows you to specify the format for the numbering. Besides the usual “1, 2, 3, ...” you can select e.g. letters (A, B, C, ...) or Roman numerals (I, II, III, ...).

Numbering starts with ...

If you want the numbering to start with some value other than 1, you can enter the starting value here.

This option takes effect only when the numbering is beginning anew, or when it is reset with the Restart numbering option in the main dialog.

Character button

If you click on this button you can change the character formatting (font, size, emphasis, etc.) of the numbers.

Horizontal position

Allows you to specify how far the text should be indented to the right to make room for the number.

Vertical position

Allows you to specify the vertical position of the number. Negative values are used to lower the number; positive values to raise it.

Additional indent

You can use this option to indent the entire list item (including the number) to the right.


Applying numbered lists

Numbered lists are used much like paragraph styles: First, select the paragraphs to be formatted, then apply the numbered list.

Thus, you do the following:

1. Position the text cursor in the paragraph to which you want to apply the numbered list, or select multiple paragraphs.

2. Invoke the Format > Bullets and Numbering command.

3. Switch to the Numbered Lists property sheet.

4. Select the desired numbered list.

5. Click on Apply.

The paragraphs are now formatted with the numbering specified in the selected list.

Note: When you apply a hierarchical list in which the Use paragraph’s outline level as list level option is checked, numberings will appear only on headings. Normal text (paragraphs with outline level zero) will have no numberings.

Options

The options in the dialog box for this command are given below with their functions:

List level

Here you can specify the list level for the paragraph to which a hierarchical numbered list is to be applied. For example, if you set this option to 1, the paragraph will formatted as a list item at level 1 and will have a number of the form “1”, while if you set the option to 3, the paragraph will have a number of the form “1.1.1”, etc.

Note: The list level can not be specified if you have checked the Use paragraph’s outline level as list level option, because in that case automatically uses the paragraph’s outline level as the list level.

Restart numbering

Starts a new number sequence at the selected paragraph; in other words, resets the numbering of paragraphs at the current level to 1.

Note: If multiple paragraphs are selected when the command is invoked, the first selected paragraph becomes the basis for resetting the numbering.

Changing list levels with the Formatting toolbar

When working with paragraphs to which a hierarchical numbered list has been applied, you can use the following buttons in the Formatting toolbar to conveniently change the paragraph’s list levels:

Lowers the list level

Raises the list level


Modifying numbered lists

You can modify a previously defined numbered list at any time.

To do this, proceed as follows:

1. Invoke the Format > Bullets and Numbering command.

2. Switch to the Numbered Lists property sheet.

3. With a mouse click, select the numbered list that you want to edit.

4. Click on the Edit button.

5. Make the desired changes.

6. Confirm with OK.

The numbered list is now modified in accordance with your new settings. If you want to apply the modified list to the paragraphs currently selected in the text, click on Apply. Otherwise, click on Close.

Note: Changes to a numbered list affect all paragraphs that have been formatted with this list.

Deleting and renaming numbered lists

To delete a numbered list, select the list in the above mentioned dialog and then click on the Delete button.

Note: When you delete a numbered list, the numbering is removed from all the paragraphs that were formatted with this list.

To rename a numbered list, select it, click on the Rename button and enter the new name.


Numbered headings

Numbered lists can also be used for automatic numbering of all the headings in a document. You can read more about this topic in section Numbering headings.


Numbering with Auto numbers

You can create automatic enumerations, not only with the paragraph numbering functions described on the previous pages, but also manually, by inserting an Auto number field anywhere in the text.

The “auto number” is a field that symbolizes a number in a series. The first instance of the auto number in a document always yields the number “1”, the next instance yields “2”, etc.

If you insert an additional auto number into the document, each successive instance of the auto number will be increased by one. If you delete a segment of text that contains an auto number, all the following auto numbers will be reduced by one.

To insert an auto number, do the following:

1. Invoke the Insert > Field command.

2. Select the “Auto number” field from the Field type list.

3. Click on Insert.

The auto number now appears in the text.

Resetting auto numbers

If you need to use auto numbers to create several separate enumerations in a single document you can do so by resetting the auto number to one at the appropriate places.

Proceed as follows:

1. Move the text cursor to the place at which the numbering should be reset to begin a new sequence.

2. Invoke the Insert > Break > Section Break command.

3. Invoke the Format > Section command.

4. Make sure that the Apply to option in the formatting dialog box is set to Current section.

5. Check the Restart auto numbers option.

6. Confirm with OK.

It should not surprise you that most of the options in the Format > Section dialog have to do with text columns. “Sections” exist not merely to allow auto numbers to be reset, but also to facilitate multi-column layouts.


Adding line numbers

Apart from the various kinds of numbering functions described in the preceding sections, TextMaker provides a function that inserts line numbers alongside a document’s text. The line numbers appear in the left margin, both on the display and on the printed page.

To instruct TextMaker to show line numbers, proceed as follows:

1. Select as necessary the text segment for which line numbers are to be shown.

2. Invoke the Format > Section command.

3. Switch to the Line numbers property sheet.

4. Check the Show line numbers option.

5. As necessary, make the required settings for the numbering (see below).

6. Confirm with OK.

The line numbers are now displayed.

If you later want to turn the display of line numbers off, you can do so by following the above described procedure, unchecking the Show line numbers option at step 4.

Options

In the dialog box for this command, you can make settings that control the line numbering as follows:

Show line numbers

Turns the display of line numbers on/off.

Options group box

Here you can set the following options:

First line number is the number with which the line numbering should begin.

Increment is the interval between numbered lines. For example, if you enter 5, line numbers will appear only at lines 5, 10, 15, 20 etc.

Distance to text is the amount of blank space TextMaker should leave between the line number and the left margin.

Numbering group box

Allows you to specify whether and at what place the numbering should be reset:

Restart at the beginning of this section: The numbering is reset to 1 only at the beginning of the current section. Tip: You can define new sections with the Insert > Break > Section break command.

Restart on every page: The numbering is reset to 1 at the beginning of every page of the document.

Continuous: The numbering is not reset to 1.

Apply to:

Determines what parts of the document will be affected by the settings you make in this dialog:

Whole document: the entire document.

This point forward: that part of the document beginning at the current position of the text cursor and ending at the end of the document.

Selected text: the selected text.

Current section: the current section. Tip: You can use the Insert > Break > Section break command to split up the document into as many sections as you want.

Selected sections: all sections included in the current selection.

To end of section: the segment of text beginning at the current position of the text cursor and ending at the end of the current section.


Tables

Would you like to lay out certain parts of your document, including text and/or pictures, in tabular form to make them more legible? If you would, simply insert a table into the document.

Of course you could also use tabs if you only want to set up a simple list, but tables offer the following advantages:

Within a table cell, text that does not fit on a single line is automatically broken into multiple lines and the height of the cell is adjusted automatically to accommodate it.

You can delete, copy, move or format individual table cells (or complete rows or columns of cells).

Table cells can have borders, a grid and shaded or patterned backgrounds.

It is even possible to perform calculations on the contents of table cells (see chapter Calculations in the text).

You will find detailed information on tables on the pages that follow.

Tip: Using the Table toolbar

TextMaker provides a useful aid for editing tables: the Table toolbar.

The Table toolbar

This toolbar appears automatically when you position the text cursor in a table. Its icons represent the following functions (from left to right):

Insert a table (into the current cell)

Edit table properties

Edit row properties

Edit cell properties

Insert cells

Delete cells

Join cells

Split cells

Sort table

Insert entire row(s)

Insert entire column(s)

Delete entire row(s)

Delete entire column(s)

Change borders of the selected cells

Change shading of the selected cells

Details on working with tables can be found on the following pages.


Inserting a table

To insert a table in the text, move the text cursor to the desired position and invoke the command Table > New Table.

A dialog box appears to allow you to specify the number of rows and columns the table should contain.

When you confirm with OK, TextMaker inserts the table in the text.


Editing tables

You can enter, edit and format text within tables in the usual manner. When you insert a new table, TextMaker automatically places the text cursor in the first table cell, so that you can begin typing immediately.

You can type multiple lines of text within a cell – the lines will be broken automatically – and begin new paragraphs with the Enter ¿ key. The heights of all the cells in a row will be adjusted automatically to the height of the current cell as its height increases.

You insert pictures into a table cell in the usual manner using the Object > New Picture command, which is described in chapter Pictures. Of course you can also insert other types of objects – for example OLE objects, forms objects, etc.

To move the text cursor from one table cell to another, do the following:

Keyboard: Press the Tab key to move to the next cell, or Shift+Tab to move to the previous cell. To move the text cursor from row to row, use the arrow keys â and á.

Mouse: Click in the desired cell.

Note: As noted above, the Tab key is not available for inserting tab stops within table cells. In tables, you enter tab stops not with Tab, but with the key combination Ctrl+Tab.


Selecting table cells and cell contents

Text selection within a table cell works just like normal text selection.

To select complete table cells, including all their content, click in the first cell to be selected, press and hold down the left mouse button and drag the selection to the last cell of interest.

There is an alternative way to select complete lines or column of cells. When you invoke the Table > Select command, a sub-menu opens, from which you can specify selection of the current row(s), the current column(s) or the entire table.

Occasionally, you will want to select only a single table cell. To do this, proceed as follows:

Mouse: With the left mouse button pressed, drag the mouse pointer from the cell of interest to a neighboring cell and then back.

Keyboard: Select the whole cell content from top to bottom and then press Shift+à.


Deleting, copying, moving cell contents

To delete, copy or move the contents of table cells, select the cells and then use the familiar commands in the Edit menu:

Command | Explanation
Delete | The Edit > Delete command (keyboard shortcut: Del) deletes the contents of all the currently selected cells.
Cut | The Edit > Cut command (keyboard shortcut: Ctrl+X) cuts the contents of the selected cells and holds them in the clipboard.
Copy | The Edit > Copy command (keyboard shortcut: Ctrl+C) copies the contents of the selected cells into the clipboard.
Paste | The Edit > Paste command (keyboard shortcut: Ctrl+V) inserts the contents of the clipboard. Before using this command, position the text cursor in the desired cell.

Note: Notice that these commands apply only to the contents of the cells. So, when you select some cells and invoke, for example, the Edit > Delete command, only the contents of the cells are removed; the cells themselves remain as they were. You will find information about deleting/inserting complete table cells (including their contents) in the next section.


Deleting and inserting table cells

In the previous section you learned how to delete, copy or move the contents of table cells.

This section describes how you can completely remove cells from a table and insert additional cells into a table.

Topics covered:

Deleting cells from a table

Inserting cells in a table


Deleting cells from a table

To completely remove cells (including their contents) from a table do the following:

1. Select the cells to be deleted.

2. Invoke the command Table > Delete Cells.

Don’t just press the Del key, because this only deletes the contents of the table cells, not the table cells themselves.

The cells, together with their contents, are now removed.

Deleting a complete table

Note: To delete a complete table, first select the entire table. You can use the Table > Select > Table command to do this. Then invoke the Table > Delete Cells command.


Inserting cells in a table

Tip: You can add a new row of cells at the bottom of a table simply by pressing the Tab key when the text cursor is in the last cell. TextMaker then automatically extends the table by adding a new row.

In general, you can insert new cells into a table by doing the following:

1. Position the text cursor in the cell before which the new cells are to be inserted.

2. Invoke the Table > Insert Cells command.

3. In certain cases, a dialog appears to allow you to specify the way the new cells are to be inserted (see below).

4. Click on Insert to insert the new cells before the current cell, or on Append to insert them at the end of the table.

The cells are now inserted.

If you did not select complete rows or columns prior to invoking the Table > Insert Cells command, a dialog appears that allows you to specify the way the cells are to be inserted.

The dialog presents the following options:

Option | Meaning
Entire rows | Complete rows of cells are inserted.
Entire columns | Complete columns of cells are inserted.
Single cells | Cells are inserted on a cell by cell basis, depending on the current selection. For example, if you selected 4x4 cells prior to invoking the command, 4x4 cells are inserted.

An additional option allows you to specify the Number of cells to be inserted. If, for example, you select Entire rows and then set the Number to 10, ten rows will be inserted instead of only one.

Tip: Quick insertion of complete rows or columns

There is a shortcut for inserting new rows or columns:

Select either an entire row or an entire column of cells before invoking Table > Insert Cells. TextMaker will then immediately insert a new row or column ahead of the selected row or column – without first displaying the above described dialog.

Tip: If you select multiple rows or columns before invoking this command, the corresponding number of rows/columns will be inserted. For example, if you have selected 3 rows, 3 additional rows will be inserted instead of only one.


Joining and splitting table cells

This section describes how you can join table cells (combine several cells to make one cell) and also split them (separate cells into multiple cells).

Topics covered:

Joining table cells

Splitting table cells

Splitting tables


Joining table cells

You can join together neighboring cells of a table any time you wish. That is, you can combine them to make a single cell.

You do this as follows:

1. Select the cells to be joined.

2. Invoke the Table > Join Cells command.

The cells are now combined.

In this process, the contents of the original cells are not lost; they are combined in the resulting cell. The content of each original cell is placed in a separate paragraph.


Splitting table cells

You can split table cells any time you wish; that is, you can break them into multiple cells.

You do this as follows:

1. Position the text cursor in the cell you want to split.

2. Invoke the Table > Split Cells command.

3. A dialog box appears. Enter the number of rows and columns into which the cell should be split in this dialog.

4. Confirm with OK.

The cell is now split according to your specifications.

Splitting several cells at once

Optionally, you can select multiple neighboring cells before invoking the Table > Split Cells command. When you do this, all the selected cells are split in a single step.

Notice that the above described dialog presents a Join selected cells before splitting? option if multiple cells are selected. If offers the following options:

If you choose Treat the selection as one cell and split it, the selected cells are combined into a single cell before the splitting operation is carried out.

If you choose Each selected cell will be split individually, each of the selected cells is split into the specified number of rows and columns.


Splitting tables

With the help of the command Table > Split Table you can split a table horizontally. The result is two separate tables.

To split a table, do the following:

1. Position the text cursor in any cell of the row at which the table is to be split.

2. Invoke the Table > Split Table command.

The table is now broken into two separate tables.


Formatting tables

The next pages will acquaint you with the commands available for formatting tables. The following topics are covered:

Row properties

Use the Table > Row Properties command to change the formatting of the rows in a table, including their row height and options that change the behavior of a row at page breaks.

Cell properties

Use the Table > Cell Properties command to format individual table cells. With it, you can modify the width and margins of specific cells and change their borders and shading.

Changing the overall properties of tables

Use the Table > Table Properties command to change the formatting of entire tables. This command also allows you to set the borders and shading of an entire table at once.

AutoFormat

FreeOffice: This feature is not included in SoftMaker FreeOffice.

The Table > AutoFormat command can be a real time saver: it provides pre-defined “table styles” that can be used to format an entire table with the push of a button.


Row properties

The Table > Row Properties command is for modifying the formatting of complete rows in tables.

Before invoking this command select the rows whose format is to be changed. If you do not select any rows, the changes will be applied only to the row in which the text cursor is positioned.

The dialog box for this command offers the following options:

Height

Here you can modify the height of the table rows by selecting from among the following options:

Auto

This is the default setting. When it is selected, TextMaker determines the optimum height for the rows automatically.

Exact

When you select this option, you can specify exactly the height you want the rows to be. However, in this case the height of the rows will be fixed; it will not be automatically adjusted – even when it is not sufficient to accommodate the contents of the cells.

At least

This option represents a combination of the two options above. If you enter “1 in” here, for example, the height of the rows will be set to exactly 1 inch, provided that this height is sufficient for the contents of the cells. However, if you enter more text in a cell than can be accommodated in 1 in, TextMaker will automatically increase the height to accommodate it.

Keep together with next row

When this option is checked, the selected rows and (!) the row immediately following are always kept together. If TextMaker determines that an automatic page break should fall between any of these rows, it will insert the break before them, ensuring that they will remain together on one page.

Page break at row

When this option is checked, TextMaker inserts a page break before the selected row, ensuring that this row will always be at the beginning of a new page.

Allow page break in row

When you check this option, TextMaker is allowed to insert a page break within the selected row. Thus, if an automatic page break should fall within this row, one part of the row’s contents will remain on the current page, while the rest will appear on the following page.

However, by default, this option is unchecked, meaning that TextMaker will insert the break before this row in such a case.

Repeat as header row

This option is only available in the first rows of a table.

It affects only tables that extend over more than one page. When it is checked, TextMaker repeats the selected rows at the beginning of every subsequent page.

This is useful, for example, when the first two rows of the table contain headers that you want to appear at the beginning of every page of the table. To do this, select the first two rows and activate this option for them.


Cell properties

The appearance of the current table cell can be modified with the Table > Cell Properties command. It goes without saying that you can select more than one cell, or even complete rows and columns, before you invoke this command in order to change the properties of several cells at once.

The dialog box for this command offers the following options:

Size

Here you can change the Width of the selected cells by choosing among the following options:

Fixed

When you select this option you can specify the width exactly by entering the desired value in the field to the right of the Width list.

Percent

When you select this option you can specify the width you want as a percentage of the overall table width.

By default, the cells in a table are of equal width, and the width is set to 100% divided by the number of cells in a row. For example, each cell in a table of three columns has a default width of 33.3%. If you wanted the first column to be twice as wide as the other two columns you would set the widths of all the cells in this column to “50” and the widths of all the cells in the second and third column to “25”.

Auto

When you select this option, TextMaker automatically determines an appropriate width. In this case, the cell widths will be automatically distributed over the space available.

Any of these three options can be applied in any combination within the same table. Thus, you can set up, for example, tables where the cells in the first column have a fixed width, while those in the remaining columns have widths set to “Auto”. If you set up such a table and subsequently increased the width of the first column, the widths of the remaining columns would automatically decrease proportionally.

Tip: Cell widths can also be changed with the mouse. To do this, drag the right border of a cell left or right with your mouse. If you have not selected any cells, the width of all the cells in the current column is changed. If you have selected some cells, only the width of the selected cells is changed.

Vertical alignment

This setting determines how the content of cells will be aligned with respect to the top and bottom edges of the cell.

Option | Explanation
Top | The cell content will be aligned flush against the top edge of the cell. (This is the default setting.)
Centered | The cell content will be centered between the top and bottom edges of the cell.
Bottom | The cell content will be aligned flush against the bottom edge of the cell.
Justified | The lines of text within the cell will be equally spaced, in such a way that the top line will be flush against the top edge of the cell and the bottom line flush against the bottom edge.

Rotate by...

Here you can specify the angle of rotation for the contents of the current cell(s).

Margins

Here you can change the interior margins of the selected cells.

Options

If the Text locked option is checked, no modifications of the contents of the selected cells will be allowed when the document is edited in Forms mode.

By default, this option is not checked; accordingly, the cells will remain editable in Forms mode.

You will find more information about this in section Protecting contents of forms objects).

Borders property sheet

Here you can specify border lines for the selected cells.

The options accessible on this property sheet are the same as those for the Format > Borders command (see section Borders and lines).

Note: If you have selected multiple cells, not only outer border lines but also gridlines between the cells can be added. To apply gridlines, first select these lines in the Sample field (click on the cross in the middle) and then select the desired line style.

Tip: You can also use the [image] icon in the Table toolbar to change the borders of cells. Select the desired cells and then click the arrow right of the icon (not the icon itself). A menu with several pre-defined border styles will open. Click on the desired style to apply it.

If you want to apply the same border style to other cell ranges thereafter, simply select them and click the icon itself (not the arrow). TextMaker will apply the last chosen border style once more.

Shading property sheet

Here you can specify a shaded or patterned background for the selected cells.

The options accessible on this property sheet are the same as those for the Format > Shading command (see section Shading).


Changing the overall properties of tables

You can make additional settings for tables with the Table > Table Properties command. This command also allows you to set the borders and shading of the entire table at once.

To modify the properties of a table, first position the text cursor in any cell in the table. Then invoke the Table > Table Properties command to bring up the associated dialog.

Note: This dialog can also be invoked with the Object > Properties command – the two commands are identical.

The following settings can be made in this dialog:

Properties property sheet

On this property sheet, you can change some general settings for the table. For descriptions of these settings see section Object properties, Properties property sheet.

Note: The Text locked option mentioned in the section referenced above is not present for tables, because protection for table cells is set on a cell by cell basis using the Table > Cell Properties command (see the description of the Text locked option in section Cell properties). Of course, you can always protect an entire table by selecting all its cells and then checking the Text locked option for them.

Text direction: For text in Arabic script, you can also change the writing direction of the table. When you set the direction to right-to-left, the column on the very right becomes the first column (instead of the column at the very left). See also chapter Working with Arabic text.

Borders property sheet

Here you can specify border lines for the entire table.

The options accessible from this property sheet are the same as those for the Format > Borders command (see section Borders and lines).

Note: In tables, not only outer border lines but also gridlines between the cells can be added. To apply gridlines, first select these lines in the Sample field (click on the cross in the middle) and then select the desired line style.

Shades property sheet

Here you can specify a shaded or patterned background for the entire table.

The options accessible on this property sheet are the same as those for the Format > Shading command (see section Shading).


AutoFormat

FreeOffice: This feature is not included in SoftMaker FreeOffice.

The Table > AutoFormat command can be a real time saver: it provides pre-defined “table styles” that can be used to format an entire table with the push of a button.

Simply put the caret into the desired table and invoke this command.

A dialog presenting a list of all available table styles pops up. Select the desired style and confirm with OK. The entire table will be reformatted accordingly.

The options at the bottom of the dialog can be used to adjust more specifically how the table style should be applied:

Apply section

Allows you to specify which formatting options to apply.

For example, if you deselect all options except Borders, only the border lines will be applied; all the other formatting options remain untouched.

Title bars section

Allows you to specify if the table should contain e.g. headers or footers (formatted in a different way).

You can see the effect of these options right in the Sample field. For example, when you deactivate the Footer option, the last row in the table looses its special formatting. It will be formatted like any other “ordinary” table cells.


Converting a table to text

With the Table > Convert Table to Text command, you can transform a table into text.

An example: You want to turn a table with 2x2 cells into a list, in which the contents of the cells will be separated by semicolons.

To do this, proceed as follows:

1. Position the text cursor in any cell of the table.

2. Invoke the Table > Convert Table to Text command.

3. Select the desired Separator character, in this case the Semicolon.

4. Confirm with OK.

The contents of the table are now converted into normal text – from left to right and top to bottom.

So, if you convert a table like this one ...

Cell1 | Cell2
Cell3 | Cell4

... you will get text like this:

Cell1;Cell2

Cell3;Cell4

Each row becomes a separate paragraph. The Separator is inserted between the contents of each cell in every row. Depending on the separator you select, you will get the following results:

Separator | Result
Paragraph break | Here a new paragraph is started for each separate cell in the table.
Tabs | A new paragraph is started at the end of every row in the table. The contents of the cells in each row are separated by tabs.
Semicolon | A new paragraph is started at the end of every row. The contents of the cells in each row are separated by semicolons (;).
User defined | Here you can specify the separator yourself. To do this, enter the desired character in the edit box. You can enter more than one character if desired.
 | For example, if you enter a comma followed by a space as the separator, the cell contents of every line will be separated by a comma and a space accordingly.

It is also possible to proceed in the opposite way: you can convert text in tabular form into a table (see the next section.)


Converting text into a table

The previous section described how to convert a table into paragraphs of text. It is also possible to proceed in the opposite direction: with the Table > Convert Text to Table command you can convert text in tabular form into a table.

To do this, proceed as follows:

1. Select the paragraphs of text that you want to convert into a table.

2. Invoke the Table > Convert Text to Table command.

3. First, select the Separator that is used to delimit the entries in the text (see below).

4. Next, specify the number of rows and columns the table should have. (TextMaker automatically attempts to suggest appropriate values.)

5. Confirm with OK.

The text is now transformed into a table. Each line of text becomes a row in the table.

An example: You want to turn the following list of addresses into a table:

Peter;Miller;24 Main Street;12345;Whitneyville, AK

Thomas;Meyer;1733 University Drive;54321;Knoxville, TN

When you invoke Table > Convert Text to Table, select semicolon as the Separator, you will get the following result:

Peter | Miller | 24 Main Street | 12345 | Whitneyville, AK
Thomas | Meyer | 1733 University Drive | 54321 | Knoxville, TN

Options

The options in the dialog box for this command are as follows:

Rows and Columns

Normally, you don’t have to worry about these settings. Provided you specify the separator correctly, TextMaker can determine the number of rows and columns the resulting table should have automatically and fill in these fields with the appropriate values.

However, you can enter your own values.

Separator

This is the most important setting: Here you specify the character TextMaker is to use to recognize the separate entries on each line of text.

You can choose among the following:

Paragraph break: Each entry is in its own paragraph.

Tabs: The entries are separated by tabs.

Semicolon: The entries are separated by semicolons (;).

Besides one of these, you can choose any other character for the separator by entering it in the User defined field. You should use this field if your entries are delimited by slashes or commas, for example. It is also possible to enter multiple characters here.

Note: The separator must not occur within an entry; if it does, TextMaker will of course treat it as such and divide the entry in two.

Remove quotation marks

If you check this option, TextMaker will remove all surrounding quotation marks from the text entries when they are converted.

This is useful when, for example, you want to convert a list in which all the entries are enclosed in quotation marks ("Henry"; "Meyer"; ...). Many database programs generate lists of this type.

Remove trailing/leading spaces

If you check this option, TextMaker will remove all leading and trailing spaces from the text entries when they are converted. (Spaces within a particular text entry will not be removed.)

Note: It is also possible to proceed in the opposite direction: you can convert tables into text (see the previous section.)


Sorting tables

You can let TextMaker sort the rows of a table using the Table > Sort Table command.

Note: This command is applicable only to tables. If you want to sort ordinary text paragraphs, please read section Sorting text.

To have TextMaker sort the rows of a table, proceed as follows:

1. Position the text cursor in any cell of the table.

Or: If you want to have only a part of the table sorted, select the rows to be sorted.

2. Invoke the Table > Sort Table command.

3. In the dialog box, choose the column whose contents are to be used as the basis of the sort. If desired, you can specify multiple columns as sort criteria (see below).

4. Confirm with OK.

The table rows are now sorted according to the contents of the selected column(s).

The dialog box for this command presents the following options:

Sort by:

Here you specify the column whose contents are to be the basis of the sort.

In addition, you can specify the sort order: Ascending (A..Z) or Descending (Z..A).

Type

Normally, you can keep the default setting Text for this option. However, if the column contains numbers, you should switch to Number. If it contains dates, choose Date.

Note: When a column contains, for example, dates and you choose the Date option, the program will automatically extract day, month and year to determine the correct sort order.

Then sort by:

You can specify more than one sort criterion as required.

For example, if the first column contains last names, and the second column contains first names, you can select the first column for Sort by: and the second column for Then sort by. As a result, the rows of the table will be sorted by last name and those rows containing the same last name will then be sorted by first name.

First row contains headings

If the first row of your table contains headings, you should check this option to prevent TextMaker from including the first row in the sort.

Example: A table contains addresses. The first row contains headings like “Name”, “Street”, “City”, etc. In a case like this, you should check this option to ensure that the headings will remain in the first row and will not be mixed up in the sort.

Case sensitive

If you check this option, sort terms that begin with lowercase letters will be placed after terms beginning with uppercase letters. Otherwise, all sort terms that begin with the same letter will be grouped together, regardless of the cases of the first letters.

Include cell formats

Determines if cells should be sorted including their formatting.

Off: Only the cell contents are sorted; the original formatting of the table is retained.

On: Cells that are moved to another place due to the sorting take their formatting (shading, margins, orientation, rotation) with them.


Sorting text

You can sort not only the contents of a table, as described in the previous section, but also paragraphs of normal text paragraphs. To do this, you use the Edit > Sort command.

Proceed as follows:

1. Select the paragraphs of text to be sorted.

2. Invoke the Edit > Sort command.

3. Select either an ascending or descending sort order.

4. Confirm with OK.

The paragraphs are now sorted in accordance with your settings.

The dialog box for the sort command allows you to set basic criteria and provides some additional options that can be set as needed. The options include:

Sort by:

Normally, all you need to specify here is the sort order: Ascending (A..Z) or Descending (Z..A).

The specification of a column as the basis for the sort makes sense only when the selected paragraphs are organized like a table – that is, when they contain elements delimited by tabs or other separator characters (see the Separator option).

Then sort by:

If required, you can specify more than one sort criterion.

For example, if the selected paragraphs are in columnar form, and if the first column contains last names and the second column contains first names, you can select the first column for Sort by: and the second column for Then sort by. The paragraphs will be sorted first by last name. In addition, paragraphs containing the same last name will be sorted by first name.

Separator

You don’t have to set the Separator unless you are sorting paragraphs organized in tabular form.

If the paragraphs contain, for example, names, street addresses, city names, etc. delimited by separator characters, you can tell TextMaker how to recognize the separate parts of each address by checking one of the following options:

Spaces

Tabs

User defined (here you can enter the separator yourself)

An example:

You want to sort the following three paragraphs:

Peter MillerTab5 University Ave.TabPleasantville, NY 12345

Thomas Chris HoweTab24 Park DriveTabCambridge, NJ 20220

Claudia FisherTab1024 13th StreetTabForest Park, IL 98765

In this case you should set the Separator option to Tabs, since the separate elements of each address (name, street, city) are delimited by tabs.

Advantage: Now you can make use of the Sort by: option available in the sort command dialog to specify a sort by Column 1, Column 2 or Column 3. Column 1 stands for the names, Column 2 for the streets, Column 3 for the cities.

If you selected Spaces instead of Tabs as the separator, TextMaker would see every word in a paragraph as belonging to a separate “column” and would produce an unwanted result.

First paragraph contains headings

If the first of the selected paragraphs contains headings, you should check this option so that TextMaker will not include the first paragraph in the sort.

Example: The selected paragraphs contain addresses. The first paragraph contains headings like “Name”, “Street”, “City”, etc. that identify the different parts of the addresses. In this case, you should check this option to ensure that the headings will not be incorrectly sorted along with the parts of the addresses to which they refer, but will remain in the first paragraph.

Case sensitive

If you check this option, sort terms that begin with lowercase letters will be placed after terms beginning with uppercase letters. Otherwise, all sort terms that begin with the same letter will be grouped together, regardless of the cases of the first letters.


Pictures

You can insert pictures into your document whenever you wish. Their sizes are fully adjustable; their positioning depends on whether you simply insert them into the body text or draw picture frames for them:

Inserting pictures into the text

You can insert pictures directly into the body text with the Object > New Picture command.

TextMaker treats a picture that has been inserted in this way as if it were a character within the text. It becomes part of the body text. Thus, if you type something just before the picture, the picture will be shifted to accommodate it, just as a character would.

Drawing picture frames

Alternatively, pictures can be inserted in the form of picture frames, using the Object > New Picture Frame command.

Picture frames are anchored at fixed positions on the page; thus, they do not move when text is added or deleted above them. This sort of behavior is useful, for example, for documents in newspaper style.

This chapter covers only the insertion of pictures directly into the text. You will find information about picture frames in chapter Frames and drawings.

The following topics are covered in this chapter:

Inserting a picture into the text

Inserting a picture from the clipboard

Scanning in pictures

Changing position and size of a picture

Changing the properties of pictures

See the next pages for details.


Inserting a picture into the text

To insert a picture directly into the body text, do the following:

1. Move the text cursor to the desired position.

2. Invoke Object > New Picture.

3. A dialog box appears to enable you to select the picture to be inserted. Enter the picture file name or select a file from the list.

Tip: When you check the Preview option a small preview of the currently selected picture file is displayed in the dialog.

4. Confirm with OK.

The picture is now inserted into the text.

Picture not visible? If you can’t see the picture in the document after you have inserted it, that is probably because you have disabled the display of pictures – in other words, checked the Use placeholders option for pictures. To re-enable the display of pictures, invoke File > Properties, switch to the View property sheet and check the Show pictures option.

Picture frames: As explained in the introduction, there is an alternative way of inserting pictures using picture frames. These are anchored at fixed positions on the page; thus, they do not move when text above them is inserted or deleted. You will find more information about this topic in section Picture frames.

Options in the dialog

The two options that are presented in the above described dialog box have the following functions:

Save within document

If this option is checked, TextMaker saves a copy of the picture in the document and uses this copy instead of the original.

Otherwise, TextMaker saves only a reference to the original picture file in the document.

Copy to document’s folder

If this option is checked, TextMaker creates a copy of the picture file in the folder in which the document itself resides and uses this copy instead of the original.

This option is available only when the document has already been saved before, since otherwise TextMaker would not yet know in which folder the document will be stored.


Inserting a picture from the clipboard

You can also insert a picture that you have created with a graphics program of your choice, once you have copied it from that program into the clipboard.

To do this, proceed as follows:

1. In your graphics program, either open an existing picture, or create a new one.

2. Copy the picture into the clipboard with the program’s Edit > Copy command.

(Note: In some graphics programs, you must select the picture first.)

3. Switch to TextMaker.

4. Move the text cursor to the position in the document where you want to insert the picture.

5. Insert the picture in the text with Edit > Paste.

When a picture is inserted into the text in this manner it is saved in the document as a fixed copy. Thus, if you later use your graphics program to modify the original picture, the modifications you make there will have no effect on the copy in the TextMaker document.

Inserting as a picture frame

Alternatively, you can insert the picture as a freely movable picture frame. To do this, simply switch to Object mode using the View > Object Mode command before making the insertion.

You will find more information about picture frames in section Picture frames.


Scanning in pictures

Note: Scanning pictures directly into a document is possible only with the Windows version of TextMaker.

TextMaker for Windows supports scanning printed matter directly into a document. To make use of this function, you must have connected a scanner to your computer and installed the scanner software. The scanner software must be TWAIN compatible (as it is with almost all scanners).

To scan a picture directly into the text, do the following:

1. Turn on the scanner and put the document to scan into the scanner.

2. Move the text cursor to the position in the document where you want to insert the result of the scan.

3. Invoke the File > Acquire command.

At this point TextMaker activates your scanner’s software. Normally, this software presents a dialog box where you can make any settings you want to make and then start the scanning process (see the manual for your scanner). When the process has been completed, an image of the original will appear as a picture in the document.

Scanning into a picture frame

The procedure just described inserts the scanned picture into the text. Alternatively, you can insert the picture into a freely movable picture frame. To do this, simply switch to Object mode using the View > Object Mode command before invoking the File > Acquire command.

You will find more information about picture frames in section Picture frames.

Selecting other sources

When several scanners are connected to your PC, you can switch among them with the File > Select Source command.

To switch scanners, invoke the command, select the desired device, and confirm with OK.


Changing position and size of a picture

A picture inserted with the Object > New Picture command is treated by TextMaker like a character within the text. When you want to change the position of such a picture, all you need to do is cut it and paste it at another place using the familiar Edit menu commands.

The size of such a picture can be changed in either of two ways:

Dragging the boundary lines

Click on the picture to select it. When the picture is selected, red lines are displayed on its borders. When you drag one of these lines with the mouse, the size of the picture is changed accordingly.

Entering values manually after double clicking

Double click on the picture to bring up a dialog box where you can change the picture’s properties (see also the next section). Switch to the dialog’s Format property sheet and enter the desired measurements in the Size group box.


Changing the properties of pictures

The Object > Properties command gives you access to a dialog where all the properties of an object can be edited. An object’s properties include, for example, its size and margins, along with numerous other properties that you can set.

To modify the properties of a picture, first select the picture with a mouse click. Then invoke the Object > Properties command to bring up the associated dialog.

Tip: This command can also be invoked by double-clicking on the picture.

The following settings can be made in this dialog:

Layout, Format, Filling, etc. property sheets

FreeOffice: In SoftMaker FreeOffice, the property sheets Shadow and Effects are not available.

The property sheets listed below are present for almost all object types. They allow you to modify the following settings:

Layout: On this property sheet, the only settings that apply to pictures are those for outside margins. The other options are available only for picture frames. See section Object properties, Layout property sheet.

Format: For changing the size of the picture. See section Object properties, Format property sheet.

Filling: For changing the filling. Only visible in pictures that have transparent areas. See section Object properties, Filling property sheet.

Lines: For adding border lines. See section Object properties, Lines property sheet.

Shadow: For adding a shadow. See section Object properties, Shadow property sheet.

Effects: For adding various types of effects. See section Object properties, Effects property sheet.

Properties: For modifying common object settings. See section Object properties, Properties property sheet.

For pictures, there is an additional property sheet with further options:

Picture property sheet

On the Picture property sheet, you can change settings that are specific to pictures.

Options available:

Variants

In this list, a number of pre-defined variations of the picture are presented – for example different color modes (grayscaled, black & white, etc.) as well as colorized variants of the image.

To choose one of these variants, simply click on it, and the options in the dialog will be adjusted accordingly.

Settings group box

Here you can change brightness, contrast, saturation and gamma (color balance, with an effect on brightness).

More button

This button opens a dialog with the following additional options:

When you activate the Mix with color option and choose a color below, the picture will be colorized accordingly.

The options in the Cropping group box can be used to crop the picture. This is useful when you need only a segment of the picture. For example, if you want to cut off the upper forth of the picture, enter “25” (percent) at Top.

Transparency group box

Lets you modify the transparency settings of the image. Options available:

Detect automatically: Reads the transparency settings stored in the picture file and displays the image accordingly. Note: Only files in GIF or PNG format can contain transparency settings.

No transparency: Ignores the transparency settings stored in the picture file. Even pictures containing transparent areas will not be displayed transparently.

Color: Lets you choose the color to be displayed transparently. For example, if you select white, all white areas of the picture will become transparent.

File button

To use a different picture file, click this button and choose a new file.

Export button

Available only for pictures that are saved in the document.

You can use this button to export the picture, that is, to save a copy of it on your hard disk.

If you check the Create link to file option in the Export dialog, TextMaker first copies the picture from the document to a file and then removes the picture from the document, replacing it with a reference to the new file. Thus, the picture is no longer saved in the document.


OLE objects

Note: The use of OLE objects is possible only with the Windows version of TextMaker.

With TextMaker for Windows, you can embed objects created with other applications (drawings, pictures, etc.) in your document.

An example: From TextMaker, you can use Object > New OLE Object to start Windows’ Paint program and then draw something. When you exit Paint, the drawing appears in the TextMaker document. It is now embedded in the document.

Advantage: To edit the drawing in the TextMaker document all you have to do is double click on it – Paint is then restarted automatically. When you have finished editing and closed Paint, your changes are imported by TextMaker.

For this to work, the application invoked from TextMaker must support OLE. OLE stands for “Object Linking and Embedding”. The object that is imported from the other application into TextMaker is called an OLE object.

In this chapter, you will learn everything you need to know about OLE objects. It covers the following topics:

Inserting OLE objects

Editing OLE objects

Editing links to OLE objects

Changing position and size of an OLE object

Changing the properties of OLE objects

Using the SoftMaker Equation Editor

See the next pages for details.


Inserting OLE objects

Note: The use of OLE objects is possible only with the Windows version of TextMaker.

The Object > New OLE Object command allows you to embed an OLE object into the document.

The command opens a dialog box containing a list of all applications that are able to create OLE objects. The entries displayed in the list depend on the OLE-capable programs installed on your system.

Selecting “Paintbrush Picture”, for example, will open Windows’ Paint program (called Paintbrush in older versions of Windows). There you can create a picture. Simply exit Paint, and the picture will be embedded into your document. It is displayed in the text, and you can edit the picture whenever you wish. To do so, simply double click on the picture.

Step by step, the procedure for embedding an OLE object is as follows:

1. Move the text cursor to the position in the document where you want to embed the object.

2. Invoke the Object > New OLE Object command.

3. A dialog box appears. From the Object Type list displayed in this window, select the type of OLE object that TextMaker should embed in the text.

4. When you confirm with OK, TextMaker starts the application that is appropriate to the type of object selected.

5. Create the object in the application.

6. Exit the application.

7. At this point, it is possible that the application will ask you if you want to insert the object into the TextMaker document. Confirm with “Yes”.

The OLE object created in the other application is now embedded in the TextMaker document.

OLE object frames: An OLE object that has been embedded in the text is treated by TextMaker as if it were a character within the text. Thus, it is bound up within the flow of the text. Instead of being embedded, an OLE object can be inserted as an OLE object frame that will remain at a fixed position on the page. You will find more information about this in section OLE object frames.

Acquiring an OLE object from a file

If you don’t want to create a new OLE object, but want to embed as an OLE object a document that already exists in the form of a file created previously in another application, you still invoke Object > New OLE Object command, but in this case, instead of choosing the option Create New in the dialog, you select the Create from File option.

With this selection, the look of the dialog changes: Instead of the Object Type list, a File entry field is displayed. Here, enter the full file name of the document file, or click on the Browse button to bring up a dialog box that will enable you to search your hard disk for the file.

When you have specified a file and confirmed with OK, the file is inserted as an OLE object.

When the OLE object is being inserted, Windows checks the file name extension to see if it is associated with a program that can be started. If the file name extension is not registered, the embedded file is merely represented by a symbol. On the other hand, if Windows can relate the file name extension to an OLE-capable program, the content of the embedded file is displayed.

Creating a link to the original file

The dialog box described above provides an additional option that allows you to specify whether the object to be inserted from the file should be embedded in or linked to the document. If you leave the Link option unchecked, TextMaker inserts a copy of the file into the document as an OLE object and saves this copy in the document – thus, the object is embedded in the usual way.

On the other hand, if you check the Link option, TextMaker inserts the OLE object in the form of a link to the original file. In this case, if you should ever modify the original file with another application and then reopen the TextMaker document that contains the link to this file, the OLE object will appear modified accordingly – thus, the OLE object remains linked to the original file.


Editing OLE objects

Tip: To edit an OLE object, simply double click on it. The object will be opened immediately in its native application, where it can be edited.

Alternatively, you can use the menu to edit an OLE object. Proceed as follows:

1. Click on the OLE object to select it.

2. Open the Edit menu. At the bottom of the menu, you will find an item that refers to the object by name (for example, Bitmap object). Selecting this menu item opens a sub-menu containing all the OLE commands that are available for this object. There is an Edit command for editing the object. Invoke this command.

3. The application associated with the OLE object now starts. Make the desired changes there.

To return to TextMaker, simply exit the object’s source application.

When exiting some applications, you will be asked if you want to update the object in the TextMaker document. Answer “Yes” – otherwise your changes will be discarded.


Editing links to OLE objects

If you acquire an OLE object from a file with the Link option checked, you can edit the resulting link to the source file with the Edit > Link command.

When you invoke this command, a dialog box appears and displays a list of all the existing links in the current document. When you select a link from the list, the name and type of the source file to which the link refers are displayed in the lower part of the dialog box.

The dialog’s buttons allow you to perform the following functions:

Button | Function
Update Now | Updates the OLE object. Use this button if the source file has been modified by another program and the changes are not visible in the TextMaker document.
Open Source | Starts the application associated with the OLE object, allowing you to edit the object in the application. Tip: Double clicking on the object has the same effect.
Change Source | Lets you select a different file as the source for the OLE object.
Break Link | Cuts the link to the source file. As a result, the object is embedded permanently in the TextMaker document. Changes to the source file no longer have any effect on the document. However, the object can still be edited by double clicking on it.


Changing position and size of an OLE object

An OLE object inserted with the Object > New OLE Object command is treated by TextMaker like a character within the text. When you want to change the position of such an object, all you need to do is cut it and paste it at another place using the familiar Edit menu commands.

The size of an OLE object can be changed in either of two ways:

Dragging the boundary lines

Click on the OLE object to select it. When the object is selected, red lines are displayed on its borders. When you drag one of these lines with the mouse, the size of the object is changed accordingly.

Entering values manually

You can also enter precise numeric values for the size and margins of an OLE object. To do this, select the object with a (single!) mouse click and then invoke the Object > Properties command. A dialog box appears to facilitate changes to the object’s properties (see also the next section). Switch to the dialog’s Format property sheet and enter the desired measurements in the Size group box.


Changing the properties of OLE objects

The Object > Properties command gives you access to a dialog where all the properties of an object can be edited. An object’s properties include, for example, its size and margins, along with numerous other properties that you can set.

To modify the properties of an OLE object, first select it with a mouse click. Then invoke the Object > Properties command to bring up the associated dialog.

The following settings can be made in this dialog:

Layout, Format, Filling, etc. property sheets

FreeOffice: In SoftMaker FreeOffice, the property sheets Shadow and Effects are not available.

The property sheets listed below are present for almost all object types. They allow you to modify the following settings:

Layout: On this property sheet, the only settings that apply to OLE objects are those for outside margins. The other options are available only for OLE object frames. See section Object properties, Layout property sheet.

Format: For changing the size of the object. See section Object properties, Format property sheet.

Filling: For changing the filling of the object. Not supported by all OLE applications. See section Object properties, Filling property sheet.

Lines: For adding border lines. See section Object properties, Lines property sheet.

Shadow: For adding a shadow. See section Object properties, Shadow property sheet.

Effects: For adding various types of effects. See section Object properties, Effects property sheet.

Properties: For modifying common object settings. See section Object properties, Properties property sheet.

For OLE objects, there is an additional property sheet with further options:

Picture property sheet

On the Picture property sheet, you can change settings that affect the graphical representation of the OLE object.

Note: Depending on the application associated with the OLE object, some of the options may be not supported.

Options available:

Variants

In this list, a number of pre-defined variations of the object are presented – for example different color modes (grayscaled, black & white, etc.) as well as colorized variants of the object.

To choose one of these variants, simply click on it, and the options in the dialog will be adjusted accordingly.

Settings group box

Here you can change brightness, contrast, saturation and gamma (color balance, with an effect on brightness).

More button

This button opens a dialog with the following additional options:

When you activate the Mix with color option and choose a color below, the object will be colorized accordingly.

The options in the Cropping group box can be used to crop the object. This is useful when you need only a segment of the object. For example, if you want to cut off the upper forth of the object, enter “25” (percent) at Top.

Export button

You can use this button to export a copy of the graphical representation of the object, that is, to save an image of the object on your hard disk.


Using the SoftMaker Equation Editor

FreeOffice: This feature is not included in SoftMaker FreeOffice.

Note: The SoftMaker Equation Editor is available only for Windows and is not included in all versions of TextMaker.

The SoftMaker Equation Editor allows you to display mathematical formulas in graphical form.

TextMaker communicates with the Equation Editor via OLE, as described in the previous sections. Thus, to add a graphical representation of a formula to your document, you insert an OLE object, and choose the Equation Editor as the source application.

To do this, proceed as follows:

1. Move the text cursor to the desired position in the document.

2. Invoke TextMaker’s Object > New OLE Object command.

3. Select the entry SoftMaker Equation Editor from the Object Type list.

4. Confirm with OK to start the Equation Editor.

5. Create the desired formula.

6. When you have finished building the formula, simply exit the Equation Editor.

The formula is now embedded in the TextMaker document as an OLE object.

You can edit objects created with the Equation Editor by double clicking on them. Following a double click, the Equation Editor is restarted and the formula object is opened in it. After you made the desired changes, simply close the Equation Editor again.

Moreover, you can change the properties of an Equation Editor object by selecting the object with a (single!) mouse click and then invoking the Object > Properties command.

Information from the creators of the Equation Editor

The SoftMaker Equation Editor is a special version of the MathType program from Design Science. If you make frequent use of formulas in your documents, you might find that MathType itself is even better suited to your needs than the SoftMaker Equation Editor. While just as easy to use as the Equation Editor, MathType has a number of additional functions that can help you be more productive and create more complex formulas.

MathType is available in English, German, French and Japanese. You can obtain information about the purchase of MathType from your software distributor or directly from Design Science.

Design Science, Inc.

4028 Broadway

Long Beach, CA 90803

USA

Telephone (USA): | (800) 827-0685 (for customers within the USA and Canada)
 | (562) 433-0685 (for international customers)
Fax (USA): | (562) 433-6969
E-Mail (English): | sales@mathtype.com
Internet: | www.mathtype.com


Frames and drawings

In the preceding chapters you learned how to insert pictures and other objects directly into the body text. There is an alternative way to insert such objects. They can be inserted in the form of frames – pictures, for example, as picture frames.

The difference:

Frames occupy fixed positions on the page. You can adjust their positions, of course; but unless you do so deliberately, they remain at their fixed positions on the page. This means that a frame does not move when you add or delete text above it.

Thus, frames are useful whenever you want to include text boxes, pictures, or similar objects in your document and you want those objects to remain at specified positions on their pages.

A frame can be inserted right on top of existing body text. The existing text is then automatically reformatted in such a way that it flows around the frame.

In this chapter you will learn everything you need to know to become familiar with frames and drawings. The chapter covers the following topics:

Frames – basic functions

Here you will get acquainted with basic operations such as inserting, selecting and editing frames and other objects.

Frames – advanced functions

This section is for advanced users. Here you will learn, for example, how to hide and group frames.

After each of these topics is discussed, the individual types of frames are introduced in detail:

Text frames contain boxed text.

Picture frames contain pictures.

OLE object frames contain OLE objects.

Drawings are frames that contain drawing objects including lines, rectangles, and other shapes.


Frames - basic functions

Frames – basic functions

In this section you will find basic information about working with frames, drawings, and other objects:

Inserting frames

Selecting objects

Object mode

Changing the position, size and margins of objects

Rotating and flipping objects

Aligning and distributing frames

Duplicating objects

Changing the properties of objects

Functions for advanced users are described in the next section (Frames – advanced functions).


Inserting frames

As you learned in the introduction to this chapter, pictures and other objects don’t have to be inserted directly into the body text; they can be inserted in the form of frames. Thus, for example, instead of inserting a picture directly into the text, you can insert a picture frame.

The difference:

A frame occupies a fixed area on the page. As long as you don’t deliberately move it, it remains always at a fixed position on the page. A frame does not move when you enter or delete text above it.

When you insert a frame, you must specify its placement and size. You do this by drawing a rectangle with the mouse.

To insert a picture frame, for example, you do the following:

1. Invoke the Object > New Picture Frame command.

2. Click and hold the mouse while you drag it to create a frame with the desired position and size.

Alternatively, you can simply click in the document at the place where you want the upper left corner of the picture to be positioned. The size of the frame will then be adjusted automatically to match the original size of the picture.

3. A dialog appears, letting you select the picture that you want to be displayed in the frame. Choose the desired picture file and confirm with OK.

The picture frame is inserted.

The process for inserting other types of frames is similar. You will find detailed information about the individual kinds of frames in the sections Text frames, Picture frames etc.


Selecting objects

Before you can edit an object you must first select it. To do this, simply click on the desired object. A red frame will appear around the object to indicate that it is now selected.

Note: This does not work with text fields, text frames and other objects that have transparent fills. To select such an object you can click on its border, if it has one. Otherwise, you must switch to Object mode (see the next section). There, you can select any kind of object with a simple click of the mouse.

You cannot modify the normal text while an object is selected; only the selected object can be edited. When you want to return to the text to continue editing it, simply click with the mouse at the desired position in the text. This action will deselect the object.


Object mode

Object mode provides the simplest way to work with frames, drawings and all other objects.

Normally, you work with TextMaker in Edit mode. In this mode you can enter, edit, format, etc. text.

When you switch to Object mode, you can no longer edit text. However, this mode provides many functions that ease working with objects. Thus, in Object mode, you can, for example, select any type of object with a simple mouse click.

Important: Once you are in Object mode, you have access solely to functions for inserting and editing objects. This means you cannot enter text, and a large number of menu commands are not accessible.

Switching between Edit mode and Object mode

There are several ways to switch between Edit mode and Object mode:

Invoke the View > Object Mode command to enter Object mode. Invoke the command again to return to Edit mode.

Click on the [image] icon in the Formatting toolbar to switch to Object mode. Click on the icon again to return to Edit mode.

You can also click anywhere in the document window with the right mouse button to open a context menu, from which you can select Object Mode or Exit Object Mode, depending on the current mode.

The following is the fastest method: Point the mouse at any free position within the document window and double click with the right mouse button to switch between Edit and Object mode.

The Object toolbar

When you enable Object mode, the Formatting toolbar is replaced by the Object toolbar.

The Object toolbar

This toolbar provides icons for inserting and editing objects. From left to right, the icons are associated with the following functions:

Toggle between Object mode and Edit mode

Insert text frame

Insert picture frame

Insert OLE object frame

Insert OLE object frame with the SoftMaker Equation Editor*

Insert line

Insert freeform curve

Insert Bezier curve

Insert arrow

Insert straight connector

Insert elbow connector

Insert curved connector

Insert rectangle

Insert rounded rectangle

Insert ellipse or circle

Insert AutoShape

Insert TextArt object

Group selected objects

Link selected text frames

Modify object properties

Object list (a dropdown list of all objects in the document, as described below)

* Not all versions of TextMaker have this feature.

Object list: At the very right of the object toolbar, a dropdown list with the names of all objects existing in the current document is displayed. Open this list and when you click on the name of an object, the corresponding object will be selected.

You can refer to the section on Changing the names of objects to learn why objects have names and how these names can be changed.

Selecting objects in Object mode

In Object mode you can select any type of object simply by clicking on it with the mouse.

This is very useful, especially for objects with transparent fills (e.g. text frames). In Edit mode, an object of this type can be selected only by aiming at its border and then clicking. In Object mode, such an object can be selected simply by clicking anywhere on it.

In Object mode you can also select multiple objects at once, provided they are frames or drawings. To do this, draw a rectangle around the desired objects with the mouse. Alternatively, you can click successively on several objects while holding down the Shift key to select them together.


Changing the position, size and margins of objects

On the next pages you will learn how to change the position, size and outside margins of an object.


Changing the position of objects

Objects can be moved as desired. Simply select the object with a mouse click and then do the following:

With the mouse: While holding down the mouse button, drag the selected object to the desired position.

With the keyboard: With frames and drawings, you can alternatively use the arrow keys to move the object.

Under dialog control: With frames and drawings, you can also invoke the Object > Properties command and switch to the Layout property sheet in the dialog box, where you can specify the precise position for the object.

Tip: This property sheet also gives you access to a number of expanded options. You can, for example, set the position of the frame relative to the page margin. See section Object properties, Layout property sheet.

Note: An object’s “anchor” determines the page on which it is displayed

Note: This section applies only to frames and drawings.

When you insert a frame or a drawing, you will notice that an anchor is displayed along with it, to the left of the paragraph in which you positioned it.

The anchor for the selected object is displayed at the upper left.

The anchor determines the page on which the object is displayed:

In older versions of TextMaker there was no anchor. Frames and drawings always appeared on the pages on which they were inserted.

Beginning with the 2006 version of TextMaker, on the other hand, frames and drawings are anchored. By default, the object is anchored to the beginning of the paragraph left of the position where it was inserted.

This has the following consequence:

Important: A frame or drawing that is anchored to a paragraph always appears on the page on which the paragraph to which it is anchored appears.

Accordingly, if you insert so much text above this paragraph the new text forces the paragraph to the next page, the object that is anchored to this paragraph is forced to the next page along with it.

An object’s anchor can be moved at any time. To move an object’s anchor, select the object and then, while holding the mouse button down, drag the anchor to another paragraph. The object will then be anchored to the new paragraph.

Tip: You can disable the above described behavior for any object, so that the object will always remain on a specific page. To do this, select the object, invoke Object > Properties, switch to the command dialog’s Layout property sheet, select Fix on page in the Object group box and enter the number of the page on which you want to fix the object.

The object is then no longer anchored to a paragraph and will remain always on the specified page. Accordingly, when you subsequently select the object again, a non-moveable anchor will appear at the upper left corner of the page.

You will find information about the functions of the other anchor options on this dialog in the section Object properties, Layout property sheet.


Changing the size and margins of objects

You can change the sizes and the margins of objects as follows:

To change the size of an object, select it with a mouse click and then drag any of the red lines that mark the borders of the object (or the “handles” at the corners of these lines) until the object is the desired size.

For frames and drawings, it is also possible the change the outside margins:

The inside (solid) lines bordering the object are for changing the object’s size. When you drag one of these lines, the object is enlarged or reduced accordingly.

The outside (dashed) lines are for changing the object’s outside margins. When you drag one of these lines, only the margins are changed.


Preventing changes in an object's position and size

By locking an object you can prevent it from being moved or resized with the mouse or the keyboard arrow keys.

To lock an object, first select it. Then invoke Object > Properties, switch to the Properties property sheet and check the Locked option.

Now the object can no longer be moved with the mouse and its size cannot be changed by dragging its border. Nor is it any longer possible to move the object with the keyboard arrow keys. The only way to change the object’s position or size is to enter values in the Object > Properties dialog box.

By unchecking the Locked option, you can re-enable changes to the object’s position and size with the mouse.


Rotating and flipping objects

Note: Rotation and flipping can be performed only on drawings and pictures. These operations are not possible on other types of objects.

When you select an object that can be rotated, a handle with double arrows [image] will appear next to the selection frame surrounding it. To rotate the object, drag this handle with the mouse.

Alternatively, you can set the angle of rotation manually. For this purpose, select the object, invoke the Object > Properties command, switch to the Format property sheet and enter the desired angle under the Rotation option.

You can also rotate and flip objects by using the commands in the Object > Rotate or Flip menu.


Aligning and distributing frames

Note: Only frames and drawings can be aligned and distributed; these operations are not possible on objects embedded in the text.

To align or equally distribute two or more frames or drawings, select them and invoke the command Object > Align or Distribute.

A sub-menu appears, from which you can select the desired alignment or distribution:

Align Left

Align Center

Align Right

Align Top

Align Middle

Align Bottom

Distribute Horizontally

Distribute Vertically

The last two commands work only when at least three objects are selected. These commands are used to distribute the selected objects evenly within the area they occupy, so that the spacings between them are equal.


Duplicating objects

To obtain a duplicate of an object, you can copy it to the clipboard the usual way and then reinsert it.

Alternatively, you can use the Edit > Duplicate command. This command immediately creates a copy of the selected object.

Tip: Duplicating an object is even faster with the mouse: when you drag an object while holding down the Ctrl key you obtain a duplicate of the object. However, this works only with frames and drawings.


Changing the properties of objects

An object’s properties include its size, fill style, line style, etc. The Object > Properties command provides one place to access all properties for editing or viewing.

To modify the properties of an object, first select the object with a mouse click (text frames can be selected by clicking on the object’s border only). Then invoke the Object > Properties command to bring up the associated dialog.

Tip: For most types of objects, double clicking on the object (or its border) provides a quick alternative way to invoke this command.

The dialog contains several property sheets. You can switch among them by clicking on the index tabs.

On the next pages, you will find detailed information on each property sheet and the options it contains.


Object properties, Layout property sheet

On the Layout property sheet, you can set the outside margins for any type of object. For frames and drawings, you can, in addition, modify the position and the text wrapping.

Options available:

Horizontal Position group box

These options are available only for frames and drawings.

Note: You can change the positions of objects (e.g. pictures) that have been inserted directly into the text only by cutting them and then pasting them elsewhere.

With frames and drawings, on the other hand, you can specify here where the object should be placed.

Normally, all you need to do is enter the desired spacing from the left page edge in the Offset field. For example, if you set the Offset to “2 in” the left edge of the object will appear 2 inches from the left edge of the page. But you can also set the alignment to be rightward, rather than leftward. If you do that, the object’s right edge will appear 2 inches from the right page edge.

The options for Position and Relative to provide additional control over the positioning when that is required. You can, for example, set the position relative to the page margin, rather than to the page edge. If you do that, the object’s position will move to the right as you widen the left margin and to the left as you shrink it, with similar results for altering the right margin on a rightward aligned object.

Each of the various horizontal position options is given below, together with a description:

Position: With the Position options, you specify how the object is to be aligned:

Option | Effect
Left | The object is positioned from the left. Accordingly, the offset is from the left page edge, page margin, etc. to the left edge of the object. For example, the object’s left edge would appear 2 in from the left page edge.
Right | The object is positioned from the right. For example, the right edge of the object would appear 2 in from the right page edge.
Centered | The object is positioned from the center of the page, page margins, etc. For example, if Offset is set to 0 in, the object is centered horizontally on the page. If the offset is 2 in, the center of the object is positioned 2 in to the right of the center of the page, etc.
Inside | The object is positioned from the left if it falls on a right hand page (odd page number) – or from the right if it falls on a left hand page.*
Outside | The object is positioned from the right if it falls on a right hand page (odd page number) – or from the left if it falls on a left hand page.*
 | * These two options work as described above only when the Different left and right pages option has been checked in the Format > Chapter dialog. Otherwise, TextMaker treats all pages as right hand pages.

Relative to: With the Relative to options you specify the document element that should serve as a reference for the Offset:

Option | Effect
Page | The offset is relative to the page (more precisely to the page edges). The page margins are not taken into account.
Page borders | The offset is relative to the page margins. If you increase or decrease the margins, the object moves accordingly.
Paragraph | The offset is relative to the position of the paragraph to which the object is anchored. The indentation of this paragraph is not taken into account.
 | Note: If this paragraph falls, for example, in the right column of a double columned document, the object anchored to this paragraph is also moved to the right column.
Indent | Like Paragraph, except that the paragraph’s indentation is taken into account.
 | Thus if Position is set to Left, for example, and you increase the left indent of the paragraph by 0.5 in, the object will move to the right by 0.5 in.

If necessary, you can review the description of anchors in the section Changing the position of objects.

Offset: Finally, you can set the desired spacing in the Offset field.

Example: If Position is set to “Left”, Relative to “Page borders” and Offset to 2 in, the left edge of the object will appear 2 in from the left page margin. If this margin is 1 in wide, the left edge of the object will be 3 in from the left page edge.

Vertical Position group box

This option is available only for frames and drawings.

The same goes for setting the vertical positioning as for setting the horizontal: You can use the default settings and simply enter the distance from the top of the page at which you want the object to be positioned in the Offset field.

Alternatively, you can make use of the expanded options to specify the position:

Position: The Position options allow you to specify how the object is to be aligned:

Option | Effect
Top | The object is positioned from the top. If the offset is 2 in, for example, the top of the object will be positioned 2 in from the top edge of the page, top page margin, etc.
Bottom | The object is positioned from the bottom. If the offset is 2 in, for example, the bottom of the object will be positioned 2 in from the bottom of the page, bottom page margin, etc.
Centered | The object is positioned from the center. For example, if the offset is 0 in, the object is centered on the page. If the offset is 2 in, the center of the object is positioned 2 in below the center of the page, etc.

Relative to: With the Relative to options you specify the document element that should serve as a reference for the Offset:

Option | Effect
Page | The offset is relative to the page (more precisely, to the page edges). The page margins are not taken into account.
Page borders | The offset is relative to the page margins. If you increase or decrease the margins, the object will move accordingly.
Paragraph | The offset is relative to the position of the paragraph to which it is anchored.
 | Note: When you select this option, the object moves with the paragraph. If you insert a new line of text above the paragraph the object also drops down a line.

If necessary, you can review the description of anchors in the section Changing the position of objects.

Offset: Finally, you can set the desired spacing in the Offset field.

Example: If Position is set to “Top”, Relative to to “Page borders”, and Offset to 2 in, the top of the object will be positioned 2 in below the top page margin. If this margin is 1 in wide, the top of the object will be positioned 3 in below the top edge of the page.

Wrap Margins group box

Here you can change the object’s outside margins.

Tip: The outside margins can also be changed by dragging the outer (dashed) lines that appear around the object when it is selected.

Text Wrapping group box

The options in this group box are available only for frames and drawings.

With these options you can specify how the body text surrounding the frame (or drawing) should behave.

Available options (from left to right):

Option | Meaning
Line | The body text is broken above the frame and continued below it.
Square | The body text flows around the rectangular borders of the frame. (This is the default setting.)
Contour | The body text flows around the object contained within the frame, following the object’s contours as closely as possible. Note: This works only with graphics that contain transparencies, as well as drawings.
Behind text | The body text flows right through the frame and appears to lie behind the object in the frame.
In front of text | The body text flows right through the frame and appears to lie above of the object in the frame.

Note: This option is not available for objects whose anchor is placed inside a table cell.

Contour group box

This group box is available only for frames and drawings.

When you have selected either the Square or the Contour option for Text wrapping, you can specify here the side(s) of the frame around which the text should wrap.

The available options are (from left to right):

Option | Meaning
Both | The body text flows around both sides of the frame.
Left | It flows only around the left side.
Right | It flows only around the right side.
Larger side | It flows only around that side of the frame on which there is the most room.
 | Thus, if you position the frame in the right half of the page, the body text will flow around it on the left. If you position the frame in the left half of the page, the body text will flow around it on the right.

Object group box

The options in this group box are available only for frames and drawings.

When you insert a frame or a drawing, the object is automatically anchored to the paragraph in which is inserted, and the “anchor” is placed to the left of that paragraph.

An object always appears on the page in which its anchor is found. Thus, if you move the paragraph to which the object is anchored to the next page, the object also moves to the next page.

This is how TextMaker handles objects when the default setting Move with text is in effect. On the other hand, if you select the Fix on page option, TextMaker always leaves the object on the page determined by the page number you specify.

You will find additional information about the use of anchors in the section Changing the position of objects.

Anchor group box

The options in this group box are available only for frames and drawings.

When you have selected the Move with text option (see above) in the Object group box, you can specify how the object’s anchor should behave when you move the object:

When the default setting Move with object is selected, the anchor moves with the object. Thus, when you move the object from one paragraph to another, the object’s anchor is removed from the paragraph and a new anchor is set to the left of the target paragraph.

On the other hand, if you select the Fix to paragraph option, the object’s anchor always remains attached to the paragraph at which it was previously set – even when you move the object.


Object properties, Format property sheet

Use the Format property sheet to modify the size of objects, rotate objects, or flip objects.

Options available:

Size group box

Here you can alter the size of the object. To do so, enter the desired Width and Height.

For objects that contain text (e.g. text frames), you can either specify exactly a fixed width and height, or you can allow TextMaker to adjust the size of the frame automatically as required to accommodate the text that it contains. To do the latter, select the Growing option for Width or Height and enter the desired minimum and maximum values.

Scaling group box

Alternatively you can change an object’s size by specifying the width as a percentage of the original width in Horz. Scaling, and the height as a percentage of the original height in Vert. Scaling.

If the Keep aspect ratio option is checked, modifying the object’s height adjusts its width automatically, keeping the object proportional (and vice versa when modifying the object’s width).

Rotation group box

Available only for drawings and pictures.

Here you can rotate the object. To do this, enter the angle about which the object is to be rotated (positive values correspond to clockwise rotation).

Flip group box

Available only for drawings and pictures.

Here you can flip the object vertically or horizontally.


Object properties, Filling property sheet

Note: This property sheet is available only for certain types of objects. When applied to pictures, the filling will be visible only in pictures that contain transparent areas.

Use the Filling property sheet to modify the filling of objects as follows:

First, select the desired type of filling in the Fill type list. Based on the fill type selected, a series of options will be displayed. You can then change those settings for the chosen fill type, as desired.

The following fill types and settings are available:

No Filling

If you select the first fill type in the list, the object is not filled and thus remains transparent.

Color

Fills the object using a uniform color shade. To change the color, select it in the Colors list.

If none of the existing colors suits you, you can always compose your own colors. To do this, click on the More colors button and proceed as described in the section Document properties, Colors property sheet.

If desired, you can also change the Transparency of the fill. You can enter any value between 0% (no transparency) and 100% (full transparency). For example, if you set the Transparency value to 25, the filling will have 25% transparency.

Pattern

Fills the object using a pattern. To specify the pattern, select the type of pattern from the Patterns list. Then, select the desired colors for foreground and background.

If desired, you can also change the Transparency of the fill. Values between 0% (no transparency) and 100% (full transparency) are permitted.

Picture

Fills the object using a picture file. To select the picture file to be used, click the Open button to bring up a file selection dialog. Tip: The most recently used picture files are presented in the Images list and can be selected with a single mouse click.

Additional options:

Rotate with object: If you activate this option, the image will be rotated as well whenever you rotate the object to be filled.

Mirror: Allows you to mirror the picture horizontally or vertically.

Transparency: If desired, you can also change the transparency of the fill. Values between 0% (no transparency) and 100% (full transparency) are permitted.

Tile as texture: If this option is enabled, multiple copies of the picture are arranged like tiles to fill the object.

The options in the Tile options section then allow you to change the size and position of the tiles: X scale and Y scale change the size (in percent), while X offset and Y offset change the position. The Alignment option can be used to determine to which edge of the object the tiles should be aligned.

If the Tile as texture option is not enabled, only Offsets (relative to the edges of the object) can be set for the image.

Save: You can use this button to export the currently selected picture, that is, to save a copy of it on your hard disk.

Linear Gradient, Rectangular Gradient etc.

The lowermost five fill types in the list allow you to fill the object using a gradient. First, open the Fill type list and select the desired type of gradient. Then, select one of the subtypes in the Variants list.

In the Options section, the following additional settings can be made:

X offset and Y offset can be used to move the center of the gradient. Angle rotates the gradient.

Hint: You can also modify these settings by moving or rotating the cross-hair displayed in the Sample field using the mouse.

If you check the Double gradient option, for example, a black-white gradient will become a black-white-black gradient.

In the Colors section, the colors can be adjusted as follows:

If you want to change the gradient colors, click one of the triangles below the bar representing the gradient. Then, select a color from the Color list.

Use the triangle on the left to change the start color and the triangle on the right to change the end color.

If desired, you can also change the Transparency of the selected color. Values between 0% (no transparency) and 100% (full transparency) are permitted.

Additional colors can be added to the gradient by double-clicking on the desired position in the bar and selecting a color. To remove a color, double-click the triangle representing that color.


Object properties, Lines property sheet

Note: This property sheet is available only for certain types of objects.

Use the Lines property sheet to modify the lines that encompass the object or its border lines.

When applied to drawings, these settings affect the lines used to paint the object itself. When applied to other types of objects, the border lines surrounding the object are affected.

Options available:

Line variants

Offers some pre-defined line styles to choose from.

The entries in the list are merely samples. If required, you can specify the appearance of the lines more precisely with the options listed below.

Color

Lets you change the color of the lines.

Dashed

Lets you determine if solid or dashed lines will be used.

Thickness

Lets you change the width of the lines (in points).

Transparency

If desired, you can also change the Transparency of the lines. You can enter any value between 0% (no transparency) and 100% (full transparency). For example, if you set the Transparency value to 25, the lines will have 25% transparency.

Begin and End

Available only for lines, curves and connectors.

If you select one of the symbols displayed here, it will be painted at the starting point or end point of the line. For example, if you select an arrow symbol for the end point, the line will look like an arrow. Width and Height settings are used for changing the width and/or height of the symbol.


Object properties, Shadow property sheet

FreeOffice: In SoftMaker FreeOffice, this property sheet is not included.

Note: This property sheet is available only for certain types of objects.

Use the Shadow property sheet to add a shadow to the object.

Options available:

Shadow variants

Offers a variety of pre-defined shadow styles to choose from.

The entries in the list are merely samples. If required, you can specify the way the shadow will appear more precisely with the options listed below.

Scaling

Lets you change the size of the shadow (relative to the size of the object).

Offset

Lets you change the position of the shadow (relative to the object).

Perspective

Lets you change the Skew angle of the shadow.

For certain types of perspective shadows, you can also change the distance of the Horizon. Note: If Horizon is a positive value, the shadow will be painted in front of the object, and if it is negative, the shadow will be painted behind the object.

Color

Lets you change the color of the shadow.

Blur

If you enter a value greater than zero here, a blur effect is added to the shadow. The larger the value, the softer the edges of the shadow are painted.

Transparency

Allows you to change the Transparency of the shadow. You can enter any value between 0% (no transparency) and 100% (full transparency). For example, if you set the Transparency value to 25, the shadow will have 25% transparency.


Object properties, 3D property sheet

FreeOffice: In SoftMaker FreeOffice, this property sheet is not included.

Note: This property sheet is available only for text frames and drawings.

Use the 3D property sheet to add a three dimensional effect to the object.

Options available:

3D effect variants

Offers a variety of pre-defined 3D effect settings to choose from.

The entries in the list are merely samples. If required, you can specify the way the effect appears more precisely with the options listed below.

Options group box

Lets you modify the depth of the 3D object and the angles about which it is rotated on the horizontal and vertical axes.

3D surface group box

Side faces: By default, the color used for the side faces of the object is determined automatically. To use a different color, activate the Side faces option and select the desired color from the list.

Affect front side: If this option is checked, the front side of the object will also be lightened or darkened according to the lighting of the 3D effect. To change the lighting, click the More button.

Wire frame: If you check this option, the object is rendered as a wire frame model.

More button

Click the More button to change the lighting of the 3D effect. An additional dialog box will appear. To change the position of the light source, click the corresponding position in the Lighting field. The other two options let you change the Intensity of the light source and the type of Surface to be simulated.


Object properties, Effects property sheet

FreeOffice: In SoftMaker FreeOffice, this property sheet is not included.

Note: This property sheet is available only for certain types of objects.

On the Effects property sheet, you can add various effects to the object.

The following effects and settings are available:

Reflection

When you check the Use reflection effect option, the object is rendered as if it was standing on a reflecting surface.

Options:

Visible part of object: Specifies how many percent of the object will be visible in the reflection.

Starting transparency: The reflection is smoothly faded out towards its bottom. This value specifies how transparent the reflection will be at its top (in percent).

Y offset: Moves the reflection upwards or downwards.

Soft edges

When you check the Use soft edges effect option, the borders of the object will be rendered with a blur effect.

Options:

Width: Specifies the width of the blur effect.

Glow

When you check the Use glow effect option, the borders of the object will be surrounded by a glow effect.

Options:

Width: Specifies the width of the glow effect.

Color: Specifies the color of the glow effect.


Object properties, Properties property sheet

The Properties property sheet can be used to modify common object settings.

Options available:

Name

TextMaker automatically assigns a unique name to every object in a document. Rectangles, for example, might be named Rectangle1, Rectangle2, Rectangle3, etc.

If you wish, you can give the object a different name by entering it here.

You will find detailed information about the uses of names for objects in the section Changing the names of objects.

Visible

This option is checked by default. If you deactivate it, the object will no longer be visible on the screen. See also section Hiding objects.

Printable

This option is checked by default. If you deactivate it, the object will no longer print. See also section Hiding objects.

Locked

This option is NOT checked by default. If enabled, the size of the object and its position (in the case of frames and drawings) cannot be altered with the mouse or keyboard. It is still possible, though, to open the Object > Properties dialog and make changes there.

Tab stop

Available only for forms objects (e.g. text fields and text frames, checkboxes and dropdown lists).

In Forms mode, you can jump back and forth among forms objects with the Tab key or the F11 key (see also section Changing the tab order).

However, if an object’s Tab stop option is unchecked, that object is skipped.

Text locked

Available only for objects that contain text (e.g., text fields and text frames).

When this option is checked, text contained in the object cannot be changed while the document is edited in Forms mode.

However, the default setting is unchecked, allowing the text in the object to be edited even in Forms mode.

You will find more information about this in section Protecting contents of forms objects.

Link

Here you can enter a link – to a web page in the Internet, for example. To do this, click on the Select button, select the type of link desired and type in the desired target.


Additional property sheets

With some object types, the Object > Properties dialog displays additional property sheets containing more options. To learn more about these property sheets, see the sections referring to each particular object type.


Frames - advanced functions

Frames – advanced functions

The next pages present some less commonly needed functions for working with objects. The following topics are covered:

Converting between frame and embedded object

Hiding objects

Changing the order of frames

Grouping frames

Changing the names of objects


Converting between frame and embedded object

You can convert an object frame (e.g. a picture frame) into an embedded object (e.g. a picture) whenever needed.

To do so, right-click the frame in order to obtain its context menu, and choose the command Convert to Embedded Object. This will convert the picture frame into a picture.

Of course the opposite way is possible as well: When you right-click an embedded object (e.g. a picture) and choose the command Convert to Object Frame, the picture will become a picture frame.


Hiding objects

If necessary, you can hide an object so that it will not appear on the screen and/or on the printed page.

To hide an object, select it, invoke the Object > Properties command, switch to the Properties property sheet and do the following:

Uncheck the Visible option if you don’t want the object to be displayed on the screen.

Uncheck the Printable option if you don’t want the object to appear in the printed document.

Tip: If you should ever make an object invisible by accident, you can always invoke File > Properties and check the Show invisible objects option on the Options property sheet to make all hidden objects visible again. Then you can select the mistakenly hidden object and check its Visible option to make it visible again.


Changing the order of frames

When two or more frames overlap, you can change the display order of these objects (which of the objects to display in the foreground, which in the background, etc.).

This can be accomplished as follows:

1. Select the desired object.

2. Open the Object > Order menu option to choose one of the following commands:

Bring to Front: Brings the object in front of all other objects.

Send to Back: Sends the object behind all other objects.

Bring Forward One Level: Brings the object forward by one level.

Send Backward One Level: Sends the object back by one level.


Grouping frames

When you group several frames/drawings you connect them together to form a unit that can be selected and manipulated as if it were a single object.

For example, when you select an object that is part of a group of objects, the whole group will be selected. When you move this object, the whole group will move.

To group objects, you do the following:

1. Select the frames or drawings to be grouped.

To do this, click on each of them in turn while holding down the Shift key – or switch to Object mode and draw a rectangle around all the objects to be grouped.

2. Click the [image] icon in the Object toolbar or invoke the Object > Group command.

Ungrouping objects

To ungroup objects, do the following:

1. Select the group by clicking on one of the objects in it.

2. Click the [image] icon in the Object toolbar again or invoke the Object > Ungroup command.


Changing the names of objects

Every object in a document must have a unique name. This is necessary so that you can, for example, perform calculations on the contents of table cells or text fields.

Normally, you don’t need to concern yourself with these names, since TextMaker assigns them automatically: if you insert a rectangle in an empty document, the rectangle is automatically names “Rectangle1”. If you insert a picture, it is named “Picture1”. A second picture would be named “Picture2”, etc.

However, you can change the names of objects whenever you wish. For example, if you have created a form that contains a text field where an address can be entered, the name “Address” would naturally suggest itself for this field. To change its name, select the field, invoke the Object > Properties command, switch to the Properties property sheet and change the entry in the Name field.

Remember that names must be unique. If you attempt to assign a name to an object that is already in use for another object, TextMaker will reject it and present an error message.

The purpose of names

But what is the sense in giving all objects in a document unique names?

In the first place, these names are necessary for calculations on the contents of objects. For example, to multiply the content of cell C3 in table “Table1” by two, you must reference the table by its name in your calculation, entering “Table1.C3 * 2”.

You will find detailed information about performing calculations with objects in the section Objects in calculations.

This concludes the general description of frames and drawings. The following sections present the various types of frames in detail:

Text frames

Picture frames

OLE object frames

Drawings

Forms objects in detail


Text frames

With the help of text frames you can insert text boxes into a document. For example, you can highlight especially important information by placing it in such a box.

A text frame, like all types of frames, occupies a fixed position on the page. Thus, it does not move when you add or remove body text above it. By default, the normal body text is automatically broken at the boundary lines of the frame – it “flows” around the frame.

In this section, you will find detailed information on working with text frames. The following topics are covered:

Inserting text frames

Changing the properties of text frames

Linking text frames

See the next pages for details.


Inserting text frames

To insert a text frame, do the following:

1. Invoke the Object > New Text Frame command.

If you have activated Object mode, you can alternatively click on the [image] icon in the Object toolbar.

2. With the mouse, drag a frame with the desired position and size in the document.

Alternatively, click where you want the upper left corner of the text frame to be placed. A frame with a default size will then be inserted.

The text frame is created, and you can immediately begin entering text in it.

Important: When TextMaker displays a red bar at the lower margin of a text frame, this indicates that the frame cannot completely accommodate the text that has been entered. In this case you must either enlarge the frame or reduce the amount of text.

To move from a text frame back to the normal body text, click anywhere in the body text. To move from the body text back to the text frame, click in the frame.

No special action is required to insert a text frame over existing body text – this text is automatically reformatted in such a way that it flows around the new frame.


Changing the properties of text frames

To modify the properties of a text frame, first select the frame. To do this, click on the border that surrounds it, or, if you are in Object mode, simply click on the frame. Then invoke the Object > Properties command to bring up the associated dialog.

Tip: This command can also be invoked by double-clicking on the border of the text frame.

The following settings can be made in this dialog:

Layout, Format, Filling, etc. property sheets

The property sheets listed below are present for almost all object types. They allow you to modify the following settings:

FreeOffice: In SoftMaker FreeOffice, the property sheets Shadow, 3D, and Effects are not available.

Layout: On this property sheet, you can change the position and outside margins of the frame and specify how the body text should flow around it. See section Object properties, Layout property sheet.

Format: For changing the size of the object. See section Object properties, Format property sheet.

Filling: For changing the filling of the object. See section Object properties, Filling property sheet.

Lines: For adding border lines. See section Object properties, Lines property sheet.

Shadow: For adding a shadow. See section Object properties, Shadow property sheet.

3D: For adding a 3D effect. See section Object properties, 3D property sheet.

Effects: For adding various types of effects. See section Object properties, Effects property sheet.

Properties: For modifying common object settings. See section Object properties, Properties property sheet.

For text frames, there are additional property sheets with further options:

Inner text property sheet

Use this property sheet to change settings affecting the text in the text frame.

Options available:

Inner margins group box

Lets you modify the margins between text frame and inner text. If you check the Automatic option, TextMaker will calculate suitable settings automatically.

Overlapping objects group box

These settings determine what happens when the text frame overlaps another object.

With the default setting Ignore object, TextMaker does nothing. Thus, in the region of overlap, the contents of both frames are rendered on top of one another.

If, on the other hand, you check the Wrap text option, TextMaker automatically reformats the text in this frame so that it flows around the area of overlap.

Rotate by ... group box

Lets you rotate the inner text in 90 degrees increments.

Vertical alignment group box

Lets you change the vertical alignment of the inner text as follows:

Option | Meaning
Top | Align inner text at the top of the frame
Centered | Vertically center text between top and bottom of the frame
Bottom | Align inner text at the bottom of the frame
Justified | Vertically justify text (so that it is evenly distributed between top and bottom of the frame)

AutoShapes property sheet

A text frame is actually an AutoShape that has been filled with text. AutoShapes are drawings with a pre-defined shape (for example, rectangles, arrows, banners, callouts, etc.).

By default, the AutoShape used for text frames is a simple rectangle. To use a different shape, select it on the AutoShapes property sheet.

Note: Text frames have no border lines by default. Therefore, when you select a different AutoShape here, the shape will not be visible until you add border lines. To do this, select the line style of your choice on the Lines property sheet.

To learn more about AutoShapes, refer to the section Drawings.


Linking text frames

With TextMaker you can let text flow through multiple text frames that are linked together – just as you could with a desktop publishing program. If two frames are linked, text that exceeds the limits of the first frame is automatically continued in the second frame.

Let’s assume that you have created two text frames on one page and that you want text to flow from one to the next. You would link these frames as follows:

1. Click on the [image] icon in the Formatting toolbar or invoke the View > Object Mode command to activate Object mode.

2. Select the [image] icon for Link text frames in the Object toolbar.

3. Click on the text frame in which the text should begin.

4. Click on the text frame you want to link to the initial frame. Important: This text frame must be empty!

5. Finally, click again on the [image] icon or invoke the View > Object Mode command again to exit Object mode.

Now, when you enter text in the first frame to the extent that it overflows that frame, the text will be continued in the second frame.

You can even link together more than two frames. To do this, first link the first frame with the second, then the second with a third, etc.

To remove an existing link, click on the first of two linked frames with the Link text frames tool. TextMaker will then ask you if you want to remove the link.


Picture frames

A picture frame differs from a picture that is inserted directly into the text (see the chapter Pictures) in the following way:

Picture frames, like all other types of frames, occupy a fixed position on the page. Thus, they do not move when you add or remove text above the frame.

In this section, you will find detailed information on working with picture frames. The following topics are covered:

Inserting picture frames

Changing the properties of picture frames

See the next pages for details.


Inserting picture frames

To insert a picture frame, proceed as follows:

1. Invoke the Object > New Picture Frame command.

If you have activated Object mode, you can alternatively click on the [image] icon in the Object toolbar.

2. With the mouse, drag a frame with the desired position and size in the document.

Alternatively, click where you want the upper left corner of the picture to be placed. The picture will be inserted as its original size.

3. A dialog now appears to enable you to select the picture that is to appear in the picture frame. To select the picture, type its filename or click in the list on its filename.

Tip: If you check the Preview option, the dialog displays a small preview of the currently selected picture file.

4. Confirm with OK.

The picture frame is now inserted.

No special action is required to insert a picture frame on top of existing body text – the text is automatically reformatted in such a way that it flows around the frame.

Options in the dialog

The options available in the above mentioned dialog box function as follows:

Save within document

If this option is checked, TextMaker saves a copy of the picture in the document and uses this copy instead of the original.

If this option is unchecked, TextMaker saves only a reference to the picture file in the document.

Copy to document’s folder

If this option is checked, TextMaker creates a copy of the picture file in the folder where the document resides and uses this copy instead of the original.

This option is available only after the document is initially saved.


Changing the properties of picture frames

To modify the properties of a picture frame, first select the frame with a mouse click. Then invoke the Object > Properties command to bring up the associated dialog.

Tip: This command can also be invoked by double-clicking on the picture frame.

The following settings can be made in this dialog:

Layout, Format, Filling, etc. property sheets

FreeOffice: In SoftMaker FreeOffice, the property sheets Shadow and Effects are not available.

The property sheets listed below are present for almost all object types. They allow you to modify the following settings:

Layout: On this property sheet, you can change the position and outside margins of the frame and specify how the body text should flow around it. See section Object properties, Layout property sheet.

Format: For changing the size of the object. See section Object properties, Format property sheet.

Filling: For changing the filling of the picture. Only visible in pictures that have transparent areas. See section Object properties, Filling property sheet.

Lines: For adding border lines. See section Object properties, Lines property sheet.

Shadow: For adding a shadow. See section Object properties, Shadow property sheet.

Effects: For adding various types of effects. See section Object properties, Effects property sheet.

Properties: For modifying common object settings. See section Object properties, Properties property sheet.

For pictures, there is an additional property sheet with further options:

Picture property sheet

On the Picture property sheet, you can change settings that are specific to pictures.

Options available:

Variants

In this list, a number of pre-defined variations of the picture are presented – for example different color modes (grayscaled, black & white, etc.) as well as colorized variants of the image.

To choose one of these variants, simply click on it, and the options in the dialog will be adjusted accordingly.

Settings group box

Here you can change brightness, contrast, saturation and gamma (color balance, with an effect on brightness).

More button

This button opens a dialog with the following additional options:

When you activate the Mix with color option and choose a color below, the picture will be colorized accordingly.

The options in the Cropping group box can be used to crop the picture. This is useful when you need only a segment of the picture. For example, if you want to cut off the upper forth of the picture, enter “25” (percent) at Top.

Transparency group box

Lets you modify the transparency settings of the image. Options available:

Detect automatically: Reads the transparency settings stored in the picture file and displays the image accordingly. Note: Only files in GIF or PNG format can contain transparency settings.

No transparency: Ignores the transparency settings stored in the picture file. Even pictures containing transparent areas will not be displayed transparently.

Color: Lets you choose the color to be displayed transparently. For example, if you select white, all white areas of the picture will become transparent.

File button

To use a different picture file, click this button and choose a new file.

Export button

Available only for pictures that are saved in the document.

You can use this button to export the picture, that is, to save a copy of it on your hard disk.

If you check the Create link to file option in the Export dialog, TextMaker first copies the picture from the document to a file and then removes the picture from the document, replacing it with a reference to the new file. Thus, the picture is no longer saved in the document.


OLE object frames

Note: OLE objects can be used only in the Windows version of TextMaker.

In the chapter OLE objects you learned what OLE objects are and how to insert them directly into the text. OLE objects can also be inserted in the form of frames.

The difference:

An OLE object frame, like all types of frames, occupies a fixed position on the page. Thus, it does not move when you add or delete text above it.

In this section, you will find detailed information on working with picture frames. The following topics are covered:

Inserting OLE object frames

Changing the properties of OLE object frames

See the next pages for details.


Inserting OLE object frames

Note: OLE objects can be used only in the Windows version of TextMaker.

To insert an OLE object frame, do the following:

1. Invoke the Object > New OLE Object Frame command.

If you have activated Object mode, you can alternatively click on the [image] icon in the Object toolbar.

2. With the mouse, drag a frame with the desired position and size in the document.

Alternatively, click where you want the upper left corner of the object to be placed. The object will be inserted in its original size.

3. A dialog box appears and presents an Object Type list. Select the Object Type corresponding to the application from which TextMaker is to obtain the OLE object.

4. Confirm with OK to start the application for the selected object type.

5. Create the object in this application.

6. Exit the application.

7. When closing, the application might ask you whether you want to update the object in the TextMaker document. If it does, answer “Yes”.

The OLE object is now inserted.

No special action is required to insert the frame on top of existing body text – the text is automatically reformatted so that it flows around the frame.

Instead of creating a new object for insertion into the frame, you can use an object that already exists in a file. You do this at step 3 in the above described procedure by selecting the Create from File option and then specifying the file to be linked in, rather than by selecting an object type.

You will find additional information about working with OLE objects in the chapter OLE objects.


Changing the properties of OLE object frames

To modify the properties of an OLE object frame, first select the frame with a mouse click. Then invoke the Object > Properties command to bring up the associated dialog.

The following settings can be made in this dialog:

Layout, Format, Filling, etc. property sheets

FreeOffice: In SoftMaker FreeOffice, the property sheets Shadow and Effects are not available.

The property sheets listed below are present for almost all object types. They allow you to modify the following settings:

Layout: On this property sheet, you can change the position and outside margins of the frame and specify how the body text should flow around it. See section Object properties, Layout property sheet.

Format: For changing the size of the object. See section Object properties, Format property sheet.

Filling: For changing the filling of the object. Not supported by all OLE applications. See section Object properties, Filling property sheet.

Lines: For adding border lines. See section Object properties, Lines property sheet.

Shadow: For adding a shadow. See section Object properties, Shadow property sheet.

Effects: For adding various types of effects. See section Object properties, Effects property sheet.

Properties: For modifying common object settings. See section Object properties, Properties property sheet.

For OLE objects, there is an additional property sheet with further options:

Picture property sheet

On the Picture property sheet, you can change settings that affect the graphical representation of the OLE object.

Note: Depending on the application associated with the OLE object, some of the options may be not supported.

Options available:

Variants

In this list, a number of pre-defined variations of the object are presented – for example different color modes (grayscaled, black & white, etc.) as well as colorized variants of the object.

To choose one of these variants, simply click on it, and the options in the dialog will be adjusted accordingly.

Settings group box

Here you can change brightness, contrast, saturation and gamma (color balance, with an effect on brightness).

More button

This button opens a dialog with the following additional options:

When you activate the Mix with color option and choose a color below, the object will be colorized accordingly.

The options in the Cropping group box can be used to crop the object. This is useful when you need only a segment of the object. For example, if you want to cut off the upper forth of the object, enter “25” (percent) at Top.

Export button

You can use this button to export a copy of the graphical representation of the object, that is, to save an image of the object on your hard disk.


Drawings

TextMaker offers several tools for creating drawings. You can insert the following types of drawings into your document:

Lines

Freeforms (scribbles, as drawn by hand)

Curves

Arrows

Connectors (for linking objects as in flowcharts)

Rectangles and ellipses

AutoShapes (pre-defined shapes)

TextArt objects (text effects)

Drawings behave like frames: they always remain at the same place on the page, even when you delete or insert lines of text above them. The normal body text is automatically formatted in such a way that it breaks at the boundaries of the objects – it “flows” around the drawing.

In this section, you will find detailed information on working with drawings. The following topics are covered:

Inserting drawings

Adding text to AutoShapes

Changing the properties of drawings

See the next pages for details.


Inserting drawings

To insert a drawing, first select the desired drawing tool and then produce the object.

To draw a rectangle, for example, do the following:

1. Invoke the Object > New Drawing command. A sub-menu opens. From the sub-menu, select a drawing tool – in this case the Rectangle tool.

If you have activated Object mode you have the alternative of clicking on the corresponding icon in the Object toolbar.

2. With the mouse, drag a frame with the desired position and size in the document.

The rectangle is now inserted.

The method of producing a drawing object varies according to the drawing tool used. Accordingly, all the available types of drawing objects are listed below together with tips for manipulating them:

Lines

The [image] Line tool allows you to draw a straight line.

To use this tool, simply press down the mouse button and draw a line in the document.

Tip: When you hold down the Shift key while drawing, the direction of the line is variable only in increments of 45 degrees.

Freeforms (scribbles)

The [image] Freeform tool allows you to draw irregular curves as you would be able to do by hand with a pencil.

To use this tool, move the mouse to the desired starting point, press the mouse button and begin drawing – just as you would with a pencil. You can also create straight lines by releasing the mouse button and clicking at the desired end point.

When you draw a curve that returns to its starting point, the drawing is automatically ended and converted into a closed curve. If you want to obtain an open curve you must end the drawing with a double click at the desired end point.

Curves

The [image] Curve tool allows you to draw Bezier curves.

To use this tool, click on the starting point and then on as many additional points as you wish. The curve “follows” your clicks automatically.

When you draw a curve that returns to its starting point, the drawing is automatically ended and converted into a closed curve. If you want to obtain an open curve you must end the drawing with a double click at the desired end point.

Arrows

The [image] Arrow tool allows you to draw arrows.

To use this tool, simply press down the mouse button and draw a line in the document.

Tip: When you hold down the Shift key while drawing, the direction of the line is variable only in increments of 45 degrees.

Annotation: Arrows are simply lines (see above) with the End option in the object properties (Lines property sheet) set to an arrowhead.

Connectors (straight, elbow and curved)

The three [image] Straight Connector, Elbow Connector and Curved Connector tools allow you to draw connecting lines between two objects. You can see the differences among these three kinds of connector in the following illustration:

To use one of these tools, select it and then drag the mouse pointer from one object to another, holding down the mouse button. Tip: When you move the mouse pointer over an object, small blue boxes appear at various points on the object. These boxes indicate where the connector line can “dock” to the object.

Rectangles, rounded rectangles and ellipses/circles

The three [image] Rectangle, Rounded Rectangle and Ellipse/Circle tools allow you to draw rectangles and ellipses.

To use one of these tools, draw a rectangle of the desired size with the mouse at the desired position. Tip: When you hold down the Shift key while drawing, you will obtain a square or a circle.

In the case of rounded rectangles, you can change the rounding of the corners. To do this, select the rectangle. Yellow triangles will then appear at its corners. By dragging one of these triangles you can change the rounding accordingly.

AutoShapes

The [image] AutoShape tool allows you to draw AutoShapes. AutoShapes are ready-made drawings appropriate for a wide variety of applications, including standard shapes like rectangles and ellipses as well as arrows, flow chart symbols, stars, speech balloons, etc.

When you activate this tool, a dialog appears. There, select the type of AutoShape you want to draw. Then draw a rectangle with the mouse to represent the desired size and position of the shape.

Note: With some types of AutoShapes, yellow triangles appear on the object when it is selected. If you drag on one of these triangles, a parameter controlling the shape of the object is changed. For example, stars have triangles that let you change the size of their tines.

Tip: If you wish, you can even enter text in an AutoShape – just as you can in a text frame. You will find information about this in the section Adding text to AutoShapes.

TextArt

The [image] TextArt tool allows you to insert TextArt objects. These are characters that can be rendered with various kinds of special effects.

When you activate this tool a dialog appears. Enter your text in the dialog’s Text field and then click on Variants to choose one of the ready-made effects to be applied to the text. Confirm with OK to leave the dialog. With the mouse, draw a rectangle in the document representing the desired size and position of the TextArt object.


Adding text to AutoShapes

You can add text to an AutoShape, if desired. The text is then displayed inside the AutoShape – exactly as it would be in a text frame.

To add text to an AutoShape, do the following:

1. Select the desired AutoShape.

2. Right-click it to open the context menu.

3. Choose the Add Text command.

You can now type text inside the AutoShape.

Hint: There’s a much faster way to add text to an AutoShape: First select the AutoShape with a mouse click, then simply start typing.

If you want to change the formatting of the text, use the commands Format > Character and Format > Paragraph as usual.

When you have finished editing the text, click anywhere outside the object. If you want to return to this text later to edit it, you can do so by reselecting the AutoShape, right-clicking to obtain the context menu and selecting Edit Text from this menu.

Important: When TextMaker displays a red bar in the margin below the text, this indicates that the area available for text within the AutoShape is not large enough to accommodate all the text that has been entered. In this case, you must either enlarge the object or reduce the amount of text.

Note: Text frames, which are described in an earlier section of this chapter, are really nothing more than AutoShapes (in this case simple rectangles) to which text has been added. Thus, all the information in the section Text frames applies with equal validity to text frames and to AutoShapes containing text.


Changing the properties of drawings

To modify the properties of a drawing, first select it with a mouse click. Then invoke the Object > Properties command to bring up the associated dialog.

Tip: This command can also be invoked by double-clicking on the drawing.

The following settings can be made in this dialog:

Layout, Format, Filling, etc. property sheets

FreeOffice: In SoftMaker FreeOffice, the property sheets Shadow, 3D, and Effects are not available.

The property sheets listed below are present for almost all object types. They allow you to modify the following settings:

Layout: On this property sheet, you can change the position and outside margins of the drawing and specify how the body text should flow around it. See section Object properties, Layout property sheet.

Format: For changing the size of the object. See section Object properties, Format property sheet.

Filling: For changing the filling of the object. See section Object properties, Filling property sheet.

Lines: For modifying the lines used to draw the object. See section Object properties, Lines property sheet.

Shadow: For adding a shadow. See section Object properties, Shadow property sheet.

3D: For adding a 3D effect. See section Object properties, 3D property sheet.

Effects: For adding various types of effects. See section Object properties, Effects property sheet.

Properties: For modifying common object settings. See section Object properties, Properties property sheet.

For certain types of drawings additional property sheets will appear on the dialog, giving you access to more options (as described on the following pages).


AutoShapes property sheet (available only for AutoShapes)

Note: This property sheet appears only for AutoShapes.

The AutoShapes property sheet allows you to change the shape of an AutoShape. For example, you can turn a rectangle into a speech balloon or any other shape you like.

To change the shape, simply click on the desired AutoShape in the list.


Inner Text property sheet (available only for AutoShapes with text added)

Note: This property sheet appears only for text frames and AutoShapes containing text (see the section Adding text to AutoShapes).

Use the Inner Text property sheet to change settings affecting the text inside the AutoShape.

Options available:

Inner margins group box

Lets you modify the margins between AutoShape and inner text. If you check the Automatic option, TextMaker will calculate suitable settings automatically.

Overlapping objects group box

These settings determine what happens when the object overlaps another object.

With the default setting Ignore object TextMaker does nothing. Thus, in the region of overlap, the contents of both objects are rendered on top of one another.

If, on the other hand, you check the Wrap text option, TextMaker automatically reformats the text in this object so that it flows around the area of overlap.

Rotate by ... group box

Lets you rotate the inner text in 90 degrees increments.

Vertical alignment group box

Lets you change the vertical alignment of the inner text as follows:

Option | Meaning
Top | Align inner text at the top of the object
Centered | Vertically center text between top and bottom of the object
Bottom | Align inner text at the bottom of the object
Justified | Vertically justify text (so that it is evenly distributed between top and bottom of the object)


Text property sheet (available only for TextArt objects)

Note: This property sheet appears only for TextArt objects.

Use the Text property sheet to select the desired TextArt effect and to edit or format the text to be displayed.

Options available:

Text

Here you can edit the text to be displayed.

Variants

Here you can choose which TextArt effect to apply.

Font group box

Here you can change the font and apply the text styles Bold and Italic.

If you check the Same height option, all letters (including lower case letters) will be stretched to a uniform height.

Spacing group box

The Character option affects the spacing between characters. Values below 100% produce spacings that are closer together than normal, values above 100% produce spacings that are wider apart.

The Line option affects the spacing between lines. This setting is effective only for text that consists of multiple lines.

Alignment group box

Here you can change the alignment of the text. This setting is effective only for text that consists of multiple lines.

Placement group box

If you check the Vertical text option, the letters will be rotated by 90 degrees.


Deformation property sheet (available only for TextArt objects)

Note: This property sheet appears only for TextArt objects.

Use the Deformation property sheet to change the type of shaping effect to be applied to the characters. To do this, click the desired type of deformation.


Forms

Forms are documents to be “filled out”.

For example, you could prepare an application form for vacations. Then, when one of your coworkers wanted to apply for a vacation, he would simply open this form, enter his name and the dates on which he wanted to begin and end his vacation and print the form. He would then have a completed vacation application to submit.

Creating a form is no more complicated than this: you simply insert forms objects at the places in the document where someone must later enter something – for example, you insert text fields for text entries.

Whenever you want to fill out a prepared form you should activate Forms mode. In this mode, only forms objects can be filled out – access to the rest of the document and to most of TextMaker’s functions is blocked. This prevents users from changing those parts of the form that shouldn’t be changed.

In this chapter you will learn how to work with forms:

Filling out forms

The first section explains how a prepared form is filled out.

Creating forms

In the following section, you will learn everything you need to know to be able to create your own forms.

To create a form, you insert forms objects at all the places where something is to be filled in later: for example, text fields and text frames for text entries, checkboxes for items to be checked off and dropdown lists for selections from among several given options.

Forms objects in detail

In this section the available types of forms objects are described in detail.

Forms – advanced functions

In the last section, you will get acquainted with some functions for advanced users: functions for changing the tab order, for protecting forms from being changed and for performing calculations.


Filling out forms

First we will apply ourselves to the filling out of prepared forms. The creation of forms will be described thereafter (in the section Creating forms).

Forms differ from other documents only in one respect: they contain forms objects at the places where something is to be filled out.

In the following list, you will learn about the different types of forms objects that can be present in a form and about how they are to be filled out:

Text fields and text frames (for entering text)

To fill out a text field or frame you simply position the text cursor in it and type the desired text.

Dropdown lists and dropdown list frames (for menus of selectable items)

When you click on a dropdown list it opens. You can then select one of the entries with a mouse click.

Checkboxes and checkbox frames (for items to be checked off)

When you click on the box with the mouse, a little check mark appears in it, indicating that the associated item has been checked. When you click on it a second time, the check mark is removed.

Moving the text cursor in forms

You can move the text cursor within forms as follows:

You can move the text cursor to the desired position in the usual way, by using the arrow keys or clicking with the mouse.

You can use the F11 key to jump to the next forms object and Shift+F11 to jump to the previous object.

In Forms mode (see below) the text cursor can be moved only between forms objects. In this mode you can use the keys Tab and Shift+Tab to jump back and forth between forms objects.

Forms mode

It is recommended that you always activate Forms mode when you want to fill out a form. This will save you a great deal of work.

Forms mode can be activated and deactivated with the View > Forms Mode command.

You will know whether Forms mode is activated or not from the program’s title bar. If “(Forms Mode)” is displayed there after the name of the document, the mode is activated.

In Forms mode TextMaker’s behavior changes as follows:

You can use the keys Tab and Shift+Tab to jump from one forms object to the next.

Forms objects can be filled out, but the normal text is no longer editable.

Most of the menu commands are “grayed out” and thus no longer available. The purpose of this is to prevent changes to those parts of the form that are not intended to be filled out.

Thus, when using Forms mode you can fill out a form with the same degree of convenience that you experience when you use a database program’s input mask.

Note: When you open a document that was in Forms mode when it was last saved, Forms mode is reactivated automatically.

When Forms mode can’t be deactivated

You will encounter some forms in which the author has blocked the deactivation of Forms mode by protecting it with a password. This has been done to prevent unauthorized persons from changing those parts of the form that are not intended to be altered.

If a form is protected in this manner, an attempt to deactivate Forms mode will result in a prompt for a password. You will be able to deactivate Forms mode only by entering the correct password.


Creating forms

To create a form, first lay out the document just as you would with any normal document. Then, insert forms objects at the places where something should be filled in later.

All further information on creating forms is provided in this section. It covers the following topics:

Types of forms objects

Inserting forms objects

Editing forms objects

Preparing an example form

See the next pages for details.


Types of forms objects

The following types of forms objects can be used in forms:

Forms object | Description
Text fields | Text fields are intended for text entries such as “name”, “address”, etc. The user who fills out the form can enter whatever text he or she likes in them.
Text frames | Like text fields, but confined within frames (see below).
Checkboxes | Checkboxes are appropriate for yes/no entries. If the user clicks on a checkbox, a check mark is displayed in it. If he clicks on it again, the check mark is removed.
Checkbox frames | Like checkboxes, but confined within frames (see below).
Dropdown lists | When the user clicks on a dropdown list, the list opens and he or she can select one of the predefined items in the list. Manual entry of an item is not possible.
Dropdown list frames | Like dropdown lists, but confined within frames (see below).

In addition to these types of objects there are two types of forms objects that cannot be filled out, and are intended for captioning.

Labels | Labels can contain any captions or legends that should appear in the form.
Groupboxes | Groupboxes are rectangles to which captions can be added at the upper left. They can be used for the visual grouping of related parts of a form.

Of course forms are not limited to containing just the above described forms objects. They can also contain all other types of objects as well as normal text.

You will find detailed information about the individual types of forms objects in the section Text fields and in following sections of this chapter.

With or without frames?

As you might have noticed, you can insert most types of forms objects with or without frames:

Text fields and text frames

Checkboxes and checkbox frames

Dropdown lists and dropdown list frames

The difference between normal objects and object frames:

Normal Objects (e.g. dropdown lists) are inserted directly into the text. They are integrated into the text flow – just like a letter. Such objects are simpler to manipulate and therefore the best choice for most kinds of forms.

Objects in frames (e.g. dropdown list frames) on the other hand are freely positionable on the page. They can always be moved with the mouse, but once positioned they remain fixed in place on the page – even when text lines are added or deleted above them.


Inserting forms objects

To insert a forms object into the text, do the following:

1. Invoke the Object > New Forms Object command.

2. A sub-menu opens. There, select the desired object type.

3. Only for frames: With the mouse, drag a frame with the desired position and size in the document.

4. For some types of objects a dialog appears at this point to enable you to make various settings for the object. After you have made the necessary settings confirm with OK.

The object will now be inserted.

You will find detailed information about each individual type of forms object in the sections Text fields and following.

Using the Forms toolbar

You can also use the Forms toolbar to insert forms objects. To activate or deactivate this toolbar, invoke the View > Toolbars command and click on the checkbox in front of Forms.

The icons in this toolbar represent the following functions (from left to right):

Insert text field

Insert checkbox

Insert dropdown list

Insert text frame

Insert checkbox frame

Insert dropdown list frame

Insert label

Insert groupbox

Enable/disable the shading of forms fields (emphasizes all text fields, checkboxes and dropdown lists in the text with gray shading)

Activate/deactivate Forms mode (corresponds to the menu command View > Forms Mode)

Tip: When you move the mouse pointer over one of the icons (without clicking) a text box appears, indicating the function of the icon.


Editing forms objects

Like all other types of objects, forms objects can be edited after being selected with a mouse click. You can delete, move and copy them, change their properties with the Object > Properties command, etc.

Tip: In addition, using the Object > Tab Order command you can change the order of the forms objects which is applied when the user jumps from one object to another in Forms mode using the Tab key (see the section Changing the tab order).

Note: General information about working with objects is available in the section Frames – basic functions.


Preparing an example form

We come now to a practical example: we will prepare a form for gathering client data. The form should contain some text fields for the entry of the client’s address, beyond those a dropdown list for recording the client’s gender and a checkbox that is to be checked in case the client is new.

Start a new document with File > New. And we’re on our way:

Text fields for unrestricted text entries

The first line of the form should contain a text field for the entry of the client’s name. The best way to proceed is first to provide a description of what is to be entered in this field – for example “Name:” – and then to insert the text field itself to the right of this description.

So do the following:

1. Type “Name:” and then insert a tab with the Tab key.

2. Insert a text field with Object > New Forms Object > Text Field.

3. At this point the text cursor is positioned in the text field. Press the à key to return it to the main text.

4. Press the Enter ¿ key twice.

The first line of the form is now complete. Use the same procedure to add two additional lines with the labels “Address:” and “City:”.

Dropdown lists

Next, a dropdown list is to be inserted below the three text fields. Dropdown lists allow users to choose among several alternatives.

Proceed as follows:

1. Type “Gender:” and then press Tab.

2. Invoke Object > New Forms Object > Dropdown.

3. Now you must enter the items that are to appear in the list. Enter “male” in the New Entry field and click on Add; then enter “female” and again click on Add.

4. Exit the dialog with OK.

5. Press ¿ twice.

Checkboxes for yes/no entries

Lastly, a checkbox is to be inserted. Checkboxes can be used for yes/no entries. If the box is checked it means “yes”. If the box is not checked it means “no”.

Accordingly, we will add a checkbox that should be checked only when the client is new:

1. Type “New client?” and then press Tab.

2. Invoke Object > New Forms Object > Checkbox.

3. In the dialog that appears at this point you can – if required – enter additional text that will appear next to the checkbox. For this example, type “yes”.

4. Exit the dialog with OK.

5. Press the Enter ¿ key twice.

To align the forms objects vertically you should now select all the lines you have entered and then use Format > Tab to set a tab stop at the appropriate place – for example at 1.2 inch.

Our form is now complete.

You can now save the document and test it (see also the section Filling out forms). The best way to test the form is to use View > Forms Mode to activate Forms mode.


Forms objects in detail

In this section we describe in detail the individual types of forms objects. The following objects are covered:

Text fields

Text frames

Checkboxes

Checkbox frames

Dropdown lists

Dropdown list frames

Labels and groupboxes


Text fields

You insert a text field with the Object > New Forms Object > Text Field command.

Text fields are used frequently in forms. They allow the entry of unrestricted text; accordingly, they are suitable for entries of names, addresses, etc.


Usage of text fields

To fill out a text field you simply click in the field to position the text cursor there and enter the text.


Changing the properties of text fields

After positioning the text cursor in a text field or selecting the text field with a mouse click in Object mode, you can invoke Object > Properties to modify the properties of this field. The properties of a text field include its size, margins and a number of other settings.

The following options are available:

Format property sheet

On this property sheet, you can change the format of the text field:

Size group box

Here you can change the Size of the text field.

You can either specify the width and height exactly or allow the text field to expand automatically as necessary to accommodate text as it is entered. To do the latter, select the Growing option for Width and Height and enter the desired minima and maxima.

Vertical alignment group box

Lets you change the vertical alignment of the text inside the field as follows:

Option | Meaning
Top | Align inner text at the top of the text field
Centered | Vertically center text between top and bottom of the text field
Bottom | Align inner text at the bottom of the text field
Justified | Vertically justify text (so that it is evenly distributed between top and bottom of the text field)

Margins property sheet

On this property sheet, you can modify the margins of the text field:

Wrap margins group box

Here you can change the outside margins.

Margins group box

Here you can change the inside margins.

Properties property sheet

On this property sheet, you can change settings that affect general properties. On this topic, see the section Object properties, Properties property sheet.

Borders property sheet

With this property sheet, you can give the text field a full border or individual border lines.

The options on this property sheet correspond to those for the Format > Borders command (see the section Borders and lines).

Shades property sheet

With this property sheet, you can apply shading to the text field using a color or a pattern.

The options on this property sheet correspond to those for the Format > Shading command (see the section Shading).


Text frames

You insert a text frame with the Object > New Text Frame command.

A text frame is filled out the same way a text field is filled out (see the preceding section): you simply position the text cursor in the field and start typing.

The difference between a text frame and a text field: A text frame, like all other types of frames, has a fixed position on the page. Thus, it does not move when you add or delete text above it. The normal body text is automatically formatted so that it breaks at the boundaries of the frame – it “flows” around the frame.

You will find information about text fields in the preceding section. Additional information about text frames is given in the section Text frames.


Checkboxes

You insert a checkbox with the Object > New Forms Object > Checkbox command.

Checkboxes can be used in forms for yes/no entries. The box is checked to represent “yes”; when unchecked it means “no”.


Usage of checkboxes

Simply click on the box (not the text!) to put a checkmark in it – that is, to check it. If you click on it again, the check mark is removed.


Changing the properties of checkboxes

To modify the properties of a checkbox, first select it with a mouse click. Then invoke the Object > Properties command.

A dialog window with the following options will appear:

Layout property sheet

Available only for checkbox frames.

On this property sheet, you can change the object’s position, outside margins and other layout related properties. See section Object properties, Layout property sheet.

Format property sheet

Available only for checkbox frames.

On this property sheet, you can change the size of the object. See section Object properties, Format property sheet.

Properties property sheet

On this property sheet, you can modify common object settings. See section Object properties, Properties property sheet.

Forms Object property sheet

On this property sheet, you can make settings that are specific to checkboxes:

Text

Here you can enter the text that is displayed to the right of the checkbox.

Value

Here you can specify the initial state of the checkbox, whether it should appear checked or unchecked in the document.

3D effect

If you check this option, the checkbox is drawn with a 3D effect.

With checkbox frames you can also specify the character formatting (font, size, color, etc.) for the text.


Checkbox frames

You insert a checkbox frame with the Object > New Forms Object > Checkbox Frame command.

The usage and behavior of a checkbox frames correspond to those for checkboxes (see the previous section).

The difference: A checkbox frame, like all types of frames, has a fixed position on the page. Thus, it does not move when you insert or delete text above it. The normal body text is automatically formatted in such a way that it breaks at the boundaries of the frame – it “flows” around the frame.


Dropdown lists

You insert a dropdown list with the Object > New Forms Object > Dropdown command.

You encounter dropdown lists in many dialog boxes. They offer several alternatives, from which you can select only one. Such lists are ideal for forms, since they reduce the amount of typing needed when forms are filled out and prevent typing errors.


Usage of dropdown lists

To open a list, you click on the small arrow to the right. Now you can select an entry by clicking on it.


Changing the properties of dropdown lists

To modify the properties of a dropdown list, first select it with a mouse click. Then invoke the Object > Properties command.

A dialog window with the following options will appear:

Layout property sheet

Available only for dropdown list frames.

On this property sheet, you can change the object’s position, outside margins and other layout related properties. See section Object properties, Layout property sheet.

Format property sheet

Available only for dropdown list frames.

On this property sheet, you can change the size of the object. See section Object properties, Format property sheet.

Properties property sheet

On this property sheet, you can modify common object settings. See section Object properties, Properties property sheet.

Forms Object property sheet

On this property sheet, you can make settings that are specific to dropdown lists:

List entries group box

Here you specify the items that should appear in the dropdown list. You do this as follows:

To add an item: Enter the name of the item in the New entry field and press the Enter ¿ key or click on the Add button.

To remove an item: Select the item in the list of entries and click on the Remove button.

To change an item: Remove the item and reinsert it.

To change the order: Select one of the items in the list and click on one of the small arrows to the right of the list to move the item up or down.

Lines (max.)

Available only for dropdown list frames. Determines the maximum number of lines to be displayed when the list is opened.

Use additional inner margins

Available only for dropdown lists. By default, the size of a dropdown list is calculated in a way that their text content exactly fits in. If you check this option, some small inner margins are added, making the object slightly larger.

3D effect

If you check this option, the borders of the list are drawn with a 3D effect.

With dropdown list frames you can also specify the character formatting (font, size, color, etc.) for the list items.


Dropdown list frames

You insert a dropdown list frame with the Object > New Forms Object > Dropdown Frame command.

The usage and behavior of a dropdown list frame correspond to those for a dropdown list (see the previous section).

The difference: A dropdown list frame, like all types of frames, has a fixed position on the page. Thus, it does not move when you insert or delete text above it. The normal body text is automatically formatted in such a way that it breaks at the boundaries of the frame – it “flows” around the frame.


Labels and groupboxes

Besides the forms objects described above, there are two additional types of forms objects that are intended not to be filled in, but to be used merely for captions:

Labels

Any caption or legend that should appear in the form can be entered in a label.

Groupboxes

A groupbox is a rectangle with a caption at its upper left. Groupboxes can be used for the visual grouping of related parts of a form.

To insert a label or a groupbox invoke the Object > New Forms Object > Label or the Object > New Forms Object > Groupbox command. Then use the mouse to draw a rectangle in the document to represent the desired position and size of the object.


Usage of labels and groupboxes

In contrast to all other types of forms objects, labels and groupboxes cannot be filled in. They can be used only to add (non-editable) captions or legends to the form.


Changing the properties of labels and groupboxes

To modify the properties of a label or a groupbox, first select it with a mouse click. Then invoke the Object > Properties command.

A dialog window with the following options will appear:

Layout property sheet

On this property sheet, you can change the object’s position, outside margins and other layout related properties. See section Object properties, Layout property sheet.

Format property sheet

On this property sheet, you can change the size of the object. See section Object properties, Format property sheet.

Properties property sheet

On this property sheet, you can modify common object settings. See section Object properties, Properties property sheet.

Forms Object property sheet

On this property sheet, you can make settings for the text that is displayed in the label or groupbox:

Text group box

Here you can enter the text to be displayed.

3D effect

Available only for groupboxes. If you check this option, the groupbox is drawn with a 3D effect.

You can also specify the character formatting (font, size, color, etc.) for the text.


Forms - advanced functions

Forms – advanced functions

This concluding section of the chapter on forms describes some forms functions for advanced users, as follows:

Changing the tab order

Protecting contents of forms objects

Protecting forms

Calculating with forms objects

See the next pages for details.


Changing the tab order

As mentioned earlier in the section Filling out forms, you can jump back and forth between forms objects with the F11 key: F11 takes you to the next forms object and Shift+F11 takes you to the previous one.

In Forms mode you have the alternative of using Tab and Shift+Tab to perform these functions.

The order in which you jump among the forms objects can be specified with the Object > Tab Order.

To set the tab order invoke this command and select from the list of Objects the forms object whose position in the tab order you want to change. Then click on one of the arrow buttons to the right of the list to raise move the object to a lower or higher position in the list. The position of the object in the tab order changes accordingly.


Protecting contents of forms objects

In certain situations it is desirable for forms to contain forms objects whose contents cannot be modified in Forms mode – for example, text frames containing explanatory material.

This objective can be realized by checking the Text locked option in the forms object’s properties dialog. If this option is activated, the contents of the object can no longer be altered in Forms mode. In addition, it is no longer possible to click on it in Forms mode or to jump to it with the Tab key.

To lock the contents of a forms object, do the following:

1. If Forms mode is currently activated, exit this mode with View > Forms Mode.

2. Select the object to be protected with a mouse click.

3. Invoke the Object > Properties command.

4. Switch to the Properties property sheet.

5. There check the Text locked option.

6. Confirm with OK.

The contents of the object are now locked.

Special considerations for tables

With tables you can specify a locked or unlocked state, applicable in Forms mode, for every single table cell. To lock the contents of table cells, select them, invoke the Table > Cell Properties command dialog, switch to the Format property sheet and check the Text locked option.

Once locked, the cells’ contents can no longer be edited in Forms mode and they are skipped when the Tab key is pressed to jump to the next cell.

Naturally, you can lock not only the contents of individual cells but whole tables. For this purpose, simply select the whole table and then use the procedure described above.


Protecting forms

Before you put a newly created form to use, you should protect it from being changed. When a form is ready for use, the form itself should no longer be subject to change, and only the objects in the form that are intended to be filled in should be changeable.

The following methods for protecting forms are available to you:

Using Forms mode

When you activate Forms mode (see section Filling out forms) the forms objects can still be filled in, but other parts of the document can no longer be edited, and most TextMaker commands are no longer available.

Forms mode can be activated and deactivated with the View > Forms Mode.

Note: Keep in mind that users who fill in the form can deactivate Forms mode at any time unless you prevent them from doing so by locking Forms mode with a password (see below).

Saving the form in Forms mode

Tip: When you save a document in Forms mode, Forms mode is automatically reactivated the next time the document is opened.

Locking Forms mode with a password

As required, you can prevent other users from deactivating Forms mode by locking it with a password.

To do this, invoke the File > Properties command and switch to the Forms property sheet. Activate Forms mode by checking the Forms mode activated option. Then, enter a Password to deactivate Forms mode and confirm with OK. Finally, save the document.

When a user subsequently opens the document and attempts to deactivate Forms mode, he or she will be prompted for the password. Thus, the user will be able to deactivate Forms mode only if he or she has the correct password.

Tip: Saving forms as document templates

It is generally recommended that you save forms as document templates. This will always guarantee that the original file cannot be changed. When you have saved a form as a document template you can use File > New to create new documents based on the content of this template without opening the template itself for editing.

You will find additional information about using document templates in the section Document templates.


Calculating with forms objects

You can reference the contents of forms objects and perform calculations on these contents using the Insert > Calculation command. For example, the formula “Textbox1.Value * 2” references the current numeric value in the text field named “Textbox1” and multiplies it by two.

You will find additional information about this topic in the section Objects in calculations.


Language tools

TextMaker offers a spell check feature, a hyphenator, a thesaurus, and other powerful language tools. (Depending on your chosen language, you may have only the hyphenation feature, or the hyphenation and spell check features.)

This chapter provides information on working with these tools, as follows:

Setting the language

The default language for spell checker, hyphenator and thesaurus can be set with the command Tools > Options (Language property sheet).

In addition, with Format > Character you can designate a segment of text to be in any other language you like. You can do this, for example, when you use a Spanish language citation in a document you are writing in English.

Spell checking

The spell checker examines the text in your document for spelling mistakes. When it finds mistakes, it suggests corrections.

Hyphenation

The hyphenator automatically hyphenates long words at the ends of lines. For more information on this feature, see the section Hyphenation.

Thesaurus

FreeOffice: This feature is not included in SoftMaker FreeOffice.

The thesaurus is a tool that lets you quickly find terms in a synonym dictionary with equivalent or similar meanings of the word you are looking for. This feature helps you express yourself precisely and avoid repetition.

Berlitz translation dictionaries

In SoftMaker Office Professional, TextMaker includes Berlitz translation dictionaries, enabling you to translate words between five languages (English, French, German, Italian, and Spanish) with the push of a button.

SmartText

With TextMaker’s SmartText feature, you can have your “favorite” typing errors corrected automatically and create short-cuts for frequently needed phrases, for example “sd” for “sales department.”


Setting the language

If you have installed more than one language, you can change the language for the spell checker, hyphenator and thesaurus whenever required.

To change the language, you have the following two options:

Setting the default language

On the one hand, with Tools > Options you can set the default language. The spell checker, hyphenator and thesaurus normally use the default language.

Formatting text in another language

On the other hand, with the command Format > Character you can format any segment of text in another language as needed.

In simple terms: Normally, the whole document is formatted in the default language, and the spell checker, hyphenator and thesaurus use the default language set in the Tools > Options dialog. However, if you format a segment of text in another language, the spell checker, hyphenator and thesaurus refer to that language instead.

For detailed instructions, see the following pages.


Setting the default language

By setting the default language, you specify which language the spell checker, hyphenator and thesaurus will use by default. So you should set your native language here.

To do this, proceed as follows:

1. Invoke the Tools > Options command.

2. Switch to the Language property sheet.

3. Select the desired language from the Default Language list.

When you compose new documents they are automatically formatted in the default language. If you never write documents in which other languages occur, you don’t need to concern yourself with any of what follows.


Formatting text in another language

In the last section you learned how to set the default language that TextMaker is to use in the normal case for the spell checker, hyphenator and thesaurus.

Beyond that, you can format any segments of text you like in another language – for example, if you want to use a Spanish language citation in a document that is for the most part in English.

To do this, proceed as follows:

1. Select the segment that contains foreign language text.

2. Invoke the command Format > Character.

3. Switch to the Font property sheet.

4. Choose the desired language from the Language list.

Now the spell checker, hyphenator and thesaurus know that this segment of text is in another language and they produce the appropriate results.

The Language list contains two entries with special meaning:

The language “Default”

This is the default setting.

Normally, all the documents you compose are formatted in the default language. As you have learned in the preceding section, the default language can be selected with Tools > Options.

The language “No language”

If you format a segment of text with “No language”, it will be ignored by the spell checker. In addition, no hyphenation will be applied.


Application examples

Some application examples in summary:

When you write documents exclusively in your native language:

Simply set the desired standard language with Tools > Options, Language property sheet – done.

When you occasionally write documents in a foreign language:

In this case it is not advisable to change the standard language setting to the foreign language. This would lead to the desired result, but it would not be very effective: You would have to switch to the appropriate language every time you open a foreign-language document and switch it back to your native language afterwards.

Instead, it makes more sense to select the entire document, invoke Format > Character, and change Language from Default to the desired foreign language there. This way, TextMaker will know the document’s language both now and in the future.

When you occasionally write documents with foreign language citations:

Simply select the part that is in the foreign language, invoke Format > Character and set Language to the desired language.

Note: You can change the language in a document as often as you like, and even mix several languages.


List of available language modules

The language modules available in SoftMaker Office are given in the following list. Depending on the language, a language module usually contains a dictionary for the spell checker and a hyphenation module; some also include a thesaurus.

Depending on which version of SoftMaker Office you purchased, your software may include only a subset of these modules.

FreeOffice: SoftMaker FreeOffice does not include any of the SoftMaker language modules listed below. However, as an alternative, the spell checker supports the use of free Hunspell dictionaries.

In a standard installation, only Hunspell dictionaries for English and German are installed. If you want to add additional languages, refer to the section Installing Hunspell dictionaries.

Language module | SPELL | HYPH | THES | TRANS
Arabic | x |  |  |
Danish | x | x |  |
Dutch | x | x | x |
English (UK) | x | x | x | x
English (USA) | x | x | x | x
French | x | x | x | x
French (Canada) | x | x | x |
German (Germany) | x | x | x | x
German (Germany, old)* | x | x | x |
German (Switzerland) | x | x | x |
German (Switzerland, old)* | x | x | x |
Greek | x | x |  |
Italian | x | x | x | x
Norwegian | x | x |  |
Portuguese (Portugal) | x | x |  |
Portuguese (Brazil) | x | x |  |
Russian | x | x |  |
Spanish | x | x | x | x
Spanish (Latin America) | x | x | x |
Swedish | x | x |  |

* Old German spelling (obsolete since the German spelling reform introduced in 1996)

Key: | SPELL = Spell checking
 | HYPH = Hyphenation
 | THES = Thesaurus
 | TRANS = Berlitz translation dictionaries (included only in SoftMaker Office Professional)

Additionally, language modules containing hyphenation only are available for the following languages:

Bulgarian, Croatian, Czech, Estonian, Finnish, Latvian, Lithuanian, Polish, Romanian, Serbian, Slovak, Slovenian, Turkish, Ukrainian


Spell checking

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. Its spell checker supports solely the use of Hunspell dictionaries.

In a standard installation, only Hunspell dictionaries for English and German are installed. If you want to add additional languages, refer to the section Installing Hunspell dictionaries.

The spell checker examines the text in your document for spelling mistakes. When it finds mistakes, it suggests corrections.

This section describes the different spell checking tools in detail. It covers the following topics:

Manual spell checking

The manual spell checker lets you check and correct the spelling of the entire text in a document, word by word.

Background spell checking

The background spell checker constantly checks the text for spelling errors. Incorrectly written words are underlined in red and can be corrected manually or with the aid of a context menu.

Conversion to new German spelling

If you compose documents in German, the above-mentioned background spell checker can also help you adopt the new “reformed” German spelling rules.

Editing user dictionaries

When you teach the spell checker new words, they are added to your user dictionary. You can edit this dictionary at any time in order to delete incorrect entries.

See the following pages for detailed information.

Hint: In case you want to check the spelling of text written in a language that is currently not installed, read the section Installing additional dictionaries.


Manual spell checking

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. Its spell checker supports solely the use of Hunspell dictionaries.

In a standard installation, only Hunspell dictionaries for English and German are installed. If you want to add additional languages, refer to the section Installing Hunspell dictionaries.

You activate the manual spell checker with the Tools > Check Spelling command. This checks the text word for word for spelling errors and displays every unrecognized word in a dialog box. You can then choose to correct the word, add it to the dictionary, or simply ignore the supposed error.

When you invoke this command, you are asked first to specify whether spell checking is to begin at the text cursor or at the beginning of the text. Make your choice and then start the spell check with OK.

TextMaker now goes through the text word for word. If an unrecognized word is found, the spell checker stops and displays the word in a dialog box.

In the list under Change to, TextMaker presents suggestions for the correct spelling of the word (if any are found).

By means of the buttons, you can specify what is to be done with the unknown word:

Button | Function
Change | Lets you correct the word. Before you use this button, type the correct spelling in the Change to input field or select one of the suggested words from the list.
Change All | Works like the Change button, but changes all further instances of the word (from here to the end of the document).
Ignore | Ignores the supposed spelling error and continues with the spelling check.
Ignore All | Ignores all further instances of this word.
 | Note: Use Ignore or Ignore All only for words that are correctly written but are not to be added to the dictionary. When you exit TextMaker, it forgets the list of ignored words.
Add | Advises TextMaker to add the word to the user dictionary and in this way to enlarge its vocabulary.
 | Note: Use this option for correctly spelled words that TextMaker does not yet know. TextMaker remembers these words permanently.

If you want to exit the spell checker before it reaches the end of the document, click on Close.

Is the spell checker working incorrectly? If the spell checker frequently classifies words as incorrectly spelled when in fact they are not, it is likely that the text segment in which they occur is formatted in the wrong language. In this case, select the text segment, invoke Format > Character and set the Language option on the Font property sheet to “Default” (or to the language in which the segment was composed.)


Background spell checking

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. Its spell checker supports solely the use of Hunspell dictionaries.

In a standard installation, only Hunspell dictionaries for English and German are installed. If you want to add additional languages, refer to the section Installing Hunspell dictionaries.

The background spell checker constantly checks the text for spelling errors. Incorrectly written words are underlined in red and can be corrected manually or with the aid of a context menu.

Activating background spell checking

To activate background spell checking, invoke Tools > Options, switch to the Language property sheet and enable the option Use background spell checking.

TextMaker now examines the entire document for spelling errors on an ongoing basis. It not only recognizes existing spelling errors in the document, but also immediately examines changes and additions to the text for correct spelling.

Correcting misspelled words

Misspelled words are highlighted on the screen with red underscores. This allows you to see, at a glance, all misspelled words so that you can either correct them immediately or at a later time.

To correct one of these underlined words, either simply change its spelling by hand or click with the right mouse button on the word to bring up the spelling correction context menu.

The menu includes the following items:

Item | Function
List of suggestions | When TextMaker finds suggestions for the correct spelling of the word, it presents them in the upper part of the menu. If you click on one of them, it will replace the word in the text.
 | If TextMaker finds a large number of suggestions, an additional menu item called Additional Suggestions appears. If you click on it, a dialog with all the suggestions found will appear.
Ignore Word | Ignores the spelling error (for all instances of this word) and removes the red marking.
 | Use this option for words that are, in fact, correctly spelled but are not to be added to the dictionary. When you exit TextMaker, it forgets the list of ignored words.
Add Word | Advises TextMaker to add the word to the user dictionary and in this way to enlarge its vocabulary.
 | Use this option for correctly spelled words that TextMaker does not yet know. TextMaker remembers these words permanently.
Create SmartText Entry | Creates a SmartText entry from the word. You will learn more about this feature in the section SmartText.

As soon as you correct the spelling (or allow TextMaker to ignore or add the word), the red underscore disappears.

Is the spell checker working incorrectly? If the spell checker frequently underlines words that in fact are correctly spelled, it is likely that the text segment in which they occur is formatted in the wrong language. In this case, select the text segment, invoke Format > Character, and set the Language option on the Font property sheet to “Default” (or to the language in which the segment was composed.)

Tip: Jumping to the previous/next spelling error

When the background spell-checker has been activated, the three buttons in the lower right corner of the document window can also be used to jump to the previous/next spelling error.

First, click on the button with the red dot to bring up a small menu. Select the option Spelling error from it.

After that, you use these buttons as follows:

Click on the button with the up arrow to jump to the previous spelling error.

Click on the button with the down arrow to jump to the next spelling error.

More information on these three buttons can be found in the section The Go to ... Command.


Conversion to new German spelling

Note: This whole section applies to text in German language. If you never work with documents composed in German, you may want to skip it and continue reading in section Editing user dictionaries.

In 1996, the governments of the German-speaking countries Germany, Austria, Liechtenstein, and Switzerland signed an agreement concerning a reform of German spelling, attempting to simplify German orthography and make it easier to learn.

TextMaker’s Background spell checking feature (discussed in the last section) can help you apply the reformed spellings for text composed in German language:

At your command, it underlines in blue all German words that conform to the old German spellings and that should be spelled differently in accordance with the new German spellings.

If you click with the right mouse button on such a word, the approved spelling is presented to you in a context menu. In addition, you can call up information as to why this word is now written differently.

For detailed information on this topic, read the following pages.


Activating conversion to the new German spelling

To activate checking for and conversion to the new spellings in texts composed in German, you must take the following steps:

1. Invoke the command Tools > Options.

2. Switch to the Language property sheet.

3. Turn on the Use background spell checking option.

4. Additionally, activate the Underline old German spelling in blue option.

5. Confirm with OK.

Note: The Underline old German spelling in blue option works only with text formatted in the language “German (Germany)” or “German (Switzerland)”.

From now on, in the background, TextMaker examines the document for German words that should be written differently following the German spelling reform. These are underlined in blue. On the next page you can learn how to convert these words to the new spellings.


Correcting words with old German spellings

As explained in the last section, if you have turned on the Underline old German spelling in blue option, German words whose spellings were changed by the German spelling reform are indicated with a blue underline.

To correct one of these underlined words, simply change its spelling manually or click with the right mouse button on the word in order to bring up the context menu of the spell checker.

This menu contains the following items:

Item | Function
List of suggestions | All spellings that are correct (according to the reformed German spelling rules) are displayed in the upper part of the menu. If you click on one of them, TextMaker will replace the word in the text with it.
Info | Opens a dialog box with additional options and information (see section The Info command of the spell checker).
Ignore Word | Ignores the mistake and removes the blue underline.
 | Use this option for words that are in fact correctly spelled but are not to be added to the dictionary. When you exit TextMaker, it forgets the list of ignored words.
Add Word | Advises TextMaker to add the word to the user dictionary.
 | TextMaker remembers such words permanently; they are no longer underlined in blue (see note!)

Note: Use the command Add Word only for those German words underlined in blue that are in fact correctly spelled according to the new German spelling rules. If you allow words with old spellings, rather than new spellings, to be added, you will be supplying TextMaker with incorrectly spelled words.


The Info command of the spell checker

When you invoke the spell checker’s context menu as described in the previous section, an additional item appears for German words in the old spelling: the Info command. This command refers to additional options and shows information about the rule governing the change in the word’s spelling under the German spelling reform.

This command’s dialog box provides the following functions:

Item | Function
List of suggestions | Here all spellings that are correct (according to the reformed German spelling rules) are displayed. If you click on one and then push the Change button, TextMaker replaces the word in the text with it.
Change | Lets you correct the word after you have chosen the correct spelling from the list of suggestions.
 | If TextMaker should ever make a suggestion that is in fact wrong, you can enter the correct spelling in the Change to field manually.
SmartText | Lets you define a SmartText entry. See section SmartText.
Ignore | Ignores the mistake and removes the blue underline.
Ignore All | Ignores all further instances of this word.
 | Note: Use Ignore or Ignore All only for words that are correctly written but are not to be added to the dictionary. When you exit TextMaker, it forgets the list of ignored words.
Add | Advises TextMaker to add the word to the user dictionary.
 | TextMaker remembers such words permanently; they are from now on not underlined in blue (see note!)
Close | Closes the dialog box without applying a change.

Note: Use the Add command only for those German words underlined in blue that are in fact correctly spelled according to the new German spelling rules. If you allow words with old spellings, rather than new spellings, to be added, you will be supplying TextMaker with incorrectly spelled words!


Editing user dictionaries

Occasionally, a mistake is made and the spell checker is taught a word that is not spelled correctly. The command Tools > Edit User Dictionaries was devised for such a situation. With it, you can remove from TextMaker’s vocabulary words that you have previously taught it.

To do this, invoke Tools > Edit User Dictionaries, select the word to be deleted and click on Delete. The word is now removed from the user dictionary; thus, the spell checker will now view this word as incorrectly spelled, as it did before the word was added.

With this function you can delete only those words that you yourself have supplied to TextMaker. Words in the dictionaries that come with the program cannot be removed.

Note: Every language has its own user dictionary. You can select the user dictionary to be edited from the Language dropdown list.


Thesaurus

FreeOffice: This feature is not included in SoftMaker FreeOffice.

With the command Tools > Thesaurus, you can have TextMaker search for a word's synonyms (terms with equivalent or similar meanings).

This function can help you express yourself precisely and avoid repetition. Even if you command a vocabulary that is larger than average, the thesaurus may still find alternative words. This function is especially useful with foreign languages.

Using the thesaurus

To open the thesaurus, type a word or move the text cursor to a word you have already typed. Then invoke the command Tools > Thesaurus.

TextMaker now searches for the word in the Thesaurus.

If the word is not found, words with similar spellings are presented for selection. Otherwise, synonyms for the word are shown.

Note: If a word has several meanings, several items are presented in the Meaning list. First choose the meaning of interest to you, and then view the corresponding synonyms in the Synonyms list.

Now, with a mouse click, you can select a word from the Synonyms list. Then you can choose one of the following functions by using the buttons:

Button | Function
Look up | Looks for alternatives to the selected synonym.
Replace | Replaces the word in the text with the selected synonym.
Close | Exits the thesaurus.


Berlitz translation dictionaries

Note: This feature is available only in SoftMaker Office Professional.

In SoftMaker Office Professional, TextMaker comes with a very useful tool for writing foreign language documents: Its integrated Berlitz translation dictionaries allow you to translate words between five languages (English, French, German, Italian, and Spanish) with the push of a button.

Using the Berlitz translation dictionaries

To obtain the translations of a word, first place the text cursor on it. The word’s language doesn’t matter – it is recognized automatically by TextMaker. Then invoke the Tools > Berlitz command (keyboard shortcut: Ctrl+F7).

TextMaker now searches for the word in the Berlitz translation dictionaries.

If the word is not found, a list of words with similar spellings is displayed. Otherwise, its translations are presented.

The buttons in the dialog box displayed have the following functions:

Button | Function
Languages | Lets you choose the target languages. For example, if you need translations between English and Spanish only, you can turn all other languages off.
Look up | Looks up another word in the translation dictionaries. Enter the word of interest in the Word input field beforehand.
Close | Closes the dialog box.


SmartText

TextMaker’s SmartText feature can save you a lot of work: you can define SmartText entries for frequently needed phrases and then call them out in your text quickly and easily.

For example, define a SmartText entry named “sd” containing “sales department”. Now you can call out this SmartText entry at any time. Simply type “sd” and then press the space bar, the Enter key ¿ or a punctuation character key. Immediately, “sd” is replaced with “sales department”.

In this way, you can use TextMaker to put together a personal “computer shorthand” and save significant typing time.

In this section, you will learn details about TextMaker’s SmartText feature, including the following:

Creating SmartText entries

SmartText entries can be created either with the Insert > SmartText command, the background spell checker, or the on-the-fly spell checker. You give the SmartText entry a name (e.g., “sd”) and then enter the desired content (e.g., “sales department”).

Inserting SmartText entries

To call up a SmartText entry, simply type its name and then press the space bar, the Enter key ¿, or a punctuation character. The name will be immediately replaced by the content of the SmartText entry.

Alternatively, SmartText entries can be inserted manually using the command Insert > SmartText.

Editing SmartText entries

You can create new SmartText entries with the command Insert > SmartText, and you can edit, format, rename and delete existing entries.

Detailed information is provided on the following pages.


Creating SmartText entries

To create a new SmartText entry, choose one of the following methods:

A) Using the Insert > SmartText dialog

To create, for example, a SmartText entry with the name “sd” containing “sales department”, proceed as follows:

1. Invoke the command Insert > SmartText.

2. Click on the New button to create a new SmartText entry.

3. Give the SmartText entry a name (“sd” in our example).

Later, the SmartText entry can be called up by using the specified name.

4. Confirm with OK, which takes you back to the main dialog.

5. Type in the text of the SmartText entry in the large input field (“sales department” in our example).

6. If you want TextMaker to remember the formatting of the entry, you must enable the Apply formatting option. Now you can use the miniature formatting toolbar above the input field to set the font, text emphasis and color.

7. Click on Save to save your new SmartText entry.

8. Exit the dialog by clicking on the Close button.

The SmartText entry has now been created. In the next section (Inserting SmartText entries) you will learn how to use your new SmartText entry.

B) Using the background spell checker

If you have activated the background spell checker, SmartText entries can alternatively be created as follows:

1. Make sure that the Use background spell checking option on the Language property sheet in the Tools > Options dialog box is checked.

2. Type “sd” and press the space bar.

3. TextMaker now underlines “sd” in red, since it is an unknown word. Click on this word with the right mouse button to open the context menu.

4. Select the Create SmartText Entry command from the context menu.

5. Type “sales department”.

6. Confirm with OK.

The result is the same: the SmartText entry “sd” has now been created.

If you want to learn more about the background spell checker, see section Background spell checking.


Inserting SmartText entries

Once you define a SmartText entry, you can use it anytime as you compose your documents.

Type the name of the SmartText entry (“sd” in our example) in the text, and then press the space bar, the Enter key ¿ or a punctuation character. TextMaker immediately replaces “sd” with the content of the SmartText entry, in our example, “sales department”.

Note: If this does not work, the Expand SmartText entries option might be disabled. If so, invoke the command Tools > Options, switch to the Language property sheet, and turn on this option.

Alternatively, you can use a dialog to insert SmartText entries in the text by invoking the command Insert > SmartText, choosing the desired entry, and then clicking the Insert button.

The Apply formatting option has the following meaning in this context:

Off: Normally, this option is turned off. The SmartText entry is accordingly inserted without formatting – it is rendered in the currently active font.

On: On the contrary, if this option is turned on, the entry is inserted with the font type and size that you set in the dialog when you defined the SmartText entry. Text styles and font color are also reproduced.


Editing SmartText entries

You can edit SmartText entries that you have previously defined with the command Insert > SmartText as follows:

Creating a new SmartText entry

To create a new SmartText entry, click the New button (see section Creating SmartText entries).

Deleting a SmartText entry

To delete an entry, select it from the SmartText entries list and then click on the Delete button.

Renaming a SmartText entry

If you want to change the name of an entry, select it from the list and click on the Rename button. A dialog box appears, and you can enter the new name there.

Editing a SmartText entry

To edit an entry, select it from the list and then click in the large input field. Now you can modify the content of the SmartText entry.

Furthermore, you can change the formatting by using the miniature formatting toolbar above the input field. Of course, the Apply formatting option must be enabled before you can do this.

When you have made the desired changes, click on the Save button.

Inserting a SmartText entry

To insert a SmartText entry into the text, select it from the list and click on the Insert button (see also section Inserting SmartText entries).

To exit the dialog, click the Close button. If the active SmartText entry has been changed and not yet saved, TextMaker will ask automatically if it should save the changes.


Database

Writing letters is only one side of the coin. It is almost as important to keep your address database up to date, so that you can access the address quickly. TextMaker provides an easy to use dBase compatible database module for this purpose. It is seamlessly integrated into the word processor and provides all the functions needed to manage addresses and other information. You can enter and edit data, search for specific items, and much more.

In this chapter you will learn everything you need to know to work with TextMaker’s database module.

Opening a database

First you will learn how to open a database. You use the command Tools > Edit Database for this.

Using the database module

Next, you will get acquainted with the powerful database module that is integrated into TextMaker. This module allows you to edit databases and also includes several expanded database functions – for selecting, sorting and deleting records, for example.

Importing individual addresses (via document templates)

Here you will learn how simple it can be to write everyday documents with TextMaker: You invoke the command File > New and choose one of the letter or fax templates supplied with the program. Now the database appears. Simply choose the desired address, click on Insert, and TextMaker sets up a letterhead with the address filled in.

Lists and labels

FreeOffice: This feature is not included in SoftMaker FreeOffice.

It is almost as easy to create lists and labels. Address labels, for example: you choose the paper format and place the database fields in the desired arrangement on the label template. That’s it – printing can begin.

Printing envelopes

FreeOffice: This feature is not included in SoftMaker FreeOffice.

You can also print the address of sender and recipient of a letter on an envelope. All you have to do is to choose the paper format of the envelope and to specify the placement of the address database fields.

Creating a new database

Although the database tmw.dbf supplied with the program is all that many users need to manage their addresses, TextMaker lets you define a new database any time you want.

Form letters and form faxes (covered in the next chapter)

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

Creating form letters in TextMaker is easy: you set up a letter in the normal way, place database fields in it and select the database records to be used. The form letter can then be printed or sent by fax. You will find information about form letters in the chapter Form letters and form faxes.


Opening a database

To open a database in TextMaker, invoke the command Tools > Edit Database. A dialog box appears and TextMaker asks for the name of the database to be edited. Type the name or select a file from the list of databases displayed.

Databases with the following formats are supported:

File format | Description
dBase/DOS | Database with DOS character set. This is the default format – see note below!
dBase/Windows | Database with Windows character set
dBase/Unicode | Database with Unicode character set. This is a special variant of the dBase format, developed by SoftMaker, that supports complex scripts (Asian scripts, for example). However, apart from TextMaker, only very few programs support this format.

To select a database format, open the Files of type list in the dialog mentioned above.

Note: Most databases are stored in dBase/DOS format. Even most Windows database programs utilize the DOS format instead of the Windows format.

If you are not sure whether a database contains the DOS or the Windows format, open the file as dBase/DOS and check if characters with accents (e.g. ‘ê’ or ‘ä’) are displayed correctly. If they are not, close the database and reopen it in dBase/Windows format.


Using the database module

When you open a database, as described in the previous section, TextMaker’s database module appears.

The database module not only allows you to edit your databases, but also includes several expanded database functions. This section acquaints you with all the functions this powerful module has to offer.

Topics covered:

The database module’s main window

List and form view

Browsing through data records

Calling up a data record by its record number

Searching a database

Adding and editing data records

Deleting and restoring data records

Sorting a database

Closing a database

See the next pages for details.


The database module's main window

The database module’s main window

Let’s assume that you open the database tmw.dbf (format dBase/DOS) that was supplied with the program. Under Windows, this file can be found in the SoftMaker folder under My Documents.

You are presented with a database window that looks something like this:

The example database tmw.dbf (in form view)

If a tabular list of data records appears instead of a form like the one pictured above, you can invoke View > Form to switch to the form view.

If you like, you can use the example database tmw.dbf as your personal address database right away. It includes all the database fields needed to store addresses:

SALUT_ADDR | Form of address (e.g. “Mr.”)
SALUT_BODY | Salutation in a letter (e.g. “Dear Mr. Smith”)
NAME1 | First line for names (e.g. the last name)
NAME2 | Second line for names (e.g. the company name)
FIRSTNAME | First name
STREET | Street and number
STATE_ZIP | State and zip code
CITY | City
PHONE | Telephone number
FAX | Fax number
REMARK1 | First line for remarks
REMARK2 | Second line for remarks
REMARK3 | Third line for remarks

What you now see on the screen is the first record in the database. It consists of several fields. A field is an individual part of a record, containing an item of information, for example a first name. Together, the fields make up the record, which contains a person’s complete address.

In the status bar (at the bottom of the program window) you can see the following information:

First, the number of the active data record (the record number) and the total number of records in the database are shown (“Record 1 of x”).

To the right of the record number, the following status information is displayed:

Deleted, if the record is marked for deletion

Selected, if the record is selected

For more information on selecting records, see section Selecting data records.

At the very right, you can read the active field’s field type, which determines what entries are allowed in the field:

Field type | Allowed entries
Character | Any
Numeric | Numbers
Date | Date entries in the form MM/DD/YY (e.g., “06/24/12”) or in the form MM/DD/YYYY (e.g., “06/24/2012”)
Logical | Only Y for yes or N for no
Memo | Notes – these can be edited after pressing the F9 key.

The maximum length of the field is displayed after the field type.

Which century? Notice when filling in a date field: if you enter the year as two digit number between 0 and 29, TextMaker automatically prefixes “20”. For year numbers between 30 and 99, TextMaker prefixes “19”.

Thus, the entry “01/01/29” is interpreted as 1/1/2029, the entry “01/01/30” as 1/1/1930.


List and form view

The database module can display databases in two different ways:

The list view offers the best overview of the database. Here you see several data records listed one after another in tabular form.

The form view is better suited to the inspection of individual data records. Here, the fields of a single data record are displayed in a form.

Important: In list view, no data can be entered. This is possible only in form view.

To switch between list and form view, invoke the command View > Form. If the form view is active, a check mark appears in front of this menu item. Otherwise, list view is active.

Tip: You can switch very quickly between these two views with the F2 key. Moreover, a double click on a data record in list view displays the record in form view.


Browsing through data records

Both keys and icons are available for moving among the data records of a database:

Key | Icon | Function
PgUp |  | Go to the previous data record (in list view: to the previous page)
PgDn |  | Go to the next data record (in list view: to the next page)
Ctrl+Alt+PgUp |  | Go to the previous selected data record
Ctrl+Alt+PgDn |  | Go to the next selected data record
Ctrl+PgUp |  | Go to the first data record
Ctrl+PgDn |  | Go to the last data record


Calling up a data record by its record number

The Data record number (record number for short) is a simple counter. The first data record has the number 1, the tenth 10, etc. The record number of the active data record is displayed at the lower left in the status bar.

You can call up a data record in the database module directly by means of its record number. To do this, use the command Go to > Record number or press the keyboard shortcut for this command: the F5 key.

A dialog box appears; you enter the number of the desired record there and confirm with OK. The corresponding data record is then brought up.

This is even quicker if you click with the mouse on the record number shown in the toolbar and simply type in the number of the desired record.


Searching a database

With the help of the command Edit > Search (keyboard shortcut: Ctrl+F) you can search for an item in the database currently opened in the database module.

The search function can also be invoked with the [image] icon in the Standard toolbar.

When you enter a search term and confirm with OK, TextMaker begins searching. As soon as the term is found in a data record, TextMaker displays the record and terminates the search process.

Continuing the search

To display the next record in which the term is found, click the [image] icon in the toolbar or invoke the command Edit > Search again (keyboard shortcut: F3).

Notes on search terms

Date fields: If you want to search for date entries in data records, you must enter them in the format MM/DD/YYYY – so for e.g. September 25, 2012, you must type 09/25/2012.

Memo fields: Memo fields cannot be searched.

Wildcard searches with “?”: By entering one or more question marks within the search term you can widen the search. The question mark represents any character. Thus, in a search for “Me?er”, for example “Meier” and “Meyer” will be found.

Options in the Search dialog

You can modify the search with the options in the Search dialog, as follows:

In Field

Select the All fields option when all fields in the database are to be searched. Alternatively, you can select a specific field, when only this field is to be searched.

Search from beginning

If this switch is activated, TextMaker begins the search at the first data record; thus it will search the complete database. Otherwise the search begins with the active data record.

Search backwards

If this switch is activated, the database is searched in reverse record order.

Case sensitive

If this switch is activated, the search engine takes account of the case of the characters in the search term. Thus, in a search for “House,” only “House” would be found – not “HOUSE,” “house,” etc.

Search only selected records

If this switch is activated, only the selected data records are searched; otherwise all are searched (see also section Selecting data records).

Accuracy

Specifies how closely the content of a field must agree with the search term:

Search term anywhere in the field: Finds all data records in which the search term occurs anywhere in the fields being searched.

Field begins with the search term: Finds only those data records in which the search term occurs at the beginning of the search fields. So, if you search for “Fish”, only records with “Fish” at the beginning of a field are found (including, for example, records in which a field begins with “Fisher”, but excluding records in which a field contains “Ralph Fisher”).

Field matches the search term: Here, the search function finds only data records in which the field content corresponds completely with the search term. So, if you search for “Fish”, only records with fields containing just “Fish” are found; records with fields containing “Fisher” are not.


Adding and editing data records

Important: Data records can be changed only in the database module’s form view. To switch between list and form views invoke the command View > Form. If form view is active, a little check appears in front of this menu item; otherwise, list view is active.

To edit a data record, simply position the text cursor in the desired data field and make your changes. You can move to the next field with the Tab key, to the previous field with Shift+Tab.

Note: To save changes to a data record, you do not have to invoke any special command, because changes to the active data record are saved automatically when you page to another record or exit the database.

Adding a new data record

If you want to expand your database to include an additional entry, invoke the database module command Edit > Append record or press the keyboard shortcut for this command: Ctrl+N.

This command can also be invoked with the [image] icon in the Database toolbar.

TextMaker adds an empty data record to the database and positions the text cursor in the first field of the record. You can immediately begin filling in the record.

New records are always added after already existing records.

Duplicating a data record

With the command Edit > Duplicate record you can create the duplicate of a data record. To do this, page to the desired record and then invoke the command.

Duplicated data records are always added at the end of the database, just like newly defined data records.


Deleting and restoring data records

Data records that are no longer needed can be deleted at any time in the database module.

Deleting a data record

To delete a data record, invoke the command Edit > Delete current record (keyboard shortcut: Ctrl+Y).

This function can also be invoked with the [image] icon on the Standard toolbar.

Please note that the data record is not immediately deleted, but only marked for deletion. Deletion of all data records marked for deletion actually takes place when the database is compressed with the command Edit > Compress database (see below).

Deleting all selected data records

With the command Edit > Delete selected records you mark all currently selected records for deletion. This is useful when you want to delete a large number of records.

Working with selections is described in section Selecting data records.

Show deleted records?

By default, the option View > Show deleted records is turned on, meaning that even data records marked for deletion are viewable. As a visual indication that a record is deleted, the word Deleted appears in the status bar.

However, you can deactivate the option View > Show deleted records at any time to hide all records that are marked for deletion.

Restoring deleted data records

If you have marked a data record for deletion by mistake, simply apply the command Edit > Delete current record to it a second time to remove the deletion marking. The disappearance of the word Deleted in the status bar indicates the removal of the marking.

You can remove the deletion marking on all data records currently marked for deletion with the command Edit > Restore deleted records.

Permanently removing deleted data records (“compressing” a database)

If you want to actually remove all the data records marked for deletion, have TextMaker compress the database. The command Edit > Compress database is responsible for this. After querying you, it permanently removes all the records marked for deletion from the database file.


Sorting a database

If you want to sort a database, invoke the command Edit > Sort database in the database module.

This function can also be invoked with the [image] icon on the Standard toolbar.

Normally, you choose just one field as the basis for the sort; however, you can also sort on two fields. For example, to sort the all the records by last name, and the records containing the same last names by first name, select NAME1 under Field 1 and FIRSTNAME under Field 2.

As soon as you confirm with OK, the data records are sorted and the database is saved in the new order.

Note: When sorting a database, the data records are physically reordered in the database. This action cannot be undone.


Closing a database

When you want to close the currently opened database, invoke the command File > Close. The database is automatically saved and then closed.

Alternatively, you can use the command File > Copy record and close, which does the same thing, except that it first copies the contents of the active data record into the clipboard.

The command File > Insert record and close is only available when the database was invoked through a document template, a topic covered in section Importing individual addresses.


Importing individual addresses

What is a word processor most often called on to do? To quickly write letters or faxes. You have purchased TextMaker precisely for such routine work, and you will find it to be an especially efficient helper.

All you need for such tasks is a suitable document template – that is, a document template to which an address database is assigned to, and in which database fields are inserted. Several such templates (for letters, faxes, memos, etc.) and a suitable database come with TextMaker.

When you start a new document with File > New and select such a template, TextMaker automatically displays the database. Page through it to find the desired recipient and click on Insert. The rest happens automatically. TextMaker replaces the database fields in the template with the contents of the fields from this record – in other words: the address is inserted into the text. The result is, for example, a complete letterhead with the recipient’s address already filled in.

On the following pages you will find detailed explanations of these procedures.


Preparing a document template

Note: To compose a letter or fax as quickly as possible, you don’t have to prepare a document template from scratch. Numerous document templates with letterheads, fax forms and memo forms are already supplied with TextMaker. Read the section Using document templates to learn how you can try them out without further ado.

To prepare a new document for the insertion of individual addresses, proceed as follows:

1. Invoke File > New and select the template Normal.tmv to start a new document.

2. Fill the document with the desired text – for example, prepare a letterhead, a fax form, etc.

3. Assign the desired database to the document using Tools > Set Database – for example the address database tmw.dbf supplied with the program.

4. At the desired positions in the document, invoke Insert > Field to insert database fields from the assigned database (see also section Inserting database fields).

5. Invoke File > Save as.

6. Select the Template entry from the Save as Type list.

7. TextMaker changes automatically to the folder for document templates.

8. Type a name for the template in the File name edit box, and confirm with OK.

In general, you proceed as if you wanted to create a form letter (but without entering the text of the letter), and then save the letter as a document template.

If you want to learn more about document templates, read through the basic instructions in section Document templates. To view an example, you can open one of the document templates supplied with the program.


Using document templates

The use of a document template with a database assigned is very simple: begin a new document with File > New. TextMaker now asks you what template to use as a basis for the document.

If, at this point, you select a template that has a database assigned to it, TextMaker displays this database and lets you choose the data record to be inserted into your text. You page to the desired record and then click on the Insert button.

Here is the step by step procedure:

1. Invoke File > New.

2. Choose one of the document templates that have a database attached – either a template that you have prepared or one of the templates supplied with the program. Then, click on the OK button.

3. A dialog displaying the respective database opens.

4. Browse to the data record for the recipient.

You can also enter a new address by first clicking the Append button to append a new record and then typing in the address.

(For detailed instructions on this dialog see below.)

5. Click on the Insert button.

At each place in the template where there is a database field, TextMaker now inserts the content corresponding to that field from the chosen data record.

The result is, for example, a letterhead completely filled out with the address of the letter’s recipient. All you have to do now is write the text of the letter and then print the document. To do this, invoke File > Print – not File > Print Merge.

Tip: In the dialog box for the command File > New you will see some folders. Any of them can be opened with a double click. They contain preformatted document templates for writing letters, faxes, etc. Most of these templates are associated with the example database tmw.dbf that is supplied with the program.

Detailed instructions on the database dialog

In detail, the database dialog mentioned above has the following functions:

Data display

The largest part of the window is devoted, of course, to the display of data. You can work with data either in tabular form, using the list view, or in more detail using the form view. To switch between these two views, use the options List and Form in the lower part of the window.

You can use the usual keys to navigate.

Note: Please note that editing of data is possible only in the form view.

To save changes to a data record, you do not have to invoke any special command, because changes to the active data record are saved automatically when you page to another record or exit the database.

Filter

You can filter the data records as necessary. To do this, enter a search term in the Filter input field and click the Apply button. The display of data changes immediately: only those data records are displayed that contain the search term (in any of their fields).

So, if you filter for “Miller”, only records containing “Miller” will be displayed.

“Insert” button

Inserts the content of the active record into the document. Only available when the database was invoked through a document template, as described above.

“Close” button

Saves all changes made to the database and exits the database module.

“Search” button

Invokes a search dialog, with which you can search for specific data more precisely than you can with a filter (see above). You will find information about this dialog in section Searching a database.

“Find next” button

Displays the next record containing the search term.

“Append” button

Adds a new record to the database.

List/Form

With the options List and Form you can switch between list view (several data records in sequence) and form view (one complete record in detail).


Lists and labels

FreeOffice: This feature is not included in SoftMaker FreeOffice.

With the list and label generator you can prepare address lists or labels using the addresses in a database.

To do this, you simply create a mask, where you specify the arrangement of the database fields, using the command Insert > Lists & Labels. When this is completed, TextMaker inserts the corresponding fields into the document – as normal text or in the form of a table, as you choose.

More detailed information about this topic is given on the pages following.


Creating lists and labels

FreeOffice: This feature is not included in SoftMaker FreeOffice.

When you want to create a label, you should first begin a new document with File > New. Lists can also be inserted directly into an existing document. To do this, simply place the text cursor at the desired position.

Then invoke the command Insert > Lists & Labels. A dialog box appears; from it you can call up and edit previously saved list and label definitions (see next section).

To create a new list or a new label, click on the New button. TextMaker asks you to provide a name for the label/list. Enter whatever name you like and confirm with OK.

Next, TextMaker asks you for the database that contains the addresses. Select it and confirm with OK.

Now the dialog box for creating the list/label appears.

Enter the desired database fields in the Mask input field – arranged as they should appear later when they are rendered. To do this, type the field names with enclosing curly braces (e.g. {NAME}) or transfer fields from the Database fields list with double clicks. An example of a completed label mask is given in the illustration above.

You can work in the input field as you would in normal text by moving the text cursor, deleting text, copying, etc. It is possible not only to insert fields, but also to enter text. To begin a new line, press the Enter key ¿. Tabs are entered with Ctrl+Tab, not with Tab.

When you have finished preparing the mask, you can specify the way TextMaker is to insert data records with the following dialog settings:

Insert as Table/Insert as Text

If you select the Insert as text option in the Format group box data records are simply written in the text one after another – according to the mask you specified.

With the Insert as table option, on the other hand, TextMaker creates a table with the data. Each data record is placed in its own cell in the table. You can specify the number of Columns in the table and the Minimum height of each cell:

Columns

If the Insert as table format is selected, you can specify here the number of columns the table should contain. For example, if you want to create an address list with two columns, or if you use label sheets with two labels across, enter “2” here.

Minimum height

If the Insert as table format is selected, you can specify here the minimum height for the cells in the table.

If “0 in” is given, TextMaker controls the cell height automatically in the usual manner for tables – the more a cell contains, the larger it grows.

On the other hand, an entry of “2” causes TextMaker to set the height of all cells in the table to 2 in. Caution: If you enter too many fields in the mask, so that they will not fit within this 2 in, TextMaker will automatically increase the height of the cells – that’s why this setting is called the minimum height!

Records Group Box

Here you can select the records in the database that are to be inserted: All, only the Selected records (see section Selecting data records) or a Range of records that you specify with the record numbers for the first and last records in the range.

When you confirm with OK, the list/label definition is saved.

To now insert the list/label into the text, click on Insert.

TextMaker grabs the fields from the database and inserts them into the document as plain text according to the mask you specified – record for record. You can now save the document, send it to the printer with File > Print, etc.

Summary: How do I create an address list?

1. Place the text cursor at the position where the list is to be inserted, or start a new document with File > New.

2. Invoke Insert > Lists & Labels.

3. Click on New.

4. Enter a name for the list.

5. Select the database that contains the addresses.

6. As described above, enter the desired database fields in the Mask input field. You can separate individual fields with commas, for example: {NAME1}, {NAME2}, {STREET}, ...

7. Ordinarily, select the Insert as text option under Format. On the other hand, if you want to create a multi-column list, select the Insert as table option and enter the number of columns under Columns.

8. Confirm with OK.

9. Click on Insert to insert the list into the document.

Summary: How do I work with label sheets?

1. Start a new document with File > New.

2. Set the page size of the label sheet with File > Page Setup.

3. Invoke Insert > Lists & Labels.

4. Click on New.

5. Enter a name for the label.

6. Select the database with the addresses.

7. Enter the desired database fields in the Mask input field.

8. If you choose the Insert as table option under Format, enter the number of labels to be printed side by side on each page under Columns and enter the spacing from the upper edge of one label to the upper edge of the next under Minimum height.

9. Confirm with OK.

10. Click on Insert to insert the label into the document.

Now make a test print of the first page of the document with File > Print and look to see if the labels are printed at the correct positions. If there are any discrepancies, adjust the settings of the Margins as required in the File > Page Setup dialog. Since every printer prints in a somewhat different way, it is possible that the rendering can begin too far from the top or end too far from the bottom. Adjust the upper page margin accordingly.

Important: Every printer has an unprintable area, an area along the page edges that it cannot reach. For this reason, text can be clipped on the page if small values are used for the page margins. In such a case, increase the appropriate margin or adjust the layout of the label mask.

If required, using the commands Table > Cell Properties and Table > Row Properties you can fine tune the layout of individual labels – which are nothing but table cells. However, such fine tuning is not usually necessary.


Managing lists and labels

FreeOffice: This feature is not included in SoftMaker FreeOffice.

When you invoke the command Insert > Lists & Labels a list of all the lists and labels you have already defined is displayed. You can manage them with the dialog’s buttons:

Button | Function
Insert | Insert a list/label into the document
New | Create a new list/new label (see the previous section)
Edit | Edit a list/label
Delete | Delete a list/label
Rename | Change the name of a list/label
Copy | Copy a list/label

To exit the dialog, click the Close button.


Printing envelopes

FreeOffice: This feature is not included in SoftMaker FreeOffice.

In order to address a letter, you can either create an address label (see the previous section) or you can let TextMaker print the address directly on the envelope.

To do this, proceed as follows:

1. Invoke the Insert > Envelope command.

2. Click on the Paper settings button, specify the paper format of the envelope, and click on OK.

3. In the Sender field, enter your own address.

4. In the Recipient field, enter the recipient’s address.

You can type the address in manually or use database fields from your address database. To insert a database field, click the Database field button to open a field list, and then choose the field to insert.

5. When finished, click one of the following buttons:

Create new document: Creates a new document containing the envelope.

Append to document: Appends the envelope to the end of the current document.

Print envelope: Just prints the envelope and discards it afterwards.

6. If you have inserted database fields, TextMaker now displays the address database. Browse to the desired recipient and click the Insert button.

The envelope will now be created and filled out.

Note that the above settings have to be specified just once. From now on, TextMaker remembers the paper format and the placement of the database fields. Of course you can change these settings whenever you like.

In detail, the following options are available in the Envelope dialog:

Sender

Use this field to enter the sender’s address.

The [image] icon displayed above the field can be used to change the font that will be used to print the address.

Recipient

Use this field to enter the recipient’s address.

Hint: It is recommended to use database fields from your address database for this. To insert a database field, click the Database field button to open a field list, and then choose the field to insert.

If you have not yet selected the database to use, you first have to click the Database button and select the desired database.

The [image] icon displayed above the field can be used to change the font that will be used to print the address.

Sender position

Here you can change the position of the sender’s address on the envelope (relative to the top left corner).

Recipient position

Here you can change the position of the recipient’s address.

Recipient margins

Here you can change the right and the bottom margin of the recipient’s address.

Paper settings button

This button opens an additional dialog where you can specify the paper format of the envelope.

Options available:

Use the Envelope type list to specify the paper size of the envelope. The list contains all paper sizes supported by the current printer. If you want to specify a size that is not listed, enter its dimensions manually in the Width and Height fields.

If your printer has multiple paper trays, you can use the Paper bin option to select which one to use when the envelope is printed. (This option is available under Windows only.)

Under Envelope orientation, specify how envelopes have to be inserted in your printer’s tray (left-aligned, centered or right-aligned; rotated or not rotated).

If required, you can also specify an Additional offset (in case the printout is not placed exactly where it should).


Creating a new database

With TextMaker you can not only use existing databases, but also create new databases.

To do this, proceed as follows:

1. Invoke Tools > Create Database.

2. Input a filename for the database to be created and confirm with OK.

3. Define the first database field.

To do this, give the field a unique Name, select the appropriate field Type and the desired Length, and (only for numeric fields) enter the desired number of decimal places at Decimals. Explanations of the available choices are given further down.

4. When you have made all the specifications for a field, click on Append to add the field after the last field you defined.

If other fields are already defined, you can instead click on Insert to insert the new field ahead of the currently active field.

5. Repeat the last two steps for every additional field that the database is to comprise. You can set up as many as 256 fields, provided that the lengths of all of them do not exceed 4000 characters in total.

When all the fields have been entered to your satisfaction, confirm with OK.

The database will now be created and opened. You will find information about filling in databases in section Using the database module.

Tip: If you have made a mistake while entering the definition of a field and you recognize it after already having clicked the Append button, you can go back and correct the error. To do this, double click in the Fields list on the affected field, make the correction and click on Replace. With Delete you can completely remove a field that has been entered incorrectly.

Important: Once the database has been created, your definitions cannot be subsequently changed with TextMaker. Changes are possible only with a dBase compatible database program (DataMaker, for example). So, before creating a database you should consider carefully what fields you need, what field types are appropriate for them, and the maximum number of characters that each field must accommodate.

Notes about the field type

With the field type, you specify what kind of data can be entered into the field. The field types are as follows (the allowed length for each field is given in parentheses):

Field type (length) | Allowed input
Character (1 to 254) | Character fields allow any type of input.
Numeric (1 to 19) | Numeric fields accept only numbers as input. You can set the desired number of decimal places with Decimals. You can perform calculations on the contents of such fields (see chapter Calculations in the text).
Date (always 8) | Date fields are intended for date entries.
Logical (always 1) | Logical fields are intended for yes/no entries. The allowed entries are limited to Y for “Yes” or N for “No”.
Memo (always 10) | Memo fields accept any type of input. However, what you enter in these fields can only be viewed and edited, not printed. The width is always given as 10, but in fact you can enter up to 4000 characters.

Tip: For numeric entries like telephone numbers, zip codes, etc. select “Character” rather than “Numeric”. Here, numeric fields provide no advantages – on the contrary: If you try to enter a telephone number like “001-555-55555” in a numeric field, TextMaker will not allow the “-”, since only numerals are allowed; also, the leading zeros will be automatically removed.

Notes on the supported database formats

Databases that you create with TextMaker are stored in dBase format, a widespread database format supported by many database applications.

The dBase format comes in different variants. When you invoke the Tools > Create Database command, you can choose the desired variant by selecting it in the Files of Type list.

The following variants are supported:

File format | Description
dBase/DOS | Database with DOS character set. This is the default format – see note below!
dBase/Windows | Database with Windows character set
dBase/Unicode | Database with Unicode character set. Please note that this format is not dBase compatible (see below)!

Note: Most databases are stored in dBase/DOS format. Even most Windows database programs utilize the DOS format instead of the Windows format.

Note on the dBase/Unicode format

Besides the common dBase/DOS and dBase/Windows format, TextMaker also supports databases in dBase/Unicode format.

This is a special dBase format, developed by SoftMaker, that supports complex scripts (Asian scripts, for example). Thus, you can store e.g. Chinese text in this format (which is not possible with dBase/DOS and dBase/Windows format).

However, please note the following limitation of the dBase/Unicode format:

Important: Databases in dBase/Unicode format are not dBase compatible. Apart from TextMaker, only very few programs support this format. Therefore, you should use this format only if you need to create a database that supports the Unicode character set (because you want to enter, for example, Asian characters) and intend to use it with TextMaker only.


Form letters and form faxes

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

You find form letters in your mailbox almost every day – among them: advertisements from lotteries, mail-order houses, etc.

A form letter – the addresses will appear in the fields {FIRSTNAME}, {NAME1}, etc.

Of course form letters can also be used for other things. How would you go about sending written invitations to all the members of your bowling team, for example? Normally, you would type the text of the letter, type the first member’s address in the letterhead, and print the letter. Then you would put in the next member’s address and print it again, etc.

It is precisely this repeated manual entry of the addresses that TextMaker can take over when you create a form letter for the invitation.

In general, you create a form letter as follows (you will find detailed information on the following pages):

1. If you have not yet recorded the addresses of the recipients in a database, create or open a database and enter the addresses in it. The database tmw.dbf that is included with the program is very well suited for recording addresses; however, you can use any database you wish.

2. Start a new document.

3. With Tools > Set Database, assign the address database to the document. This is necessary so that TextMaker knows what addresses it should merge in later.

4. Compose the text of the letter.

5. With Insert > Field > Database field, insert the name, street, city, etc. fields from the database at the places where the address should appear in the printed document.

6. If you don’t want to write to all the addressees: open the database with Tools > Edit Database and select the addresses you want included.

7. Print the letter with File > Print Merge.

When it prints, TextMaker replaces the database fields with the data from the database – record by record. Accordingly, the data from the first data record are used for the first letter, the data from the second record for the second letter, etc.

If you use the Windows version of TextMaker and you have a suitable fax program, you can even fax form letters with TextMaker. To do this, all you have to do is tell TextMaker which of the database fields contain the recipients’ fax numbers and names.

The following sections describe each of the required steps in detail, from the creation of a form letter to the sending of the completed document to a printer or fax. The following topics are covered:

Assigning a database to a document

Inserting database fields

Viewing test records in the text

Practice letter

Selecting data records

Printing or faxing form letters


Assigning a database to a document

Before you insert the fields of a database into a form letter, you must tell TextMaker which database is being referenced by assigning a database to the document.

To do this, invoke Tools > Set Database. A dialog box appears, allowing you to select the database. Type the name of the desired database or choose a file from the list of databases displayed.

Databases with the following formats are supported:

File format | Description
dBase/DOS | dBase database with MS-DOS character set. This is the standard format – see note below!
dBase/Windows | dBase database with Windows characters set
dBase/Unicode | dBase database with Unicode characters set
Text file | Text file in which each line contains a data record and the field contents of each record are separated by semicolons
Text file/DOS | Also a text file, but with an MS-DOS character set rather than a Windows character set

You specify the file format by opening the dialog’s Files of type list box and choosing the desired format from the list.

Note: Most databases are stored in dBase/DOS format. Even most Windows database programs utilize the DOS format instead of the Windows format.

If you are not sure whether a database contains the DOS or the Windows format, open the file as dBase/DOS and check if characters with accents (e.g. ‘ê’ or ‘ä’) are displayed correctly. If they are not, close the database and reopen it in dBase/Windows format.

As soon as you have selected a database and confirmed with OK, TextMaker knows the database from which you want to insert fields, and you can proceed as described in the next section.

TextMaker remembers which database has been assigned to the document as soon as you save it. The next time you open the document this database is again assigned to it. Of course, you can assign a different database to the document any time you like.

Detaching a database

You can detach a database by invoking the command Tools > Set Database and clicking on Clear database.


Inserting database fields

Once you have decided how you want to position the relevant database fields in your form letter, you can insert them in the text with Insert > Field. When the letter is printed or faxed, these fields will be replaced with the actual contents of the fields from the database, record by record.

Specifically, you proceed as follows to insert a database field:

1. Move the text cursor to the desired position.

2. Invoke Insert > Field.

3. In the list box Field type, select the item Database field.

4. Now you can select the field to be inserted from the list box Field name.

5. When you click on Insert, TextMaker inserts the field into the text and displays the field name in curly braces – {NAME}, for example.

Proceed in exactly the same way to insert additional database fields at other places in the text until the form letter has the desired appearance.

Database fields can be formatted like normal text; so, you can give them different fonts, sizes, etc. any time you like.

When the form letter is later printed, TextMaker will automatically wrap lines with database fields correctly, taking into account that the actual text of the field varies from record to record.


Viewing test records in the text

Normally, TextMaker displays database fields that have been inserted into the text in the form of a field name enclosed by curly braces – for example:

{NAME}

To see how the form letter will really look when it is printed, you can instruct TextMaker to display the content of the field from any database record you like, rather than the field name – provided that a database has first been assigned to the document with the command Tools > Set Database.

Once this has been done, invoke File > Properties and switch to the dialog’s View property sheet. Make sure that the option Display field names is not checked. Then check Show merge record and next to it enter the number of the database record whose field contents are to be displayed.

Note: If you now invoke File > Print Merge, the letter will be rendered using all the selected data records, just as before. On the other hand, if you invoke File > Print, TextMaker will print only a single letter, using the address in the record you selected for display.

Using the Mail Merge toolbar

Displaying test data records is substantially easier if you enable the Mail merge toolbar. To do this, invoke the command View > Toolbars and activate the Mail merge toolbar in the Toolbars list box.

The Mail merge toolbar is brought up in response.

You can use this toolbar as follows:

To page from record to record, click on the arrows at right and left .

To display a specific record, enter its record number in the edit box in the middle and press the Enter key ¿.

When you want to see the field names again, instead of the test data records, page to data record 0 or enter a “0” in the edit box and press the Enter key ¿. In response, TextMaker unchecks the Show merge record option.

Tip: When you move the mouse pointer over one of the icons (without clicking) a text box appears, indicating the function of the icon.


Practice letter

Practice makes perfect. Therefore, in this section we want to create a form letter for practice.

Before you begin, start a new document with File > New. Assign the example database tmw.dbf that was provided with the program to this document, using the command Tools > Set Database. Under Windows, this file can be found in the SoftMaker folder under My Documents.

Then, type the following text. Naturally, you are free to abbreviate it, or to type something completely different. What matters is simply this:

Important: Do not type those parts of the text that are enclosed in curly braces – they represent database fields. Instead, whenever you get to one of them, invoke Insert > Field, select the item Database field in the Field type list box, select the field name in the Field name list box and then click on Insert. In this way, the database fields will be entered into the text.

The Society of Calligraphers

{FIRSTNAME} {NAME1}

{STREET}

{CITY}, {STATE_ZIP}

{SALUT_BODY},

We are pleased to announce that the Society of Calligraphers will no longer have to rely on handwriting for its official communications.

We have decided to convert everyone in the office to personal computers. We are now using TextMaker, which has an integrated database, allowing us to send personalized form letters to all our members.

All in all, TextMaker provides enormous savings in time and cost – not to mention quills and ink...

With best regards,

Now you have created a “template” that TextMaker can fill in with the field contents from the database records when it prints the form letters.

Bring up the example database tmw.dbf and enter a few data records. Naturally, it is up to you to choose the names and addresses. When you have entered the records, exit the database with File > Close.

All the basic steps have now been taken, and your form letter is now ready for printing or faxing. In the rest of this chapter, you will learn how to choose the addressees of a form letter – and how to actually print form letters.

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.


Selecting data records

If desired, you can specify exactly those addressees to whom a form letter is to be sent. To do this, open the database containing their addresses and select the desired data records.

Note: TextMaker saves the selection permanently. It remembers which data records are selected even after you exit and restart TextMaker.

There are three ways to select data records, and they can be used in combination, as you choose. You can, for example, first select data records by means of a condition and then manually exclude some data records from the selection.

The following selection methods are available in the database module:

Selecting single records manually

With Select > Current record you include the current data record in the selection, or exclude it. If you invoke this command when the record is not selected, it is selected, and vice versa.

With Select > Select all records and Select > Deselect all records, all data records can be either selected or deselected at once.

Selecting by record numbers

With Select > By number you enter a range of record numbers to be selected or deselected.

Selecting by condition

The command Select > By condition lets you apply selection conditions like “select all Smiths” or “select all recipients living in Houston”.

Detailed information about this selection method is given on the pages immediately following.

Navigating between selected records

With the commands Go to > Previous selected record and Go to > Next selected record you can jump to the previous or next selected data record.

Alternatively, you can use the icons [image] and [image] in the toolbar or the keyboard shortcuts Ctrl+Alt+PgUp and Ctrl+Alt+PgDn to do this.

Tip: Furthermore, with View > Show only selected records, you can hide all data records that are not selected.


Selecting single records manually

With the command Select > Current record (keyboard shortcut: Ctrl+S) you select or deselect the data record currently displayed in the database module.

If you invoke this command when the current record is not selected, it is selected. If you invoke the command when the current record is already selected, the record is excluded from the selection.

Tip: In list view, data records can also be selected or deselected by clicking with the mouse to check or uncheck the checkbox to the left of the data record.

With the commands Select > Select all records and Select > Deselect all records you can select and deselect all the records in the data base at once.

Display in the status bar: The status bar at the bottom of the window also shows whether a data record is selected or not: the word Selected appears here for a selected data record.


Selecting by record numbers

The data record number (record number for short) is the number representing the record’s sequential position in the database. The first data record has the number 1, the tenth 10, etc. The record number is always displayed in the status bar of the program window.

The command Select > By number (keyboard shortcut: Ctrl+B) allows you to select or deselect a range of records delimited by record numbers.

A dialog box appears, allowing you to enter the desired range. The range of the entire database is shown initially. For example, if you want to select the records 10 through 20 inclusive, enter “10” and “20” here.

If you then click on the Select button, all data records in this range will be selected; on the other hand, if you choose Deselect, they will be deselected, that is, excluded from the selection.


Selecting by condition

With the command Select > By condition (keyboard shortcut: Ctrl+U) you can make a selection by means of a condition – for example, “select all records that contain ‘Smith’ in the NAME1 field”. All records that fulfill this condition will then be included in the selection.

Hint: It is necessary only that the content of the field begins with the search term. Thus, continuing our example, if the NAME1 field of a given record contained ‘Smithfield’, TextMaker would select this record, too.

You can combine several conditions as required – for example, NAME1=Smith and CITY=London to select all Smiths living in London.

When you invoke the command Select > By condition, the following dialog appears:

To select, for example, all data records containing “Smith” at the beginning of the NAME1 field, you would proceed as follows:

1. Select the desired field from the dropdown list box Database field – NAME1, following the above example.

2. Enter the value you are seeking in the edit field Content – “Smith” following the above example.

Note: The search is case-sensitive. If you search for “Smith”, records containing “SMITH” or “smith” will not be found.

3. Click on the Add button to complete the definition of the condition. It will then be displayed in the Conditions list box.

You can now add additional conditions by repeating the three steps above.

4. Click on Select to add all the data records that fulfill the condition(s) you have defined to the selection. Or click on Deselect to exclude these records from the selection.

So, if you now click on Select, all the data records in which the field NAME1 begins with “Smith” will be added to the selection.

With the help of the Delete and Delete all buttons in the dialog box, you can delete previously defined selection conditions when you no longer need them.

Note: Be aware that once data records have been selected they remain selected until they are explicitly deselected. So, if you select records, first with NAME1=Smith and then with NAME1=Jenkins, all records with the name Smith or Jenkins will be selected. If in fact only the Jenkins are to receive letters, you must deselect all data records by invoking the command Select > Deselect all records before you apply the condition NAME1=Jenkins.

Operators available

Apart from the equal sign described above, the dialog allows to choose from several other operators to build conditions. The following operators are available (in the dropdown list right of the field name):

Operator | Explanation
= | The search field must exactly match the search term or at least start with it.
<> | The search field must not match the search term or start with it.
< | Less than (for use with numeric fields)
> | Greater than (for use with numeric fields)
<= | Less than or equal to (for use with numeric fields)
>= | Greater than or equal to (for use with numeric fields)
~ | The search field must contain the search term at any position. For example, the condition NAME1~Smith selects all records where this field has a content like “Smith” or “Smithfield”, as well as “Miller, Smith & Company”.


Printing or faxing form letters

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

Once you have created a form letter and selected the desired records from the database, you can let TextMaker merge the two and print or fax the form letter.

To do this, don’t invoke the usual command File > Print, but instead the command File > Print Merge (for printing), or File > Send > Fax Merge (for faxing, available only in Windows).

You will find more information about this in section Printing a form letter and section Faxing a form letter.

Automatic suppression of superfluous white spaces

If, when printing or faxing, TextMaker comes upon two database fields that are separated by one or more space characters, and the first of these fields is empty, TextMaker automatically suppresses the space characters.

An example: You have inserted fields for first and last names into the text and separated them with a space character:

{FIRSTNAME} {NAME1}

At this point, TextMaker normally prints the first name, the space character and the last name. However, if the {FIRSTNAME} field of a given data record is empty, TextMaker prints only the last name and removes the space character, since in this case it is superfluous.

Automatic suppression of empty lines with database fields

If a text line contains only database fields and separating space or tab characters, and if, for some data record, none of these fields has any content, the entire line is suppressed.

An example – your form letter contains the following text segment:

{FIRSTNAME} {NAME1}

{NAME2}

{STREET}

{CITY}, {STATE_ZIP}

If, for some data record, the {NAME2} field is empty, TextMaker automatically removes the resulting empty line. Thus, it prints the first and last names and then prints the street on the immediately following line.

If both {FIRSTNAME} and {NAME1} were empty, this line would be entirely suppressed.

Preventing the automatic suppression of white spaces

In certain cases TextMaker’s automatic suppression of empty spaces and lines may not be desirable. To prevent such suppression, use protected space characters in place of normal space characters. You can insert them with the key combination Ctrl+Shift+Space.

An example – your form letter contains the following text segment:

{FIRSTNAME}<protected space character>{NAME1}

Here, the space character is printed even if {FIRSTNAME} is empty. Moreover, the line is not suppressed even if both fields are empty.


Calculations in the text

With TextMaker you can easily perform calculations in your documents:

You can insert calculations directly into the text; the results are displayed and printed.

You can even use variables in calculations – so you can obtain partial results and use these in further calculations.

You can use both database fields and the contents of objects in calculations. For example, Table1.A1 represents the content of cell A1 in table “Table1”.

You perform calculations with the Insert > Calculation command. The dialog box that appears when you invoke this command facilitates the entry of formulas; it contains lists of all variables, database fields, functions and operators available.

What makes the calculation capabilities especially useful is the fact that they allow the contents of database fields to be included in the calculations. Writing an invoice? No problem: if your database has fields for quantity and price you can have TextMaker calculate formulas like QUANTITY * PRICE and easily print invoices as form letters.

In addition, you can reference the contents of objects in calculations. For example, the formula “Textbox1.Value * 2” references the current numeric value in the text field named “Textbox1” and multiplies it by two.

Detailed information about the topic of calculations is given on the next pages. The following topics are covered:

Inserting calculations

Formatting and rounding calculations

Updating calculations

Conditional text

Simple calculations with the press of a button

Formulas and functions


Inserting calculations

Calculations can be inserted into the text with the command Insert > Calculation or the keyboard shortcut F2.

When this command is invoked, a dialog box appears and lets you enter the formula for the calculation. The formula may contain up to 255 characters. After your OK, the result of the calculation (maximum 100 characters) is placed in the text.

Options: You can specify the format of the result with the options Decimals, Thousands separator and Hide result. You can read about this in the section Formatting and rounding calculations.

Inserting calculations

A simple example of the use of the calculation command:

You want to calculate the volume of a swimming pool that measures 23x13x7 feet. Accordingly, you proceed as follows:

1. Type e.g. the text “The volume is: “.

2. Invoke Insert > Calculation or press F2.

3. Enter “23*13*7” in the Formula field and confirm with OK.

The result is now inserted into the text: 2093.

The number “2093” can be edited and formatted like normal text, but it is in fact a field, that is, a symbolic place holder for the calculation “23*13*7”. You see this when you enable the Display field names option on the View property sheet in the File > Properties dialog. Then {Formula: 23*13*7} appears in the text instead of 2093.

Editing calculations

The formula for the calculation can be changed at any time. To do this, select the result “2093” and again invoke Insert > Calculation. The formula 23*13*7 is displayed in the dialog box. If the swimming pool had different measurements, you could simply change the formula accordingly. Following your OK, the result would be recalculated and placed in the text.

More information

For more detailed information on inserting calculations, read the next pages. Topics covered:

Variables in calculations

Table cells in calculations

Database fields in calculations

Objects in calculations


Variables in calculations

You can save the result of a calculation for reference in other calculations by assigning it to a variable.

Note: The names of variables may contain only letters, numbers and underscores. Special characters are not allowed. The name must always begin with a letter. A maximum of 16 characters is allowed. The cases of letters are ignored.

To use variables in calculations, do the following:

1. Invoke Insert > Calculation.

2. Type the variable’s name followed by an equal sign and then a value or formula – for example: “VOLUME=23*13*7”.

Important: When you confirm with OK, two things happen:

The calculation is performed and the result is displayed in the text.

At the same time, the result is saved in the variable VOLUME.

Now the variable VOLUME can be used in other calculations: for example, the formula VOLUME+10 would produce the result 2093+10, that is, 2103.

You can also just call out the content of the variable VOLUME at another place in the text. Simply move the text cursor to the desired position, invoke Insert > Calculation and type just the variable name VOLUME in the Formula box. When you confirm with OK, the content of the variable will appear in the text.

If you look at the Insert > Calculation dialog box a little more closely, you will discover that every variable that is currently valid is displayed in the Variable/Field list box. Any of them can easily be inserted into the formula by double clicking on them.

Important: A variable is valid only from the position in the text at which it is defined. So, if you insert the formula VOLUME=23*13*7 in the third paragraph of your document and then try to call out its content or reference it in a formula in the second paragraph, TextMaker will respond with the error message “Unknown variable name”.

An application example

A tennis center wants to write invoices for the rentals of its courts. The computer should calculate the total amount and add 19% tax. Such an invoice would be written more or less in this (much abbreviated) form:

I N V O I C E

? hours @ ??.??

------------

Total = ??.??

------------

+ 19% tax = ??.??

Amount due = ??.??

------------

Those places indicated by question marks would have to be filled by hand after calculating the amounts with a pocket calculator. TextMaker takes away this labor.

Let’s assume that the tennis players have rent a court for 2 hours and that each hour costs $10.00 plus tax:

1. Delete the question mark before “hours” and enter HOURS=2 there with the Insert > Calculation command.

(This has the following result: Firstly, you have now assigned the variable HOURS a value of 2; secondly, you have caused the content of this variable (2) to appear in the text.)

2. To the right, in place of the question marks after “@”, enter the calculation PRICE=10.

(The same goes here: Firstly, you have now assigned the variable PRICE a value of 10; secondly, you have caused the content of this variable (10) to appear in the text.)

3. The formula that you have to enter in place of the question marks after “Total” is: TOTAL=HOURS*PRICE.

(The result of the calculation HOURS times PRICE has now been assigned to the variable TOTAL, and this result is shown in the text. What matters here is that if you later change the value of HOURS or PRICE, the content of the variable TOTAL will change accordingly.)

4. After “+ 19% tax” insert the formula TAX=TOTAL*0.19 with Insert > Calculation.

(This formula uses the total just calculated as a basis for a further calculation. Here too, what counts is that the result for TAX is automatically corrected for whenever the result for TOTAL changes.)

5. Finally, calculate the “Amount due” as TOTAL+TAX.

(In the last step we opt not to define another variable. We just want to get the result into the text; we don’t need to reference it anywhere else.)

If you check the Display field names option on the View property sheet in the File > Properties dialog, the formulas in the text will become visible. The invoice then ought to look something like this:

I N V O I C E

{Formula: HOURS=2} hours @ {Formula: PRICE=10}

------------

Total = {Formula: TOTAL=HOURS*PRICE}

------------

+ 19% tax = {Formula: TAX=TOTAL*0.19}

Amount due = {Formula: TOTAL+TAX}

------------

When you uncheck Display field names, you will see the results in the text again.

To write an invoice for another customer, all you have to do now is change the value of HOURS. To do this, select the 2 before “hours”, invoke Insert > Calculation and simply replace the 2 in the formula with the desired number of hours. After your OK, TextMaker carries out the recalculation.

Decimal places: You might find it more desirable to show the amounts with two decimal places. You can make the necessary change immediately: for each amount, select the corresponding calculation field, invoke Insert > Calculation, choose the Fixed option for Decimals and enter a “2” beside it.


Table cells in calculations

You can also use the cells in tables for calculations – almost like in a spreadsheet application!

Take a look at the status bar at the bottom edge of the program window. When you move from cell to cell in a table, the coordinates of the active cell in the table are shown there.

TextMaker designates the rows of a table with numbers; the columns are assigned the letters A, B, C, etc.

A1 | B1 | C1 | ...
A2 | B2 | C2 | ...
A3 | B3 | C3 | ...
... | ... | ... | ...

So, the first cell in a table has the coordinates “column A” and “row 1”, or for short: A1.

To perform calculations on the contents of the cells of a table, invoke Insert > Calculation and simply enter the coordinates, preceded by # signs. So the correct formula for “add the contents of cells A1 and A2” would be:

#A1 + #A2

The # sign tells TextMaker that it should treat the content of the cell as a number. If the cell’s content is to be treated as text, use the dollar sign ($) – for example, $A1.

Please note that calculations with short cell references (e.g. #A1 + #A2) are possible only within a table. If you would like to refer to table cells outside a table, put the table’s name and a period in front of the cell address. For example, if the table’s name was “Table1” you could write:

Table1.#A1 + Table1.#A2

See also section Objects in calculations.

Calculating the sum over a range of table cells

The SUM function is especially useful for adding numbers in table cells. Simply enter the first and last cells as parameters; TextMaker adds the values in all the cells in the range.

For example, you can add the contents of cells B2 through B5 with the formula SUM(#B2;#B5).

Calculating with adjacent cells made easy

Tip: In some arithmetic functions (e.g. SUM), you can use symbolic cell references in order to reference all cells directly adjacent to a cell.

The following types of symbolic cell references are available:

ABOVE (represents the cells above the current cell)

BELOW (represents the cells below the current cell)

LEFT (represents the cells to the left of the current cell)

RIGHT (represents the cells to the right of the current cell)

For example, the formula SUM(ABOVE) calculates the sum of the cells directly above a cell.

The following arithmetic functions support symbolic cell references:

AVG, COUNT, MIN, MAX, PROD, SUM

(For detailed information on each function, see the section Computational functions)


Database fields in calculations

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

Fields from a database can also be entered in calculations, provided that a database has first been assigned to the document with Tools > Set Database.

You do not even have to enter the field names manually. If you have a look at the Insert > Calculation dialog box, you will see that the names of all the database fields are shown in the Variable/Field list box as soon as you assign a database to the document. They can be entered in the formula with double clicks.

As an example, we want to create an invoice form that can be easily printed as a form letter. For this, all we need is a database whose fields contain the customers’ personal data (name, address, etc.). Beyond that – we’ll simplify things and allow only one item per invoice – the database should contain a QUANTITY field for the order quantity, an ITEM field for item designators and a PRICE field for the unit price.

Proceed as follows:

1. Create a new document with File > New.

2. Assign an appropriate database to it with Tools > Set Database (see below for an example).

3. Next, create a normal form letter, as described in chapter Database. Insert the database fields containing the relevant customer data (address, etc.) at the proper places in the letterhead.

4. Now design the invoice itself according to your tastes. Enter fields from your database with Insert > Field > Database field – for example, the QUANTITY field for the order quantity.

5. And now the main point: You can calculate with the database fields. For example, the formula QUANTITY*PRICE calculates the total for the current database record. So, using Insert > Calculation, insert appropriate calculations at the desired positions.

6. When everything has been entered, you can save the document. Next, select some database records and print your invoices with File > Print Merge.

You will find an example in TextMaker’s document folder: the files invoice.tmd and invoice.dbf.

Tip: If you check the Display field names option on the View property sheet of the File > Properties dialog, you will see the formulas themselves, rather than the results they give, and you will then better understand how this self-calculating form letter works.


Objects in calculations

Certain types of objects can also be used in calculations. So, for example, you can create a form that contains text fields and use the contents of these text fields in calculations.

All the objects in a document have distinctive names, as described in section Changing the names of objects. You can address each individual object by its name. For example, Textbox1 references the content of the text field “Textbox1”.

You evaluate the contents of objects in calculations as follows:

Text fields and text frames

Textbox1.Text (or Textbox1 for short) returns the content of the text field with the name “Textbox1” as text (without any formatting).

Textbox1.Value on the other hand interprets the content of the text field as a number and returns it.

Tables

Table1.A1 returns the content of cell A1 in Table1.

Table1.#A1 interprets the content of this cell as a number and returns it.

Table1.$A1 interprets the content of this cell as text and returns it.

Table1 returns the sum of the contents of all cells in Table1.

Checkboxes and checkbox frames

Checkbox1.Sel (or Checkbox1 for short) returns 1 if the checkbox is checked, or 0 if not.

Checkbox1.Text returns the text for this checkbox if it is checked, otherwise an empty text string.

Dropdown lists and dropdown list frames

Dropdown1.Text returns the text of the selected item in Dropdown1.

Dropdown1.Sel (or Dropdown1 for short) returns the number of the selected item.

An example: The formula “Textbox1.Value * 2” references the current numeric value in the text field named “Textbox1” and multiplies it by two.


Formatting and rounding calculations

With the command Insert > Calculation, you can not only enter new calculations (see section Inserting calculations) and edit existing ones, but also specify the format of the calculation’s result.

You can set the format already when you enter a new calculation, or you can do this at any time afterwards by selecting the calculation and invoking Insert > Calculation.

The following options in the dialog box determine the format of the calculation:

Thousands separator

If you enable this option, numbers 1000 and above are represented with thousands separators. For example, 1230000 is shown as 1,230,000.

Hide result

If you choose this option, the result of the calculation is not visible in the text. This makes sense when, for example, you want to perform intermediate calculations with variables and do not want to show the results.

Note: To make a hidden calculation visible again, invoke the command File > Properties, change the View property sheet and activate the Display field names option. Now you can select the calculation again, invoke Insert > Calculation and disable the Hide result option.

Decimal places

With the default setting Floating, as many decimal places are shown as are required to represent fully the result of the calculation. You can select instead the Fixed option and enter a fixed number of decimal places to be shown. For monetary amounts, for example, the number of decimal places should be fixed at 2.

Attention: The value is not actually rounded by setting a fixed number of decimal places; only its representation is rounded (see below)!

Actually rounding variables

It is essential to note that the option for setting the number of decimal places just described changes only the way the results of a calculation are displayed. In reality, the variable retains its original precision.

In practice, this means that if you assign a value of 2.5 to variable A and set the number of decimal places to 0, it will be shown as 3, but if you multiply A by 2, the result shown will be 5, not 6.

Therefore, TextMaker also comes with a function called ROUND for real rounding. It can be applied as in the following example:

A = ROUND ( 2.5 ; 0 )

The function’s arguments are the value to be rounded and the number of decimal places to which it is to be rounded, separated by a semicolon. In the example above the value of 3 is assigned to the variable A.

You will find detailed information about all TextMaker’s computational functions in section Formulas and functions.


Updating calculations

When you enter or edit a calculation with Insert > Calculation and then confirm with OK, TextMaker automatically updates all the calculations in the document.

However, in certain situations the results of calculations can appear “outdated”. For example, if you paste from another document a segment of text containing variables that are also used in the current document, TextMaker inevitably displays false results on the screen.

The command Tools > Update Fields (keyboard shortcut F9) is provided for such situations. When you invoke it, TextMaker updates all the calculations and fields in the document.

Note: It is only necessary to use this command in the situations described above when you want to update the screen display of the calculations. Before printing a document, TextMaker updates all calculations and fields automatically. TextMaker ensures that you will never print a document with results that are out of date.


Conditional text

TextMaker also allows you to work with conditional expressions, using the function IF. By this means you can, for example, use “conditional text” in your documents.

A typical case: You have an address database with a field called GENDER, and the record for each person contains either an “M” for male or an “F” for female in that field, indicating the person’s gender. Using the following IF expression, you could have TextMaker form a salutation according to gender:

IF (GENDER="M" ; "Dear Madam" ; "Dear Sir")

If you use this calculation in a form letter, TextMaker looks at each data record to see if the GENDER field contains an “M”. If it does, TextMaker outputs “Dear Sir”, as the replacement for the formula given above; otherwise, it outputs “Dear Madam”.


Simple calculations with the press of a button

There is an alternative to the command Insert > Calculation described in the previous sections: the command Edit > Evaluate.

The difference:

The command Insert > Calculation is suitable for calculations of any complexity using variables, etc.

The command Edit > Evaluate is suitable only for more simple calculations, but it is much easier to handle: You enter and select a formula directly in the text, invoke Edit > Evaluate and immediately see the result in the text.

An example:

1. Type “The total is: 90+55+220”.

2. Select “90+55+220”.

3. Invoke the command Edit > Evaluate or press the F8 key.

4. The formula “90+55+220” is calculated and the result is inserted in the text.

It doesn’t get any easier or faster: select a calculation and simply press F8 to have it calculated.

Important: In contrast to calculations with Insert > Calculation, here the result is not entered as a field but inserted into the document as plain text.

Associative rule: Multiplication and division operators have precedence over addition and subtraction operators, so that multiplication and division are always performed before addition and subtraction. Accordingly 2+3*4 gives 14. You can influence the way operations are performed with parentheses: (2+3)*4 gives 20.

Using functions: Not only basic operators, but also functions are allowed in expressions (see section Formulas and functions): If you type “SQRT(2)”, select it and invoke Edit > Evaluate, you will get the square root of 2 as a result.

One line limit: The selected calculation must be within one line of text. If you select several lines of text, the command Edit > Evaluate is not available and is grayed out in the menu. For lengthy expressions use the command Insert > Calculation.

Summing the contents of table cells

Such calculations can be performed in tables as well. There is yet another feature in connection with tables:

If you have selected a calculation that is within a table cell, you can get the result with the command Edit > Evaluate, as described above.

On the other hand, if you select several complete table cells, the command Sum cells will become available in the Edit menu. If you invoke it, TextMaker computes the sum of the values in the selected cells.

A window then appears and tells you the result. If you want simply to learn what it is and make no further use of it, click on Close. Alternatively, you can click on the Copy button. TextMaker then copies the result of the calculation to the clipboard. Now you can insert the value at any position you like in the document with the command Edit > Paste.


Formulas and functions

On the next pages you will learn about the rules you have to observe when constructing formulas. Then all of TextMaker’s computational functions will be described to you.

Note: This section deals with the formulas for computation (for performing calculations in the text). If you are looking for information about the SoftMaker Equation Editor (for graphical representations of mathematical formulas) you will find it in the Equation Editor’s online help.


The structure of a formula

Formulas may contain up to 255 characters. Results are limited to 100 characters.

You can construct formulas from the following components:

Constant values

A formula presents itself in its simplest form as a constant value – as in the following examples:

Text strings

Example: "Good morning!"

A formula with this content always gives the text string “Good morning!”.

(A text string is a sequence of letters, numbers or other characters.)

Text strings may be up to 100 characters long.

Important: When you enter a constant text string (e.g., "Good morning!") directly into a formula, you must enclose it in "double quotation marks". Otherwise, TextMaker will try to interpret it as the name of a function or variable.

Numerical values

Example: 42.50

Of course a constant value can also be a numerical value – i.e., a number. This formula always returns the number 42.5.

Date entries

Example: "04/20/12"

This formula represents the date 4/20/2012.

Notes on entering dates in formulas:

When entering dates in a formula, please note the following:

1. When you enter dates in formulas you must enclose them in "double quotation marks".

2. Month and day must be given as two place numbers. Thus, "04/20/12" is correct, while "4/20/12" is incorrect (the month has only one place).

3. The year can be given as a two or four place number, as you prefer. Thus, "04/20/12" and "04/20/2012" are equally valid.

4. When you enter a year as a two place number between 0 and 29, TextMaker automatically prefixes 20. When you enter a number between 30 and 99, TextMaker prefixes 19. Thus, the date "01/01/29" is interpreted as 1/1/2029, while "01/01/30" is interpreted as 1/1/1930.

Database fields, table cells and objects

You can also use the contents of database fields, table cells and objects in formulas.

You will find information about this in the sections Table cells in calculations, Database fields in calculations and Objects in calculations.

Calculations

A formula can contain various kinds of calculations.

Example: 6*5

Always returns the constant value 30, and is, in fact, a constant value – not a calculation.

Example: 5*NUMBER

In this formula, the constant value 5 is multiplied by the value of the variable NUMBER. If NUMBER has the value of 10, the formula gives 50.

Beyond that, TextMaker puts a number of computational functions at your disposal. Detailed descriptions can be found in the section Computational functions. To start with, here are a few examples:

Example: TODAY()

The function TODAY() returns the current date. For example, on September 16, 2012 it would return 09/16/12.

Example: MONTH(TODAY())

Here one function is applied to another. The function TODAY() returns the current date. But this result is immediately evaluated by the MONTH() function, which returns only the month of the date (as a number). So, on September 16, 2012 the formula would produce the value 9.

Example: INT(B/1000)

Here, the function INT, which converts a floating point number to an integer by removing its fractional part, is applied to the calculation B/1000. If B has the value 3752.70, the formula gives the value 3.

In summary, the arguments of functions can be other functions, any sorts of calculations, database fields, table cells references, or any combination of these.

Variables

The result of a formula can be assigned to a variable.

Tip: All variables that are defined at a given moment appear in the Variable/Field list box in the dialog box for Insert > Calculation. You can insert any one of them in the formula by double clicking on it.

Example: PRICE=17.99

Here, the “formula” is just the constant value 17.99. The entry as a whole defines the variable PRICE and sets it to 17.99. Its value is valid from the position in the text at which you insert it to the end of the text – unless you assign another value to the PRICE variable farther down in the text.

Note: Whenever you assign a value or a calculation to a variable, the value of the variable appears at the active position in the text. If you don’t want this – for example, because you only want to perform an intermediate calculation whose result should not be shown – enable the Hide result option in the dialog box for Insert > Calculation.

Example: MY_MONTH=MONTH(TODAY())

Here, the month of today’s data is calculated and shown. At the same time, the result is saved in the variable MY_MONTH.

Naturally, you can insert such a variable in other formulas.

Example: PRICE*1.19

This formula gives the current value of the PRICE variable multiplied by 1.19.


Operators

The following operators can be used in formulas:

Operator | Function
+ | Addition (with numbers) or concatenation* (with text strings)
– | Subtraction
* | Multiplication
/ | Division
% | Modulo (remainder after division)

* The plus sign is used not only to add numeric values but also to concatenate text strings. For example, the formula "Text"+"Maker" gives “TextMaker”.

An associative rule applies. Multiplication and division operators take precedence over addition and subtraction operators, so that multiplication and division are performed before addition and subtraction. 2+3*4 gives 14.

The order of operations can be modified by using parentheses: (2+3)*4 gives 20.

In addition, there are comparative and logical operators that are needed, for example, for the IF function:

Operator | Function
= | Is equal?
< > | Is not equal?
> | Is greater than?
>= | Is greater than or equal to?
< | Is less than?
<= | Is less than or equal to?
& | Logical “and”
| | Logical “or”
! | Negation

Some notes on comparisons

When two text strings are compared with “=”, the result is “true” only when the strings are exactly the same and have the same length. The cases of letters are taken into account in this comparison.

"Henry"="Henry" | is true.
"Henry"="henry" | is false.
"Henry"="Henry’s" | is false.

If you construct a complex comparison that has several “ands” and “ors”, you should always enclose the individual conditions in parentheses.


Computational functions

In TextMaker you can use the computational functions described below. The arguments required by the functions are always given in parentheses:

n represents a number

t represents a text string

d represents a date

So, for example, INT(n) is a function requiring a numeric argument. It can be a numeric constant or the numeric result of a calculation – for example, INT(3.14) or INT(1+SQRT(2)).

Important: When several arguments are required, they must be separated from one another by semicolons (;).

Function | Explanation
ABS(n) | Returns the absolute value of the numeric argument n, i.e. removes its sign – ABS(3) gives 3; ABS(-3) gives 3.
ASC(t) | Returns the numeric code of the character t in the character table – ASC("A") gives 65.
AT(t1;t2) | Returns the position of the first occurrence of text string t2 in text string t1 as a numeric value –AT("London";"on") gives 2.
AVG(n1;n2) | Returns the average value of the values contained in the cells of a table in a rectangular region with coordinates n1 (upper left corner) and n2 (lower right corner). The coordinates must be preceded by # signs. Example: AVG (#B2;#C5). See also the section Table cells in calculations.
CHR(n) | Returns the character at position n in the character table – CHR(65) gives “A”.
COUNT(n1;n2) | Returns the number of values contained in the cells of a table in a rectangular region with coordinates n1 (upper left corner) and n2 (lower right corner). Only numbers are counted – empty cells and cells containing text are not counted. The coordinates must be preceded by # signs. Example: COUNT (#B2;#C5). See also the section Table cells in calculations.
DAY(d) | Returns the day part of date d (as a number) – DAY("09/25/12") gives 25.
DTON(d) | Converts the date d to a date serial number, needed to calculate the difference in days between two dates: DTON ("11/12/12") – DTON ("10/20/12") gives 23 (days).
IF | IF(condition;value1;value2) returns value1 when the condition is true; otherwise value2. Example: IF(GENDER="F" ; "Dear Madam" ; "Dear Sir"). Value2 can also be omitted – see the section Conditional text. Value1 and value2 can be of any type (also, for example, numeric).
INT(n) | Returns the number n truncated to integer form (without rounding), so that the fractional value after the decimal point is suppressed – the formula INT(3.90) would give the result 3.
LEFT(t;n) | Returns the first n characters in the text string t – LEFT("TextMaker";4) gives “Text”.
LEN(t) | Returns the length of text string t – LEN("fish") gives 4.
LOWER(t) | Converts the text string t to lowercase – LOWER("James") gives “james”.
LTRIM(t) | Returns text string t with all leading space characters removed – LTRIM(" Text ") gives “Text “.
MAX(n1;n2) | Returns the maximum value of the values contained in the cells of a table in a rectangular region with coordinates n1 (upper left corner) and n2 (lower right corner). The coordinates must be preceded by # signs. Example: MAX (#B2;#C5). See also the section Table cells in calculations.
MIN(n1;n2) | Returns the minimum value of the values contained in the cells of a table in a rectangular region with coordinates n1 (upper left corner) and n2 (lower right corner). The coordinates must be preceded by # signs. Example: MIN (#B2;#C5). See also the section Table cells in calculations.
MONTH(d) | Returns the month part of date d (as a number) – MONTH("09/25/12") gives 9.
NTOD(n) | The opposite of DTON, which returns a date serial number – NTOD converts such a date serial number n back to a date.
POW(n1;n2) | Returns the result of raising the number n1 to the power of n2 – POW(2;8) gives 256.
PROD(n1;n2) | Returns the product of the values contained in the cells of a table in a rectangular region with coordinates n1 (upper left corner) and n2 (lower right corner). The coordinates must be preceded by # signs. Example: PROD (#B2;#C5). See also the section Table cells in calculations.
RIGHT(t;n) | Returns the last n characters of the text string t – RIGHT("TextMaker";5) gives “Maker”.
ROUND(n1;n2) | Returns the number n1 rounded to n2 decimal places – ROUND(2.44;1) gives 2.4 and ROUND(2.45;1) gives 2.5.
RTRIM(t) | Returns text string t with any trailing space characters removed – RTRIM(" Text ") gives “ Text”.
SQRT(n) | Returns the square root of the number n – SQRT(4) gives 2.
STR(n) | Converts the number n to a text string – STR(17) would produce the string “17”.
STRING(t;n) | Returns a text string consisting of n repetitions of the string t – STRING("Text";3) gives “TextTextText”.
SUBSTR(t;n1;n2) | Returns a text string consisting of n2 characters extracted from string t beginning at position n1 – SUBSTR("TextMaker";2;3) gives “ext”.
SUM(n1;n2) | Returns the sum of the values contained in the cells of a table in a rectangular region with coordinates n1 (upper left corner) and n2 (lower right corner). The coordinates must be preceded by # signs. Example: SUM (#B2;#B5). See also the section Table cells in calculations.
TODAY() | Returns today’s date in the form MM/DD/YY – the empty pair of parentheses following the function name must be entered.
TRIM(t) | Returns the text string t with all leading or trailing spaces removed – TRIM(" Text ") gives “Text”.
TRUNC(n1;n2) | Returns the number n1 truncated to n2 decimal places (without rounding) – TRUNC(1.2345;2) gives 1.23.
UPPER(t) | Converts the string t to uppercase – UPPER("James") gives “JAMES”.
USER() | Returns the user name under which you are logged in to your computer. The empty pair of parentheses after the function name must be entered.
VAL(t) | Converts the text string t to a number. The string may include non-numeric characters. In that case, TextMaker takes the first occurrence of a number within the string: VAL("3") gives 3. VAL("3 eggs") and VAL("Can I have 3 eggs and 1 roll?") likewise give 3. However, VAL("eggs") gives 0, since this string contains no number.
YEAR(d) | Returns the year part of a date as a number (with two places) – the formula YEAR("09/17/12") gives 12.


Working with large documents

TextMaker provides some useful functions for working with large documents:

Outlines

Large documents are often organized according to an outline – that is to say, a hierarchical structure of headings. TextMaker’s Outline view allows you to view and edit a document in outline form. You can change heading levels and move headings (together with subordinated text) with a click of the mouse.

Indices

Large documents often need an index (an alphabetical list of keywords). In this chapter you will also learn how TextMaker can create one for you from words that you select for it.

Tables of contents

Outlined documents are often provided with a table of contents. TextMaker can create one – from the outline – with the press of a button.

Captions and tables of figures

You can insert automatically numbered captions below images – for example, “Figure 1”, “Figure 2” etc. When you have done that, you can even add a table of figures to the document. It presents a list of all images that you have added captions to, including their page numbers.

This also works with other text elements (for example, tables).

Bibliographies

TextMaker can also help you create a bibliography (a collection of references to cited literature) for a document. Its integrated database module provides a convenient way to enter and edit the sources.

Cross-references

FreeOffice: This feature is not included in SoftMaker FreeOffice.

It is also possible to insert cross-references to other parts of the text or to objects – for example: “see the picture on page 12”.

Style references

A style reference field searches the document backwards for text that is formatted in the specified paragraph style and displays the first text found. This allows you to display e.g. the current main heading (which is usually formatted in the paragraph style “Heading 1”) in the text.

Footnotes

Finally, you can insert footnotes that TextMaker controls automatically.


Outlines

You should use outlines to organize large documents. An outline presents the entire subject matter of the document in summary form as a structure of major and minor topics. This structure is based on headings that you give to different parts of the body text. The headings break the text into manageable segments. An outline provides an overview of the document and allows you to easily easy manipulate document segments to obtain the desired organization of the text.

Once you have invoked the View > Outline command, you will be able to use TextMaker’s Outline view to perform these tasks.

The Outline view is nothing more than a different form of representation for the document. Let’s take a closer look at what it contains:

First, notice that the document’s text segments are indented to different degrees. Major headings are displayed flush left. Headings immediately subordinate to them (those whose outline level is one lower) are displayed a little further to the right, etc.

In addition, the Formatting toolbar has disappeared and has been replaced by the Outline toolbar. As its name implies, this toolbar provides access to functions useful for outlining documents.

When you invoke the Outline view for the first time the entire document will always be visible. You will obtain a better view of the document’s structure when you hide the normal text and allow only the headings to be displayed (provided the document contains headings). To do this, use the Text button in the Outline toolbar.

Beyond that, you can specify which levels of headings should be displayed with buttons 1 through 9. Clicking on button 3, for example, results in the display only of headings with outline levels one through three. The All button provides a means of making all the levels visible again.

The Outline view is suitable not only for viewing the document’s structure, but also for editing it. You can use the Outline toolbar for this purpose, too: with the help of the arrow buttons you can raise or lower the outline levels of headings or promote paragraphs of normal text to headings.

Numbering headings: Headings are often numbered. TextMaker can take care of this numbering for you automatically. You can read about this in section Numbering headings).

For detailed information on working with outlines, see the pages that follow. The following topics will be covered:

Using the Outline view

Formatting headings

Expert tip: Managing headings with paragraph styles

Practical outlining

Numbering headings

Outlined documents and chapters


Using the Outline view

As mentioned in the introduction, TextMaker puts at your disposal a special display mode for editing a document’s outline: the Outline view.

To switch to Outline view, invoke the View > Outline command. You can return from Outline view to the normal view any time you wish with View > Standard.

In Outline view, you see the document as a structure whose parts are organized according to major and minor headings. First level headings (major headings) are aligned flush left. Each lower level heading is indented to the right by an amount corresponding to its level.

In the following sections you will learn all about what you can do in Outline view.


Changing the outline levels of paragraphs

To give a document an outline or to edit an existing outline, switch to Outline view and there simply change the outline levels of the paragraphs that contain headings.

By default, when you enter text into a document, the text paragraphs are assigned to outline level 0. If you subsequently assign a specific paragraph for example to outline level 1, you promote it to a level one heading.

Thus, you specify the document’s major headings by assigning the corresponding paragraphs to outline level 1. If you want to add subheadings under the major headings, you assign the corresponding paragraphs to outline levels 2, etc.

To change the outline level of a paragraph, do the following:

1. Invoke the Outline view with the View > Outline command.

2. Position the text cursor in the paragraph of interest.

3. Click on one of the following icons in the Outline toolbar, or use one of the following keyboard shortcuts:

Icon | Function
 | Raises the paragraph’s outline level by 1. Keyboard shortcut: Alt+Shift+ß
 | Lowers the paragraph’s outline level by 1. Keyboard shortcut: Alt+Shift+à
 | Lowers the paragraph’s outline level to 0 (= normal text). Keyboard shortcut: Ctrl+Shift+N

Tip: Additionally, keyboard shortcuts Alt+1 through Alt+3 are defined for outline levels 1 through 3. The keyboard shortcut Alt+0 is defined for level 0 (normal text). Thus, you can use these key combinations to very quickly assign headings to levels 1 through 3 or convert headings back to normal text.

Moreover, all of the key combinations mentioned above work not only in Outline view but also in the normal view.


Selecting the outline levels to be displayed

To enable you to gain a better overview of a document’s structure in Outline view, TextMaker provides you with a way to hide the normal text while leaving the headings visible. It also allows you to hide headings below a specified level whenever required.

The Outline toolbar provides buttons for this purpose as follows:

The Text button furthest to the right is especially helpful in this regard. With it, you can control whether only headings or headings together with associated text are displayed. You can activate or deactivate this button by clicking on it with the mouse. When the button is activated, the text is displayed. When it is deactivated only the headings remain visible.

Hint: You can also use the keyboard shortcut Alt+Shift+A to turn the display of text on/off.

With the other buttons, you can specify the outline levels to be displayed. A click on the “1” button hides all headings with outline levels below 1, so that only the major headings remain visible. A click on the “3” button makes all headings of level 3 and higher visible, etc.

Hint: You can also use the keyboard shortcuts Alt+Shift+1 through Alt+Shift+9 instead of these buttons.

By default, the All button is activated; thus, TextMaker displays headings of all levels.


Expanding/collapsing single headings

As just described, in Outline view you can use the buttons “1” through “9” to hide details of the outline’s structure and view only headings of specified levels.

But what if you want to examine what is contained at lower levels under a single heading? The following alternative methods are available to you:

“+” and “–” buttons in the Outline toolbar

You can position the text cursor in the desired heading and then click on one of the following icons in the Outline toolbar, or use one of the following keyboard shortcuts:

Icon | Function
 | Expands the view to include the next lower level. Keyboard shortcut: Alt+Shift+(Num+) (Plus key on the numeric pad)
 | Collapses the view to exclude all lower levels. Keyboard shortcut: Alt+Shift+(Num-) (Minus key on the numeric pad)

“+” and “–” symbols left of the text paragraphs

Alternatively, you can make use of the plus or minus symbol that is displayed immediately to the left of each heading in Outline view:

A “+” indicates that the heading contains subordinate headings or normal text paragraphs that are currently hidden.

A “–”, on the other hand, indicates that whatever is immediately subordinate to the heading is already visible.

A double click on a “+” makes the content at all levels below the paragraph visible; a double click on a “–” hides everything at the lower levels.


Editing text in Outline view

It is possible to enter, edit and format text in Outline view. However, the normal view is better suited for these tasks, and it is recommended that you switch back to normal view to perform them.

Deleting, copying and moving text

On the other hand, the Outline view is especially well suited for deleting, copying and moving headings together with associated text.

The easiest way to perform these tasks is to make use of the plus and minus symbols at the left the headings. By clicking on one of these symbols you can select the associated heading and any text that is subordinated to it. Then you can delete, copy or move the contents of your selection with the usual commands in the Edit menu (see chapter Working with selections).

For example, to move a heading and its associated text, proceed as follows:

1. Click on the plus or minus symbol to the left of the heading. In this way, you select the heading including all text subordinated to it.

2. Invoke the Edit > Cut command.

3. Position the text cursor at the beginning of the line before which you want to reinsert the text that you just cut.

4. Invoke Edit > Insert.

The heading and its associated text have now been moved accordingly.

Hint: There are also two keyboard shortcuts available for moving selected text: Alt+Shift+á moves the text one paragraph up, Alt+Shift+â moves it one paragraph down.


Formatting headings

There is nothing “magical” about headings. They are just paragraphs that have been assigned to different outline levels. Accordingly, headings can be formatted as desired using the formatting commands with which you are already familiar.

Tip: Formatting all the headings at a given level collectively (keyword “paragraph style”)

TextMaker formats headings automatically with specific paragraph styles: level one headings are always formatted with the Heading 1 paragraph style, level two headings with the Heading 2 style, etc.

Thus, if you want to change the appearance of all headings at a specific level, all you have to do is edit the corresponding paragraph style. To do this, proceed as follows:

1. Invoke Format > Paragraph Style.

2. Select the style corresponding to the headings you want to modify from the list. For example, if you want to modify all level one headings, select the Heading 1 style.

3. Click on Edit.

4. A dialog box appears to enable you to set the desired paragraph formatting.

Hint: As needed, you can also modify the character formatting by clicking on the Character button on the Paragraph property sheet.

5. Make the desired changes.

6. Click on OK.

7. Exit the dialog box with Close.

If necessary you can review the detailed information about styles that is presented in chapter Styles.

Note: When you edit the structure of a document in Outline view, TextMaker automatically applies the Heading 1 ... 9 styles to the corresponding headings. You should not attempt to change the names of these styles or to apply other styles to the headings. Any such attempts would work, but not for long, because TextMaker would automatically reapply “its” styles when you subsequently changed the outline levels of paragraphs in the Outline view.


Expert tip: Managing headings with paragraph styles

When you change the outline level of a paragraph in Outline view, nothing much really happens: TextMaker merely applies one of the paragraph styles Heading 1 through Heading 9.

What would some clever fox make of this? You guessed it: a clever user would infer that he or she could create a heading simply by applying one of the styles Heading 1 through Heading 9 to a text paragraph – which would be correct.

It follows that when you want to add a new heading you can do so without even using the Outline view. Simply type the heading and select the desired heading style from the Formatting toolbar – done.

You can change the outline level of an existing heading just as easily. For example, if you position the text cursor in a level 2 heading and apply the Heading 3 style, the heading is demoted to level 3.

And there is an even faster way: By default, keyboard shortcuts Alt+1 through Alt+3 are defined for Heading 1 through 3, and the shortcut Alt+0 is defined for Normal. Thus, you can very quickly add headings, change their levels or demote them to normal text by using these key combinations.

Explanation: The outline level is a paragraph format!

At this point, you might ask: “What do styles really have to do with the outline?”

Simply put, the outline level is an altogether ordinary paragraph format as far as TextMaker is concerned. If you look at the Format > Paragraph dialog, you will also find an Outline level option there (on the Paragraph property sheet).

This option is preset to 1 ... 9 for the styles Heading 1 through 9 respectively. This is the reason you can change the levels of headings with the styles.

Note: Normally, you should not change the Outline level option in the Format > Paragraph dialog manually. Use the Outline view or the styles mentioned above to do this. These methods are more convenient and avoid potential sources of error.


Practical outlining

To summarize, let’s consider how outlines can be applied most effectively in your documents.

Outlining an existing document

Let’s assume that you have already typed a document that includes headings and now want to use outlining to restructure it.

To do this, all you need to do is to switch to the Outline view with View > Outline and assign the headings to the desired levels.

To raise or lower the outline level of any heading, position the text cursor in the heading and use the [image] (higher level) or [image] (lower level) button.

Assign the major headings to outline level 1, the immediately subordinate headings to outline level 2, etc.

To exit Outline view, invoke View > Standard.

Outlining a new document

The procedure for outlining a new document is no different than the one described above, except that a new document will have no headings at first.

You can write out the whole document in a single stretch and then worry about the outline. Alternatively, you can assign each new heading to an outline level as soon as you have typed it, using the procedure described above.


Numbering headings

The headings of a large document are often numbered. For example, a major heading might have the numbering 1. and its sub-headings the numberings 1.1., 1.2., 1.3, etc.

TextMaker can number the headings of a document for you automatically. You can instruct it to do so as follows:

1. Create the document and outline it.

2. Create a numbered list with the desired type of numbering. Set the list type to Hierarchical list and check the Use paragraph’s outline level as list level option.

3. Apply the numbered list to the paragraph style “Heading 1”.

Without having to do anything more, a numbering is immediately applied to each heading in the document in accordance with its level and your specifications. For example, level 1 headings might be numbered 1., 2., 3., etc., while level 2 headings would be numbered 1.2, 1.3, and so forth.

The procedure for accomplishing this is given in detail in the following steps:

Step 1: Creating and outlining the document

First you must, of course, create the document and outline it. It makes no difference whether you begin constructing the outline as you begin the document or do your outlining only after you have entered the entire text.

You will find information about outlining documents in section Outlines.

Step 2: Creating an appropriate numbered list

The next step is to create a numbered list appropriate for headings. To do this, proceed as follows:

1. Invoke the Format > Bullets and Numbering command.

2. Switch to the Numbered lists property sheet.

3. Click on the New button.

4. Give the new numbered list whatever name you like (for example, “Headings”) and confirm with OK.

5. Important: Select the Hierarchical list option in the Numbered list group box.

6. Important: Check the Use paragraph’s outline level as list level option.

7. You can change other settings to suite your wishes or simply retain the default settings. You will find information about the individual options in section Creating numbered lists.

8. Confirm with OK.

9. The numbered list is now defined, and you can exit the dialog box by clicking on Close.

Step 3: Applying the numbered list to the “Heading 1” paragraph style

This final step is the real “key”: once you apply the numbered list that you created in the previous step to the “Heading 1” paragraph style, everything else follows automatically – every existing and newly inserted heading will be numbered automatically.

Even subordinate headings (of the second, third, etc. levels) will be numbered, because their styles are based on the “Heading 1” style.

Proceed with this step as follows:

1. Invoke the Format > Paragraph Style command.

2. Select the Heading 1 paragraph style.

3. Click on the Edit button.

4. A dialog appears to enable you to edit the style. Switch to the Paragraph property sheet.

5. Click on the Bullets button contained there.

6. Another dialog appears to enable you to set up numberings. Switch to the Numbered lists property sheet.

7. Select the numbered list that you created in step 2.

8. Click successively on OK, OK and Close to exit all the dialogs.

All existing headings are now automatically numbered, and numbering will be applied automatically to any headings that you might add later.

Tip: If the format of the numberings does not suit you, you can always change the settings for the numbered list that you created in step 2 to adapt the format to your needs. To do this, invoke the Format > Bullets and Numbering command again, switch to the Numbered lists property sheet, select the list, click on Edit and make the desired changes. These changes will affect all the headings in the document – including those already numbered.

Note for users of older versions of TextMaker

In older versions of TextMaker, headings could not be numbered automatically based on a numbered list and had to be numbered by means of manual insertions of “Auto number” fields.

If you have old documents in which the headings are still numbered using the old method, you can of course continue to use them without restriction. TextMaker continues to support the auto number field.

However, use of the new method is recommended when composing new documents, because numbered lists have several advantages:

You no longer have to manually insert an “Auto Number” field at the beginning of each heading.

Numbered lists are more flexible: they provide more kinds of numberings and more formatting possibilities.

Numbered lists can be conveniently modified even after they have been applied. For example, if you want to change the formatting of all the numberings, all you have to do is edit the formatting of the numbered list – the numberings of all the headings will immediately change accordingly.


Outlined documents and chapters

Outlined documents often have page headers and footers in which the reader can find information such as the title of the current chapter.

Naturally, TextMaker allows you to create such headers and footers. The only requirement is that you divide the document into chapters, which are permitted to have their own headers and footers.

To do this, use Insert > Break > Chapter break to insert a so-called chapter break before each new thematic section of the document – normally, that means before every major heading.

Now you can set up headers and footers with different contents for each chapter. You can also make other settings relating to page formatting (including even the paper format, page margins, etc.) on a chapter-by-chapter basis.

You will find detailed information about working with chapters in section Dividing a document into chapters.


Tables of references (TOC, index, etc.)

TextMaker provides functions that authors can use to significantly lighten some of the most time-consuming work associated with the preparation of large documents:

The creation of tables of contents and indices is easy with TextMaker, captions and tables of figures can be provided for pictures, and even the creation of bibliographies (for referencing cited literature) is supported:

Indices

For an index you merely have to tell TextMaker what words are to be indexed, and where they are in the text. This is done by selecting each word to be indexed in the text and invoking the Tools > Index > Add Index Entry command for it.

When all keywords have been set, you can tell TextMaker to create the index with Tools > Index > Generate Index.

Tables of contents

For a table of contents all you have to do is outline your document as described in the section Outlines. The outline already contains all the information TextMaker needs about the hierarchy of the headings to enable it to create the table of contents.

All you have to do is invoke the Tools > Generate Table of Contents command.

Captions and tables of figures

FreeOffice: This feature is not included in SoftMaker FreeOffice.

The Insert > Caption command can be used to insert automatically numbered captions below pictures – for example, “Figure 1”, “Figure 2”, etc.

When you have done that, you can use the Tools > Generate Table of Figures command to create a table of figures, including page numbers.

Bibliographies

For a bibliography you first enter all your sources in a bibliography database. Now you can insert references to these sources into the document with the Insert Bibliography Field command.

At the end of the document, invoke the Tools > Bibliography > Generate Bibliography command to generate a list of all the referenced sources.

Detailed information about these topics is presented on the following pages.


Indices

An index is an alphabetized list of important keywords that occur in a document, giving the pages on which these words are found.

On the next pages you will learn how to set up an index.


Preparing an index

Before TextMaker can create an index, you must specify the terms that should appear in it. To do this, you add them to the document’s keyword list.

Adding terms to the keyword list

To add a term to the keyword list, do the following:

1. Select the term that should appear in the index. This can be a word, a part of a word or a phrase.

2. Invoke Tools > Index > Add Index Entry.

3. By default, TextMaker records only the position of the occurrence of the term that is currently selected. If you want TextMaker to record the positions of all occurrences of the term in the text, check the Index all occurrences option (see below for additional information).

4. Click on OK.

Now you have added the selected term to the list of keywords. TextMaker records in this list not only the term itself, but also the position of its occurrence in the text. Later, when the index is created, this term will appear in it, and the number of the page on which the term was selected as a keyword will appear to the right of the term.

For the index to fulfill its function, it is important to select the position at which a term is added to the keyword list with care. For example, the word “print” occurs frequently in a word processor manual. When indexing this word, in makes more sense to add to the keyword list only those occurrences that are found in a section of the document dealing particularly with the topic of “printing”, than to add all occurrences. This way, the index will not be overloaded with useless references.

Adding multiple occurrences of a keyword

By the way, the same term can be added to the keyword list multiple times. Such a term appears in the index only once, but the entry for it includes multiple page numbers.

Note: The cases of letters in keywords are ignored. If both “Print” and “print” are added to the keyword list, the index will collect references to both terms under the single entry “Print”.

Adding all occurrences of a term

In some cases it makes sense to create an index entry that refers to all the positions in the text at which the keyword appears. Naturally, you can do this by selecting each separate occurrence of the term and adding it to the list in the manner described above. However, TextMaker can relieve you of this task.

To enable TextMaker to do this, check the Index all occurrences option when you add the keyword to the list with Tools > Index > Add Index Entry. TextMaker will then search the entire text for the given term when it creates the index and it will include the numbers of all the pages on which the term occurs.


Editing the keyword list

The content of the keyword list can be edited at any time after terms have been added. To edit the list, invoke the Tools > Index > Edit Index Entries command and proceed as follows:

Deleting an index entry

Keywords added to the list by mistake can be removed with the Delete button. To remove an entry, select it from the list and click on Delete.

Searching for occurrences of a keyword

You can find the position at which a specified entry in the keyword list occurs in the text with the Go to button. To do this, select the keyword from the list and click on Go to. TextMaker places the text cursor at the position in the text where the term occurs.

If several occurrences of the term were recorded, the cursor is positioned at the first occurrence. Click on the Go to button again to jump to the second occurrence, third occurrence, etc.

Note: The Go to button is not available for keywords that have been added with the Index all occurrences option turned on.

The {Index:'...'} field

In conclusion, some technical information for advanced users:

When a selected term is added to the keyword list, TextMaker inserts an invisible “Index” field in the text immediately following the selection. For example, if the term is “fish”, the index field inserted is: {Index: 'fish'}.

You can make these index fields visible by invoking File > Properties, switching to the View property sheet and checking the Display field names option. In this way you can examine the text to determine exactly what terms have been added to the keyword list, and exactly where they occur.

This method does not apply to terms that have been added to the list with the Index all occurrences option checked, because no index fields are inserted for such terms. They are handled by functions internal to the program.


Creating the index

In the course of adding terms to the keyword list with the Tools > Index > Add Index Entry command you have made TextMaker aware of the words that are to appear in the index. Now you can have TextMaker create the index itself.

To do this, proceed as follows:

1. Position the text cursor at the beginning of the line on which the index should be placed.

2. Invoke Tools > Index > Generate Index.

3. Specify whether a new index is to be created at the current position, or an existing index is to be updated by selecting the appropriate option in the Placement group box.

4. Select the desired form of the index in the Heading group box:

None Index entries follow each other without breaks.

Blank line A blank line is inserted before each index entry that begins with a new first letter.

First letter A large letter representing the first letter of the immediately following index entries is inserted before each entry that begins with a new first letter.

As soon as you confirm with OK, TextMaker inserts the index into the text.

Q

Quantum mechanics, 78

R

Raster, 102, 163

Registration card, 11

Right arrow key, 20

Roman, 151

Sample from an index (with “First letter” headings)

The keywords appear in alphabetical order. At the right of each keyword, TextMaker inserts the numbers of the page(s) on which it occurs.

If the Use chapter number option is checked in the Generate Index dialog, the chapter number (together with a separating dash) is added before each page reference.

Q

Quantum mechanics, 4-78

R

Raster, 5-102, 8-163

Registration card, 1-11

Right arrow key, 1-20

Roman, 7-151

Sample from an index with chapter numbers

Naturally, it makes sense to use this option only when you have divided the document into multiple chapters with the Insert > Break > Chapter break command (see section Dividing a document into chapters).

Additional information:

You will find information about updating references in section Updating tables of references.

You will find information about editing and formatting references in section Editing and formatting tables of references.


Tables of contents

A table of contents (TOC) is a list of all the headings in the document, each with a page number.

Unlike an index, a table of contents does not depend on a list of entries that you have to create yourself prior to its creation. Your document merely has to be outlined. You can review the outlining process in section Outlines.

TextMaker already knows from the outline what headings the text contains and what hierarchical relations they have to each other.

Accordingly, the creation of a table of contents is easy:

1. Position the text cursor at the beginning of the line on which the table of contents is to be placed.

2. Invoke Tools > Generate Table of Contents.

3. Specify whether a new table of contents is to be created at the current position, or an existing table is to be updated by selecting the appropriate option in the Placement group box.

As soon as you confirm with OK, the table of contents in inserted into the text.

The Love Life of Trees........1

In Spring...................1

March.....................1

April.....................3

May.......................4

In Summer...................7

In Autumn..................10

Sample from a table of contents

TextMaker puts the headings at the left; to the right of each heading it inserts a tab, followed by the corresponding page.

Options

The functions of the options in the dialog box for this command are as follows:

You can select an option for Include levels to specify the outline levels to be included in the table of contents. By default, all levels (1 through 9) are included.

When you check the Use up to first tab option, TextMaker examines each heading to see if it contains tabs. If a heading contains tabs, any text behind the first tab is ignored when the heading is imported into the table of contents.

The Use numbering option is checked by default. Thus, if you have numbered the headings in your document, they will appear in the table of contents with the corresponding numberings.

If you don’t want the table of contents entries numbered, uncheck this option.

You can review information about numbering the headings of a document in section Numbering headings.

The options in the Placement group box allow you to specify what should happen if the document already contains a table of contents:

If you select Replace existing table, the existing table of contents is replaced.

On the other hand, if you select Create new table, TextMaker leaves the original table in place and inserts an additional table of contents.

Additional information:

You will find information about updating references in section Updating tables of references.

You will find information about editing and formatting references in section Editing and formatting tables of references.


Captions and tables of figures

FreeOffice: This feature is not included in SoftMaker FreeOffice.

You can insert automatically numbered captions below images – for example, “Figure 1”, “Figure 2” etc. When you have done that, you can even add a table of figures to the document. It presents a list of all images that you have labeled that way, including their page numbers.

Captions can be added not only to images but also to any other kind of text elements. For example, the tables in a document can be labeled as well.

You can even insert captions for the images and the tables in a document, with both of them using their own numbering. Apart from that, you can insert an individual table of figures for each of them.

Working with captions and tables of figures is actually quite easy:

Inserting captions for images and other objects

Use the Insert > Caption command to insert an automatically numbered caption into the text.

For example, if you want to label the images in a document, simply select the image of interest and invoke this command. TextMaker will insert a caption below the picture. It consists of a label and a sequential number – e.g. “Figure 1”.

The numbering is performed fully automatically: If you add additional captions or remove existing ones, all other numbers are adapted accordingly.

If desired, you can always type in some explanatory text behind the caption – for example, to extend the caption “Figure 1” to “Figure 1: The Larch”.

Creating a table of figures

Once you have inserted captions, you can use the Tools > Generate Table of Figures command to insert a table of figures into the text. It presents a list of all images that you have added captions to.

For example, if you have inserted captions for all images in a document, you can create a table of these images. It includes page numbers, so that the reader can see at a glance on which page each image is located.

Note: Text entered directly behind a caption also appears in the table of figures. For example, if you have extended the caption “Figure 1” to “Figure 1: The Larch”, this entire text will be displayed in the table.

For detailed information, see the next pages.


Inserting captions for images and other objects

FreeOffice: This feature is not included in SoftMaker FreeOffice.

Use the Insert > Caption command to insert an automatically numbered caption into the text.

For example, if you want to label the images in a document, simply select the image of interest and invoke this command. TextMaker will insert a caption below the picture. It consists of a label and a sequential number – e.g. “Figure 1”.

The numbering is performed fully automatically: If you add additional captions or remove existing ones, all other numbers are adapted accordingly.

To add a caption to a picture, proceed as follows:

1. Select the picture that you want to add a caption to by clicking on it.

Alternatively, place the text cursor at the position where you want to insert the caption. For example, insert a blank line below the picture and place the text cursor there.

2. Invoke the Insert > Caption command.

3. In the Labels list, select the label that you want to be displayed in the caption – e.g. “Figure”.

4. Make any additional required settings for the caption (see “Options” below).

5. Click on the Insert button.

TextMaker will now insert the selected label, followed by a sequential number – for example “Figure 1”.

If desired, you can always type in some explanatory text directly behind the caption – for example, to extend the caption “Figure 1” to “Figure 1: The Larch”. This text will also appear in the table of figures, if you create one (see the next section).

Proceed the same way for all pictures that you want to insert captions for.

Note: Captions can be added not only to images but also to any other kind of text elements. For example, the tables in a document can be labeled the same way. Simply choose the corresponding entry in the Labels list.

Options

The dialog box for this command offers the following options:

Labels

Use this option to choose which label to use in the caption.

The name of the selected label will be used for the text in the caption. For example, when you choose the label named “Figure”, the caption “Figure 1” will be inserted.

Note: Each label uses its own numbering. This allows you to add independently numbered captions to, for example, the pictures and the tables of a document. Simply choose the label “Figure” when you want to insert a caption for a picture, or “Table” to insert a caption for a table.

Apart from that, you can create an individual table of figures for each label (see the next section).

Position

The Position option is only available when you had selected the object (e.g. picture) of interest before you invoked this command. If this is the case, you can use this option to choose if the caption should be added above or below the object.

TextMaker will automatically insert an empty paragraph to make room for the caption. If you have selected an object frame (e.g. a picture frame), TextMaker will automatically insert a text frame above or below the object and place the caption there.

Format

Use this option to choose the desired representation of the sequential number – e.g. Arabic numbers (1, 2, 3, ...), Roman numbers (I, II, III, ...), or letters (A, B, C, ...).

Exclude label

If you enable this option, TextMaker omits the label in the caption and inserts only the sequential number.

For example, instead of “Figure 1”, just “1” will be inserted.

“New” button

The New button allows you to create a new label.

A dialog where can enter the name of the new label appears. As a name, enter exactly the text that should appear in the caption. For example, when you create a label named “Illustration”, the text “Illustration 1” appears when you insert a caption for this label.

As mentioned before, each label has its own numbering, independent from the numberings of other labels. Apart from that, an individual table of figures can be generated for each label (see the next section).

“Delete” button

The Delete button allows you to delete a label. Select the label to delete beforehand.

When you delete a label, all existing captions are kept. However, you cannot insert new captions with that label anymore. Also, inserting or updating tables of figures for that label is no longer possible.

Hint: In case you have deleted a label by mistake, you can fix this by simply clicking the New button and creating a label with exactly the same name.

Notes

The label will be inserted into the caption as text.

The sequential number will be inserted as a field of the type “Sequence number”. Fields of this type return a sequential number that is increased by one for each of its occurrences (given that they belong to the same label). For each label, an individual series of Sequence fields is used, with its numberings being independent from each other label.

For general information on working with fields, see the chapter Fields.


Creating a table of figures

FreeOffice: This feature is not included in SoftMaker FreeOffice.

As described in the last section, you can insert automatically numbered captions into the text using the Insert > Caption command. For example, the pictures in a document can be labeled “Figure 1”, “Figure 2”, etc. This also works with other components of the document, e.g. tables.

When you have done that, you have the option to create a table of figures and insert it into the text. It will contain a list of all images that you have added captions to.

For example, if you have inserted captions for all images in a document, you can create a table of these images. It includes page numbers, so that the reader can see at a glance on which page each image is located.

To insert a table of figures, proceed as follows:

1. Using the Insert > Caption command, insert a many captions into the text as you like (as described in the previous section).

2. Position the text cursor at the beginning of the line on which the table of figures should be placed.

3. Invoke Tools > Generate Table of Figures.

4. In the Labels list, select the label that you want to create a table of figures for (e.g. “Figures”).

5. Specify whether a new table of figures is to be created at the current position, or an existing table is to be updated by selecting the appropriate option in the Placement group box.

When you confirm with OK, TextMaker inserts the table of figures into the text.

Figure 1...................9

Figure 2..................14

Figure 3..................17

Figure 4..................18

Figure 5..................21

Sample from a table of figures

TextMaker puts the label and sequential number at the left; to the right of each caption it inserts a tab, followed by the corresponding page.

If have typed in explanatory text directly behind a caption, it will also appear in the table of figures. For example, if you have extended the caption “Figure 1” to “Figure 1: The Larch”, this entire text will be displayed in the table.

Options

The dialog box for this command offers the following options:

Labels

As described in the previous section, different labels can be used in captions. For example, you can insert captions with the label “Figures” – as well as captions with the label “Tables”. An individual table of figures can be created for each label used.

To specify for which label the table of figures is to be created, choose the corresponding label from the Labels list.

Note: Only labels for which at least one caption has been inserted into the document are available in this list.

Include label and number

As noted before, you can type in explanatory text directly behind captions – for example, to extend the caption “Figure 1” to “Figure 1: The Larch”.

In case you have done that, this option allows you to specify if the label and sequential number of captions should be displayed in the table of figures as well.

By default, this option is enabled. This means that, in the above example, the text “Figure 1: The Larch” would appear in the table of figures.

If you turn this option off, only “The Larch” is displayed.

Right align page numbers

If this option is enabled, TextMaker separates the page numbers with a right-aligned tab (filled with dots).

If disabled, only a space character will be inserted to separate the page numbers.

Placement

Use this option to specify what should happen if the document already contains a table of figures for the chosen label:

If you select Replace existing table, the existing table of figures is replaced.

On the other hand, if you select Create new table, TextMaker leaves the original table in place and inserts an additional table of figures.

Additional information:

You will find information about updating references in section Updating tables of references.

You will find information about editing and formatting references in section Editing and formatting tables of references.


Bibliographies

In the appendices to scientific literature you often find a bibliography. This is a reference list of all the publications to which the author refers in the work.

TextMaker has functions that you can use to make working with bibliographies much easier.

These functions are best applied step by step as follows:

Step 1: First of all, you need a bibliography database. There, you enter all your cited sources. You can use an existing database (an example is included with the program) or set up a new one with Tools > Create Database.

The database can be organized any way you like, except that it must always include a field for a “shortcut” (abbreviation) that can serve as a unique reference for each source, and also fields for the author and title of each source.

Step 2: Next, invoke Tools > Bibliography > Bibliography Settings and click on the File button to assign your database to the document as a bibliography database. Then select those fields of your database that are to serve respectively as the Reference Field, Author Field and Title Field for the creation of the bibliography.

Step 3: Now you can invoke Tools > Bibliography > Insert Bibliography Field to insert references to the sources contained in the bibliography database into the text (for example, “As mentioned in [DNA1979] ...”).

Step 4: Finally, invoke Tools > Bibliography > Generate Bibliography to have TextMaker create a bibliography at the end of the document. The bibliography will contain a list of all the sources to which you inserted references in the text (see step 3). Each source listing will be based on the corresponding record in the bibliography database.

You will find detailed information about this on the following pages.


Step 1: The bibliography database

In order to be able to make use of TextMaker’s bibliography functions, you first need a bibliography database. This is a database in dBase format in which information about all the sources can be entered.

It is recommended that each document have its own bibliography database. However, if you are planning to write multiple documents that will refer to exactly the same sources, then of course you can set up a single database that will be common to all those documents.

The structure of a bibliography database

A bibliography database must contain at least the following fields:

a field for a unique abbreviation for the source (see below)

a field for the name of the author of the source

a field for the title of the source

The abbreviation must be distinct for every source. By convention, the abbreviation consists of author’s initials and the year of publication. For example, if the source were a book the author Harry Smith had published in 1979, HS1979 (or HS79) would be used as the abbreviation.

Apart from the requirement that it must contain the above listed three fields, the database can be organized in whatever way is preferred. For example, it can contain fields for the date of publication, the publisher, etc.

Tip: TextMaker’s document folder contains a simple example database called biblio.dbf that you can examine. Under Windows, this file can be found in the SoftMaker folder under My Documents.

Setting up a new bibliography database

Unless you already have a bibliography database that you want to use, you will have to set up a new database. To do this, you can use TextMaker’s database module or any other dBase compatible database program.

With TextMaker, you create a new bibliography database as follows:

1. Invoke the Tools > Create Database command.

2. Give the database whatever name you like, and confirm with OK.

3. Add the desired fields to the database. The database must always contain fields for a unique “shortcut” (abbreviation), author, and title.

You will find information about the operation of the field setup dialog in section Creating a new database.

4. When you are finished, click on OK.

5. TextMaker creates the database and then opens it.

If you want to enter your sources into the database at this point, you can do so. Otherwise, invoke the File > Close command to close the database.

Editing the bibliography database

Next, you must fill in the bibliography database, entering there information about the sources to which you refer in your document. Naturally, it is up to you if you want to enter all sources at once, or add sources only as required.

To enter sources, you can use TextMaker’s database module, which is invoked with the Tools > Edit Database command. You will find information about the operation of the database module in chapter Database.


Step 2: Assigning the bibliography database

In the next step, you tell TextMaker what database you want to use as the document’s bibliography database. In addition, you specify the fields of the database from which TextMaker is to obtain the abbreviations for use in references, the author names, and the titles for the sources.

To do this, proceed as follows:

1. Open the document to which you want to assign the bibliography database you created in step 1, or start a new document.

2. Invoke Tools > Bibliography > Bibliography Settings.

3. Click on the File button.

4. A file dialog appears. There, navigate to the folder containing the bibliography database, select the database and confirm with OK.

5. After that, specify the database fields that contain the abbreviations (“shortcuts”), the author names, and the titles for the sources. To do this, make the appropriate selections from the three dropdown lists in the Settings group box.

6. If required, you can also specify the form in which the references that you will insert in step 3 (see next section) should be displayed by setting options in the Reference Style group box.

7. When you are satisfied with all the settings, confirm with OK.

TextMaker now knows what database contains information about the sources for this document and how this information is distributed over the database’s fields. So you can proceed to step 3.


Step 3: Inserting references to sources

When you have completed steps 1 and 2, you can insert bibliography fields in the text. These are references to sources that are recorded in the bibliography database.

You can insert such a reference whenever you refer to one of the sources in the text – for example “as mentioned in [DNA1979], ...”.

You insert a reference to a source into the text as follows:

1. Move the text cursor to the desired position.

2. Invoke Tools > Bibliography > Insert Bibliography Field.

3. Choose the desired database entry from the list.

Tip: You can always use the Edit button to edit the contents of the database. In this way you can, for example, add a new entry.

4. As needed, you can enter additional text in the Additional information field – for example, “page 42”. This text will be displayed behind the reference, separated by a comma.

5. Confirm with OK.

The reference is now inserted into the text. Depending on the options selected in the Bibliography Settings dialog, either the abbreviation or the number of the source will appear in the text (see below).

Proceed as described above each time you want to insert a reference to one of the sources in your database into your document.

Options for the styles of references

The bibliography settings dialog allows you to change the appearance of references whenever necessary. For example, you can specify whether they should appear as abbreviations taken from the database, or as automatically generated numbers.

To change the style of references, invoke Tools > Bibliography > Bibliography Settings and make the desired settings in the Reference Style group box.

The following options are available:

You can select Use reference field to specify that the references should be shown as “abbreviations” for the sources, based on entries in the database – for example [DNA1979].

You can select Number entries to specify that the references should be shown as numbers, generated automatically – for example [42].

The source for the first reference that you insert receives the number [1], the source for the second reference receives the number [2], etc.

Note: When you switch from one of these options to the other, the appearance of all the references in the document immediately changes in accordance with your selection. On the other hand, the bibliography itself (if it already exists) will not reflect your changes until you update it (see section Updating tables of references).

The Parentheses option allows you to specify the type of parentheses in which the references will be enclosed.

If you specify the { } setting, for example, instead of the default setting [ ], references will be enclosed with curly braces, rather than with square brackets. Accordingly, instead of [DNA1979] you will see {DNA1979}.


Step 4: Creating the bibliography

In the final step you have TextMaker generate the bibliography at the end of the document. The bibliography will list all the sources from the bibliography database to which you inserted references in the text (as described in step 3).

To insert a bibliography, proceed as follows:

1. Position the text cursor at the beginning of the line on which you want the bibliography to be placed.

2. Invoke Tools > Bibliography > Generate Bibliography.

3. Specify whether a new bibliography is to be created at the current position, or whether an existing bibliography is to be updated by selecting the appropriate option in the Placement group box.

4. As required, you can modify the way the source listings will appear in the bibliography using the large edit field at the bottom of the dialog (see below).

When you confirm with OK the bibliography is inserted into the text.

Note: As mentioned in the introduction to step 4, only those sources from the bibliography database that are actually referenced in the document (see step 3) appear in bibliography.

Changing the appearance of the bibliography

Before clicking on OK to close the above described dialog, you can, if required, change the form in which the source listings will appear:

Editing text: You can always edit the text that appears in the edit field. Use the standard editing commands for this purpose.

Changing formatting: The formatting can also be changed. To change formatting, first select the segment of text you want to format in the edit field and then use the miniature formatting toolbar displayed above it to change the character format.

Inserting fields: Fields from the bibliography database are indicated with curly braces. As required, you can insert additional database fields into the edit field, either by manually typing the field name (e.g. {AUTHOR}) or by double clicking on the desired field in the Fields list.

Tip: The first item in the Fields list is always a field called {#REF}. This field is created automatically and has the following special characteristic: It contains either the abbreviation or an automatically generated number for the source – depending on which of these settings you selected in the bibliography settings dialog.

Additional information:

You will find information about updating references in section Updating tables of references.

You will find information about editing and formatting references in section Editing and formatting tables of references.


Updating tables of references

Important: When you edit a document into which you have already inserted a table of references (table of contents, index, table of figures or bibliography), the table is not automatically updated in step with your editing.

Thus, when the document’s page numbers change because you have typed additional text, the table of references continues to show the now outdated page numbers. And when, for example, you add new headings, the table of contents does not expand automatically.

To make a document’s tables of references reflect the current state of the document, you must update them. You do this as follows:

1. To update the index, invoke Tools > Index > Generate Index.

To update the table of contents, invoke Tools > Generate Table of Contents.

To update a table of figures, invoke Tools > Generate Table of Figures.

To update the bibliography, invoke Tools > Bibliography > Generate Bibliography.

2. Important: Make sure that the Placement option in the dialog box is set to Replace existing table.

3. Confirm with OK.

TextMaker now removes the existing table of references and replaces it with an updated version.

Note: Before printing a document containing tables of references, always remember to update the tables, so that they reflect the document’s current state.


Editing and formatting tables of references

In theory, tables of references (tables of contents, indices, tables of figures, bibliographies) can be edited just like normal text. However, you should take note of the following:

Important: If you manually change the content or formatting of a table of references, your changes will be lost whenever you have TextMaker update it, because the updating process involves the removal and reinsertion of the table.

It follows that manual changes to text or formatting in a table of references make sense only when your document is 100% ready for printing and the table will not have to be updated again.

Normally it is not necessary to change the text in tables of references anyway, and there are much more elegant ways to change their formatting:

Tip: Tables of references are automatically formatted using paragraph styles, and their formatting can be conveniently modified with the help of these styles.

When you create a table of references, TextMaker creates the following styles:

“TOC 1” through “TOC 9”

Paragraph styles for entries in the table of contents, according to outline level. Entries for the first outline level (i.e., for major headings) are formatted with the “TOC 1” style, entries for the second level are formatted with the “TOC 2” style, etc.

“Index”

The paragraph style for entries in the index

“Index Heading”

The paragraph style for the large letters that are used as headings for sections of the index (when the First letter option has been selected prior to the creation of the index)

“Caption”

The paragraph style for captions

“Table of Figures”

The paragraph style for entries in a table of figures

“Bibliography”

The paragraph style for entries in the bibliography

Thus, if you want to change the formatting of a table of references, you can change one or more of these styles. For example, if you want to increase the font size for the major headings in the table of contents, all you have to do is change the “TOC 1” style accordingly:

1. Invoke Format > Paragraph Style.

2. Select the “TOC 1” style from the list and click on Edit.

3. A dialog appears to enable you to change the formatting. Switch to the Paragraph property sheet.

4. Click on the Character button.

5. Set the desired font size in the Size field.

6. Exit the dialogs by clicking in succession on OK, OK and Close.

Now the major headings in the table of contents are rendered in the new font size. This formatting will remain in effect after you update the table and even if you remove and reinsert it.

If necessary, you can go to chapter Styles to review general information about the use of styles.


Cross-references

FreeOffice: This feature is not included in SoftMaker FreeOffice.

With the Insert > Cross reference command, you can insert a reference to a specific text element (for example, a bookmark or an object) into the text.

This command inserts a field that displays, for example, the page number of the targeted text element. Thus if you have inserted a picture on page 3 of the document, you can introduce a cross-reference to this picture – for example, “see picture on page 3” – at some other place in the document.

Cross-references can target text elements of the following kinds:

bookmarks

footnotes

objects (pictures, drawings, etc.)

Cross-references to bookmarks are often encountered in large documents.

For example, if you want to insert a cross-reference to the index at the end of your document, first put a bookmark at the beginning of the index. Then return to the place in the document where the reference should appear, type something like “See also the index beginning on page “, and insert a cross-reference to the bookmark. The cross-reference now shows the number of the page on which the index begins.

Cross-references are updated automatically when the document is printed. They can also be updated manually, if desired, with the Tools > Update Fields command.

The following pages contain detailed information about working with cross-references.


Inserting a cross-reference

FreeOffice: This feature is not included in SoftMaker FreeOffice.

To insert a cross-reference in the text, do the following:

1. If you want to insert a cross-reference to a bookmark, you must first set the bookmark at the target position with the Insert > Bookmark command (see also section Bookmarks).

2. Then, move the text cursor to the place in the text where the cross-reference is to be inserted.

3. Invoke the Insert > Cross reference command.

4. Select the kind of text element that the cross-reference should target from the Type list: a Bookmark, a Footnote or an Object.

5. Select the specific bookmark, footnote or object to which the cross-reference should refer from the Target list.

6. From the Show list, select either Page, to specify that the cross-reference should show the page number of the target, or Number, to specify that the cross-reference should show the target’s own number (see “Options” section below).

7. Confirm with OK.

TextMaker now inserts the cross reference into the text.

Options

The options in the dialog box for this command are as follows:

Type

Here you specify the kind of text element that the cross-reference is to target: a Bookmark, a Footnote or an Object.

Target

Here you select the target for the cross-reference. The contents of this list depend on the Type of target selected. For example, if you have selected Bookmark as the type, all the existing bookmarks in the document will be displayed in this list. Select the desired bookmark from the list with a mouse click.

Show

Here you specify what the cross-reference should show:

Page: The cross-reference shows the number of the page on which the target is to be found.

Number: The cross-reference shows the number of the target itself:

For footnotes, the footnote’s number is shown.

For bookmarks, the number of the paragraph in which the bookmark has been set is shown. For this to work properly, the paragraph must have been given a numbering using the Format > Bullets and Numbering command. If the paragraph has not been numbered, the cross-reference will show a zero.

This option is not available for objects.


Editing and updating a cross-reference

FreeOffice: This feature is not included in SoftMaker FreeOffice.

Cross-references are fields; thus, what goes for fields in general goes for cross-references as well: they can be formatted, deleted, copied and moved in the same way as normal text; however, their contents cannot be edited directly.

Tip: Whenever you want to see a document’s cross-references and the targets to which they refer you can check the Display Field Names option on the View property sheet of the File > Properties dialog. Then the cross-references will be displayed in a form in which their type and their target is visible – for example, “{Reference.Bookmark.Page:name_of_bookmark}”.

Updating cross-references

Just like all other kinds of fields, cross-references are not updated automatically. For example, if you move the target of a cross-reference to another page, the page number displayed by the cross-reference continues to reflect the original position of the target.

However, when you print the document, TextMaker automatically updates all fields (including this cross-reference) to reflect the latest state of the document. Thus, when you print the document you can be sure that all cross-references will be correct.

As needed, you can also update the fields of a document manually by invoking the Tools > Update Fields command (keyboard shortcut: F9). All fields and calculations will then be brought up to date.

Invalid references: If you delete the target of a cross-reference, then of course the cross-reference becomes invalid. In such a case, when you update the document, the message “Target not found!” is displayed in the text by the cross-reference. You can correct this problem by removing the cross-reference and inserting a new one (with a valid target).


Style references

Apart from cross-references (detailed on the previous pages), you can also insert so-called style references into the text.

A style reference is a field that functions as follows: It searches the document (from the place where you inserted it) backwards for text that is formatted in the paragraph style you specified – and displays the first text found.

This can be helpful, for example, in the following situation:

Large documents are often organized according to an outline; i.e. headings with several levels are used. The easiest way to accomplish this is to format all headings with the provided paragraph styles “Heading 1”, “Heading 2”, etc. When you have done that, you can insert a style reference field at any place in the text. If you let it search for e.g. the style “Heading 1”, it will find – and display – the main heading of the text segment where you inserted it.

Accordingly, such fields are often used in the headers or footers of books and other large documents, in order to display the main heading of the current chapter.

Inserting a style reference field

To insert a style reference field into the text, proceed as follows:

1. Move the text cursor to the place in the text where the style reference field is to be inserted.

2. Invoke the Insert > Field command.

3. In the left list, select the entry Style Reference.

4. In the right list, select the style to be searched for.

5. Click on the Insert button.

TextMaker now inserts the style reference field into the text.

The field then automatically searches for text formatted with the specified paragraph style. It first searches backwards (towards the beginning of the document). If nothing is found in this direction, it also searches forwards (towards the end of the document).

As soon as text formatted in the given style is found, the field displays that text. Thus, if you had chosen e.g. the paragraph style “Heading 1”, the field displays the main heading of the text segment where it was inserted. (Given that all headings in the document have been formatted with the paragraph style “Heading 1”.)

If no matching text is found, the field displays an error message like “Style reference: no matching text found”. In that case, make sure you have selected the correct style to search for and check if text formatted in that style actually exists.

Options

In the dialog box appearing when you insert a style reference field, the following options are available:

Style

In this list box, select the paragraph style (or character style) to be searched for.

Search for character styles

Usually, style reference fields are used to search for paragraph styles. If you want to search for character styles instead, choose this option. The list of styles displayed in the Style list box will change accordingly.

Search page from bottom

Affects only style reference fields that are inserted in headers or footers, since in that case they follow a special search order, as follows:

First, only the current document page is searched – in the following direction:

If this option is turned off, the page is searched from top to bottom.

If this option is turned on, the page is searched from bottom to top (backwards).

After that, the search is continued as usual: first towards the beginning of the document (backwards) and then, if nothing was found, towards the end of the document (forwards).

Insert paragraph number

If this option is checked, the style reference field returns the numbering of the found paragraph rather than its content.

(Of course this only works if a numbering has been applied to the text. See sections Automatic numbering and Numbering headings.)

Insert 'above' or 'below'

If this option is checked, the style reference field returns solely a hint on the position of the found text (either “above” or “below”) rather than its content.

If the text is located above the field, the field displays the text “above”.

If the text is located below the field, the field displays the text “below”.

This allows you to insert references like “see above” or “see below”.

Updating style reference fields

Like all kinds of fields, style reference fields are updated automatically when the document is printed. They can also be updated manually, if desired, with the Tools > Update Fields command. For more information on working with fields, see the chapter Fields.


Footnotes

When your text requires explanatory comments, you can place such comments in footnotes. Footnotes usually appear at the bottom of the pages on which they are referenced; however, they can also be grouped together at the ends of chapters or even at the end of the document.

Footnotes consist of two parts: a superscripted footnote marker in the body text, and the footnote text to which it refers.

When you encounter heavy fog1 you should immediately slow down2 and turn on your fog lights.

_______________

1 Visibility less than 150 feet

2 Maximum 30 mph

An example of the use of footnotes

TextMaker numbers footnotes automatically in an ascending sequence. If you insert a new footnote in the text, or delete an existing footnote, the numbering of any following footnotes is automatically adjusted.

By default, TextMaker automatically inserts a separator line between the text and the footnote area. If you wish, you can specify a custom format for this line, or even disable it.

In this section you will learn everything you need to know about footnotes. The following topics are covered:

Inserting and editing footnotes

Changing the formatting of footnotes

Footnote options

Read the following pages for detailed information.


Inserting and editing footnotes

When, at some point in your text, you want to refer your reader to an explanatory remark, simply insert a footnote at that point and then type the explanatory remark. TextMaker does the rest (the formatting, placement and numbering of the footnote) for you.

You insert a footnote this way:

1. Position the text cursor immediately after the word or phrase to which you want to append the footnote.

2. Invoke the Insert > Footnote command. A sub-menu opens. Select the Footnote command from the sub-menu.

3. A dialog box appears. There you can specify whether the footnote marker should be numbered automatically or assigned a user-defined number.

Normally, you should leave the setting at Auto numbered. If you change the setting to Custom, you must enter a number for the footnote yourself, and the footnote will then be assigned this number.

4. When you confirm with OK, TextMaker inserts a superscripted footnote marker (normally, an automatically generated number). It then creates an area for the footnote at the bottom of the page, inserts a copy of the footnote marker in this area, and repositions the text cursor in this area immediately following the marker.

5. Now you can enter the text of the footnote.

To return from the footnote area back to the body text simply click anywhere in the text. Alternatively, you can use the Insert > Footnote > Go To Footnote Reference command, which takes you back to the position in the text at which the footnote was inserted.

Changing footnote text after it has been entered

You can edit the footnote texts at the bottom page margin any time you wish. All you have to do is position the text cursor in the footnote area. You can use one of the following procedures:

Scroll to the page containing the footnote you want to change and click with the mouse in the footnote area in the bottom page margin.

Note: This works only in normal view. If you are working in some other viewing mode, you must first switch to normal view with View > Standard.

You can also command TextMaker to find the next footnote in the text with Insert > Footnote > Go to Footnote. When found, the text cursor is positioned within the footnote area at the beginning of the corresponding footnote text.

Now you can edit the footnote text. You already know how to return to the normal text: simply click anywhere within it.

Tip: You can also use keyboard shortcuts to jump into the footnote text of a footnote (and back): When you position the text cursor on a footnote number and press Ctrl+Alt+â, TextMaker jumps into the corresponding footnote text. To get back to the footnote in the body text, press Ctrl+Alt+á.

Reinserting footnote markers: If you should accidentally delete the footnote number in a footnote text, you can command TextMaker to reinsert it with Insert > Footnote > Footnote Mark.

Moving, copying and deleting footnotes

You can move, copy or delete text segments containing footnotes in the usual manner. TextMaker automatically reorders the footnote texts and adjusts the numbering without any special action on your part.

However, you should observe the following rule when performing these functions:

Important: When you copy, move or delete footnotes, you should always do it in the text – not in the footnote area at the bottom page margin.

For example, if you delete the footnote text for a footnote in the footnote area, the footnote itself remains in place as before – what is gone is merely its footnote text. If, on the other hand, you select and delete the footnote marker in the text, the whole footnote (marker and text) is removed, and all the remaining footnotes are renumbered.


Changing the formatting of footnotes

You can change the formatting of the footnote text or its footnote marker any time.

Formatting footnote text

To change the formatting of the text of a footnote, simply set the text cursor into the footnote text and apply the desired formatting.

Tip: When you want to change the formatting of the text for all the footnotes in the entire document, TextMaker can save you a lot of work. All you need to do is change the “Footnote text” paragraph style that TextMaker creates automatically as soon as you insert the first footnote.

By default, the text of all footnotes is formatted with this paragraph style. Thus, changes you make to the “Footnote text” paragraph style will affect all footnote texts (except those whose formatting you have changed manually).

To edit this style, proceed as follows:

1. Invoke Format > Paragraph Style.

2. Select the “Footnote Text” style from the list; then click on Edit.

3. A dialog appears. Here, make the desired changes. Hint: You can also change the character formatting by clicking the Character button on the Paragraph property sheet.

4. Exit the dialogs with OK, followed by Close.

You will find general information about the use of styles in chapter Styles.

Formatting footnote markers

TextMaker automatically formats the footnote marker as superscript. However, you can change the marker’s formatting according to your preference. To do this, select the footnote marker, invoke the Format > Character command and make the desired changes.

Tip: By default, all footnote markers are formatted with the “Footnote Reference” character style (note: character style, not paragraph style!). Thus, if you change this character style with the Format > Character Style command, all footnote markers in the entire document will be affected.


Footnote options

The command Insert > Footnote > Options gives you access to additional settings for the footnotes in the current document.

It opens a dialog box with the following options:

Position

Normally, the footnote texts are placed at the bottom of the pages on which they are referenced. You can specify that they should be placed elsewhere by changing the setting of the Position option:

Bottom of page

This is the default setting – the footnote texts are placed at the end of the pages on which they are referenced.

End of chapter

Select this option if you have used Insert > Break > Chapter break to divide your document into multiple chapters and you want the footnote texts referenced in each chapter to appear grouped together at the end of the chapter.

(For more information on the use of chapters, see the section Dividing a document into chapters.)

End of document

With this option you obtain what are called end notes: all the footnote texts appear together at the end of the document.

Numbering group box

Here you make settings that control the numbering of the footnotes:

Type

Here you can change the type of numbering used. For example, you can select letters instead of numerals as markers for successive footnotes. The succession of footnotes is then represented by A, B, C, ... rather than by 1, 2, 3, ...

Start at

Here you can specify the number with which the enumeration should begin. The default value is “1”. If you enter “42”, for example, the first footnote will be numbered “42”, the second “43”, etc.

Mode

Here you can specify whether the footnote numbering should be reset to “1” e.g. on every page or every chapter:

Continuous numbering: The numbering is never reset. This is the default setting.

Restart on each page: The numbering is reset to “1” at the beginning of every page of the document.

Restart on each section: The numbering is reset to “1” at the beginning of every section. (For more information on sections, see the section What are sections?.)

Restart on each chapter: The numbering is reset to “1” at the beginning of every chapter. (For more information on chapters, see the section Dividing a document into chapters.)

Separator line margins group box

Here you can set the margins for the separator line that is inserted automatically above the footnote area:

The Top margin determines the minimum spacing between the text and the separator line, while the Bottom margin determines the spacing from the line to the footnote texts.

As you increase the Left margin, the separator line starts further to the right; as you increase the Right margin, the separator line ends earlier.

Separator line property sheet

When you want to change the appearance of the footnote separator line, switch to this property sheet. To change, for example, the line’s thickness, select the desired thickness from the Thickness 1 list.

If you don’t want the footnote separator line to appear at all, select the option None from the Line style list.


Document revisions

You can add comments to documents and track changes made to them. These capabilities are applicable, for example, when several users make successive revisions to a document.

Using comments

You can select text anywhere in a document and then attach a comment to it.

For example, if a colleague gives you a document to review, you can insert notes like “make this section shorter” directly into the document and then return it to him. He can then make the revisions you have recommended in your comments.

Tracking changes in a document

The “Track changes” function lets you do even more. When it is activated, you can make changes to a document – delete or add text, alter formatting, etc. – as you like. However, your changes are not simply applied as they would be otherwise; rather, they are at first only highlighted in color and saved as “proposed changes”.

So, if a colleague sends you a document for correction, turn on the “Track changes” function, make the desired changes, and return the document to your colleague. He can then review your proposed changes and separately accept or reject each of them. If he accepts a change, it is saved permanently in the document; if he rejects a change, it is removed.

You can, of course, apply comments and use the “Track changes” function in combination.

You will find detailed information about both these functions on the following pages.


Using comments

You can insert comments anywhere you like in the text of a document by invoking the commands from the Tools > Comments menu.

Text to which a comment is attached is highlighted with color. If you point to such text with the mouse, the comment is displayed in a small window.

Or, if the comments pane is enabled, the comment is displayed there. When enabled, the comments pane appears in the right margin of the document and displays comments associated with the visible text at all times.

By default comments are only displayed on the screen and are not printed.

Tip: Using the Reviewing toolbar

The easiest way to apply comments is to use the Reviewing toolbar.

The Reviewing toolbar

This toolbar appears automatically whenever the document contains at least one comment. If this toolbar is not displayed, you have probably disabled it. To enable it again, invoke the command View > Toolbars and click on the check box to the left of Reviewing in the Toolbars list box.

The icons in this toolbar represent the following functions (from left to right):

Insert comment

Edit current comment

Delete current comment

Go to previous comment

Go to next comment

Comments pane on/off

The buttons further to the right are not for comments but for tracking changes in the document (see the section Tracking changes in a document).

Detailed information about these functions is presented in the following sections.


Inserting comments

To insert a comment, do the following:

1. Select the text to which you want to attach a comment.

2. Invoke the command Tools > Comments > Insert Comment.

Tip: This command can also be invoked by clicking on the [image] icon in the Reviewing toolbar.

3. Type your comment in the small window that appears.

4. When you have completed your comment, click anywhere in the text to close the comment window.

The comment is now entered. You recognize this from the fact that the text to which it is attached is highlighted in color.


Editing comments

To edit a comment, do the following:

1. Position the text cursor anywhere within the text whose comment you want to edit.

2. Invoke the command Tools > Comments > Edit Comment.

Tip: This command can also be invoked by clicking on the [image] icon in the Reviewing toolbar.

3. Make the desired changes in the small editing window that appears.

4. When you have finished editing, click anywhere in the text to close the comment window.

The comment now reflects your changes.

Tip: You can also use keyboard shortcuts to jump into a comment (and back): When you position the text cursor somewhere inside a text segment that has a comment and press Ctrl+Alt+â, TextMaker jumps into the corresponding comment, and you can edit it. To get back to the body text, press Ctrl+Alt+á.


Deleting comments

To delete a comment, do the following:

1. Position the text cursor anywhere within the text whose comment you want to delete.

2. Invoke the command Tools > Comments > Delete Comment.

Tip: This command can also be invoked by clicking on the [image] icon in the Reviewing toolbar.

The comment is now removed.


Displaying and printing comments

There are two ways of viewing comments:

In the comments pane (always visible)

When you insert a comment into a document for the first time, or when you open a document that already contains comments, the comments pane is automatically displayed in the right margin of the document. The comments pane is a white area in which all the document’s comments are displayed. To indicate the relationships between comments and text, each comment is connected by a line to the text segment to which it refers.

You can turn the comments pane on or off as needed by invoking the command Tools > Comments > Automatically Show Comments Pane.

Tip: This command can also be invoked by clicking on the [image] icon in the Reviewing toolbar.

Note: Even with this option enabled, the comments pane will not be visible unless the document actually contains comments.

In pop-up windows (made visible by pointing)

If the comments pane is disabled, a comment becomes visible only when you point with the mouse to a text segment to which a comment is attached. Then the comment is displayed in a small window.

Printing comments

Normally comments appear only on the screen; they are not printed. If you want comments to be printed along with regular text, activate the Print comments option (see the section Settings for comments).

Note: Regular text will be reduced in size to make room on the printed page for the comments. Thus, its measurements will not correspond to the measurements specified for the document.


Locating comments

The Tools > Comments menu contains two commands that you can use to jump from one comment in the document to another:

Tools > Comments > Previous Comment jumps to the previous comment.

Tools > Comments > Next Comment jumps to the next comment.

Tip: These commands can also be invoked by clicking on the [image] and [image] icons in the Reviewing toolbar.


Settings for comments

You can make various settings for comments with the command Tools > Comments > Options.

Note: The options dialog box is also accessible by invoking File > Properties and switching to the Reviewing property sheet.

The following options are available:

Comments group box

Highlight comments in text

When this option is enabled, all text segments to which comments are attached are highlighted in color.

Print comments

When this option is enabled, comments appear not only on the screen, but also on the printed page.

Note: Regular text will be reduced in size to make room on the printed page for the comments. Thus, its measurements will not correspond to the measurements specified for the document.

Color

Specifies the color to be used to highlight commented text and to display comments in the comments pane.

If you use the default setting By Author, a different color is selected automatically for each user who edits the document. When the first user adds comments, these appear in red. When a second user subsequently opens the document and adds comments, those appear in blue, etc.

Note: For this to work correctly, all users who edit the document must have entered their names in the preferences. To enter your name, invoke Tools > Options, switch to the General property sheet, activate either the User (Home) button or the User (Business) button and type your name (or at least your initials) in the appropriate edit boxes.

Comments pane group box

Show automatically

This check box corresponds to the menu command Tools > Comments > Automatically Show Comments Pane.

The comments pane is a white area in the right margin in which all the comments in the document are displayed.

When this option is enabled, the comments pane is displayed automatically when you insert the first comment into a document, or when the document already contains comments.

When this option is disabled, the comments pane is not displayed. However, you can still make comments visible: In this case, whenever you point with the mouse to a segment of text to which a comment is attached, a small window containing the comment pops up.

Note: Even when this option is enabled, the comments pane does not appear unless the document actually contains comments.

Width

Allows you to set the width of the comment pane.

Position

Allows you to set the position of the comments pane: right, left, outside, or inside.

Changes group box

The rest of the dialog contains additional options that pertain not to comments, but to the “Track changes” function (see the next section).


Tracking changes in a document

After you enable the “Track changes” function, you can continue, just as before, to make whatever changes you like in a document. However, the changes are not immediately applied, but are highlighted in color and saved in the document as “proposed changes”.

Subsequently, you – or another user – can review these changes and then separately accept or reject each of them. If a change is accepted, it is applied permanently to the document; if it is rejected, it is removed.

This function is especially useful when several users in succession will edit a document. An example: A co-worker composes a document and gives it to you to correct. You enable the “Track changes” function and make the desired changes. Then you return the document to the author. He can now accept or reject separately each of your changes with the press of a button.

Thus, revising a document with the help of the “Track changes” function involves three steps:

Step 1: Enabling the “Track changes” function

Step 2: Making the desired changes

Step 3: Accepting/rejecting the individual changes

Read the following sections to learn more.

Tip: Using the Reviewing toolbar

The easiest way to revise documents is to use the Reviewing toolbar.

The Reviewing toolbar

This toolbar appears automatically whenever the document contains changes that were made with the “Track changes” function enabled. Should it not appear, it is most likely because it has been disabled. To re-enable it, invoke the command View > Toolbars and click on the check box next to Reviewing in the list of toolbars.

The icons in this toolbar represent the following functions (from left to right):

The first six buttons are not for tracking changes, but for working with comments. You will find information about them in section Using comments.

Track changes on/off

Go to the previous change

Go to the next change

Accept the current change

Reject the current change

Accept all changes

Reject all changes

Accept or reject changes under dialog control

Show changes on/off

Detailed information about the individual functions of these buttons is given in the following sections.


Step 1: Enabling the Track changes function

In order to use the “Track changes” function, open the document that you want to revise and invoke the command Tools > Changes > Track Changes.

The “Track changes” function is now enabled, and all changes made to the current document will be tracked.

(If you want to finish using this function, you can disable it anytime by invoking the same command once again.)

Tip: This function can also be switched on/off by clicking on the [image] icon in the Reviewing toolbar.


Step 2: Making the desired changes

Next, make the desired changes in the document as you normally would. You can alter, delete and add text, change the formatting etc.

Thus, the document can be edited just as if the “Track changes” function didn’t exist. There is only one important difference: Your changes are not immediately applied to the document but are highlighted in color and otherwise marked as follows:

When you add text, it is colored and underlined.

When you delete text, it is colored and struck through.

When you change the formatting of text, it is colored.

In addition, a vertical line appears in the margin beside each line that contains a change, providing an indication that a change was made at that point.


Step 3: Accepting/rejecting changes

When all the desired changes have been made, they can be either accepted or removed one by one.

Use the Reviewing toolbar described in the introduction for this purpose:

The Reviewing toolbar

This toolbar appears automatically when the document contains changes that were made with the “Track changes” function enabled. If it does not appear, invoke the command View > Toolbars and enable the checkbox in front of Reviewing.

The following icons on the Reviewing toolbar are responsible for working with tracked changes:

Icon | Function
 | Track changes (on/off)
 | Enables/disables the “Track changes” function (as described earlier).
 | Corresponds to the menu command Tools > Changes > Track Changes.
 | Go to previous change
 | Positions the text cursor at the previous change.
 | Corresponds to the menu command Tools > Changes > Previous Change.
 | Go to next change
 | Positions the text cursor at the next change.
 | Corresponds to the menu command Tools > Changes > Next Change.
 | Accept current change
 | Accepts the change at which the text cursor is presently positioned. The change is then saved permanently in the document.
 | Reject current change
 | Rejects the change at which the text cursor is presently positioned.
 | Accept all changes
 | Accepts all changes in the entire document.
 | Reject all changes
 | Rejects all changes in the entire document.
 | Review all changes
 | Opens a dialog box in which all changes are listed. To accept or remove a change, first click on the change in the list and then click on the Accept or Reject button.
 | Corresponds to the menu command Tools > Changes > Review All Changes.
 | Show changes (on/off)
 | Turns the Show Changes option on or off. When the option is enabled changes are highlighted in color (as described in the previous section). When it is disabled, the document appears as if all changes had been accepted.
 | Corresponds to the menu command Tools > Changes > Show Changes.


Settings for the Track changes function

With the command Tools > Changes > Options you can set various options for the “Track changes” function.

Note: You can also access this dialog box by invoking the command File > Properties and changing to the Reviewing property sheet.

The following options are available:

Comments and Comments pane group boxes

The options in these two group boxes pertain not to the “Track changes” function, but to the insertion of comments. You will find information about them in section Using comments.

Track changes

Turns the tracking of changes on/off.

Corresponds to the [image] icon in the Reviewing toolbar and to the menu command Tools > Changes > Track Changes.

Show changes

Turns the Show changes option on/off. When enabled, changes are highlighted in color. When disabled, the document appears as if all changes had been accepted.

Corresponds to the [image] icon in the Reviewing toolbar.

Print changes

When enabled, tracked changes are highlighted (colorized) not only on the screen, but also in printed output. When disabled, the document prints as if all tracked changes had been accepted.

Show tooltips

When enabled, additional information on a change are displayed on the screen when you point at it with your mouse (author, date, and type of change).

Inserted text, Deleted text, etc.

The options in the lower area of the dialog let you specify how changes will be represented in the document. You can modify both the manner in which changes are displayed and the colors to be used to highlight the changes.

If you use the default setting By Author for a color, a new color will be selected automatically each time a new user makes changes. When the first user makes changes, they will appear in red. Subsequently, when another user opens the document and makes additional changes, these will appear in blue, etc.

Note: For this to work correctly, all users who edit the document must have entered their names in the preferences. To enter your name, invoke Tools > Options, switch to the General property sheet, click on either the User (Home) or User (Business) button, and type your name (or at least your initials) in the appropriate edit boxes.


Internet functions

TextMaker is equipped with functions for editing HTML documents for the Internet:

Opening HTML documents

Internet pages are usually in HTML format. With TextMaker you can open HTML files directly. Invoke the command File > Open and choose the HTML format from the Files of Type list box.

Editing HTML documents

The second section of this chapter covers the editing of HTML documents. Here you will learn what functions are available for HTML documents and how to use them.

Saving HTML documents

The last section covers the use of the command File > Save as to save documents in HTML format once they have been prepared.

Detailed information is provided on the following pages.


Opening HTML documents

Internet pages are usually saved in HTML (HyperText Markup Language) format. HTML documents can be recognized by the extension .htm or .html appended to their filenames. They can be opened in TextMaker as follows:

1. Invoke the command File > Open.

2. Choose the HTML format in the Files of Type list box.

3. Specify the file to be opened and confirm with OK.

TextMaker opens the HTML document and displays it on the screen.

Note: The presentation of a document in TextMaker can differ from a web browser’s presentation of it. However, you can always check the way the document will look in a browser by opening it in your web browser.


Editing HTML documents

In the following pages, you will learn which special features are available to you when working with HTML documents, and what you need to consider when using them.


Page formatting

Page formatting does not apply to HTML documents.

If you make changes in the page format with File > Page Setup, the changes are not saved in an HTML document.


Colored page backgrounds and background images

HTML documents can have a colored backgrounds or background images. These effects can be added as follows:

Changing the background color

To add color to the background of the document, invoke the command File > Properties and switch to the Internet property sheet. There you can choose the desired color from the Background color list box.

If none of the existing colors suits you, you can always compose your own colors. To do this, click on “Define color...”, the last item in the color list (see section Document properties, Colors property sheet).

Note: If you plan to change the background color, the Do not save colors in HTML file option should remain unchecked. If you enable this option, the color setting is valid only in TextMaker and is not saved in the HTML file. Accordingly, if you later open the document in a web browser, it will appear with the browser’s standard color – not the color selected in TextMaker.

Adding a background image

To use an image as the page background, either enter the image’s filename manually in the Background image box, or click on the Browse button to locate the image file on your hard disk.

It is recommended to use graphics in the JPG, GIF and PNG formats only, since these formats can be displayed by almost any Internet browser.

The background image file should reside in the folder where the HTML document is stored. If it resides somewhere else, you should place a copy in this folder.

You will find detailed information about inserting graphics in section Pictures in HTML documents.


Pictures in HTML documents

To insert a picture into an HTML document, you can use the command Object > New Picture as described in the chapter Pictures. However, you should take note of the following points:

The picture should reside in the same folder as the document

As a rule, the picture file should reside in the folder where the document is saved.

So, either copy the picture to that folder manually before adding it to the document, or simply check the Copy to document’s folder option in the Object > New Picture dialog and allow TextMaker to do this for you.

The picture should not be saved in the document

Beyond that, you should not use the Save within document option, because picture files cannot be saved within HTML documents.

Besides, it is not possible to insert picture frames in HTML format.

Which picture file format?

On the web, pictures are usually stored in one of the following file formats: GIF, JPG or PNG. All of these formats save the picture information in compressed form and thereby reduce picture file sizes considerably.

The GIF format is most appropriate for smaller graphics with a maximum of 256 colors. It uses a lossless compression method that does not impair image quality.

The JPG format is most appropriate for photographs and other large images in true color. However, the compression method used here is not lossless – the higher the chosen compression ratio, the worse the image quality.

The PNG format is the most versatile image file format. It comes in various sub-formats with different types of compression (including lossless as well as lossy compression).

Use pictures in one of these file formats whenever possible, since other formats are not supported by all browsers.


Tables in HTML documents

It is also possible to insert tables into HTML documents. To do this, use the command Table > New Table in the usual way (see chapter Tables).

Tip: With tables you can simulate sophisticated formatting for which the HTML format makes no explicit provisions. For example, you can produce double columned text by placing the text in a table with one row and two columns.


Horizontal lines

With the command Object > New Horizontal Line you can insert a horizontal line into the text – for example, when a dividing line is needed. Of course such lines are not limited to HTML documents; they can also be used in normal documents.

To insert a horizontal line, position the text cursor in the text line where the line is desired and invoke the command Object > New Horizontal Line.

The line is now inserted. By default, it extends all the way from the left to the right margin.

Changing the line’s properties

To change the way the line is rendered, select the line (by clicking on it) and invoke the command Object > Properties.

Tip: This command can also be invoked by double clicking on the line.

A dialog box appears and presents the following options:

Width of line

The width of horizontal lines is normally specified as a percentage of the page width. By default, the width is set to 100 percent; thus, the line extends all the way from the left to the right margin. If you change this setting to 50 percent, for example, the line will be shortened to half the width of the page.

Alternatively, you can enable the Absolute option and enter the desired width as a fixed value.

Thickness

Here, you can enter the line thickness in points.

Justification

Here you can choose how the line should be justified: Left (at the left margin), Right (at the right margin), or Centered (in the middle of the page).

Color

Here you can choose the line’s color.

You can always define new colors to supplement those that are available by default (see section Document properties, Colors property sheet).

3D shading

If this option is enabled, the line is rendered with a shadow effect.

Tip: With thin lines, this effect is hardly noticeable. Thus, it is recommended to increase the line’s thickness when using the 3D shading effect.

Color of 3D shading

You can choose the color of the 3D shading here.


Creating links

You can put hyperlinks in TextMaker documents and then follow them by clicking with the mouse.

For example, you can place a link to a website in a document. When the user clicks on it, the web browser starts automatically and presents the page.

You can also insert a link to another TextMaker document, allowing the document to be opened automatically by clicking on the link.

Creating a link

To create a link, proceed as follows:

1. Select the text that is to be made into a link.

2. Invoke the command Format > Link.

3. Enter the target of the link in the URL or file name box; that is, enter the path and name of the internet resource or file to which the selected text is to refer.

Links to web pages must be entered as “http://” followed by the address of the page – for example, “http://www.softmaker.com/index.htm”.

4. Below, in the Bookmark field, you can specify, if desired, a position in the target document to be opened (see below). However, this field is normally left empty.

5. Confirm with OK.

The link is now created. You recognize this by a change in the color of the text, which indicates the presence of a link.

Specifying a target position

The dialog described above gives you the option of specifying a position in the target document. To do this, enter at Bookmark either the address of an anchor (for HTML documents) or a bookmark (for TextMaker documents).

Example: If you enter “Report.tmd” at URL or file name and the name of a bookmark in this document at Bookmark and then follow the link you have created, the file Report.tmd will be opened and the text cursor will be positioned at the specified bookmark.

Following links

To follow a link, position the text cursor at any character within the link text. Then invoke the command Edit > Go to link. TextMaker responds by opening the linked document.

Tip: You can also follow links by clicking on the link text with the mouse.

Editing or removing a link

To edit an existing hyperlink, first select the link text. Then invoke the command Format > Link. A dialog box like the one described above then appears. Here you can edit the target of the link.

To remove a link, proceed as follows:

Removing a link by deleting the link text

When you delete text that has been formatted as a link, the link is removed with the text.

Removing only the link

If you want to remove only the link and leave the text in place, select the text and invoke Format > Remove Link.


Saving HTML documents

To save the current document in HTML format, proceed as follows:

1. Invoke the command File > Save as.

2. Choose the HTML format from the Save as Type list.

3. Enter the filename under which the file is to be saved and confirm with OK.

The document is now saved in HTML format.

Tip: After saving the document, open it with your web browser to check its appearance.


Outputting documents

In this chapter, you will find detailed information about outputting documents (printing, faxing, e-mailing, etc.).

The following topics are covered:

Print preview

The first section covers the use of the File > Print Preview command which displays a preview of the printed document on the screen.

Printing a document

The next section introduces the File > Print command which actually prints a document.

Printing a form letter

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

You can print form letters, which are documents that are to be sent to several addressees, with the command File > Print Merge.

Faxing a document

If you have installed fax hardware and suitable fax software, you can send a document by fax directly from TextMaker for Windows. The command File > Send > Fax is provided for this purpose.

Faxing a form letter

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

If you have installed fax hardware and suitable fax software, you can even send form letters by fax with TextMaker for Windows. You use the command File > Send > Fax Merge for this purpose.

Exporting a document to a PDF file

Using the File > Export as PDF command, you can export a document to a PDF file. Such files can be viewed on virtually any computer, provided that it has a PDF viewer installed.

E-mailing a document

When you would like to send a document by e-mail, you can use the command File > Send > E-mail.

Detailed explanations are presented in the following pages.


Print preview

The print preview displays a preview of the printed document on the screen. Using this feature can help you avoid wasting paper on test prints.

To open the print preview, choose the File > Print Preview menu command.

To close it, click on the Close button in the toolbar or press the Esc key.

Using the print preview toolbar

The print preview provides a toolbar with the following controls (from left to right):

Use these controls to jump from page to page. The two arrow buttons jump to the previous/next page. The edit field in the middle lets you jump to a specific page. Type in the desired page number and press the Enter key ¿.

The next three buttons have the following functions:

The left button invokes the File > Page Setup command to modify the page format (paper size, orientation, margins, headers and footers, etc.). See also section Page formatting.

The middle button invokes the File > Print command which prints the document. See also section Printing a document.

The right button invokes the File > Export as PDF file command which generates a PDF file from the document. See also section Exporting a document to a PDF file.

These controls can be used to change the zoom level. Either type in a zoom level in the edit field and press the Enter key ¿, or click one of the buttons at the left to choose the zoom level:

Actual document size (zoom level 100%)

Fit margins in window

Display one full page

Display two full pages

Activate magnifying glass (when this tool is active, use your mouse to drag a rectangle around the part of the document that you want to magnify)

These two buttons determine if comments and tracked changes should be included in the printout. By default, both options are turned off. For more information on these features, see the chapter Document revisions.

To close the print preview, click on the Close button or press the Esc key.


Printing a document

To print the current document, choose File > Print or use the keyboard shortcut for this command: Ctrl+P.

A dialog box appears, allowing you to make the following settings:

Printer

Here, choose from the installed printers the one that is to handle the printing.

The Setup button opens a window for setting up and configuring the printer. You can find information about this in your printer manual.

Linux users can also specify the command to be used for printing here.

Pages

Specify here the part of the document to be printed:

All

Print the entire document.

Current Page

Print only the page on which the text cursor is positioned.

Pages:

Print only the specified pages. You must enter the desired page numbers, for example:

12 | Print page 12 only
12-15 | Print pages 12 through 15
12- | Print page 12 and all pages following
-12 | Print pages 1 through 12

You can enter as many page ranges as you like provided you separate them with commas, for example:

2-5, 12

Print pages 2 through 5 and page 12

In addition, you can specify with the Pages to print option, whether all pages or only the odd or even numbered pages in the given range are to be printed.

Furthermore, the Pages per sheet option allows you to print more than just one page on each sheet of paper. For example, when you select Four Pages, each sheet of the printout will contain four pages (scaled down accordingly).

Options

This part of the dialog box contains additional printing options:

Copies

Here you can specify the number of copies of the document to be printed.

Collate copies

When you print multiple copies of a document, this option determines if the printout will be sorted after page numbers.

If you check this option and print multiple copies of a document with e.g. three pages, the pages will be output in the following order: 1-2-3, 1-2-3, 1-2-3, ...

If it is not checked, the order will be: 1-1-1..., 2-2-2..., 3-3-3...

Note: Not all printers support this feature.

Print to file

Redirects the print output to a file instead of a physical printer.

Drop pictures

Skips over all pictures and drawings when printing (useful for fast test printing).

Reverse order

Prints the pages from last to first.

To start printing, click OK.

Hint: Before actually printing a document, you can preview the printout using the File > Print Preview command.


Printing a form letter

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

To print a form letter, proceed as follows:

1. Open or create a form letter (see chapter Form letters and form faxes).

2. Make sure that the database with the desired addresses has been assigned to the form letter with Tools > Set Database (see section Assigning a database to a document).

3. Select the database records to be printed as required (see section Selecting data records).

4. Invoke the command File > Print Merge.

5. In the Records group box, choose one of the options for controlling which records in the attached database are to be used:

All (every record in the entire database)

Selected (all records in the database that have been selected)

Range (a range of record numbers – in this case you must enter the first and last numbers in the range)

Finally, confirm with OK to start the print job.

You will find detailed information about creating form letters in chapter Form letters and form faxes.


Faxing a document

Note: The extended fax functions described on the next pages are available only with TextMaker for Windows.

Extended fax support is integrated into the Windows version of TextMaker, simplifying the creation and transmission of faxes and form faxes:

Fax templates supplied with the program

To send a fax, simply pick one of the fax templates supplied with the program, specify the recipient, type the text and send it on its way with File > Send > Fax (see section A fax in five minutes).

Create personalized form faxes

Even form letters can be sent by fax. TextMaker handles this task by fetching the addressees’ names and fax numbers from the database assigned to the document (see the next section Faxing a form letter).

Important: Before you can make use of these functions, you must install one of the fax programs that are supported by TextMaker. See section Requirements for extended fax support.

Detailed information about TextMaker’s extended fax functions is presented on the following pages.


A fax in five minutes

Before we present TextMaker for Windows’ extended fax functions in detail, we want to show you how to create and send your first fax in just five minutes.

However, before you send a fax for the first time, you should check to see if you have fax software that TextMaker supports (see section Requirements for extended fax support). In addition, if you have not done so already, you must configure your fax software by giving it your name, fax number, etc. before you can begin.

Once you have completed this, you can proceed as follows:

1. In TextMaker for Windows, invoke the command File > New to create a new document.

2. A dialog box appears so that you can select the desired document template. The list shown in this window includes a folder called Fax. Choose one of the templates from this folder. (Double click on the folder, then double click on a template.)

3. TextMaker now takes you automatically to its address database. Page to the desired addressee.

Alternatively, you can click on the Append button to add a new addressee record including the fax number.

4. Click on the Insert button to insert the address into the fax form. The database will close automatically.

5. Now type the fax’s message text.

6. When the fax is ready, invoke the command File > Send > Fax.

7. A dialog box appears. Important: Make sure that the driver for your fax software (e.g., “Microsoft Fax on FAX:”) is shown as the selected Fax device. Then click on OK.

8. Another dialog box appears and presents data about the recipient. Make sure that the correct number is shown and click on OK to begin the transmission.

9. Done! At this point your fax software takes over and sends the fax on its way.

If you are interested in additional details or you would like to create your own fax templates or fax form letters, please read the following sections of the manual.


Requirements for extended fax support

Note: The extended fax functions described on the next pages are available only in TextMaker for Windows.

To make use of TextMaker’s extended fax functions, you must have one of the following fax programs installed:

Microsoft Fax (included with most versions of Windows XP)

Windows Fax and Scan (included with most versions of Windows 7 and later)

AVM FRITZ!fax version 2.0 and later

Of course you also need the corresponding hardware – be it a fax modem, a multi-function printer, a router, or any other fax device that is supported by your fax software.

Note: If you have a different fax program, you can, of course, continue to use it. If you choose to do so, you must follow the procedure for faxing described in your fax software manual. You will not be able to use TextMaker’s extended fax support or the form fax function, since these work only with the programs listed above.


Starting a fax transmission

When you want to send a document by fax, invoke the command File > Send > Fax, rather than the command File > Print.

A dialog box appears, allowing you to make the following settings:

Fax device

Here, choose the fax driver that was installed by your fax software (for example, “Microsoft Fax on FAX:”).

Setup button

If you click on this button, you will get the setup dialog for your fax software. You can use it to configure your fax program (see your fax software manual).

Pages

Here you can choose to fax the entire document, only the current page, or a specific range of pages.

High resolution

Faxes are usually sent in “normal” resolution. If you enable the High resolution option, the fax will be sent with finer quality, but the transmission will take longer.

Drop pictures

If this option is enabled, TextMaker skips over any pictures, drawings and OLE objects inserted into the document when transmitting it.

Extended fax support

This option is available only when a fax program compatible with TextMaker is installed on your PC (see section Requirements for extended fax support).

In this case, this option should not be disabled. If you disable it, the extended fax functions described in this chapter will not be operable. TextMaker will route the fax directly to your fax software, which will require you to supply the name and fax number of the recipient.

When you confirm with OK, a dialog will appear and allows additional settings for the fax transmission to be made (see the next section).


Settings for fax transmissions

When you exit the File > Send > Fax dialog box with OK, another dialog box appears. It allows you to specify the recipient’s fax number and name.

By the way, instead of entering the required settings in this dialog box, you can enter them ahead of time in the Fax property sheet in the dialog box for the File > Properties command.

Tip: When you use a suitable document template for faxing, as recommended in section A fax in five minutes, this dialog box has already been filled out for you. Several such document templates are included in the TextMaker distribution. Simply invoke File > New and choose one of the templates in the Fax folder.

If you don’t want to use any of the templates supplied, you can still fill out the fields Fax number and Name of recipient manually.

Important for form letters: For form letters, you must not enter fixed values here – rather, select the appropriate database fields. Read more about this in the next section (Faxing a form letter).

The following settings should be made in this dialog:

Fax number

Here, type the recipient’s fax number. Alternatively, click on the button ... and select the field from the attached database that contains fax numbers.

Name of recipient

Here you can either type the recipient’s name or select the field from the attached database that contains names. This information will then appear in the transmission report generated by your fax software.

After your OK the document is routed to your fax software and the fax transmission begins.

If this dialog box does not appear: If the dialog described above does not appear, and a dialog box produced by your fax software appears instead, you have either disabled the Extended fax support option in the File > Send > Fax dialog or you are using fax software that TextMaker does not recognize. Naturally, you can still fax the document. But you cannot use the procedure described in this section; instead, you must specify the recipient you want in your fax software’s dialog box (see your fax software manual).


Faxing a form letter

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

Note: The form fax functions described in this section are available only in TextMaker for Windows.

Its ability to handle the fax transmission of form letters to multiple recipients is another benefit of TextMaker for Windows’ extended fax support described earlier in this manual.

Important: To be able to send form faxes, you must have installed fax software on your computer that is supported by TextMaker (see section Requirements for extended fax support). If you have not done this, you should not use the form fax command.

To send a form letter by fax, proceed as follows:

1. Open or create a form letter (see chapter Form letters and form faxes).

2. Assign the desired database to the form letter (see section Assigning a database to a document).

3. If you don’t want to send the fax to all recipients stored in the database, open the database and select in it the recipients you want included (see section Selecting data records).

4. Invoke the command File > Send > Fax Merge.

5. Make sure that the driver for your fax software (e.g., “Microsoft Fax on FAX:”) is shown as the selected Fax device.

6. Specify which records of the attached database are to receive the faxed letter:

All (every record in the entire database)

Selected (all records in the database that are selected – this is the default setting)

Range (a range of record numbers – here you must enter the numbers of the first and last records in the range)

7. Confirm with OK.

Provided TextMaker supports your fax software, it will display a dialog that allows you to make settings for the fax transmission.

First, enter the database field that contains the fax numbers (unless it is already entered). To do this, click on the three dots beside the Fax number edit box, select the database field containing fax numbers and confirm with OK.

TextMaker now displays the field name and under it, as an example, the content of the field for the currently active record.

8. Next, let TextMaker know the field that contains the names of the fax recipients. To do this, click on the three dots to the right of the Name of recipient edit box and select the appropriate database field.

9. Make sure that all the settings are correct and confirm with OK.

TextMaker now generates the form faxes and routes them to your fax software, which then begins the transmission.

Important: If the dialog box described above does not appear, it is because TextMaker does not recognize your fax software. You must use fax software that TextMaker supports; otherwise, it is not possible to fax form letters. For a list of supported software, see section Requirements for extended fax support.

When the transmission process has been completed, you should examine your fax software’s transmission log to check whether the faxes have reached all the recipients.


Exporting a document to a PDF file

You can also export documents to a PDF file.

PDF files can be viewed on virtually any computer, provided that it has a PDF viewer installed (for example, “Adobe Reader”). Text formatting and objects (pictures, drawings, etc.) are retained exactly as in the original file.

To export a document to a PDF file, proceed as follows:

1. Choose the File > Export as PDF command.

2. A dialog window appears where you can change the settings described below. After that, confirm with OK.

3. Another dialog window appears where you can specify the filename and location of the PDF file to create. After that, confirm with OK.

The PDF file will then be created. To view it, open the PDF file in a PDF viewer of your choice.

Hint: If you do not have a PDF viewer installed on your computer, you can find numerous suitable programs in the Internet – for example, the free “Adobe Reader”.

The dialog window mentioned above provides the following options:

General property sheet

On this property sheet, you can specify which parts of the document to export, and change several other settings. Most of the options available are identical to the ones provided in the File > Print dialog, which is described in the section Printing a document.

Apart from that, the following options are available:

Create table of contents

Check this option if you want a table of contents (TOC) to be added to the PDF file.

Note: This will not insert a visible TOC into the document (like the Tools > Generate Table of Contents menu command does). It rather stores an internal TOC inside the PDF file. Some PDF viewers are able to display such TOCs in a separate pane left of the document, to make navigation easier.

Please note that, in order to use this feature, you have to outline the document beforehand (see the section Outlines).

Create interactive form

Determines if forms objects (text boxes, dropdown lists, etc.) as well as text frames and tables should be exported as editable objects.

By default, this option is not checked. If you activate it, such objects can be edited when the PDF file is viewed in a PDF viewer (provided that the corresponding permissions are set – see Security property sheet).

For more information on the creation of forms, see the chapter Forms.

Preferences property sheet

This property sheet contains options for modifying the output quality, including the following:

AutoShape options

FreeOffice: In SoftMaker FreeOffice, the maximum resolution is limited to 300 dpi.

Sets the quality (resolution) in which AutoShapes and all other types of drawings are exported. The higher the setting, the larger the resulting file will be.

Image options

Lets you choose if images should be stored using a lossless compression method or the (lossy) JPEG compression method. If you choose the latter option, the JPEG quality option becomes available and lets you modify the quality level of the compression.

Hint: Lossless compression provides perfect image quality. However, if your document contains a large number of images (especially photographs), the resulting file can become rather large. If this is the case, you may want to switch to JPEG compression, which provides a much higher compression rate for photographic images.

The option Use alpha channel for transparencies determines whether an “alpha channel” should be used when rendering transparencies in images or drawings. Usually, these look best when this option is enabled. However, some PDF viewers are unable to render alpha channels flawlessly, so we included an option to deactivate this feature.

Other options

Include TextMaker document: Stores a copy of your TextMaker document inside the PDF file. This enables users to open the resulting PDF file directly in TextMaker. The program will then extract the original TextMaker document from the PDF file and display it.

Open file in PDF viewer after exporting: Launches your PDF viewer and displays the PDF file after it has been exported (provided that you have a PDF viewer installed on your computer).

Use relative paths for file links: Automatically converts any hyperlink to a file into a relative path (instead of an absolute path). For example, when you have inserted a link to the file c:\Documents\Lists\test.txt and export the PDF document to the folder c:\Documents, the file path for this link will be changed to “Lists\text.txt”.

Font options

The Font embedding options let you choose if the fonts used in the document should be included in the PDF file.

If font embedding is enabled, the PDF file can be viewed in its original fonts on any computer – even if this computer does not have the fonts installed. If it is disabled, text will be rendered using different fonts selected automatically by the system.

View property sheet

This property sheet contains advanced options for the display of the PDF file in a PDF viewer, including the following:

Navigation pane

Use this option to specify what to display in the navigation pane of the PDF viewer. (The navigation pane is a panel displayed left of the PDF document.)

Options available:

Default: Use the PDF viewer’s default setting.

Empty: Do not display anything in the navigation pane.

Bookmarks: Display the document’s bookmarks in the navigation pane.

Page thumbnails: Display miniatures of the document’s pages in the navigation pane.

Zoom

Use this option to set the default zoom level of the PDF file, as follows:

Default: Use the PDF viewer’s default setting.

Full page: Select the zoom level at which the entire page fits in the window.

Fit width: Select the zoom level at which the page width fits in the window.

Fit height: Select the zoom level at which the page height fits in the window.

Custom: Set the zoom level to a custom value (in percent).

Page layout

Use this option to specify the page layout to display, as follows:

Default: Use the PDF viewer’s default setting.

Single pages: Display as single pages.

Two pages - odd pages left: Display as two facing pages (odd pages on the left).

Two pages - odd pages right: Display as two facing pages (odd pages on the right).

Additional options

This section provides the following additional options:

Display document title: Display the document’s title in the title bar of the PDF viewer (instead of its file name). Hint: You can change the title of a document on the Summary property sheet of the File > Properties dialog.

Center viewer on screen: Automatically center the program window of the PDF viewer on the screen when the PDF file is opened.

Full-screen mode: Automatically switch the PDF viewer to full-screen mode when the PDF file is opened.

Hide menu bar: Hide the menu bar of the PDF viewer.

Hide toolbars: Hide all toolbars of the PDF viewer.

Hide navigation pane controls: Hide all controls of the navigation pane.

Security property sheet

This property sheet provides options that allow you to encrypt the resulting PDF file and to set up passwords that protect the file against opening or changing it.

Encryption type

Here you can select if the PDF file should be encrypted. You can choose between 40 bit encryption (low level of security) and 128 bit encryption (high level of security).

Note: The other options on this property sheet are not available until you have chosen an encryption method.

Password to open the document

If you enter a password here, the PDF viewer will ask for this password when users try to open the PDF file. If they don’t enter the correct password, the viewer will refuse to display the file.

If you leave this field empty, any user can open the file without having to enter a password.

Password to set permissions

Additionally, you can restrict the access rights for the PDF file. To do this, first enter a password required to change the access rights. Then, use the options in the Permission section of the dialog to specify which permissions should be granted.

Background information: In some PDF viewers, a command for changing the access rights is available. If users try to invoke this command, they will be asked for the password you have entered here.

Permissions

Here you can specify which types of actions should be permitted. Only available when you have specified a password to set permissions (see above).


E-mailing a document

Provided an appropriate e-mail program is installed on your computer, you can send documents by e-mail from TextMaker.

To do this, proceed as follows:

1. Create or open the document that is to be e-mailed.

2. Invoke the File > Send or the File > Send > E-Mail command (if you have the Windows version of TextMaker).

3. Select the format in which the e-mail is to be sent.

If you choose the TextMaker document format, the recipient receives an e-mail with the TextMaker document as an attachment. In order to read the attachment, the recipient needs to have either TextMaker itself, or else SoftMaker’s free TextMaker Viewer, which can be downloaded from www.officeviewers.com.

Your default e-mail application is invoked and a blank e-mail message is generated, with the document as an attachment. You can specify the recipients and type in a subject and message, if desired, and then send the e-mail.


Common problems

Problems that can be encountered when outputting documents are listed here, along with their likely causes:

The File > Send > Fax command is not available.

Extended fax support is available only in the Windows version of TextMaker. If you have a version of TextMaker for a different operating system, use the File > Print command as usual.

The File > Print Merge or the File > Send > Fax Merge command is not available.

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

These commands are not available until a database containing addresses of recipients is attached to the document with the Tools > Set Database command (see section Assigning a database to a document).

TextMaker for Windows: A fax is sent to the printer instead of to the fax.

A) Did you give the correct command? Faxes are sent with File > Send > Fax, not with File > Print.

B) Invoke File > Send > Fax. Make sure that the Fax device option is set to the fax printer driver that was installed by your fax software. For example, if you use Microsoft Fax, this setting must read “Microsoft Fax on FAX:”.

TextMaker for Windows: When sending faxes, the dialog box for entering recipient data does not appear.

You are using fax software that TextMaker does not support. Naturally, you can continue to use it, following the fax procedures described in your fax software manual. However, TextMaker’s extended fax functions (including the fax merge function) will not be accessible.


Document management

TextMaker provides functions that simplify document management and speed up access to them:

Quick paths

You can set up quick paths to change immediately to folders that are frequently used to save or retrieve files.

Document summary

Every document can have a document summary that you can display and edit using the Summary property sheet in the File > Properties dialog. You can specify the document’s title, subject and author, enter keywords for the file manager’s search function, and compose a brief description of the document’s contents.

The file manager

The integrated file manager provides a convenient way to access your documents. It allows you to see at a glance the names and summaries of your documents, and to examine, open, print or delete them with the press of a key. With the search function, you can look for documents not only by filename, but also by subject, title, author, etc.

You will find detailed information for each of these functions on the following pages.


Quick paths

TextMaker gives you the capability to define up to twenty quick paths and use them to change to specific folders where you open or save files frequently.

A quick path is a symbolic statement like “Letters to the tax office” that stands for a specific folder on the hard disk (for example, the folder c:\letters\taxes).

When you want to open a file in this folder, all you need to do is click on the Quick path button in the File > Open dialog and select its quick path. The dialog changes immediately to the c:\letters\taxes folder.

Quick paths are available not only in the File > Open dialog, but also in all other dialog boxes that have to do with opening or saving files.

For detailed information on quick paths, see the pages that follow.


Defining quick paths

To define a new quick path, complete the following steps:

1. Open any type of file dialog, for example, the File > Open dialog.

2. Click the Quick path button.

3. A menu opens below the button. Select the Create new quick path command from it.

4. At Name of quick path enter a meaningful name for the quick path – for example, “Letters to the tax office”.

5. At Path enter the desired folder – for example, c:\letters\taxes.

6. Confirm with OK.

From now on, TextMaker will change to the folder c:\letters\taxes when the quick path “Letters to the tax office” is invoked.

Quick paths with search patterns: Quick paths can also include search patterns for file names. For example, you can define a quick path as c:\letters\taxes\2012*.*, which tells TextMaker to change to the folder c:\letters\taxes and display only those files whose names begin with “2012”.

Keyboard shortcut: The & sign can be used in a quick path name to give the name a keyboard shortcut. For example, if you enter “Letters to the &tax office” as the name, the quick path of this name can be invoked by pressing the T key whenever the list of quick paths is opened.


Using quick paths

Quick paths are available in all file dialogs – for example the dialogs for the File > Open and the Object > New Picture commands.

To invoke a quick path, do the following:

1. Click on the Quick path button in a file dialog.

2. A menu of all the previously defined quick paths opens. Select the desired quick path.

TextMaker now changes to the folder specified for the quick path.


Editing and deleting quick paths

To modify or delete an existing quick path, do the following:

1. Click on the Quick path button in a file dialog.

2. A menu opens. Select the Change quick paths command from it.

3. A dialog box appears. Select the desired quick path from the list box.

4. Click on Change to edit the name or path, or on Delete to remove the quick path.


Document summary

You can use the command File > Properties not only to make document specific settings, but also to enter summary information about the document.

The summary contains additional information (subject, author, keywords, etc.) about a document. To view or edit it, invoke the command File > Properties and switch to the Summary property sheet:

Enter your modifications, and confirm with OK.

Tip: Using the file manager (see the next section), you can search for documents based on the contents of their summaries. For example, you can have the file manager find all documents from a specific author.

Automatic prompt for summary information when saving: At your option, you can have TextMaker prompt you to fill in the document summary whenever you save a newly created document. To enable this function, invoke the command Tools > Options, switch to the Files property sheet, and enable the Prompt for summary information when saving option. Now, each time you save a new document for the first time, the dialog box for the entry of summary information will appear.


The file manager

The file manager displays a list of documents from one or more folders and lets you open, print, delete or view any document with a click of the mouse.

To start the file manager, use the command File > File Manager, or you can use the keyboard shortcut F12.

The File Manager window can be resized and moved to any position on the screen. The widths of the columns can be changed by dragging the lines that separate the column headers.

By clicking on one of the column headers, you can sort the files according to the contents of the column under that header.

You can select a file with the cursor keys or with a mouse click and then invoke a function to be performed on the file by clicking on one of the buttons. The functions associated with these buttons are described in the next section.

You can use the Search button to change to another folder. Apart from that, this button also provides access to search functions that work with document summary information, so that you can search for specific titles, subjects, authors, keywords, etc.

For detailed information on the file manager, see the pages that follow.


The file manager's buttons

The buttons in the file manager have the following functions:

Open

When you click on this button, TextMaker opens the selected file.

Tip: You can also open a file by double clicking on its filename.

Close

Use this button to exit the file manager.

Search

You can click on this button to search for specific files or simply to select a new folder for display in the file manager. For more information on this topic, see the next section (entitled Searching with the file manager).

Output

Use this button to print or e-mail the selected file. When you click on the button, a menu opens with the following functions (depending on the operating system):

E-mail: send the document by e-mail

Print: print the document

Print Merge: print the document as a form letter

Fax: send the document by fax

Fax Merge: send the document as a form fax

FreeOffice: The functions for printing and faxing form letters are not included in SoftMaker FreeOffice.

Rename

Click on this button if you want to change the name of the selected file.

Delete

If you click on this button, the selected file will be deleted (after confirmation).

Preview

Click on this button to preview the selected file.

A preview window appears. To open the document displayed in the preview window, click Open. To close the preview, click Cancel.


Searching with the file manager

With the help of the file manager’s Search button, you can have TextMaker look for specific files or simply choose the folder to be displayed in the file manager.

You can search for files that meet criteria of the following types: filename, folder, file type, as well as the items in the document summary (title, subject, author, keywords, and description).

Moreover, you can combine several search criteria. For example, if you only specify a particular folder in the search dialog, TextMaker will display all the documents in this folder. But if you also enter a search term in the Title field, TextMaker will find only those documents that are both in the selected folder and contain the given search term in the Title field of their summaries.

The search dialog has the following functions:

File name

Allows you to search for a specific file or a filename pattern.

With the default setting, the search function will find all documents of the chosen file type in the chosen folder.

If you specify a unique filename like Invoice.tmd, only files with exactly this name will be found.

If you specify a filename pattern like Inv*.tmd, all documents whose filenames begin with “Inv” will be found.

File type

From this list, you can choose the type of the files to be targeted in the search. For example, if you want to search for files in Rich Text Format, select this format from the File type list.

Title, Subject, Author, etc.

By making entries in these fields, you can target your search to the contents of the summaries that are included in your documents (see the section Document summary).

If you fill in several fields, the file manager will search for documents that meet all of your specified conditions. For example, if you enter “tax” in the Keywords field and “Smith” in the Author field, only documents whose summaries contain corresponding entries for both fields will be found.

You will get different search results depending on the precision with which you specify the search terms. For example, if you typed “tax” as the search term in the Keywords field, your search would also turn up documents whose keywords contain “tax increase” and “my income tax”, etc. – that is, all the documents in which “tax” was contained anywhere in the keywords.

Case is of no significance in search terms. If the search term is entered as “tax”, the search will also find documents whose keywords contain “Tax”.

Folders

Here you can select the folder in which the file manager is to carry out the search.

Include subfolders

If this option is enabled, the file manager searches not only the selected folder, but also all folders below the selected folder.

“New list” button

Starts a new search using the current settings.

“Add to list” button

Also starts a new search; however, any previous search results remain in the list rather than being cleared from the list.


Document protection

You can protect your documents from being read or saved by unauthorized persons by applying document protection – or, to be more precise, read and/or write protection – to them. For example, you can require the entry of a password to open or save a protected document.

To protect the current document, invoke the command File > Properties, switch to the Protection property sheet and select the kind of protection you want. Then enter whatever password you like for reading and/or writing.

The following types of protection are available:

No protection

The document is not protected. This is the default setting.

Write protection

The document can be saved only when the correct write password has been entered at the time the document was opened.

Read protection

The document can be opened only when the correct read password is entered at the time an attempt is made to open it. Furthermore, the document will be automatically encrypted.

Protection depending on password

Here the protection depends on whether the read or the write password is entered at the time the document is opened:

If the user enters the read password, he is permitted to open the document but not to save it. If he enters the write password, he has complete access. If he enters a false password, or nothing at all, access is completely denied.

Detailed information about enabling and disabling document protection is given on the following pages.


Enabling document protection

You can protect your documents from being read or saved by unauthorized persons by applying document protection – or, to be more precise, read and/or write protection – to them. For example, you can require the entry of a password to open or save a protected document.

When a document is read protected it is also encrypted, so that it cannot be examined with the use of programs other than TextMaker.

To protect a document, do the following:

1. Invoke the command File > Properties.

2. Switch to the Protection property sheet.

3. Select the kind of document protection desired (see below).

4. Enter the read and/or write password (at least 4, and no more than 15 characters).

Important: If you forget a password you can no longer open, or save, the document. Therefore, it is advisable to write down the password, paying attention to the cases of letters!

5. Confirm with OK.

6. A dialog appears and requires you to verify the read and/or write password by reentering it.

7. Confirm with OK.

8. Exit the dialog box with OK.

9. Save the document to make the changes effective.

From now on anyone who attempts to open this document will be asked automatically for the password. If the correct password is entered, the protection will be lifted for the duration of the edit session.

Using the above described dialog, you can select any of the following types of protection:

No protection

The document is not protected. This is the default setting.

Write protection

When the document is opened, the user is given the opportunity to enter the write password. The document can be saved only when the correct write password has been entered.

If the user enters a false password, or no password at all, the document is opened write protected and cannot be saved – not even under another name.

Read protection

When the user tries to open the document, he is prompted to enter the read password. If he enters a false password, or no password at all, the document is not opened.

Furthermore, the document is saved in an encrypted form, so that it cannot be examined with programs other than TextMaker.

Protection depending on password

Here the protection depends on whether the read or the write password is entered at the time the document is opened:

If the user enters the read password, he is permitted to open the document but not to save it.

If he enters the write password, he has full access. Thus, he can both read and also save the document.

If he enters a false password, or nothing at all, access to the document is denied.


Disabling document protection

When you succeed in opening a read or write protected document by entering the correct password, protection is disabled – but only temporarily. When you close the document, protection is again “armed” and the query for the password reappears the next time someone makes an attempt to open the document.

To disable the protection on a document permanently, do the following:

1. Open the document.

2. Invoke the command File > Properties.

3. Switch to the Protection property sheet.

4. Select the No protection option.

5. Confirm with OK.

6. Save the document, so that the changes will take effect.

Document protection is now permanently disabled.

The next time someone opens the document, no password query will interfere. All users can now open and save it.


Working with other file formats

Normally, TextMaker saves a document in its native file format, namely, the “TextMaker document” format. TextMaker documents can be recognized easily by the filename extension .tmd (TextMaker document). When you save a document, TextMaker automatically appends this extension to the name you give it. For example, if you save a document under the name “Letter”, its complete filename will be letter.tmd.

You can save a file in various other file formats as well, which is useful, for example, when you want to do additional work on a document using another program. And you can also open documents in TextMaker that have been created with other word processors.

In this chapter you will learn how to work with other file formats. It covers the following topics:

Saving and opening files in other file formats

The first section describes how to save or open a document in a different file format. You simply invoke the File > Save as command (or, the File > Open command respectively) and choose the file format in the Save as type list.

Working with text files

When you open or save a text file, its character set is usually determined automatically. As needed, you can specify the character set manually. This section contains information how to do this.

See the following pages for detailed information.


Saving and opening files in other file formats

[Chap: Saving and opening files in other file formats]This section provides information on saving and opening documents in a different file format.

Saving a document in a different file format

To save the active document in a different file format, invoke the command File > Save as and open the dropdown list Save as Type. Choose the desired format, enter a new filename if desired, and confirm by clicking on OK.

Opening a document stored in a different file format

To open a document stored in a different file format, invoke the command File > Open, open the Files of type list, and select the format of the file to be opened. Then select the file and confirm with OK.

Supported file formats

The list of available file types in Open and Save dialogs offers (among others) the following file formats:

Document

The native file format and default for TextMaker documents. This is the format in which you will typically save your documents. Compatible with TextMaker 2010 and 2012.

Template

Document template for TextMaker documents (see section Document templates)

Microsoft Word

You can also open and save documents in Microsoft Word file format. Supports Word 6.0 through 2003 (.doc files) as well as Word 2007 through 2010 (.docx files).

FreeOffice: In SoftMaker FreeOffice, .docx files can only be opened. Saving files in .docx format is not possible.

OpenDocument Text

Text documents in OpenDocument Text format can be opened and saved as well, providing compatibility with applications like OpenOffice.org Writer.

OpenOffice.org 1.x Text (import only)

Opens a document in OpenOffice.org 1.x Text format. (Saving in this format is not possible.)

TextMaker 2008

Saves a document in the file format of the previous version TextMaker 2008.

Rich Text Format

The RTF format is very suitable for document exchange. It supports all basic kinds of formatting and can be read by many other programs.

HTML

HTML format, for Internet documents (see chapter Internet functions)

TextMaker/DOS (import only)

Opens a document that was created with TextMaker for DOS, version 3.0 or higher. (Saving in this format is not possible.)

Text file

Plain text file

Text file with additional options

Same as above. However, opens an additional dialog where you can specify the character set before the file is opened/saved. See the section Working with text files for details.


Working with text files

As described in the previous section, you can also open and save plain text files with TextMaker.

When you do this, make sure the correct character set is used:

Letting TextMaker determine the character set automatically

Usually, you don’t have to care about choosing the correct character set, since TextMaker handles this automatically for you, as follows:

When you open a text file, TextMaker tries to determine its character set automatically. If it fails, your system’s default character set is used.

When you open a text file and save it, TextMaker automatically uses the character set in which the file was opened.

When you save an existing document to a new text file, your system’s default character set is used.

Setting the character set manually

Alternatively, you can specify the character set manually when you open or save a text file.

Proceed as follows:

1. Invoke the File > Open command (or, the File > Save as command respectively).

2. Important: Open the list of file types and choose the entry “Text file with additional options”.

3. Pick a file or specify the file name of the text file. Confirm with OK.

4. An additional dialog will open, where you can choose the desired character set.

The dialog provides the following options:

Character set

Here you can specify which character set to use when the text file is opened/saved.

Note: TextMaker suggests a suitable character set automatically. Usually, there is no need to change this setting.

Encoding of newlines

Only when saving: Here you can specify the control characters that are added at the end of lines (in order to indicate the beginning of a new line).

Note: TextMaker suggests suitable control characters automatically. Usually, there is no need to change this setting.

Available options:

CR+LF: This is the recommended setting for Windows.

LF: This is the recommended setting for Linux and Unix.

CR: This control character was used on older Apple Mac systems (prior to Mac OS X).


Working with Arabic text

In this chapter, you will learn everything you need to know about composing and editing text in Arabic script. The following topics are covered:

Activating extended support for Arabic text

Changing the text direction of paragraphs

Changing the direction of tables

Changing the direction of multi-column text

Changing the font of Arabic text

Inserting dates in Arabic

See the next pages for details.

Important: The features described in this chapter are only available when you have activated the Extended support for Arabic text option in the program settings (see next section).


Activating extended support for Arabic text

TextMaker includes an “Extended Support for Arabic Text” option that provides some additional features for editing Arabic text.

To activate this option, proceed as follows:

1. Invoke the Tools > Options command.

2. Switch to the General property sheet.

3. Activate the Extended support for Arabic text option.

Important: The features described in this chapter are only available when this option is activated.

Problems with the display of Arabic script?

If Arabic script is not displayed correctly when you open an Arabic document, this usually indicates that your operating system does not have the required Arabic fonts installed.

In Windows XP, you can resolve this by choosing “Install files for complex script and right-to-left languages” in the “Regional and language options” of Windows’ control panel.

For other operating systems, please check its online help to find out if support for Arabic script is available and how it can be installed.


Changing the text direction of paragraphs

When the Extended support for Arabic text option is enabled, you can change the text direction of any given paragraph in your document whenever needed.

To do so, proceed as follows:

1. Invoke the Format > Paragraph command.

2. Switch to the Paragraph property sheet.

3. Under Text direction, activate the option Right to left to change the text direction to right-to-left.

To set the text direction to left-to-right, deactivate the option.

Tipp: Using the keyboard

A much quicker way to change the text direction of a paragraph is provided with the following keyboard shortcuts:

When you press Ctrl and the left Shift key simultaneously, the text direction changes to left-to-right.

When you press Ctrl and the right Shift key simultaneously, the text direction changes to right-to-left.

Note: On some systems (e.g. Ubuntu Linux), these keyboard shortcuts are reserved for other functions. In this case, you can alternatively use the keyboard shortcuts Ctrl+Shift+A (for left-to-right) and Ctrl+Shift+D (for right-to-left).


Changing the direction of tables

When the Extended support for Arabic text option is enabled, you can change the direction of a table whenever needed.

To do so, proceed as follows:

1. With the text cursor inside the table, invoke the Table > Table Properties command.

2. Switch to the Properties property sheet.

3. Under Text direction, activate the option Right to left to change the direction to right-to-left.

To set the direction to left-to-right, deactivate the option.

The direction of the table changes accordingly.

Thus, when you change the direction of a table to right-to-left, the column on the very right becomes the first column (instead of the column at the very left).

In other words, the horizontal direction of the table is reversed – as follows:

Left: Table direction set to left-to-right

Right: Table direction set to right-to-left

Note: Of course you can still change the writing direction of the text in each table cell individually (as described in the section Changing the text direction of paragraphs).


Changing the direction of multi-column text

When the Extended support for Arabic text option is enabled, you can change the direction of a text section that uses multi-column layout whenever needed.

To do so, proceed as follows:

1. With the text cursor inside the multi-column text section, invoke the Format > Section command.

2. Switch to the Columns property sheet.

3. Under Text direction, activate the option Right to left to change the direction to right-to-left.

To set the direction to left-to-right, deactivate the option.

The direction of the multi-column text section changes accordingly.

Thus, when you change the direction of a section to right-to-left, the column on the very right becomes the first column (instead of the column at the very left).

Note: Of course you can still change the writing direction of the text in each paragraph individually (as described in the section Changing the text direction of paragraphs).

For general information on working with multi-column text, see the chapter Multi-column page layouts.


Changing the font of Arabic text

When the Extended support for Arabic text option is enabled, the dialog box for the Format > Character command presents lists for typeface, font size, style and language under not only a single category, but under three:

For Latin scripts (e.g. English)

For East Asian scripts (Chinese, Japanese, and Korean)

For complex scripts (e.g. Arabic)

Thus, you can specify the settings for each kind of script separately.

For example, if you specify “Arial” as the typeface for Latin characters and “Simplified Arabic” as the typeface for characters in complex scripts (like Arabic), all Latin characters that you type will appear in Arial, and all Arabic characters you type will appear in the font “Simplified Arabic”.

Note: TextMaker recognizes automatically whether given characters are part of the Latin, Asian, or complex scripts.


Inserting dates in Arabic

When the Extended support for Arabic text option is enabled, the dialogs for the commands Insert > Date and Insert > Field contain additional options for the insertion of dates into the text.

Options available:

Language

Here you can select the language in which day and month names are to be displayed in the date. You can choose between the language for Western scripts, for Asian scripts, or for complex scripts (e.g. Arabic).

Note: To specify the language for each of these script types, use the three Language options in the Format > Character dialog.

Calendar

Here you can choose if the date should be based on the Gregorian calendar or the Islamic (Hijri) calendar.

For general information on inserting dates and other fields, see the chapter Fields.


Scripts (BasicMaker)

Note: BasicMaker is not included in some versions of SoftMaker Office. Available only under Windows.

FreeOffice: In SoftMaker FreeOffice, BasicMaker is not included.

BasicMaker is a tool that allows you to compose and execute scripts written in the programming language SoftMaker Basic. SoftMaker Basic is modeled after the industry standard Visual Basic for Applications (VBA) from Microsoft.

Scripts can be used to automate tasks in the word processor TextMaker and the spreadsheet application PlanMaker.

Invoking BasicMaker

To start BasicMaker, or to execute a BasicMaker script, use one of the following procedures:

Starting BasicMaker from the Start menu

You can start BasicMaker by clicking on Start > Programs > SoftMaker Office > Utilities > BasicMaker in the Start menu.

Starting BasicMaker from within TextMaker/PlanMaker

Alternatively, you can start BasicMaker from within TextMaker or PlanMaker. From the main menu in TextMaker/PlanMaker, choose the command Tools > Edit Script.

Running a script directly from within TextMaker/PlanMaker

To execute a script, invoke the command Tools > Run Script in TextMaker/PlanMaker. A file dialog appears. Choose a script, confirm with OK, and the script will be executed.

For more information on BasicMaker and details on “programming” TextMaker and PlanMaker, see the BasicMaker online documentation (which can be found in BasicMaker’s Help menu).


Document windows

Every document that you create or open is displayed in its own document window. This feature allows you to work on multiple documents at the same time and copy data between them as needed.

In this chapter you will learn how to use document windows. See the next pages for detailed information.


Creating a document window

To create a new empty document window, invoke the File > New command. If you would like to create a new window and at the same time open a file in it, use the File > Open command. Both commands are described in the chapter Basics.

Note: A new document window is opened only when the New Window option in the File > New or File > Open dialog is enabled. Otherwise, TextMaker replaces the content of the currently active window.

By the way, with the help of the Tools > Options command you can change the default setting for the New Window option. If you disable the Open documents in new windows option on the Files property sheet, a new window will no longer be set up by default when you create or open a document.


Activating a document window

Keyboard entries and menu commands always affect only the currently active document window. To activate a specific window, you can do one of the following:

Mouse: Click anywhere within the window you want to activate (provided it is visible).

Keyboard: Open the Window menu. It contains a list of all open document windows, along with the corresponding document filenames. Here you can choose the window you want to activate.


Closing a document window

If you want to conclude your work on a document, you can close it by invoking the File > Close command.

The active document window, together with its content, is now closed. If the document has changed since it was last saved, a message box appears first, questioning whether you want to save the document.

Tip: You can close all currently opened document windows in one step with the command Window > Close All.


Maximizing a document window

Normally a document window covers only a part of the program window. But you can maximize a window when you want to concentrate on the document it contains.

Mouse: Click on the [image] button in the upper right corner of the window. The window then occupies the entire work space and covers up all other windows. To reduce the window to its original size, click the [image] button.

Keyboard: Open the window’s system menu with Alt+Minus (minus key) and select the Maximize command. To return the window to its original size, select the Restore command.


Minimizing a document window

If you want to get a window off the work space for a while without closing it, you can minimize it. The window then appears only in the form of an icon in the lower left corner of the program window.

Proceed as follows:

Mouse: Click on the [image] button in the upper right corner of the window. To restore the window, double click on the window’s icon, or select it from the Window menu.

Keyboard: Open the window’s system menu with Alt+Minus (minus key) and select the Minimize command. To restore the window, select it from with Window menu.


Arranging document windows

TextMaker can arrange your document windows automatically as required:

With the command Window > Cascade you tell TextMaker to stack the windows one behind another as in a file cabinet. The active window is placed at the top of the stack.

With Window > Tile Vertically the windows are arranged one below another.

With Window > Tile Horizontally they are arranged one beside another.

To change the size and position of a window manually, do the following:

Mouse: If the window is not maximized, you can position the mouse cursor in the window’s title bar, hold down the mouse button and drag the window to a new position. You can change the size of a window by dragging the right or bottom edge of the window to a new position.

Keyboard: Open the window’s system menu with Alt+Minus (minus key) and select the Move or Size command. Now you can change the position or size of the window with the arrow keys. These commands are not available when the window is maximized.


Using document tabs

FreeOffice: This feature is not included in SoftMaker FreeOffice.

When you open two or more documents, a bar with document tabs appears below the toolbars. One tab is displayed for each open document window:

The document tabs bar

With document tabs, the following actions can be performed:

Switching between document windows

When you click on a tab with the left mouse button, the corresponding document becomes the active document. This allows you to switch between your open document windows quickly.

Alternatively you can use the keyboard: Ctrl+F6 switches to the next document window and Ctrl+Shift+F6 to the previous one.

Closing document windows

When you click on a tab with the middle mouse button, the corresponding document is closed.

Alternatively, you can close a document by left-clicking on the x icon displayed on the right of the tab.

When you click on a tab with the right mouse button, a small menu containing commands for closing the current document or all other documents appears.

Showing/hiding the document tabs bar

The Window > Document Tabs command lets you choose if the document tabs bar should be displayed. When you invoke this command, a menu with the following choices opens:

Off

Disables the document tabs bar.

For two or more documents

Automatically displays the document tabs bar when you have two or more documents opened.

Always visible

Always displays the document tabs bar (even if just one document is opened).

Further settings related to document tabs can be made in the dialog of the Tools > Options command (General property sheet). See the section Preferences, General property sheet for details.


Customizing TextMaker

TextMaker gives you control over numerous program settings, allowing you to adapt the program to your personal working style.

This chapter covers all the details. It is divided into the following sections:

Preferences

To modify TextMaker’s global preferences, use the Tools > Options command. These settings apply to the program as a whole, and thus to all documents.

Document properties

To modify the properties of a document, use the File > Properties command. These settings affect the current document only.

Customizing the document display

This section describes how to adjust the way a document is displayed on the screen. Most of the necessary commands are found in the View menu.

Changing the zoom level

The View menu also provides commands to change the zoom level.

Customizing toolbars

To customize the program’s toolbars (Standard toolbar, Formatting toolbar, etc.), use the View > Toolbars command.

Customizing keyboard shortcuts

To customize keyboard shortcuts for menu commands, use the Tools > Customize > Keyboard Mappings command.

Using the grid and Using guides

Guides and the grid are aids for positioning objects such as frames and drawings that you insert or move. They can be adjusted with the command Object > Guides & Grid.

Installing additional dictionaries

When you install SoftMaker Office, dictionaries for some languages are already installed by default. In case you want to install additional dictionaries, follow the instructions given in this section.

These topics are treated in detail on the following pages in the order listed.


Preferences

To modify TextMaker’s global preferences, use the Tools > Options command. These settings apply to all documents.

The dialog box associated with this command contains several property sheets, each of which presents options relating to a different topic area. If you click on the Files property sheet, for example, you will be able to make settings that control the opening and saving of files.

On the next pages, you will find detailed information on each of the individual options available.


Preferences, View property sheet

The View property sheet in the Tools > Options dialog allows you to control how documents are displayed on the screen.

Document window group box

Here you can choose the tools to be displayed in the document window:

Table guidelines

Here you specify whether or not a grid of gray lines should be used to make the boundaries of table cells visible on the screen. These lines serve simply as visual aids; they are not printed.

By default, this option is enabled.

Frame guidelines

Here you specify whether or not gray lines should be used to make the boundaries of text frames visible. These lines merely indicate the position and size of the text frame on the screen; they are not printed.

By default, this option is enabled.

OLE object guidelines

Windows only: Here you specify whether or not gray lines should be used to make the boundaries of OLE objects visible. These lines merely indicate the position and size of the object on the screen; they are not printed.

By default, this option is enabled.

Guides

As described in section Using guides, you can set up guidelines for each document that will simplify the accurate positioning of objects.

With this option, you specify whether or not these guidelines should be displayed on the screen.

By default, this option is enabled.

Note: If you disable this option, the guidelines are no longer displayed, but retain their function.

Page borders

Here you specify whether or not page borders should be indicated in the document window with dotted grey lines. These lines serve merely as visual aids; they are not printed.

By default, this option is enabled.

Horizontal ruler

Here you can enable or disable the horizontal ruler.

The horizontal ruler is displayed above the text. It shows the current paragraph formatting, and it also provides a means of changing indents and tab stops with the mouse (see chapter Paragraph formatting).

By default, this ruler is enabled.

Vertical ruler

Here you can enable or disable the vertical ruler.

The vertical ruler is displayed to the left of the text. It serves merely to provide information and not for formatting changes.

By default, this ruler is disabled.

Overflow mark

When this option is enabled, TextMaker displays a red bar at the bottom edge of text frames whenever there is too much text to be fitted completely in the frame.

Show unprintable characters group box

Here you specify if paragraph breaks, tabs, spaces, etc. should be indicated as symbols on the screen to make them easier to recognize.

Paragraph breaks

If you enable this option, TextMaker displays the paragraph break at the end of every paragraph, represented by the ¶ symbol. This lets you see exactly where paragraphs end.

Tabs

If you enable this option, all tabs become visible on the screen as small arrows.

Spaces

If you enable this option, small dots are used to make all spaces visible on the screen.

Soft hyphens

If you enable this option, soft hyphens become visible on the screen. They are displayed as hyphens with a gray background.

All

Enables all the above listed options together.

Show scrollbars group box

Here you can specify whether or not horizontal and/or vertical scrollbars are to be displayed.

Wrap text to window

When this option is enabled, lines of text are always wrapped at the right border of the document window, regardless of their actual lengths. The actual layout of the document is thereby ignored, but the text becomes more legible on small displays (mobile devices, for example), which might otherwise require you to scroll to the right and left frequently in order to read a text.

Note: Activating this option only affects continuous view (View > Continuous) and the outliner. If the document is viewed in normal view (View > Standard) this option is ignored.

Show multiple pages side by side

With this option, you can specify if TextMaker should display multiple pages of a document side by side when the document is viewed at a very low zoom level:

On: Display as many document pages next to each other as fit into the document window. This allows you to view multiple pages at the same time.

Off: Display one page on top of each other.


Preferences, General property sheet

The General property sheet in the Tools > Options dialog contains common program settings:

Maximum number of undo steps

Here you can specify the number of actions that can be reversed with the Edit > Undo command. You can increase this number up to a maximum of 999 undo operations.

You will find more information about the Edit > Undo command in section Undoing changes.

Extended support for Asian fonts

When this option is enabled, the dialog box for the Format > Character command presents lists for typeface, font size, style and language under not only a single category, but under three:

For Latin scripts (e.g. English)

For East Asian scripts (Chinese, Japanese, and Korean)

For complex scripts (e.g. Arabic)

Thus, you can specify the settings for each kind of script separately.

For example, if you specify “Arial” as the typeface for Latin characters and “SimHei” as the typeface for Asian characters, all the Latin characters that you type will appear in Arial, and all the Asian characters you type will appear in SimHei.

Note: TextMaker recognizes automatically whether given characters are part of the Latin, Asian, or complex scripts.

Extended support for Arabic text

When you activate this option, additional features for editing text in Arabic script will become available. See the chapter Working with Arabic text for details.

Display of digits

Allows you to specify which type of numerals to use for the display of numbers in your documents:

Arabic: Display Arabic numerals (1234567890), as used e.g. in English. This is the default setting.

Hindi: Display Hindi numerals, as used e.g. in Arabic.

Context: Adapt automatically from the context. (If the number is surrounded by Arabic text, display Hindi numerals, else display Arabic numerals.)

Show warning when loading OLE objects

Linux only: When this option is enabled, TextMaker displays a warning that OLE objects cannot be displayed when you open a document containing such objects. (Only the Windows version is able to display OLE objects.)

“User (Home)” and “User (Business)” buttons

Here you can enter your addresses – separately for home and business. These entries are used by the document templates supplied with the program to personalize letterheads, fax forms, etc. by filling in the sender address (see section Document templates).

Document tabs

FreeOffice: This feature is not included in SoftMaker FreeOffice.

When you open two or more documents, a bar with document tabs will appear below the toolbars. One tab is displayed for each open document window.

You can use document tabs to switch between the currently opened documents with a single mouse-click. (See section Using document tabs for details.)

The following settings can be made:

Use the dropdown list below Document tabs to choose if the document tabs bar should be displayed. Available options:

Off: Disables the document tabs bar.

For two or more documents: Automatically displays the document tabs bar when you have two or more documents opened.

Always visible: Always displays the document tabs bar (even if just one document is opened).

Show document icon: If enabled, an icon indicating the file type of the corresponding document is displayed on the left of each tab.

Show close button on inactive tabs: If enabled, an x button is displayed on the right of each tab. You can click this button to close the corresponding window.

If you deactivate this option, the x button is displayed in the tab for the current window only.


Preferences, Edit property sheet

The Edit property sheet in the Tools > Options dialog allows you to set preferences for editing text.

Capitalize first letter of sentences

When this option is enabled, TextMaker automatically capitalizes the first letter of every sentence you type – even if you accidentally enter a lowercase letter.

For example, if you typed the sentence “this is a new sentence.”, it would be corrected automatically to “This is a new sentence.”.

Correct first two uppercase letters

When this option is enabled, TextMaker automatically corrects the case of words (such as proper names) whose first two letters have been capitalized inadvertently.

For example, if you typed the word “Henry”, it would be corrected automatically to “Henry”.

Select whole words when selecting

When this option is enabled, TextMaker automatically extends any selection that you make with the mouse to word boundaries. When the option is disabled, selections can be made on a character-by-character basis.

Add or remove spaces when pasting

When this option is enabled, spaces are added or removed automatically as required when words are deleted or cut from the text, and when they are pasted into the text from the clipboard.

For example, if you selected the word “is” in the sentence “This is a test” and cut it with Edit > Cut, TextMaker would automatically remove the space behind “is”, since it is now superfluous.

If you subsequently pasted the word “is” into the text in front of another word using Edit > Paste, TextMaker would automatically add a space between “is” and the following word.

Apply character formatting to entire words

Enabling this option has the following effect:

When the text cursor is inside a word and you change the character formatting (i.e. choose a different font or activate boldface), the entire word will be affected.

This allows you to format single words quickly, without having to select them first.

Format URLs as hyperlinks

When this option is enabled, URLs (web page addresses) will be formatted as hyperlinks automatically, right after you enter them.

For example, when you type “www.softmaker.com”, it will automatically be converted into a clickable hyperlink and displayed accordingly (usually blue and underlined).

Superscript ordinal numbers

Ordinal numbers are numbers like 1st, 2nd, and 3rd in the English language. When this option is enabled, ordinal numbers will be superscripted automatically, right after you enter them.

For example, when you type “2nd”, it will automatically be formatted as “2nd” (i.e., “nd” will be superscripted).

Note: This works only within text that is formatted in the respective language. So, if you enter the English ordinal number “2nd”, and TextMaker does not superscript it, you have to set the text’s language to English first (see section Setting the language).

Set left and first-line indent with Tab and Backspace keys

When this option is enabled, you can use the Tab key and the Backspace key to set and change paragraph indents.

To do this, place the text cursor at the beginning of the paragraph of interest or select the desired paragraphs. Then, press Tab to increase the indent or press Backspace to decrease it.


Preferences, Appearance property sheet

The Appearance property sheet in the Tools > Options dialog allows you to customize the appearance of the program’s user interface.

Dialog style

Sets the general style of TextMaker’s dialog boxes and toolbars. This does not change the way you use the software, only the way it appears.

Dialog language

Lets you select the language to be used in menus and dialog boxes. The selections available here depend on what alternative user interface languages were installed along with the program.

Show fonts in font list

When this option is enabled, TextMaker renders the names of fonts that appear in lists (such as the font list in the Formatting toolbar) using their corresponding fonts. This lets you see at a glance how each font looks like.

Show tooltips

Lets you specify whether or not tooltips should be displayed.

Tooltips are little text boxes that are displayed next to the mouse pointer when you position the pointer over certain screen elements, for example a button on a toolbar.

Beep on errors

When this option is enabled, a sound plays when TextMaker displays an error or warning message.

Use large icons

When this option is enabled, larger icons are displayed in toolbars and menus.

Note: Changes to this setting become effective only after the program is restarted.

Use system file dialogs

Windows only: This option controls the type of dialogs that appear when commands to open and save files are issued. The options are:

Disabled: TextMaker uses its own file dialogs.

Enabled: TextMaker uses the file dialogs provided by the operating system.

The former are easier to use; the latter offer more options.

Smooth edges of screen fonts

Not available on all operating systems: When this option is enabled, TextMaker uses a technology called “anti-aliasing” to smooth the edges of fonts and improve their appearance on the screen.

The options available vary according to the operating system.

Workspace color

This option allows you to change the background color of document windows.

Window Manager dialogs

Linux only: When this option is disabled, TextMaker for Linux draws its own dialogs. This is somewhat faster than using the window manager to draw them. However, in this case dialogs cannot extend beyond the boundaries of the program window.

When this option is enabled, the window manager draws the dialogs.

Window Manager positioning

Linux only: When this option is disabled, TextMaker for Linux positions dialogs itself – and always centers them in the program window.

When this option is enabled, TextMaker leaves it to the window manager to position dialogs wherever it will.

Measurement

Linux only: Here you can specify the units of measure TextMaker should use by default: Metric (centimeter) or U.S. (inch).

(Under Windows, this option is not necessary, since the program automatically uses the setting chosen in the “Regional and Language” options of Windows’ Control Panel.)

Tip: You can always override this setting and enter a value into a dialog field in another unit of measure by typing one of the following unit abbreviations after the value:

Unit | Explanation
cm | centimeter
in | inch – 1 in equals 2.54 cm.
pt | point – 72 pt equals 1 in.
pi | Pica (for characters)

For example if you typed “5.08 cm” for the left margin, TextMaker would set the margin to 5.08 cm (= 2 in).


Preferences, Language property sheet

The Language property sheet in the Tools > Options dialog contains settings that are related to the program’s language tools (spell checker, hyphenator, etc.).

Default language

Here you can select the default language to be used for spell checking, hyphenation, and the thesaurus. To choose your setting, open the dropdown list and select the desired language from the available options.

Tip: If you want to employ more than one language in a document, you can use the Format > Character command to format any particular segment of text in a different language. You can read more about this in the section Setting the language.

Spell-checking

Here you can configure the spell-checker. Settings available:

Use background spell checking

If you activate this option, the entire document will be continuously scanned for spelling errors in the background. Incorrectly spelled words are indicated with wavy red underlines and can be corrected at any time. See section Background spell checking.

Note: When this option is turned off, you can still check the spelling in a document using the manual spell-checker. To launch it, use the Tools > Check Spelling command. See section Manual spell checking.

Underline old German spelling in blue (new German spelling only)

When this option is enabled, the background spell checker additionally underlines in blue all German words that are correct according to the old German spellings but should be spelled differently to conform to the new, reformed spellings. See section Conversion to new German spelling.

Note: This option affects only text in the language “German (Germany)” or “German (Switzerland)”.

Hunspell dictionaries

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. Its spell checker supports solely the use of Hunspell dictionaries.

In a standard installation, only Hunspell dictionaries for English and German are installed. If you want to add additional languages, refer to the section Installing Hunspell dictionaries.

As an alternative to its own dictionaries, SoftMaker Office also supports the use of Hunspell dictionaries. These dictionaries are available as free downloads. Most of them were created by private users or non-profit organizations.

The Hunspell dictionaries button allows you to a) install Hunspell dictionaries that you have downloaded and b) specify for which languages to use Hunspell dictionaries.

For details, see section Installing additional dictionaries.

Hyphenation

Here you can configure the automatic hyphenation module. Settings available:

Use automatic hyphenation

Identical to the Tools > Automatic Hyphenation menu command.

In TextMaker, hyphenation is completely automatic and takes effect as you type. However, if you turn this option off, automatic hyphenation will be completely disabled (for the current document). Hyphens will no longer be inserted automatically, and the existing ones are removed. See also section Hyphenation.

Note: Unlike all other options in this dialog, this setting is not a global setting but a document setting. In other words: TextMaker remembers its state per document.

Expand SmartText entries

As described in the section SmartText, you can create SmartText entries (e.g. “sd” for “sales department”) with TextMaker.

When this option is enabled, your SmartText entries can be expanded right in the text. All you have to do is type the abbreviation for the SmartText entry (e.g. “sd”) and then press the space bar, Enter key or a punctuation key in order to signal TextMaker to replace the abbreviation with the content of the SmartText entry.

If this option is disabled, SmartText entries can be called out only with the Insert > SmartText command.

Smart quotes

TextMaker can automatically transform double quotes (") and single quotes (') as they are typed so that they are typographically correct, based on the selected language. You can specify the relevant language, or you can specify “None” if you want TextMaker to leave your quote marks as you typed them and make no changes.

The Auto option presents a special case: If you select this option, TextMaker detects the language automatically (using either the default language set in the preferences or the language assigned with Format > Character) and transforms the quote marks accordingly.


Preferences, Files property sheet

The Files property sheet in the Tools > Options dialog contains settings related to opening and saving files:

Template folder

Here you can specify the folder in which the templates for TextMaker documents are stored. The dialog that appears when you invoke File > New presents templates for your selection that are found in this folder.

Note: Normally, this setting should not be changed. Change it only in the event that you have actually moved the template folder to another place.

Default file format

Here you can select the file format that TextMaker will use by default to save newly created documents.

The available choices are “TextMaker”, “MS Word” in several versions, “OpenDocument”, and “RTF”.

Important: The latter formats are not able to accommodate features specific to TextMaker. For example, if you save a TextMaker document in Word format, certain formatting options and other features could be lost. Accordingly, it is recommended to use the default setting “TextMaker”.

Saving group box

Here you can make settings that affect the way documents are saved:

Create backup files

If this option is enabled, whenever you save a document, TextMaker will first create a backup copy of the last saved version in a file with the name extension .bak. So, if you save the document letter.tmd, the existing letter.tmd file is first renamed letter.bak, and then the edited document is saved under the name letter.tmd.

If you don’t want this behavior, disable the option.

Tip: Normally, you should not disable this option. Otherwise, if you should inadvertently save a document after making changes that you didn’t mean to make, you would have no recourse to a backup copy of the original. If the option had not been disabled, you could restore the original simply by copying the .BAK file to the .TMD file.

Prompt for summary information when saving

When you enable this option, a dialog box will appear automatically the first time you save a new document to enable you to enter some additional information about it (for more information, see the section Document summary).

Autosave documents every ... minutes

When you enable this option, TextMaker automatically makes a backup copy of every open document in a temporary folder on a periodic basis. You can enter a period of 1 to 100 minutes.

When you exit TextMaker in the normal manner, these copies are automatically deleted. However, if TextMaker is abruptly shut down by a power failure, for example, while you are working on open documents, these copies become available when the program is restarted. TextMaker recognizes that there has been a failure and offers to open the backup copies of all the documents that had been modified but not saved just prior to the failure.

You can then check each of the restored documents to determine if any of the most recently made changes have actually been lost, and then save them with File > Save.

Display warning when saving documents in text format

If this option is enabled, a warning will be issued whenever you save a document in plain text format, to remind you that all objects and formattings will be lost in the resulting file.

Opening group box

Here you can make settings that affect the way documents are opened:

Open documents in new windows

If this option is checked, whenever you open a document using File > Open or File > New, a new document window will be created.

If it is unchecked, the current document will be closed and the new document will be opened in the same document window.

Note: You only set the default state of this option here. The File > New and File > Open dialogs have their own New Window checkboxes, which allow you to specify on a document-by-document basis whether or not a new window should be opened.

Return to the last editing position when a document has been opened

When you open a document and this option is enabled, TextMaker automatically positions the text cursor at the place where it was located the last time you saved the document.

Note: This works only with documents in TextMaker format and Word 6.0 to 2003 format.

Recently used files

TextMaker displays a list of the files most recently opened in it in the File menu. If you select an item on the list, the corresponding file will be opened immediately. Using the Recently used files option you can specify the number of files to be displayed in the list.


Preferences, System property sheet

The System property sheet in the Tools > Options dialog contains the following system settings:

Compress pictures in memory

If this option is enabled, pictures inserted into documents will be stored compressed in memory. Advantage: Documents containing many pictures consume significantly less main memory. Disadvantage: The compression of course consumes some CPU time.

As a general rule, you should leave this option enabled.

Note: Changes to this setting become effective only after TextMaker is restarted.

Limit internal picture cache

TextMaker uses an internal picture cache to speed up the display of images in a document. If this option is enabled, the size of this cache is restricted to a maximum of 20% of your PC’s main memory.

As a general rule, you should leave this option enabled.

If you frequently work with documents containing many high-resolution pictures, you may consider deactivating this option. Pictures will then usually be displayed faster throughout the document; however, it can occur that TextMaker consumes a large amount of main memory.

Smooth edges of pictures

When this option is enabled, TextMaker uses anti-aliasing to smooth edges and lines in images. Advantage: The display quality of scaled images is improved. Disadvantage: This of course consumes some CPU time.

Check for updates

Windows only: Here you can specify how often the software should check if software updates are available. Software updates provide bug fixes and feature improvements.

Note: Checking for updates is possible only when your device has Internet access.

If you want to disable the automatic update check, choose the Never option from the list. In that case you have to check for updates manually (by clicking the Check Now button.)

Associate file types

Windows only: This button can be used to associate certain file types (for example, Microsoft Word documents) with TextMaker. As a result, such files can be opened with a double click on the file in Windows Explorer. TextMaker will automatically start (if it is not already running) and open the file.

When you click on the Associate file types button, a dialog appears. It indicates which files types currently are associated with TextMaker. To activate or deactivate any of these associations, click on the checkbox in front of it.

Use SHM extensions

Linux only: When this option is enabled, TextMaker uses shared memory caching to speed up the responsiveness of the display.

Note: Depending on the particular system, in certain cases the amount of shared memory available might not be sufficient for TextMaker. In such cases, TextMaker automatically disables this option.

Use XIM

Linux only: When this option is enabled, TextMaker supports the composition of accented characters (à, ô, é, etc.) using “XIM”.

For example, with a German keyboard, you can insert the character “ô” by first pressing the ^ key and then pressing the O key.

If you disable this option, composing characters like this is no longer possible.

Hint: On some systems, disabling this option improves the responsiveness of the display when you are typing text fast.

Mouse wheel

Linux only: If your mouse has a mouse wheel, you can set the scrolling increment for a turn of the wheel either by page (one complete page) or by a certain number of lines.

External applications

Linux only: This button opens a dialog where you can specify which external applications to start on certain actions. For example, when a PDF file is created, the application specified in the PDF Viewer field will be launched to display the result.

Note: You don’t have to fill out these fields. For all fields that are left empty, your system’s default application for the corresponding action will be used. Make changes to this dialog only when you want applications different from the default applications to be used. To do so, enter the file name of the corresponding executable (including the entire file path, if necessary).

User-defined font paths

Linux only: Here you can specify paths to supplementary fonts for TextMaker. To do this, enter the subdirectory in which the font files reside. If you want to enter multiple directories, separate them with colons.

TextMaker can then use these fonts in addition to the fonts available to it from the operating system.

Note: Changes to this setting become effective only after the program is restarted.


Preferences, Fonts property sheet

The Fonts property sheet in the Tools > Options dialog allows you to specify which fonts to display in font lists (e.g. in the dialog of the Format > Character command).

The property sheet presents a list of all fonts installed on your system. To activate or deactivate a font in the list, click on the checkbox in front of its name. Fonts where you have removed the checkmark are no longer displayed in font lists.

Background information: The fonts installed on your system by default contain several fonts that you will probably never need – for example, fonts that contain solely glyphs for foreign languages that you don’t use. If you like, you can hide such fonts as described above.

Use font filtering of the operating system (Windows 7 only)

Users of Windows 7 will additionally find an option named Use font filtering of the operating system on this property sheet. When activated, your system will automatically hide all fonts that contain solely glyphs for foreign languages in font lists.


Document properties

With the File > Properties command you can make settings that apply only to the current document and are saved with it. These settings are called document properties.

The settable document properties are grouped by topic and each group is presented on one of several property sheets. For example, if you click on the Summary property sheet, you can enter summary information about the document.

On the next pages, you will find detailed information on each of the individual document properties available.


Document properties, Summary property sheet

The Summary property sheet in the File > Properties dialog allows you to enter summary information about the current document.

The summary information can include descriptive entries about the document (subject, author, keywords, etc.) that the file manager can use in searches.

For more information, see section Document summary.


Document properties, View property sheet

The View property sheet in the File > Properties dialog contains settings that affect the way the current document appears on the screen.

Display field names

Controls whether fields (like date, page number, etc.) are displayed as they would appear when printed or symbolically, in the form of the field name surrounded by braces. Normally, you want to see the printed rendition, so leave this option disabled (see also chapter Fields).

By default, this option is disabled.

Show bookmarks

You can set “bookmarks” in a document with Insert > Bookmark (see section Bookmarks).

Normally these text markers are invisible. However, if you enable Show bookmarks they are displayed in the text – surrounded by angle brackets.

This option is disabled by default.

Shade fields

When you enable this option, all fields inserted into the document with Insert > Field (date, page number, etc.) are indicated with a gray background so that their positions in the document can be easily recognized.

This option is disabled by default.

Show merge record

This option is available only when you have attached a database to the current document with Tools > Set Database.

When you enable this option, the field names that normally represent database fields inserted into a document are replaced on the screen with the contents of the field from a specified record of the database. You can enter the number of the record whose contents are to be displayed in the edit box to the right of Show merge record. If you enter “10”, for example, the content of the field from the tenth record will be displayed.

This option is useful for checking the final appearance of a form letter before printing it (see also chapter Form letters and form faxes).

By default, this option is disabled.

Objects group box

As described in the section Hiding objects, you can make inserted objects invisible on the screen and/or on the printed page.

By means of these two options, you can make these objects visible and/or printable again, overriding their individual visibility settings:

Show invisible objects: If you enable this option, any object whose Visible property is disabled becomes visible on the screen.

Print unprintable objects: If you enable this option, any object whose Printable property is disabled will nevertheless be printed along with normally printable objects.

By default, both options are disabled.

Hidden text group box

Not only objects, but text too can be hidden (see section Hiding text).

The Show hidden text and Print hidden text options control respectively the display and printing of text that has been formatted hidden.

By default, Show hidden text is enabled and Print hidden text is disabled. Accordingly, hidden text is visible on the screen but does not appear on the printed page.

If you enable Print hidden text, hidden text will appear on the printed page along with visible text.

Pictures and OLE objects group box

With the default setting Show pictures all the graphics and OLE objects present in the text are displayed on the screen.

If instead you select the Use placeholders option, gray boxes are displayed at the positions of these objects. Advantage: The responsiveness of the display is improved when paging through a document with a lot of pictures.

Locking group box

With these options you can “lock” all objects on the master page and all guides and thereby protect them from being shifted inadvertently:

Lock objects on master page: If you activate this option, objects that have been inserted on the master page can be moved only in the master page view (see also section Master pages).

Lock guides: If you activate this option, guides can no longer be dragged with the mouse. They can be edited only from the Object > Guides & Grid dialog (see also section Using guides).

By default, both options are disabled.

Format view for... group box

Note: This option is available only in TextMaker for Windows.

Usually, this option should be set to the standard setting Use printer-independent formatting. The other two options are provided just for compatibility reasons.

Options available:

Use printer-independent formatting: The recommended setting. Formats the document using a very high internal resolution (which is independent from the current printer driver). When you switch to a different printer driver, the document will not change by any means.

Printer output: Formats the document using the resolution of the current printer driver. This may, in some cases, lead to changes in line breaks and thus even page breaks when you switch to a different printer driver.

Fax output: Same as Printer output, but using the current fax driver instead of the printer driver. This setting was recommended for fax forms in older versions of TextMaker, but is now obsolete. Instead, always choose the option Use printer-independent formatting, since it formats the document completely independent from the driver.

Decimal separator

Here you can specify the character to be used as a decimal separator.

This setting only affects the behavior of decimal tab stops. If you change the separator character from a period to a comma, for example, numbers at decimal tab stops will be aligned not on periods but on commas.

“Compatibility” button

This button provides access to settings that affect functions internal to the program, in order to improve compatibility with documents created in older versions of TextMaker or in Microsoft Word. These options are set automatically when such a document is opened and normally should not be changed.


Document properties, Colors property sheet

The Colors property sheet in the File > Properties dialog allows you to add and edit custom colors for the current document.

When you open a color list – for example, the color list in the Formatting toolbar – you see only a small subset of the more than 16 million colors that are available. This subset is called the color palette of the document.

You can modify this color palette at any time. You can add new colors and modify colors you have added. However, the first 24 colors in the palette are default colors than cannot be changed.

Important: Changes in the color palette are saved in the document. Thus, you can compose a different color palette for every document.

Adding a color

To add a color to the palette of the current document, do the following:

1. Invoke the command File > Properties and switch to the Colors property sheet.

Tip: Alternatively, you can gain access to this dialog from any other dialog box that contains a color list. To do this, select the Define color... entry in the color list (the last entry).

2. Set the desired color (see the section “Working with the color controls” below).

3. Click on the New button.

4. Give the new color whatever name you like and confirm with OK.

5. Exit the dialog with OK.

TextMaker now adds the new color to the document’s color palette. From now on, it will be available in all dialog boxes that permit color selection.

Changing a color

Note: You can change only those colors that you have added. The first 24 colors in the palette are default colors that cannot be changed.

To change a color, do the following:

1. Invoke the command File > Properties and switch to the Colors property sheet.

Or: Select the Define color... entry in any color list.

2. Select the color to be changed from the Color palette list.

3. Make the desired changes (see the section “Working with the color controls” below).

4. Click on Change.

The color is now changed for the current document.

Deleting or renaming a color

You can delete or rename user-defined colors at any time. To do this, invoke the colors dialog, select a color from the Color palette list, and click the Delete or Rename button.

Working with the color controls

The controls in the colors dialog allow you to set colors in a number of different ways. All these ways lead to the same results – just choose the method that suits you the best:

Using the color field and luminance slider

Setting colors is easiest when you use the large color field and the luminance slider to its right. The color field presents all the available hues in all available saturations, while the luminance slider next to it provides a means of varying the luminance.

To set a color, first click on the desired color in the large color field. Then click on the desired luminance in the luminance slider.

Using the hue, saturation and luminance controls

Alternatively you can set colors with the controls labeled Hue, Sat (saturation) and Lum (luminance). Values between 0 and 240 are allowed for each.

Using the Red, Green and Blue controls

Colors can also be specified by their red, green and blue components. The controls labeled Red, Green and Blue are provided for this purpose. Here, values between 0 and 255 are allowed.


Document properties, Fax property sheet

Note: This property sheet is available only in the Windows version of TextMaker.

The Fax property sheet in the File > Properties dialog allows you to make settings that relate to fax transmissions (fax number, recipient’s name, time to send, etc.).

The values entered here will appear in the dialog box associated with the File > Send > Fax and Fax Merge commands when you later issue one of these commands and confirm it with OK.

Normally, when you base your faxes on one of the document templates supplied with the program, you don’t need to fill in these values yourself, since the fields are already filled in for you. It makes sense to enter values here only when you create new fax templates with an attached database.

You can either enter fixed values in these fields or you can click on the ... buttons to the right of these fields to select database fields from the assigned database for entry.

You will find detailed information about this topic in section Settings for fax transmissions.


Document properties, Internet property sheet

The Internet property sheet in the File > Properties dialog allows you to change the colors and background of the current document and set other HTML related options.

Do not save colors in HTML file

If you enable this option, the color settings you make on this property sheet will apply only within TextMaker. They will not be preserved when you save the document as an HTML file. So, if you open the HTML file in a web browser, the document will appear in the browser’s default colors – not in the colors set here.

Show blink style as

Text that is formatted with the HTML attribute “blink” is not displayed in TextMaker as blinking but is indicated with the color selected here. By default this color is yellow.

Background color

Here you can change the document’s background color.

With the default setting “Auto” the background color is not changed. Accordingly, when you save the document in HTML format and open it in a browser, the document is displayed with the browser’s default background color.

Background image

You can specify a picture to be used for the background of the document by entering the filename of the desired image here. The background is created by tiling the image.

You must specify the full path and filename of the image. You can either enter this information manually or click on the Browse button to locate the image file on your hard disk.

Note: Background images are not displayed in TextMaker; they only appear when the file is saved in HTML format and opened in a web browser.

Hint: If none of the existing colors suits you, you can always compose your own colors. To do this, click on “Define color...”, the last item in the color list (see section Document properties, Colors property sheet).


Document properties, Statistics property sheet

The Statistics property sheet in the File > Properties dialog displays statistical information about the current document (number of characters, number of sentences, average word length, etc.).

Tip: If you select a segment of text before you open this property sheet, it will show statistics for the selected text only; otherwise, it will show them for the entire document.

The items of information shown are mostly self-explanatory. However, the difference between the first two items needs some clarification:

The number of characters counts the visible characters only.

The number of keystrokes also counts white spaces (created with the space bar, tab key, etc.).

Accordingly, the sentence “This is a test” has 11 characters and 14 keystrokes (since it contains three space characters).

Hint: Using the Statistics toolbar

If you need statistical functions frequently, you may want to activate the Statistics toolbar, which displays this information permanently.

To display or hide this toolbar, right-click on any toolbar to display a menu of all toolbars available. There, select the entry Statistics.

Then, open the dropdown list in the Statistics toolbar and select which information to display (characters, words, sentences, etc.).

Note: The statistics toolbar is not updated automatically while you type text. To update it, click the icon with the red arrows.


Document properties, Protection property sheet

The Protection property sheet in the File > Properties dialog allows you to apply document protection to the current document.

Opening and/or saving a protected document is possible only following the entry of a correct password. Documents with read protection are also encrypted, so that they cannot be examined with programs other than TextMaker.

You will find information about this topic in chapter Document protection.


Document properties, Forms property sheet

The Forms property sheet in the File > Properties dialog allows you to enable or disable Forms mode and optionally require a password to disable this mode.

When Forms mode is enabled, only forms objects (text fields, checkboxes, dropdown lists, etc.) can be filled out. Access to the rest of the document and to most of TextMaker’s functions is blocked.

Note: When you save a document in Forms mode, Forms mode will still be active when you reopen the document.

You can enable or disable Forms mode with the Forms mode activated option.

Tip: You can also use the View > Forms Mode command to do this.

When you enable Forms mode and, in addition, enter a Password to deactivate, anyone who subsequently attempts to disable this mode will be prompted for the password. The mode will be disabled only if the user supplies the correct password.

Important: If you save a document with Forms mode enabled and a password set and then forget the password, you will never again be able to disable this mode. So be sure to make a note of the password and keep it in a safe place!

You will find detailed information about working with forms in chapter Forms.

Shade forms objects

Also available on this property sheet is an option called Shade forms objects. If you check it, all forms objects (text fields, checkboxes, lists, etc.) are displayed with a light gray background so that they can be more easily distinguished from normal text.


Document properties, Reviewing property sheet

The Reviewing property sheet in the File > Properties dialog allows you to make settings that control the way comments and document revisions are handled.

You will find information about these settings in the following sections:

Settings for comments

Settings for the Track changes function

General information about comments and document revisions is available in chapter Document revisions.


Document properties, Fonts property sheet

Note: This property sheet is available only in the Windows version of TextMaker.

The Fonts property sheet in the File > Properties dialog box displays a list of all fonts used in the current document.

The list is divided into fonts that are available on the current device – and fonts that are not available (i.e. not installed).


Customizing the document display

You can adjust the way the document appears on the screen and either hide or bring into view various components of the program window with the commands in the View menu.

The commands and their associated functions are listed as follows:

Command | Function
Standard | Switches the document view to standard view. This is the view that you normally use when working with TextMaker, often referenced as normal view in the manual.
Continuous | Switches to the continuous view. For the most part this view is like the normal view; however, the document is presented not as a sequence of separate pages but as a single continuous text. Some users find it easier to survey a document in this view.
 | Note: In the continuous view, some components of the document, including page headers and footers, frames, drawings and footnotes, cannot be edited. Additionally, multi-column text is displayed in just one column.
Master Pages | Switches to the master pages view. In this view you can edit only the document’s master page(s).
 | Objects residing on the master page will be replicated on every page of the document (see section Master pages).
Outline | Switches to the Outline view. In this view you can see the structure of the document, assign text to a header and assign existing headers to higher or lower levels (see section Outlines).
Actual Size etc. | You can set the zoom level with the commands View > Actual Size through View > Zoom Level (see section Changing the zoom level).
Object Mode | Turns Object mode on or off. In Object mode, you can no longer edit text. However, this mode provides many functions that lighten work with objects like pictures, frames, etc. (see section Object mode).
Forms Mode | Turns Forms mode on or off. In Forms mode, only forms objects (text fields, checkboxes, lists, etc.) can be filled out. Access to the rest of the document and to most of TextMaker’s functions is blocked. See chapter Forms.
Toolbars | Opens a dialog box where you can show or hide toolbars, reposition them, or edit them. See the section Customizing toolbars.
Full Screen | Enters the full screen view mode, where the program maximizes its program window and hides all toolbars in order to display as much of the document as possible. See the section Full screen view.
Horizontal Ruler | Turns the horizontal ruler on or off.

Additional settings for customizing the display of documents are available with the following commands:

Tools > Options allows you to modify general settings that apply to all documents (see section Preferences, View property sheet).

File > Properties allows you to modify settings that apply to the current document only (see section Document properties, View property sheet).


Changing the zoom level

TextMaker offers you several different ways to specify the zoom level at which a document is displayed on the screen.

Use the following View menu commands to do this:

Command | Function
Actual Size | Sets the zoom level to 100%. This is the default setting.
Fit Margins to Window | Automatically selects the zoom level at which the width of a page fits exactly in the window.
Full Page | Displays one entire page of the document.
Two Full Pages | Displays two entire pages next to each other.
Magnifying Glass | Activates the magnifying glass with which you can draw a frame around whatever part of the document you want to enlarge.
Zoom Level | Allows you to select the zoom level from a list. You can also enter a value manually (e.g. “125” for a zoom level of 125%).

Tip: Using the zoom slider

FreeOffice: This feature is not included in SoftMaker FreeOffice.

You can also use the zoom slider at the bottom right of the screen to modify the zoom level.

To change the zoom level, either drag the slider with your mouse, or click on the minus icon or the plus icon.


Full screen view

In full screen view mode, TextMaker maximizes its program window and hides all toolbars in order to display as much of the document content as possible.

To enter this mode, use the View > Full Screen command.

To exit it, choose the View > Full Screen command again or press the Esc key.

Using the toolbar of the full screen view

When you activate the full screen view mode, an additional toolbar appears on the screen.

The “Fullscreen” toolbar

The icons in this toolbar have the following functions (from left to right):

Show/hide menu bar

Show/hide side bar

Enter/exit “Drag sheet” mode

When “Drag sheet” mode is activated, you can scroll your document using the mouse. Simply click into the document and drag the mouse pointer into the desired direction (with the mouse button still held down).

Note: Editing or selecting text is not possible in this mode.

To exit “Drag sheet” mode, click this button once again.

A click on the Close button leaves full screen mode.


Customizing toolbars

TextMaker provides toolbars for quick access to the program’s functions. Each icon on a toolbar represents a particular command. When you click on an icon, the corresponding command is executed.

A toolbar

This section describes how you can adapt these useful aids to your personal working style. Using the View > Toolbars command, you can take the following actions to configure the toolbars:

Displaying and hiding toolbars

Positioning toolbars on the screen

Managing toolbars (creating, deleting or renaming your own toolbars)

Customizing toolbar icons (adding, removing or repositioning icons)

Creating user-defined toolbar icons (to start other programs)

These topics are treated in detail on the following pages in the order listed.


Displaying and hiding toolbars

You can enable or disable individual toolbars at any time – for example, when you want to gain more room on the screen for text editing.

To select the toolbars you would like to display, proceed as follows:

1. Invoke the View > Toolbars command.

2. Click on the check box in front of a toolbar’s name to enable or disable it.

3. Exit the dialog box with Close.

The toolbars you have checked or unchecked are now enabled or disabled.

Tip: There is a faster way to do this: When you click with the right mouse button on any toolbar, a list of all available toolbars is displayed. To enable or disable a toolbar, simply click on the corresponding list entry.

Visible in mode ...

Some toolbars are visible only in particular working modes of TextMaker. The Formatting toolbar, for example, is visible only in normal editing mode. When you switch to Object mode, which is only for editing objects, it disappears, since it has no function in this mode.

The Visible in mode option controls this behavior. With it, you can specify when a toolbar will be visible, for example:

Option | Meaning
All modes | The selected toolbar is always visible (provided that it is not disabled).
Edit mode | The toolbar is visible only in normal Edit mode, and not in Object mode (see also section Object mode). Example: the Formatting toolbar
Object mode | The toolbar is visible only in Object mode and not in normal Edit mode (see also section Object mode). Example: the Object toolbar
Outline | The toolbar is visible only in Outline view (see also section Using the Outline view). Example: the Outline toolbar
Database mode | The toolbar is visible only in the database module. Example: the Database toolbar
Picture | The toolbar appears only when a picture is selected. Example: the Picture toolbar
Header/Footer | The toolbar appears only when the text cursor is in a header or footer.

To change the setting for one of the toolbars, invoke View > Toolbars, select the toolbar, and then choose the desired option in Visible in mode.

Note: Normally, it does not make sense to change this setting for the default toolbars (Standard toolbar, Formatting toolbar, etc.). These options are primarily meant for user-defined toolbars.


Positioning toolbars on the screen

You can position individual toolbars anywhere you like on the screen. To do this, you can either use the View > Toolbars command or simply drag a toolbar to the desired position with the mouse.

Changing the position with the View > Toolbars command

Proceed as follows:

1. Invoke the View > Toolbars command.

2. Select the toolbar you want to move by clicking on it.

3. Select the desired position for the toolbar in the Position list.

Note: If you choose the Floating option, the toolbar icons are displayed in a window that can be moved or sized just like an application window.

Changing the position with the mouse

All enabled toolbars can also be repositioned with the mouse. Proceed as follows:

1. Position the mouse pointer over an empty area of the toolbar.

2. Press the left mouse button and hold it down.

3. While holding the mouse button down, drag the toolbar to the desired position.

4. Release the mouse button to place the toolbar at the new position.

A positioning aid is active while you are dragging, so that when you drag the toolbar near one of the edges of the program window, it jumps automatically to that edge. If you leave the toolbar at the top edge of the window, for example, the result is the same as if you selected the Top position in the View > Toolbars dialog box.

Locking a toolbar in position: When you want to avoid accidentally dragging a particular toolbar out of its position with the mouse, invoke View > Toolbars, select that toolbar, and enable the Locked option.


Managing toolbars

You can create new toolbars, delete, and rename existing toolbars, edit toolbar icons, etc. To perform these tasks, use the buttons in the dialog box for the View > Toolbars command.

Creating new toolbars

TextMaker allows you to create your own toolbars whenever you wish.

For example, if you frequently need to use commands in the Window menu that are not present in the Standard toolbar, it might be worthwhile for you to set up your own toolbar for them.

You create a new toolbar as follows:

1. Click the New button (in the dialog box of the View > Toolbars command).

2. A dialog box appears and prompts you to enter a name for the new toolbar – “My toolbar” for example. Enter a name and confirm with OK.

3. The new toolbar is set up. Close the dialog box or click on the Customize button to add icons to the toolbar. You can read more about this in the section entitled Customizing toolbar icons.

Deleting and renaming toolbars

To delete or rename a toolbar in the View > Toolbars dialog box, select it and click Delete or Rename.

Note: You can delete and rename only toolbars that you have created yourself. The default toolbars (Standard toolbar, Formatting toolbar, etc.) cannot be removed.

Resetting toolbars

You can undo any changes you have made to one of the default toolbars by selecting it in the View > Toolbars dialog box and clicking Reset.

Now the toolbar contains the standard icons, as it did before you changed it. In addition, the default settings for Visible in mode and Position are restored.

Note: This command is applicable only to the default toolbars (Standard toolbar, Formatting toolbar, etc.), and not to user-created toolbars.

Customizing the icons in a toolbar

You can edit the icons on toolbars with the Customize button. Information about this is provided in the following section.


Customizing toolbar icons

You can edit the icons on a toolbar as you wish. Specifically, you can add, remove, and reposition the icons, and you can also insert and remove separator lines.

This can be accomplished as follows:

1. Make sure that the toolbar to be edited is enabled. If it is not, invoke View > Toolbars and enable it.

2. Invoke the command Tools > Customize > Toolbars. Alternatively, you can invoke this command by clicking the Customize button in the View > Toolbars dialog box.

3. Use one of the procedures described below to add, remove, or reposition an icon.

4. Exit the dialog by clicking on Close.

Tip: The Tools > Customize > Toolbars command can also be invoked from the context menu for toolbars or by double clicking on an empty area in any of the toolbars.

When you invoke this command, a dialog box appears and presents a list of all the icons that are available for addition to a toolbar.

The icons for the individual commands are organized under several categories to make them easier to find. If you select a category in the Group list, all the available icons in that category will be displayed in the Command list.

Editing the icons in a toolbar can be accomplished as follows:

Adding an icon

Simply drag the icon with the mouse from the dialog box directly to the desired position on the toolbar.

Deleting an icon

Drag the icon off the toolbar (into the text, for example) to delete it.

Moving an icon

Drag the icon to the desired position in the toolbar with your mouse. When you drag an icon to a position between two other icons, it is inserted there.

You can also drag an icon from one toolbar to another.

Inserting a separator line or space

If you drag an icon a small distance to the right, a separator line or space (depending on the operating system) will be inserted to the left of the icon.

Removing a separator line or space

If you drag the icon that is to the immediate right of the separator line or space a little to the left, the separator or space will be removed.

Resetting a toolbar: If you should happen to make a mistake while editing one of the default toolbars, you can always reset the toolbar. To do this, invoke the View > Toolbars command, select the toolbar to be reset with a mouse click and click the Reset button. All the changes you have made to the toolbar will be undone, and it will again contain the default icons.


Creating user-defined toolbar icons

You can also create user-defined icons and add them to TextMaker’s toolbars. Such icons can be used to start other programs of your choosing.

To set up a user-defined icon, for example, an icon for starting the Windows Notepad, proceed as follows:

1. Invoke the command Tools > Customize > Toolbars.

2. Select the User category from the Group list.

3. Select one of the icons from the Command list. The first three icons are already assigned to the Windows Calculator, the Windows Character Map, and the Windows Control Panel to serve as examples. Select the fourth icon for this exercise.

4. Click the Edit button. A dialog box appears.

5. Enter a short description of the program to be started in the Description field. In this example, you could enter “Windows Notepad”.

6. Enter the complete path and filename for the program to be started in the Command line field, for example, c:\windows\notepad.exe. If you are unsure of the path and filename, you can click on the Browse button to search for the program file on your hard disk.

7. Optional: If the program’s own icon is not the one you want to use to represent the program in the toolbar, you can enter the path and name for an icon file that you want to use in the Icon file field.

Note, however, that the icons used in toolbars are somewhat smaller than the usual Windows icons.

8. Confirm with OK.

9. The user-defined icon is now set up. If you want to add it to one of the toolbars, drag it with the mouse into the desired toolbar.

As soon as you exit the dialog box with Close, you can try your newly created icon. In the example above, clicking on the newly defined icon should start Windows Notepad.

If it does not work, this is because the program path or filename is incorrect. In that case, edit the icon as described above to correct the error.


Using the toolbar menu

Some toolbars end with a double arrow », as shown in the following picture:

When you click on this double arrow, the toolbar menu will open.

This menu gives you quick access to all the toolbar related commands detailed in the previous sections. In detail, the toolbar menu includes the following commands:

Add/remove buttons

This command opens a list of all icons available for a toolbar. When you click on one of its entries, the corresponding icon will instantaneously be activated or deactivated in the toolbar.

(Note: This command is meant for quickly turning icons on or off. If you want to perform further customizations to the icons displayed in a toolbar, follow the instructions given in the section Customizing toolbar icons.)

Position

Use this command to change the position of a toolbar. Available options: top, bottom, left, right, or floating (in a little window that can be moved and resized with the mouse).

Toolbars

Invokes the View > Toolbars command that allows you to activate or deactivate, configure, and manage toolbars.

See section Customizing toolbars.

Customize

Invokes the Tools > Customize > Toolbars command that allows you to edit the icons on a toolbar (add, remove, move icons).

See section Customizing toolbar icons.

Reset this toolbar

Resets the toolbar. All customizations made to the toolbar’s icons and settings will be reverted.


Customizing keyboard shortcuts

As you know, TextMaker’s most frequently used commands can be invoked with “keyboard shortcuts”. For example, you can execute the File > Save command very quickly by pressing the key combination Ctrl+S.

With the Tools > Customize > Keyboard Mappings command, these keyboard shortcuts can be customized, as desired. You can assign new shortcuts to commands and change or delete existing shortcuts.

Moreover, you can work with complete keyboard mappings. The keyboard shortcuts for all the commands are stored in a keyboard mapping. When you switch between two keyboard mappings, all the shortcuts change accordingly.

To customize TextMaker’s keyboard shortcuts, use the following buttons in the Tools > Customize > Keyboard mappings dialog box:

Apply button: Activate the selected keyboard mapping

New button: Create a new keyboard mapping

Note: If you simply want to add or change a few keyboard shortcuts, it is not necessary to set up your own keyboard mapping. Simply click on the Edit button and modify the standard keyboard mapping itself.

Edit button: Edit the keyboard shortcuts in a keyboard mapping

Delete button: Delete a keyboard mapping

Rename button: Rename a keyboard mapping

Reset button: Reset the shortcuts in a keyboard mapping to the default (possible only for the predefined Standard and Classic mappings).

Detailed information is provided on the following pages.


Activating a keyboard mapping

You can select which keyboard mapping to activate with the Tools > Customize > Keyboard mappings command.

To do this, proceed as follows:

1. Invoke the command Tools > Customize > Keyboard mappings.

2. Select the desired keyboard mapping.

3. Click on Apply to activate it.

Now the shortcuts defined in this keyboard mapping become available.

As stated in the introduction, all the shortcuts for all the commands are stored in a keyboard mapping. Accordingly, when you switch between two keyboard mappings, all the shortcuts change.

By default, the following two keyboard mappings are pre-defined:

Standard | The standard mapping contains all the keyboard shortcuts described in this manual (e.g. Ctrl+S for the Save command)
Classic | A largely WordStar-compatible keyboard mapping (for users who have worked previously with WordStar, TextMaker for DOS, or other programs with a WordStar compatible keyboard mapping)

Tip: You will find a table for the Standard keyboard mapping in the chapter entitled Keyboard shortcuts.

If necessary, you can modify either of these two standard mappings and also create your own keyboard mappings, a topic which is covered in the following sections.


Creating a new keyboard mapping

The Tools > Customize > Keyboard mappings command allows you to build complete keyboard mappings. Thus, you can set up different keyboard mappings to be used for different purposes, and switch between them as needed.

Note: When all you want to do is add or change a few keyboard shortcuts, it is not necessary to set up your own keyboard mapping. Simply click on the Edit button and modify the standard keyboard mapping itself.

To create a new keyboard mapping, complete the following steps:

1. Invoke the command Tools > Customize > Keyboard mappings.

2. Choose the existing keyboard mapping that you want to use as a basis for the new one.

Note: The new keyboard mapping will automatically be assigned all the keyboard shortcuts contained in the mapping you choose here.

3. Click the New button.

4. A dialog box appears and prompts you to enter a name for the new keyboard mapping. Enter, for example “My keyboard mapping” and then confirm with OK.

The new keyboard mapping is now set up. Next a dialog appears to allow you to modify the shortcuts contained in it. You will find information about this in the section entitled Editing the shortcuts in a keyboard mapping.


Renaming or deleting a keyboard mapping

User-created keyboard mappings can be renamed or deleted at any time.

These tasks are carried out as follows:

1. Invoke the Tools > Customize > Keyboard mappings command.

2. Select the keyboard mapping you want to delete or rename with a mouse click.

3. Click on Rename to give it a new name.

Or: Click on Delete to delete it.

You can rename or delete only keyboard mappings that you have created yourself. The predefined Standard and Classic mappings cannot be renamed or removed.


Editing the shortcuts in a keyboard mapping

The Tools > Customize > Keyboard mappings command is not only for managing keyboard mappings. The most important function of this command is the modification of the shortcuts contained in a mapping. The Edit button handles this function.

Assigning a shortcut for a command

When you find that you are using one of the menu commands frequently, you can assign a shortcut for it, so that in the future you will be able to execute it quickly with a simple keystroke combination.

As an example, we will assign the shortcut Ctrl+F12 to the Format > Standard command. Proceed as follows:

1. Invoke the Tools > Customize > Keyboard mappings command.

2. If necessary, select the desired keyboard mapping (if you want to modify a keyboard mapping other than the one that is currently activated).

3. Click on the Edit button.

4. Select a command category from the Group list. Then, from the Command list, select the command whose shortcut you want to modify.

In our example, you would select “Format” in the Group list and “Standard” from the Command list.

5. Click into the Please press accelerator field and then press the desired shortcut. In the example, you would press Ctrl+F12.

Hint: If you make a typing mistake, you can always press the backspace key to remove the keyboard shortcut you entered.

6. Don’t forget: Click on Add to assign this shortcut to the command.

7. Confirm with OK and exit the main dialog box with Close.

From now on, you can execute the Format > Standard command with the key combination Ctrl+F12.

Available keyboard shortcuts

Notice that some of the keystroke combinations that are possible on your keyboard are not allowed as shortcuts.

As a rule, you should use alphabetic keys, numeric keys or function keys for shortcuts. You can combine them with Ctrl, Alt and/or the Shift key.

You can easily check to see if the key combination you want to use is allowed. Click into the Please press accelerator field, and then try to enter your key combination. If it does not appear in the field, it is not allowed.

Some examples of valid keyboard shortcuts include:

Ctrl+A

Alt+A (However, key combinations including the Alt key are not recommended, since they are usually occupied by the main menu entries).

Ctrl+Alt+A

Ctrl+Shift+A

Ctrl+Alt+Shift+A

Ctrl+F1

etc.

Note: Alphabetic keys by themselves are not allowed. Thus, you cannot use A or Shift+A as a shortcut.

Shortcut already assigned: If you press a shortcut that is already assigned, the current assignment will be shown just below the entry field. You should press the Backspace key to delete your shortcut and try a different shortcut. Otherwise, you will overwrite the existing assignment for the shortcut.

Two part shortcuts: You can also use two part shortcuts (in accordance with the WordStar standard), for example, Ctrl+K+X. However, in this case only shortcuts of the form “Ctrl + letter + letter” are allowed.

Removing a keyboard shortcut

Any time after assigning a shortcut to a command, you can undo your actions and remove the assignment.

To do this, proceed as follows:

1. Invoke, as described above, the Edit Keyboard Mapping dialog.

2. Select the command category from the Group list and then select the desired command from the Command list.

3. All the shortcuts currently assigned to this command appear in the Current shortcut keys field. Select the shortcut you want to remove and click on the Remove button.

4. Confirm with OK, and exit the main dialog box with Close.

The shortcut is now removed, and the command cannot be invoked with this shortcut anymore.


Resetting the shortcuts in a keyboard mapping

If you click on the Reset button in the dialog box of the Tools > Customize > Keyboard mappings command, all the shortcuts of the selected keyboard mapping will be reset to their default settings.

Note: During this process, all modifications that you have made to the shortcuts in this keyboard mapping are lost.

This function is applicable only to the pre-defined keyboard mappings, Standard and Classic.


Using the grid

The grid is a positioning aid for object frames and drawings. When it is enabled, objects cannot be shifted to arbitrary positions; instead they snap from one grid point to the next.

Activating the “Snap to grid” function

Normally, the grid is disabled. Accordingly, you can move frames and drawings with complete freedom using the mouse.

To enable or disable the grid, do the following:

1. Invoke Object > Guides & Grid.

2. Switch to the Grid property sheet.

3. Enable (or disable) the Snap to grid option.

When the grid is enabled and you insert, for example, a new text frame or shift the position of an existing frame, the object cannot be positioned arbitrarily with the mouse. Instead, it jumps from one point on the grid to the next.

Changing the grid distance

You can set the distance between the grid points to any value you like. To do this, proceed as follows:

Proceed as follows:

1. Invoke the command Object > Guides & Grid.

2. Switch to the Grid property sheet.

3. Enter the desired values in the Grid distance group box.

Showing the grid on the screen

By default, the grid is not shown on the screen. If you want it to be displayed, activate the Show grid option in the dialog described above.

Note: The grid is displayed on the screen only; it does not appear on the printed page.


Using guides

Besides the grid described in the previous section, TextMaker gives you an additional aid for positioning frames and drawings called guides.

You can set up horizontal and vertical guides. As soon as a frame or drawing that you have inserted or moved comes near one of the guides it automatically snaps to that guide – as if guides were magnetic.

This is useful, for example, when you want several picture frames or text frames to be precisely aligned alongside one another.

Enabling the “Snap to guides” function

Before attempting to use guides, you should check to see if the Snap to guides option is enabled.

To do this, proceed as follows:

1. Invoke the command Object > Guides & Grid.

2. On the Guides property sheet, make sure that the Snap to guides option is enabled.

If this option is disabled, the guides can still be displayed and changed, but they will not have any effect on the insertion and repositioning of objects.

Showing the guides on the screen

In addition, the display of the guides should be enabled.

You can check this as follows:

1. Invoke the Tools > Options command.

2. Switch to the View property sheet.

3. Make sure that the Guides option in the Document window group box is checked.

Note: Guidelines are displayed on the screen only; they do not appear on the printed page.

Adding guides under menu control

To set up new guides, do the following:

1. Invoke Object > Guides & Grid.

2. Under Horizontal or Vertical, enter the position at which the guideline should be placed and then click the Set button.

Adding guides with the mouse

Alternatively, you can set up new guides with the mouse:

1. Click on the [image] icon in the Formatting toolbar or invoke the command View > Object Mode to activate Object mode.

2. Now you can drag vertical guides out of the vertical ruler and horizontal guides out of the horizontal ruler.

To do this, click with the mouse on one of the rulers and drag the mouse pointer (left mouse button held down) into the text area. Release the mouse button when you reach the position at which you would like the guide to be set.

3. Finally, click once more on the [image] icon or invoke View > Object Mode again in order to exit Object mode.

Note: If the ruler you want to use is not displayed, invoke Tools > Options, switch to the View property sheet and there enable Horizontal ruler or Vertical ruler as needed.

Changing the tolerance for guides

By default, a frame or drawing snaps automatically to a guide when it is moved with the mouse to within 8 pixels of the guide. However, the tolerance level is customizable. If you raise the tolerance to 20, for example, the object will snap to the guide when it is at a distance of 20 or fewer pixels from the guide.

To change the tolerance, invoke Object > Guides & Grid, switch to the Guides property sheet and enter the desired value in pixels in the Tolerance field.

Moving and deleting guides

To delete or reposition a guide, proceed as follows:

Keyboard: Invoke Object > Guides & Grid. To remove a guide, select it from the list and click the Delete button. To reposition a guide, delete it and then set a new guide at the desired position.

Mouse: In Object mode, guides can simply be grabbed with the mouse and dragged to new positions. Also, if you move a guide into the horizontal or vertical ruler, the guide will be deleted.

Locking guides

You can “lock” guides so that they cannot be moved accidentally with the mouse.

To do this, invoke File > Properties, switch to the View property sheet and enable the Lock guides option in the Locking group box.

From this point on, guides cannot be shifted with the mouse. Their positions can be changed only in the dialog box of the Object > Guides & Grid command.

Activating the “Snap to page margins” function

When you enable the Snap to page margins option, the page boundary lines of the document also function as guidelines. Accordingly, if you drag an object to a position near one of these lines, the object will snap to it.

Hint: To enable or disable the display of the page boundary lines, invoke the Tools > Options command, switch to the View property sheet and turn Page borders on or off.


Installing additional dictionaries

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. However, as an alternative, the spell checker supports the use of free Hunspell dictionaries.

When you install SoftMaker Office, dictionaries for some languages are already installed by default. In case you want to install additional dictionaries, follow the instructions given in the following sections:

Installing additional SoftMaker dictionaries

Windows only: In the Windows version of SoftMaker Office, you can install additional SoftMaker dictionaries anytime using the setup program for SoftMaker Office. (Not available in SoftMaker FreeOffice.)

Installing Hunspell dictionaries

Additionally, all SoftMaker Office applications support the use of free Hunspell dictionaries, which can be downloaded free of charge at www.softmaker.com. To install a Hunspell dictionary, use the Tools > Options command (Language property sheet).

Choosing a different dictionary for a language

In case you have installed more than one dictionary for a certain language (e.g. a SoftMaker dictionary and a Hunspell dictionary), you can switch between these dictionaries anytime. Read the last section for details.

For detailed information, see the pages that follow.


Installing additional SoftMaker dictionaries

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. However, as an alternative, the spell checker supports the use of free Hunspell dictionaries.

For information on installing additional Hunspell dictionaries, see the next section (Installing Hunspell dictionaries).

Note for Linux users: This section applies to the Windows version only. Under Linux, all available SoftMaker dictionaries are installed during the setup procedure anyway.

SoftMaker Office is shipped with elaborate dictionaries for numerous languages. To install any of these dictionaries after the main installation, proceed as follows:

1. Launch the setup program (that you have used to install SoftMaker Office) once again.

If you obtained SoftMaker Office on CD-ROM, you will find the setup program in the root folder of the CD.

If you obtained SoftMaker Office by download, simply launch the setup program that you have downloaded. In case you have deleted it meanwhile, download the setup program one more time. For instructions on how to do this, see the e-mail that you received from us after purchasing the software.

2. After several dialog windows that you can simply confirm you will get to a dialog with the following options: Change, Repair, and Remove. Click on Change.

3. Another dialog appears, listing all individual components of SoftMaker Office. In this list, open the category Proofing Tools by clicking on the plus sign (+) displayed in front of it.

4. You are now presented a list of all languages supported by the language tools in SoftMaker Office.

When you click on the icon displayed in front of a language, options for installing the corresponding language will be displayed. For each language that you want to install, choose the option Will be installed on local hard drive.

5. When you have made your selections, click on the Next button until the installation procedure begins.

The selected dictionaries will now be installed.


Installing Hunspell dictionaries

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. However, as an alternative, the spell checker supports the use of free Hunspell dictionaries.

In a standard installation, only Hunspell dictionaries for English and German are installed. In case you want to add additional languages, follow the procedure described below.

As an alternative to its own dictionaries, SoftMaker Office also supports the use of Hunspell dictionaries. These dictionaries are available as free downloads. Most of them were created by private users or non-profit organizations.

Hunspell dictionaries are available for very many languages. In case you don’t find a SoftMaker dictionary for a certain language, it might be worth checking if a Hunspell dictionary is available for that language.

For a list of all Hunspell dictionaries supported by SoftMaker Office, visit the “Download” area of our website www.softmaker.com. You can also download the dictionaries there, free of charge.

To download and install a Hunspell dictionary, proceed as follows:

1. With your web browser, navigate to: www.softmaker.com

2. In the “Download” area, navigate to the free Hunspell dictionaries.

3. You are now presented a list of all Hunspell dictionaries that SoftMaker Office supports. Download the dictionary of interest and store it on your hard disk.

4. Launch any SoftMaker Office application (TextMaker, PlanMaker, or Presentations).

5. Invoke the Tools > Options command and switch to the Language property sheet.

6. Click on the Hunspell dictionaries button.

7. A dialog showing a list of all languages/dictionaries installed appears. Click on the Add Hunspell dictionary button.

8. A file dialog is displayed. Use it to browse to the folder where you have stored the downloaded dictionary.

9. Select the dictionary file from the files list and click on Open.

The dictionary will be installed and is from now on available in any SoftMaker Office application.


Choosing a different dictionary for a language

FreeOffice: SoftMaker FreeOffice does not include any of the premium SoftMaker dictionaries normally shipped with SoftMaker Office. However, as an alternative, the spell checker supports the use of free Hunspell dictionaries.

(See also section Installing Hunspell dictionaries.)

In case you have installed more than one dictionary for a certain language (e.g. a SoftMaker dictionary and a Hunspell dictionary), you can switch between these dictionaries anytime. Proceed as follows:

1. Invoke the Tools > Options command and switch to the Language property sheet.

2. Click on the Hunspell dictionaries button.

3. A dialog showing a list of all languages/dictionaries installed appears. First, select the language of interest in that list.

4. Then, select the dictionary to use for the chosen language in the Dictionary dropdown list. The list can have the following entries:

SoftMaker: The SoftMaker dictionary shipped with SoftMaker Office. (This is the default setting.)

Hunspell: A Hunspell dictionary (free dictionary, see previous section)

5. Confirm with OK.

From now on, the spell-checker will use the selected dictionary for the specified language.


Keyboard shortcuts

The following pages provide tables for the most frequently used keyboard shortcuts in TextMaker:

Keyboard shortcuts for menu commands

Keyboard shortcuts for editing text

Hint: If you want to customize TextMaker’s keyboard shortcuts, use the Tools > Customize > Keyboard Mappings command (see section Customizing keyboard shortcuts).


Keyboard shortcuts for menu commands

Command | Keyboard shortcut
File > New | Ctrl+N
File > Open | Ctrl+O
File > Close | Ctrl+F4 or Ctrl+W
File > Save | Ctrl+S
File > File Manager | F12
File > Print | Ctrl+P
File > Exit | Alt+F4 or Ctrl+Q
Edit > Undo | Ctrl+Z
Edit > Redo | Ctrl+Y
Edit > Cut | Ctrl+X
Edit > Copy | Ctrl+C
Edit > Paste | Ctrl+V
Edit > Paste Special | Ctrl+Shift+V
Edit > Select All | Ctrl+A
Edit > Search | Ctrl+F
Edit > Replace | Ctrl+H
Edit > Search Again (or Replace Again) | F3
Edit > Go To | F5 or Ctrl+G
Edit > Evaluate | F8
View > Full Screen | F6
Format > Standard | Ctrl+Space
Character formattings: |
Select font (in the Formatting toolbar) | Ctrl+D
Boldface on/off | Ctrl+B
Italics on/off | Ctrl+I
Underlining on/off | Ctrl+U
Superscript | Ctrl+Shift+(Num+) (Plus key on the numeric pad)
Subscript | Ctrl+Shift+(Num-)
Remove super- or subscript | Ctrl+Shift+(Num*)
Paragraph formattings: |
Increase left indent | Ctrl+M
Decrease left indent | Ctrl+Shift+M
Increase hanging indent | Ctrl+T
Decrease hanging indent | Ctrl+Shift+T
Automatic single line spacing (1 line) | Ctrl+1
Automatic one and a half line spacing (1.5 lines) | Ctrl+5
Automatic double line spacing (2 lines) | Ctrl+2
Alignment: Left | Ctrl+L
Alignment: Right | Ctrl+R
Alignment: Centered | Ctrl+E
Alignment: Justified | Ctrl+J
Paragraph styles: |
Paragraph style “Normal” | Alt+0
Paragraph style “Heading 1” | Alt+1
Paragraph style “Heading 2” | Alt+2
Paragraph style “Heading 3” | Alt+3
Insert > Calculation | F2
Insert > Break > Page Break | Ctrl+¿
Insert > Break > Column Break | Ctrl+Shift+¿
Tools > Changes > Track Changes | Ctrl+Shift+E
Tools > Check Spelling | F7
Tools > Thesaurus | Shift+F7
Tools > Berlitz | Ctrl+F7
Tools > Update Fields | F9


Keyboard shortcuts for editing text

Command | Keyboard shortcut
Move text cursor one character to the left | ß
One character to the right | à
One line up | á
One line down | â
One word to the left | Ctrl+ß
One word to the right | Ctrl+à
One page up | PgUp
One page down | PgDn
Delete the character left of the text cursor | Backspace
Delete the character right of the text cursor | Del
Delete the word right of the text cursor | Ctrl+Del
Switch between Insert mode and Overwrite mode | Ins
Select next forms object | F11
Select previous forms object | Shift+F11
Select next forms object (in Forms mode only) | Tab
Select previous forms object (in Forms mode only) | Shift+Tab
Change case of the selected text (from “test” to “Test” to “TEST”) | Shift+F3
Convert hexadecimal character code to corresponding Unicode character* | Ctrl+Alt+Shift+X

* For example, when you type in 20AC and then press this keyboard shortcut, a Euro sign will appear (since the Euro sign’s character code is 20AC in the Unicode character set table).